/* Generated by re2c 1.0.1 on Thu Jan 19 21:15:32 2023 */
#line 1 "parse_date.re"
/*
 * The MIT License (MIT)
 *
 * Copyright (c) 2015-2019 Derick Rethans
 * Copyright (c) 2018 MongoDB, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

#include "timelib.h"
#include "timelib_private.h"

#include <ctype.h>
#include <math.h>
#include <assert.h>
#include <limits.h>

#if defined(_MSC_VER)
# define strtoll(s, f, b) _atoi64(s)
#elif !defined(HAVE_STRTOLL)
# if defined(HAVE_ATOLL)
#  define strtoll(s, f, b) atoll(s)
# else
#  define strtoll(s, f, b) strtol(s, f, b)
# endif
#endif

#define EOI      257
#define TIME     258
#define DATE     259

#define TIMELIB_XMLRPC_SOAP    260
#define TIMELIB_TIME12         261
#define TIMELIB_TIME24         262
#define TIMELIB_GNU_NOCOLON    263
#define TIMELIB_GNU_NOCOLON_TZ 264
#define TIMELIB_ISO_NOCOLON    265

#define TIMELIB_AMERICAN       266
#define TIMELIB_ISO_DATE       267
#define TIMELIB_DATE_FULL      268
#define TIMELIB_DATE_TEXT      269
#define TIMELIB_DATE_NOCOLON   270
#define TIMELIB_PG_YEARDAY     271
#define TIMELIB_PG_TEXT        272
#define TIMELIB_PG_REVERSE     273
#define TIMELIB_CLF            274
#define TIMELIB_DATE_NO_DAY    275
#define TIMELIB_SHORTDATE_WITH_TIME 276
#define TIMELIB_DATE_FULL_POINTED 277
#define TIMELIB_TIME24_WITH_ZONE 278
#define TIMELIB_ISO_WEEK       279
#define TIMELIB_LF_DAY_OF_MONTH 280
#define TIMELIB_WEEK_DAY_OF_MONTH 281

#define TIMELIB_TIMEZONE       300
#define TIMELIB_AGO            301

#define TIMELIB_RELATIVE       310

#define TIMELIB_ERROR          999

/* Some compilers like AIX, defines uchar in sys/types.h */
#undef uchar
typedef unsigned char uchar;

#define   BSIZE	   8192

#define   YYCTYPE      uchar
#define   YYCURSOR     cursor
#define   YYLIMIT      s->lim
#define   YYMARKER     s->ptr
#define   YYFILL(n)    return EOI;

#define   RET(i)       {s->cur = cursor; return i;}

#define timelib_string_free timelib_free

#define TIMELIB_HAVE_TIME() { if (s->time->have_time) { add_error(s, TIMELIB_ERR_DOUBLE_TIME, "Double time specification"); timelib_string_free(str); return TIMELIB_ERROR; } else { s->time->have_time = 1; s->time->h = 0; s->time->i = 0; s->time->s = 0; s->time->us = 0; } }
#define TIMELIB_UNHAVE_TIME() { s->time->have_time = 0; s->time->h = 0; s->time->i = 0; s->time->s = 0; s->time->us = 0; }
#define TIMELIB_HAVE_DATE() { if (s->time->have_date) { add_error(s, TIMELIB_ERR_DOUBLE_DATE, "Double date specification"); timelib_string_free(str); return TIMELIB_ERROR; } else { s->time->have_date = 1; } }
#define TIMELIB_UNHAVE_DATE() { s->time->have_date = 0; s->time->d = 0; s->time->m = 0; s->time->y = 0; }
#define TIMELIB_HAVE_RELATIVE() { s->time->have_relative = 1; }
#define TIMELIB_HAVE_WEEKDAY_RELATIVE() { s->time->have_relative = 1; s->time->relative.have_weekday_relative = 1; }
#define TIMELIB_HAVE_SPECIAL_RELATIVE() { s->time->have_relative = 1; s->time->relative.have_special_relative = 1; }
#define TIMELIB_HAVE_TZ() { s->cur = cursor; if (s->time->have_zone) { s->time->have_zone > 1 ? add_error(s, TIMELIB_ERR_DOUBLE_TZ, "Double timezone specification") : add_warning(s, TIMELIB_WARN_DOUBLE_TZ, "Double timezone specification"); timelib_string_free(str); s->time->have_zone++; return TIMELIB_ERROR; } else { s->time->have_zone++; } }

#define TIMELIB_INIT  s->cur = cursor; str = timelib_string(s); ptr = str
#define TIMELIB_DEINIT timelib_string_free(str)
#define TIMELIB_ADJUST_RELATIVE_WEEKDAY() if (in->time.have_weekday_relative && (in.rel.d > 0)) { in.rel.d -= 7; }

#define TIMELIB_PROCESS_YEAR(x, l) { \
	if (((x) == TIMELIB_UNSET) || ((l) >= 4)) { \
	/*	(x) = 0; */          \
	} else if ((x) < 100) {  \
		if ((x) < 70) {      \
			(x) += 2000;     \
		} else {             \
			(x) += 1900;     \
		}                    \
	}                        \
}

#ifdef DEBUG_PARSER
#define DEBUG_OUTPUT(s) printf("%s\n", s);
#define YYDEBUG(s,c) { if (s != -1) { printf("state: %d ", s); printf("[%c]\n", c); } }
#else
#define DEBUG_OUTPUT(s)
#define YYDEBUG(s,c)
#endif

typedef struct _timelib_elems {
	unsigned int   c; /* Number of elements */
	char         **v; /* Values */
} timelib_elems;

typedef struct _Scanner {
	int           fd;
	uchar        *lim, *str, *ptr, *cur, *tok, *pos;
	unsigned int  line, len;
	timelib_error_container *errors;

	timelib_time        *time;
	const timelib_tzdb  *tzdb;
} Scanner;

typedef struct _timelib_lookup_table {
	const char *name;
	int         type;
	int         value;
} timelib_lookup_table;

typedef struct _timelib_relunit {
	const char *name;
	int         unit;
	int         multiplier;
} timelib_relunit;

/* The timezone table. */
static const timelib_tz_lookup_table timelib_timezone_lookup[] = {
#include "timezonemap.h"
	{ NULL, 0, 0, NULL },
};

static const timelib_tz_lookup_table timelib_timezone_fallbackmap[] = {
#include "fallbackmap.h"
	{ NULL, 0, 0, NULL },
};

static const timelib_tz_lookup_table timelib_timezone_utc[] = {
	{ "utc", 0, 0, "UTC" },
};

#if defined(_POSIX_TZNAME_MAX)
# define MAX_ABBR_LEN _POSIX_TZNAME_MAX
#elif defined(TZNAME_MAX)
# define MAX_ABBR_LEN TZNAME_MAX
#else
# define MAX_ABBR_LEN 6
#endif

static timelib_relunit const timelib_relunit_lookup[] = {
	{ "ms",           TIMELIB_MICROSEC, 1000 },
	{ "msec",         TIMELIB_MICROSEC, 1000 },
	{ "msecs",        TIMELIB_MICROSEC, 1000 },
	{ "millisecond",  TIMELIB_MICROSEC, 1000 },
	{ "milliseconds", TIMELIB_MICROSEC, 1000 },
	{ "µs",           TIMELIB_MICROSEC,    1 },
	{ "usec",         TIMELIB_MICROSEC,    1 },
	{ "usecs",        TIMELIB_MICROSEC,    1 },
	{ "µsec",         TIMELIB_MICROSEC,    1 },
	{ "µsecs",        TIMELIB_MICROSEC,    1 },
	{ "microsecond",  TIMELIB_MICROSEC,    1 },
	{ "microseconds", TIMELIB_MICROSEC,    1 },
	{ "sec",         TIMELIB_SECOND,  1 },
	{ "secs",        TIMELIB_SECOND,  1 },
	{ "second",      TIMELIB_SECOND,  1 },
	{ "seconds",     TIMELIB_SECOND,  1 },
	{ "min",         TIMELIB_MINUTE,  1 },
	{ "mins",        TIMELIB_MINUTE,  1 },
	{ "minute",      TIMELIB_MINUTE,  1 },
	{ "minutes",     TIMELIB_MINUTE,  1 },
	{ "hour",        TIMELIB_HOUR,    1 },
	{ "hours",       TIMELIB_HOUR,    1 },
	{ "day",         TIMELIB_DAY,     1 },
	{ "days",        TIMELIB_DAY,     1 },
	{ "week",        TIMELIB_DAY,     7 },
	{ "weeks",       TIMELIB_DAY,     7 },
	{ "fortnight",   TIMELIB_DAY,    14 },
	{ "fortnights",  TIMELIB_DAY,    14 },
	{ "forthnight",  TIMELIB_DAY,    14 },
	{ "forthnights", TIMELIB_DAY,    14 },
	{ "month",       TIMELIB_MONTH,   1 },
	{ "months",      TIMELIB_MONTH,   1 },
	{ "year",        TIMELIB_YEAR,    1 },
	{ "years",       TIMELIB_YEAR,    1 },

	{ "mondays",     TIMELIB_WEEKDAY, 1 },
	{ "monday",      TIMELIB_WEEKDAY, 1 },
	{ "mon",         TIMELIB_WEEKDAY, 1 },
	{ "tuesdays",    TIMELIB_WEEKDAY, 2 },
	{ "tuesday",     TIMELIB_WEEKDAY, 2 },
	{ "tue",         TIMELIB_WEEKDAY, 2 },
	{ "wednesdays",  TIMELIB_WEEKDAY, 3 },
	{ "wednesday",   TIMELIB_WEEKDAY, 3 },
	{ "wed",         TIMELIB_WEEKDAY, 3 },
	{ "thursdays",   TIMELIB_WEEKDAY, 4 },
	{ "thursday",    TIMELIB_WEEKDAY, 4 },
	{ "thu",         TIMELIB_WEEKDAY, 4 },
	{ "fridays",     TIMELIB_WEEKDAY, 5 },
	{ "friday",      TIMELIB_WEEKDAY, 5 },
	{ "fri",         TIMELIB_WEEKDAY, 5 },
	{ "saturdays",   TIMELIB_WEEKDAY, 6 },
	{ "saturday",    TIMELIB_WEEKDAY, 6 },
	{ "sat",         TIMELIB_WEEKDAY, 6 },
	{ "sundays",     TIMELIB_WEEKDAY, 0 },
	{ "sunday",      TIMELIB_WEEKDAY, 0 },
	{ "sun",         TIMELIB_WEEKDAY, 0 },

	{ "weekday",     TIMELIB_SPECIAL, TIMELIB_SPECIAL_WEEKDAY },
	{ "weekdays",    TIMELIB_SPECIAL, TIMELIB_SPECIAL_WEEKDAY },
	{ NULL,          0,          0 }
};

/* The relative text table. */
static timelib_lookup_table const timelib_reltext_lookup[] = {
	{ "first",    0,  1 },
	{ "next",     0,  1 },
	{ "second",   0,  2 },
	{ "third",    0,  3 },
	{ "fourth",   0,  4 },
	{ "fifth",    0,  5 },
	{ "sixth",    0,  6 },
	{ "seventh",  0,  7 },
	{ "eight",    0,  8 },
	{ "eighth",   0,  8 },
	{ "ninth",    0,  9 },
	{ "tenth",    0, 10 },
	{ "eleventh", 0, 11 },
	{ "twelfth",  0, 12 },
	{ "last",     0, -1 },
	{ "previous", 0, -1 },
	{ "this",     1,  0 },
	{ NULL,       1,  0 }
};

/* The month table. */
static timelib_lookup_table const timelib_month_lookup[] = {
	{ "jan",  0,  1 },
	{ "feb",  0,  2 },
	{ "mar",  0,  3 },
	{ "apr",  0,  4 },
	{ "may",  0,  5 },
	{ "jun",  0,  6 },
	{ "jul",  0,  7 },
	{ "aug",  0,  8 },
	{ "sep",  0,  9 },
	{ "sept", 0,  9 },
	{ "oct",  0, 10 },
	{ "nov",  0, 11 },
	{ "dec",  0, 12 },
	{ "i",    0,  1 },
	{ "ii",   0,  2 },
	{ "iii",  0,  3 },
	{ "iv",   0,  4 },
	{ "v",    0,  5 },
	{ "vi",   0,  6 },
	{ "vii",  0,  7 },
	{ "viii", 0,  8 },
	{ "ix",   0,  9 },
	{ "x",    0, 10 },
	{ "xi",   0, 11 },
	{ "xii",  0, 12 },

	{ "january",   0,  1 },
	{ "february",  0,  2 },
	{ "march",     0,  3 },
	{ "april",     0,  4 },
	{ "may",       0,  5 },
	{ "june",      0,  6 },
	{ "july",      0,  7 },
	{ "august",    0,  8 },
	{ "september", 0,  9 },
	{ "october",   0, 10 },
	{ "november",  0, 11 },
	{ "december",  0, 12 },
	{  NULL,       0,  0 }
};

#if 0
static char* timelib_ltrim(char *s)
{
	char *ptr = s;
	while (ptr[0] == ' ' || ptr[0] == '\t') {
		ptr++;
	}
	return ptr;
}
#endif

#if 0
uchar *fill(Scanner *s, uchar *cursor){
	if(!s->eof){
		unsigned int cnt = s->tok - s->bot;
		if(cnt){
			memcpy(s->bot, s->tok, s->lim - s->tok);
			s->tok = s->bot;
			s->ptr -= cnt;
			cursor -= cnt;
			s->pos -= cnt;
			s->lim -= cnt;
		}
		if((s->top - s->lim) < BSIZE){
			uchar *buf = (uchar*) timelib_malloc(((s->lim - s->bot) + BSIZE)*sizeof(uchar));
			memcpy(buf, s->tok, s->lim - s->tok);
			s->tok = buf;
			s->ptr = &buf[s->ptr - s->bot];
			cursor = &buf[cursor - s->bot];
			s->pos = &buf[s->pos - s->bot];
			s->lim = &buf[s->lim - s->bot];
			s->top = &s->lim[BSIZE];
			timelib_free(s->bot);
			s->bot = buf;
		}
		if((cnt = read(s->fd, (char*) s->lim, BSIZE)) != BSIZE){
			s->eof = &s->lim[cnt]; *(s->eof)++ = '\n';
		}
		s->lim += cnt;
	}
	return cursor;
}
#endif

static timelib_error_message *alloc_error_message(timelib_error_message **messages, int *count)
{
	/* Realloc in power of two increments */
	int is_pow2 = (*count & (*count - 1)) == 0;

	if (is_pow2) {
		size_t alloc_size = *count ? (*count * 2) : 1;

		*messages = timelib_realloc(*messages, alloc_size * sizeof(timelib_error_message));
	}
	return *messages + (*count)++;
}

static void add_warning(Scanner *s, int error_code, const char *error)
{
	timelib_error_message *message = alloc_error_message(&s->errors->warning_messages, &s->errors->warning_count);

	message->error_code = error_code;
	message->position = s->tok ? s->tok - s->str : 0;
	message->character = s->tok ? *s->tok : 0;
	message->message = timelib_strdup(error);
}

static void add_error(Scanner *s, int error_code, const char *error)
{
	timelib_error_message *message = alloc_error_message(&s->errors->error_messages, &s->errors->error_count);

	message->error_code = error_code;
	message->position = s->tok ? s->tok - s->str : 0;
	message->character = s->tok ? *s->tok : 0;
	message->message = timelib_strdup(error);
}

static void add_pbf_warning(Scanner *s, int error_code, const char *error, const char *sptr, const char *cptr)
{
	timelib_error_message *message = alloc_error_message(&s->errors->warning_messages, &s->errors->warning_count);

	message->error_code = error_code;
	message->position = cptr - sptr;
	message->character = *cptr;
	message->message = timelib_strdup(error);
}

static void add_pbf_error(Scanner *s, int error_code, const char *error, const char *sptr, const char *cptr)
{
	timelib_error_message *message = alloc_error_message(&s->errors->error_messages, &s->errors->error_count);

	message->error_code = error_code;
	message->position = cptr - sptr;
	message->character = *cptr;
	message->message = timelib_strdup(error);
}

static timelib_sll timelib_meridian(const char **ptr, timelib_sll h)
{
	timelib_sll retval = 0;

	while (!strchr("AaPp", **ptr)) {
		++*ptr;
	}
	if (**ptr == 'a' || **ptr == 'A') {
		if (h == 12) {
			retval = -12;
		}
	} else if (h != 12) {
		retval = 12;
	}
	++*ptr;
	if (**ptr == '.') {
		++*ptr;
	}
	if (**ptr == 'M' || **ptr == 'm') {
		++*ptr;
	}
	if (**ptr == '.') {
		++*ptr;
	}
	return retval;
}

static timelib_sll timelib_meridian_with_check(const char **ptr, timelib_sll h)
{
	timelib_sll retval = 0;

	while (**ptr && !strchr("AaPp", **ptr)) {
		++*ptr;
	}
	if(!**ptr) {
		return TIMELIB_UNSET;
	}
	if (**ptr == 'a' || **ptr == 'A') {
		if (h == 12) {
			retval = -12;
		}
	} else if (h != 12) {
		retval = 12;
	}
	++*ptr;
	if (**ptr == '.') {
		++*ptr;
		if (**ptr != 'm' && **ptr != 'M') {
			return TIMELIB_UNSET;
		}
		++*ptr;
		if (**ptr != '.' ) {
			return TIMELIB_UNSET;
		}
		++*ptr;
	} else if (**ptr == 'm' || **ptr == 'M') {
		++*ptr;
	} else {
		return TIMELIB_UNSET;
	}
	return retval;
}

static char *timelib_string(Scanner *s)
{
	char *tmp = timelib_calloc(1, s->cur - s->tok + 1);
	memcpy(tmp, s->tok, s->cur - s->tok);

	return tmp;
}

static timelib_sll timelib_get_nr_ex(const char **ptr, int max_length, int *scanned_length)
{
	const char *begin, *end;
	char *str;
	timelib_sll tmp_nr = TIMELIB_UNSET;
	int len = 0;

	while ((**ptr < '0') || (**ptr > '9')) {
		if (**ptr == '\0') {
			return TIMELIB_UNSET;
		}
		++*ptr;
	}

	begin = *ptr;
	while ((**ptr >= '0') && (**ptr <= '9') && len < max_length) {
		++*ptr;
		++len;
	}
	end = *ptr;
	if (scanned_length) {
		*scanned_length = end - begin;
	}
	str = timelib_calloc(1, end - begin + 1);
	memcpy(str, begin, end - begin);
	tmp_nr = strtoll(str, NULL, 10);
	timelib_free(str);
	return tmp_nr;
}

static timelib_sll timelib_get_nr(const char **ptr, int max_length)
{
	return timelib_get_nr_ex(ptr, max_length, NULL);
}

static void timelib_skip_day_suffix(const char **ptr)
{
	if (isspace(**ptr)) {
		return;
	}
	if (!timelib_strncasecmp(*ptr, "nd", 2) || !timelib_strncasecmp(*ptr, "rd", 2) ||!timelib_strncasecmp(*ptr, "st", 2) || !timelib_strncasecmp(*ptr, "th", 2)) {
		*ptr += 2;
	}
}

static timelib_sll timelib_get_frac_nr(const char **ptr)
{
	const char *begin, *end;
	char *str;
	double tmp_nr = TIMELIB_UNSET;

	while ((**ptr != '.') && (**ptr != ':') && ((**ptr < '0') || (**ptr > '9'))) {
		if (**ptr == '\0') {
			return TIMELIB_UNSET;
		}
		++*ptr;
	}
	begin = *ptr;
	while ((**ptr == '.') || (**ptr == ':') || ((**ptr >= '0') && (**ptr <= '9'))) {
		++*ptr;
	}
	end = *ptr;
	str = timelib_calloc(1, end - begin);
	memcpy(str, begin + 1, end - begin - 1);
	tmp_nr = strtod(str, NULL) * pow(10, 7 - (end - begin));
	timelib_free(str);
	return tmp_nr;
}

static timelib_ull timelib_get_signed_nr(Scanner *s, const char **ptr, int max_length)
{
	char *str, *str_ptr;
	timelib_sll tmp_nr = 0;
	int len = 0;

	str = timelib_calloc(1, max_length + 2); // for sign and \0
	str_ptr = str;

	while (((**ptr < '0') || (**ptr > '9')) && (**ptr != '+') && (**ptr != '-')) {
		if (**ptr == '\0') {
			add_error(s, TIMELIB_ERR_UNEXPECTED_DATA, "Found unexpected data");
			timelib_free(str);
			return 0;
		}
		++*ptr;
	}

	if ((**ptr == '+') || (**ptr == '-')) {
		*str_ptr = **ptr;
		++*ptr;
		++str_ptr;
	}

	while (((**ptr < '0') || (**ptr > '9'))) {
		if (**ptr == '\0') {
			timelib_free(str);
			add_error(s, TIMELIB_ERR_UNEXPECTED_DATA, "Found unexpected data");
			return 0;
		}
		++*ptr;
	}

	while ((**ptr >= '0') && (**ptr <= '9') && len < max_length) {
		*str_ptr = **ptr;
		++*ptr;
		++str_ptr;
		++len;
	}

	tmp_nr = strtoll(str, NULL, 10);

	timelib_free(str);

	return tmp_nr;
}

static timelib_sll timelib_lookup_relative_text(const char **ptr, int *behavior)
{
	char *word;
	const char *begin = *ptr, *end;
	timelib_sll  value = 0;
	const timelib_lookup_table *tp;

	while ((**ptr >= 'A' && **ptr <= 'Z') || (**ptr >= 'a' && **ptr <= 'z')) {
		++*ptr;
	}
	end = *ptr;
	word = timelib_calloc(1, end - begin + 1);
	memcpy(word, begin, end - begin);

	for (tp = timelib_reltext_lookup; tp->name; tp++) {
		if (timelib_strcasecmp(word, tp->name) == 0) {
			value = tp->value;
			*behavior = tp->type;
		}
	}

	timelib_free(word);
	return value;
}

static timelib_sll timelib_get_relative_text(const char **ptr, int *behavior)
{
	while (**ptr == ' ' || **ptr == '\t' || **ptr == '-' || **ptr == '/') {
		++*ptr;
	}
	return timelib_lookup_relative_text(ptr, behavior);
}

static timelib_long timelib_lookup_month(const char **ptr)
{
	char *word;
	const char *begin = *ptr, *end;
	timelib_long  value = 0;
	const timelib_lookup_table *tp;

	while ((**ptr >= 'A' && **ptr <= 'Z') || (**ptr >= 'a' && **ptr <= 'z')) {
		++*ptr;
	}
	end = *ptr;
	word = timelib_calloc(1, end - begin + 1);
	memcpy(word, begin, end - begin);

	for (tp = timelib_month_lookup; tp->name; tp++) {
		if (timelib_strcasecmp(word, tp->name) == 0) {
			value = tp->value;
		}
	}

	timelib_free(word);
	return value;
}

static timelib_long timelib_get_month(const char **ptr)
{
	while (**ptr == ' ' || **ptr == '\t' || **ptr == '-' || **ptr == '.' || **ptr == '/') {
		++*ptr;
	}
	return timelib_lookup_month(ptr);
}

static void timelib_eat_spaces(const char **ptr)
{
	while (**ptr == ' ' || **ptr == '\t') {
		++*ptr;
	}
}

static void timelib_eat_until_separator(const char **ptr)
{
	++*ptr;
	while (strchr(" \t.,:;/-0123456789", **ptr) == NULL) {
		++*ptr;
	}
}

static const timelib_relunit* timelib_lookup_relunit(const char **ptr)
{
	char *word;
	const char *begin = *ptr, *end;
	const timelib_relunit *tp, *value = NULL;

	while (**ptr != '\0' && **ptr != ' ' && **ptr != ',' && **ptr != '\t' && **ptr != ';' && **ptr != ':' &&
		**ptr != '/' && **ptr != '.' && **ptr != '-' && **ptr != '(' && **ptr != ')' ) {
		++*ptr;
	}
	end = *ptr;
	word = timelib_calloc(1, end - begin + 1);
	memcpy(word, begin, end - begin);

	for (tp = timelib_relunit_lookup; tp->name; tp++) {
		if (timelib_strcasecmp(word, tp->name) == 0) {
			value = tp;
			break;
		}
	}

	timelib_free(word);
	return value;
}

/**
 * The time_part parameter is a flag. It can be TIMELIB_TIME_PART_KEEP in case
 * the time portion should not be reset to midnight, or
 * TIMELIB_TIME_PART_DONT_KEEP in case it does need to be reset. This is used
 * for not overwriting the time portion for 'X weekday'.
 */
static void timelib_set_relative(const char **ptr, timelib_sll amount, int behavior, Scanner *s, int time_part)
{
	const timelib_relunit* relunit;

	if (!(relunit = timelib_lookup_relunit(ptr))) {
		return;
	}

	switch (relunit->unit) {
		case TIMELIB_MICROSEC: s->time->relative.us += amount * relunit->multiplier; break;
		case TIMELIB_SECOND:   s->time->relative.s += amount * relunit->multiplier; break;
		case TIMELIB_MINUTE:   s->time->relative.i += amount * relunit->multiplier; break;
		case TIMELIB_HOUR:     s->time->relative.h += amount * relunit->multiplier; break;
		case TIMELIB_DAY:      s->time->relative.d += amount * relunit->multiplier; break;
		case TIMELIB_MONTH:    s->time->relative.m += amount * relunit->multiplier; break;
		case TIMELIB_YEAR:     s->time->relative.y += amount * relunit->multiplier; break;

		case TIMELIB_WEEKDAY:
			TIMELIB_HAVE_WEEKDAY_RELATIVE();
			if (time_part != TIMELIB_TIME_PART_KEEP) {
				TIMELIB_UNHAVE_TIME();
			}
			s->time->relative.d += (amount > 0 ? amount - 1 : amount) * 7;
			s->time->relative.weekday = relunit->multiplier;
			s->time->relative.weekday_behavior = behavior;
			break;

		case TIMELIB_SPECIAL:
			TIMELIB_HAVE_SPECIAL_RELATIVE();
			if (time_part != TIMELIB_TIME_PART_KEEP) {
				TIMELIB_UNHAVE_TIME();
			}
			s->time->relative.special.type = relunit->multiplier;
			s->time->relative.special.amount = amount;
	}
}

static const timelib_tz_lookup_table* abbr_search(const char *word, timelib_long gmtoffset, int isdst)
{
	int first_found = 0;
	const timelib_tz_lookup_table  *tp, *first_found_elem = NULL;
	const timelib_tz_lookup_table  *fmp;

	if (timelib_strcasecmp("utc", word) == 0 || timelib_strcasecmp("gmt", word) == 0) {
		return timelib_timezone_utc;
	}

	for (tp = timelib_timezone_lookup; tp->name; tp++) {
		if (timelib_strcasecmp(word, tp->name) == 0) {
			if (!first_found) {
				first_found = 1;
				first_found_elem = tp;
				if (gmtoffset == -1) {
					return tp;
				}
			}
			if (tp->gmtoffset == gmtoffset) {
				return tp;
			}
		}
	}
	if (first_found) {
		return first_found_elem;
	}

	/* Still didn't find anything, let's find the zone solely based on
	 * offset/isdst then */
	for (fmp = timelib_timezone_fallbackmap; fmp->name; fmp++) {
		if (fmp->gmtoffset == gmtoffset && fmp->type == isdst) {
			return fmp;
		}
	}
	return NULL;
}

static timelib_long timelib_lookup_abbr(const char **ptr, int *dst, char **tz_abbr, int *found)
{
	char *word;
	const char *begin = *ptr, *end;
	timelib_long  value = 0;
	const timelib_tz_lookup_table *tp;

	/* Only include A-Z, a-z, 0-9, /, _, and - in abbreviations/TZ IDs */
	while (
		(**ptr >= 'A' && **ptr <= 'Z') ||
		(**ptr >= 'a' && **ptr <= 'z') ||
		(**ptr >= '0' && **ptr <= '9') ||
		**ptr == '/' || **ptr == '_' || **ptr == '-' || **ptr == '+'
	) {
		++*ptr;
	}
	end = *ptr;
	word = timelib_calloc(1, end - begin + 1);
	memcpy(word, begin, end - begin);

	if (end - begin < MAX_ABBR_LEN && (tp = abbr_search(word, -1, 0))) {
		value = tp->gmtoffset;
		*dst = tp->type;
		value -= tp->type * 3600;
		*found = 1;
	} else {
		*found = 0;
	}

	*tz_abbr = word;
	return value;
}

#define sHOUR(a) (int)(a * 3600)
#define sMIN(a) (int)(a * 60)

static timelib_long timelib_parse_tz_cor(const char **ptr, int *tz_not_found)
{
	const char *begin = *ptr, *end;
	timelib_long  tmp;

	*tz_not_found = 1;

	while (isdigit(**ptr) || **ptr == ':') {
		++*ptr;
	}
	end = *ptr;
	switch (end - begin) {
		case 1: /* H */
		case 2: /* HH */
			*tz_not_found = 0;
			return sHOUR(strtol(begin, NULL, 10));

		case 3: /* H:M */
		case 4: /* H:MM, HH:M, HHMM */
			if (begin[1] == ':') {
				*tz_not_found = 0;
				tmp = sHOUR(strtol(begin, NULL, 10)) + sMIN(strtol(begin + 2, NULL, 10));
				return tmp;
			} else if (begin[2] == ':') {
				*tz_not_found = 0;
				tmp = sHOUR(strtol(begin, NULL, 10)) + sMIN(strtol(begin + 3, NULL, 10));
				return tmp;
			} else {
				*tz_not_found = 0;
				tmp = strtol(begin, NULL, 10);
				return sHOUR(tmp / 100) + sMIN(tmp % 100);
			}

		case 5: /* HH:MM */
			if (begin[2] != ':') {
				break;
			}

			*tz_not_found = 0;
			tmp = sHOUR(strtol(begin, NULL, 10)) + sMIN(strtol(begin + 3, NULL, 10));
			return tmp;

		case 6: /* HHMMSS */
			*tz_not_found = 0;
			tmp = strtol(begin, NULL, 10);
			tmp = sHOUR(tmp / 10000) + sMIN((tmp / 100) % 100) + (tmp % 100);
			return tmp;

		case 8: /* HH:MM:SS */
			if (begin[2] != ':' || begin[5] != ':') {
				break;
			}

			*tz_not_found = 0;
			tmp = sHOUR(strtol(begin, NULL, 10)) + sMIN(strtol(begin + 3, NULL, 10)) + strtol(begin + 6, NULL, 10);
			return tmp;

	}
	return 0;
}

static timelib_long timelib_parse_tz_minutes(const char **ptr, timelib_time *t)
{
	timelib_long retval = TIMELIB_UNSET;
	const char *begin = *ptr;

	/* First character must be +/- */
	if (**ptr != '+' && **ptr != '-') {
		return retval;
	}

	++*ptr;
	while (isdigit(**ptr)) {
		++*ptr;
	}

	if (*begin == '+') {
		t->is_localtime = 1;
		t->zone_type = TIMELIB_ZONETYPE_OFFSET;
		t->dst = 0;

		retval = sMIN(strtol(begin + 1, NULL, 10));
	} else if (*begin == '-') {
		t->is_localtime = 1;
		t->zone_type = TIMELIB_ZONETYPE_OFFSET;
		t->dst = 0;

		retval = -1 * sMIN(strtol(begin + 1, NULL, 10));
	}
	return retval;
}

timelib_long timelib_parse_zone(const char **ptr, int *dst, timelib_time *t, int *tz_not_found, const timelib_tzdb *tzdb, timelib_tz_get_wrapper tz_wrapper)
{
	timelib_tzinfo *res;
	timelib_long            retval = 0;

	*tz_not_found = 0;

	while (**ptr == ' ' || **ptr == '\t' || **ptr == '(') {
		++*ptr;
	}
	if ((*ptr)[0] == 'G' && (*ptr)[1] == 'M' && (*ptr)[2] == 'T' && ((*ptr)[3] == '+' || (*ptr)[3] == '-')) {
		*ptr += 3;
	}
	if (**ptr == '+') {
		++*ptr;
		t->is_localtime = 1;
		t->zone_type = TIMELIB_ZONETYPE_OFFSET;
		t->dst = 0;

		retval = timelib_parse_tz_cor(ptr, tz_not_found);
	} else if (**ptr == '-') {
		++*ptr;
		t->is_localtime = 1;
		t->zone_type = TIMELIB_ZONETYPE_OFFSET;
		t->dst = 0;

		retval = -1 * timelib_parse_tz_cor(ptr, tz_not_found);
	} else {
		int found = 0;
		timelib_long offset = 0;
		char *tz_abbr;

		t->is_localtime = 1;

		/* First, we lookup by abbreviation only */
		offset = timelib_lookup_abbr(ptr, dst, &tz_abbr, &found);
		if (found) {
			t->zone_type = TIMELIB_ZONETYPE_ABBR;
			t->dst = *dst;
			timelib_time_tz_abbr_update(t, tz_abbr);
		}

		/* Otherwise, we look if we have a TimeZone identifier */
		if (!found || strcmp("UTC", tz_abbr) == 0) {
			int dummy_error_code;

			if ((res = tz_wrapper(tz_abbr, tzdb, &dummy_error_code)) != NULL) {
				t->tz_info = res;
				t->zone_type = TIMELIB_ZONETYPE_ID;
				found++;
			}
		}
		timelib_free(tz_abbr);
		*tz_not_found = (found == 0);
		retval = offset;
	}
	while (**ptr == ')') {
		++*ptr;
	}
	return retval;
}

#define timelib_split_free(arg) {       \
	int i;                         \
	for (i = 0; i < arg.c; i++) {  \
		timelib_free(arg.v[i]);    \
	}                              \
	if (arg.v) {                   \
		timelib_free(arg.v);       \
	}                              \
}

static int scan(Scanner *s, timelib_tz_get_wrapper tz_get_wrapper)
{
	uchar *cursor = s->cur;
	char *str;
	const char *ptr = NULL;

std:
	s->tok = cursor;
	s->len = 0;
#line 1115 "parse_date.re"



#line 992 "<stdout>"
{
	YYCTYPE yych;
	unsigned int yyaccept = 0;
	static const unsigned char yybm[] = {
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,  50,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		 50,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   4,  32,  20,  48,   0, 
		  8,   8,   8,   8,   8,   8,   8,   8, 
		  8,   8,   0,   0,   0,   0,   0,   0, 
		  0,  64,  64,  64,  64,  64,  64,  64, 
		 64,  64,  64,  64,  64,  64,  64,  64, 
		 64,  64,  64,  64,  64,  64,  64,  64, 
		 64,  64,  64,   0,   0,   0,   0,   0, 
		  0, 192, 192, 192, 224, 192, 192, 192, 
		224, 192, 192, 192, 192, 192, 224, 192, 
		192, 192, 224, 224, 224, 192, 192, 192, 
		192, 192, 192,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
		  0,   0,   0,   0,   0,   0,   0,   0, 
	};
	YYDEBUG(0, *YYCURSOR);
	if ((YYLIMIT - YYCURSOR) < 36) YYFILL(36);
	yych = *YYCURSOR;
	switch (yych) {
	case 0x00:
	case '\n':	goto yy2;
	case '\t':
	case ' ':	goto yy6;
	case '(':	goto yy8;
	case '+':
	case '-':	goto yy9;
	case ',':
	case '.':	goto yy10;
	case '0':	goto yy11;
	case '1':	goto yy12;
	case '2':	goto yy13;
	case '3':	goto yy14;
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy15;
	case '@':	goto yy16;
	case 'A':	goto yy17;
	case 'B':	goto yy19;
	case 'C':
	case 'H':
	case 'K':
	case 'Q':
	case 'R':
	case 'U':
	case 'Z':	goto yy20;
	case 'D':	goto yy21;
	case 'E':	goto yy22;
	case 'F':	goto yy23;
	case 'G':	goto yy24;
	case 'I':	goto yy25;
	case 'J':	goto yy26;
	case 'L':	goto yy27;
	case 'M':	goto yy28;
	case 'N':	goto yy29;
	case 'O':	goto yy30;
	case 'P':	goto yy31;
	case 'S':	goto yy32;
	case 'T':	goto yy33;
	case 'V':	goto yy34;
	case 'W':	goto yy35;
	case 'X':	goto yy36;
	case 'Y':	goto yy37;
	case 'a':	goto yy38;
	case 'b':	goto yy39;
	case 'c':
	case 'g':
	case 'h':
	case 'i':
	case 'k':
	case 'q':
	case 'r':
	case 'u':
	case 'v':
	case 'x':
	case 'z':	goto yy40;
	case 'd':	goto yy41;
	case 'e':	goto yy42;
	case 'f':	goto yy43;
	case 'j':	goto yy44;
	case 'l':	goto yy45;
	case 'm':	goto yy46;
	case 'n':	goto yy47;
	case 'o':	goto yy48;
	case 'p':	goto yy49;
	case 's':	goto yy50;
	case 't':	goto yy51;
	case 'w':	goto yy52;
	case 'y':	goto yy53;
	default:	goto yy4;
	}
yy2:
	YYDEBUG(2, *YYCURSOR);
	++YYCURSOR;
	YYDEBUG(3, *YYCURSOR);
#line 1939 "parse_date.re"
	{
		s->pos = cursor; s->line++;
		goto std;
	}
#line 1117 "<stdout>"
yy4:
	YYDEBUG(4, *YYCURSOR);
	++YYCURSOR;
yy5:
	YYDEBUG(5, *YYCURSOR);
#line 1945 "parse_date.re"
	{
		add_error(s, TIMELIB_ERR_UNEXPECTED_CHARACTER, "Unexpected character");
		goto std;
	}
#line 1128 "<stdout>"
yy6:
	YYDEBUG(6, *YYCURSOR);
	yyaccept = 0;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yybm[0+yych] & 2) {
		goto yy54;
	}
	if (yych <= '/') goto yy7;
	if (yych <= '9') goto yy57;
yy7:
	YYDEBUG(7, *YYCURSOR);
#line 1934 "parse_date.re"
	{
		goto std;
	}
#line 1144 "<stdout>"
yy8:
	YYDEBUG(8, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '@') goto yy5;
	if (yych <= 'Z') goto yy40;
	if (yych <= '`') goto yy5;
	if (yych <= 'z') goto yy40;
	goto yy5;
yy9:
	YYDEBUG(9, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yybm[0+yych] & 2) {
		goto yy54;
	}
	switch (yych) {
	case '+':
	case '-':	goto yy58;
	case '0':
	case '1':	goto yy60;
	case '2':	goto yy61;
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy62;
	default:	goto yy5;
	}
yy10:
	YYDEBUG(10, *YYCURSOR);
	++YYCURSOR;
	goto yy7;
yy11:
	YYDEBUG(11, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '`') {
		if (yych <= '@') {
			if (yych <= '-') {
				if (yych <= 0x1F) {
					if (yych == '\t') goto yy63;
					goto yy5;
				} else {
					if (yych <= ' ') goto yy65;
					if (yych <= ',') goto yy5;
					goto yy66;
				}
			} else {
				if (yych <= '0') {
					if (yych <= '.') goto yy67;
					if (yych <= '/') goto yy68;
					goto yy69;
				} else {
					if (yych <= '9') goto yy70;
					if (yych <= ':') goto yy71;
					goto yy5;
				}
			}
		} else {
			if (yych <= 'G') {
				if (yych <= 'D') {
					if (yych <= 'A') goto yy65;
					if (yych <= 'C') goto yy5;
					goto yy65;
				} else {
					if (yych == 'F') goto yy65;
					goto yy5;
				}
			} else {
				if (yych <= 'O') {
					if (yych <= 'J') goto yy65;
					if (yych <= 'L') goto yy5;
					goto yy65;
				} else {
					if (yych <= 'R') goto yy5;
					if (yych <= 'Y') goto yy65;
					goto yy5;
				}
			}
		}
	} else {
		if (yych <= 'n') {
			if (yych <= 'g') {
				if (yych <= 'd') {
					if (yych <= 'a') goto yy65;
					if (yych <= 'c') goto yy5;
					goto yy65;
				} else {
					if (yych == 'f') goto yy65;
					goto yy5;
				}
			} else {
				if (yych <= 'j') {
					if (yych == 'i') goto yy5;
					goto yy65;
				} else {
					if (yych <= 'l') goto yy5;
					if (yych <= 'm') goto yy65;
					goto yy89;
				}
			}
		} else {
			if (yych <= 'u') {
				if (yych <= 'r') {
					if (yych <= 'o') goto yy65;
					if (yych <= 'q') goto yy5;
					goto yy90;
				} else {
					if (yych <= 's') goto yy91;
					if (yych <= 't') goto yy92;
					goto yy65;
				}
			} else {
				if (yych <= 'x') {
					if (yych == 'w') goto yy65;
					goto yy5;
				} else {
					if (yych <= 'y') goto yy65;
					if (yych == 0xC2) goto yy65;
					goto yy5;
				}
			}
		}
	}
yy12:
	YYDEBUG(12, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '`') {
		if (yych <= '@') {
			if (yych <= '-') {
				if (yych <= 0x1F) {
					if (yych == '\t') goto yy94;
					goto yy5;
				} else {
					if (yych <= ' ') goto yy96;
					if (yych <= ',') goto yy5;
					goto yy66;
				}
			} else {
				if (yych <= '2') {
					if (yych <= '.') goto yy97;
					if (yych <= '/') goto yy68;
					goto yy70;
				} else {
					if (yych <= '9') goto yy98;
					if (yych <= ':') goto yy99;
					goto yy5;
				}
			}
		} else {
			if (yych <= 'G') {
				if (yych <= 'D') {
					if (yych <= 'A') goto yy96;
					if (yych <= 'C') goto yy5;
					goto yy96;
				} else {
					if (yych == 'F') goto yy96;
					goto yy5;
				}
			} else {
				if (yych <= 'P') {
					if (yych <= 'J') goto yy96;
					if (yych <= 'L') goto yy5;
					goto yy96;
				} else {
					if (yych <= 'R') goto yy5;
					if (yych <= 'Y') goto yy96;
					goto yy5;
				}
			}
		}
	} else {
		if (yych <= 'n') {
			if (yych <= 'g') {
				if (yych <= 'd') {
					if (yych <= 'a') goto yy96;
					if (yych <= 'c') goto yy5;
					goto yy96;
				} else {
					if (yych == 'f') goto yy96;
					goto yy5;
				}
			} else {
				if (yych <= 'j') {
					if (yych == 'i') goto yy5;
					goto yy96;
				} else {
					if (yych <= 'l') goto yy5;
					if (yych <= 'm') goto yy96;
					goto yy89;
				}
			}
		} else {
			if (yych <= 'u') {
				if (yych <= 'r') {
					if (yych <= 'p') goto yy96;
					if (yych <= 'q') goto yy5;
					goto yy90;
				} else {
					if (yych <= 's') goto yy91;
					if (yych <= 't') goto yy92;
					goto yy96;
				}
			} else {
				if (yych <= 'x') {
					if (yych == 'w') goto yy96;
					goto yy5;
				} else {
					if (yych <= 'y') goto yy96;
					if (yych == 0xC2) goto yy96;
					goto yy5;
				}
			}
		}
	}
yy13:
	YYDEBUG(13, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '`') {
		if (yych <= '@') {
			if (yych <= '-') {
				if (yych <= 0x1F) {
					if (yych == '\t') goto yy94;
					goto yy5;
				} else {
					if (yych <= ' ') goto yy96;
					if (yych <= ',') goto yy5;
					goto yy66;
				}
			} else {
				if (yych <= '4') {
					if (yych <= '.') goto yy97;
					if (yych <= '/') goto yy68;
					goto yy98;
				} else {
					if (yych <= '9') goto yy102;
					if (yych <= ':') goto yy99;
					goto yy5;
				}
			}
		} else {
			if (yych <= 'G') {
				if (yych <= 'D') {
					if (yych <= 'A') goto yy96;
					if (yych <= 'C') goto yy5;
					goto yy96;
				} else {
					if (yych == 'F') goto yy96;
					goto yy5;
				}
			} else {
				if (yych <= 'P') {
					if (yych <= 'J') goto yy96;
					if (yych <= 'L') goto yy5;
					goto yy96;
				} else {
					if (yych <= 'R') goto yy5;
					if (yych <= 'Y') goto yy96;
					goto yy5;
				}
			}
		}
	} else {
		if (yych <= 'n') {
			if (yych <= 'g') {
				if (yych <= 'd') {
					if (yych <= 'a') goto yy96;
					if (yych <= 'c') goto yy5;
					goto yy96;
				} else {
					if (yych == 'f') goto yy96;
					goto yy5;
				}
			} else {
				if (yych <= 'j') {
					if (yych == 'i') goto yy5;
					goto yy96;
				} else {
					if (yych <= 'l') goto yy5;
					if (yych <= 'm') goto yy96;
					goto yy89;
				}
			}
		} else {
			if (yych <= 'u') {
				if (yych <= 'r') {
					if (yych <= 'p') goto yy96;
					if (yych <= 'q') goto yy5;
					goto yy90;
				} else {
					if (yych <= 's') goto yy91;
					if (yych <= 't') goto yy92;
					goto yy96;
				}
			} else {
				if (yych <= 'x') {
					if (yych == 'w') goto yy96;
					goto yy5;
				} else {
					if (yych <= 'y') goto yy96;
					if (yych == 0xC2) goto yy96;
					goto yy5;
				}
			}
		}
	}
yy14:
	YYDEBUG(14, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '`') {
		if (yych <= '@') {
			if (yych <= '-') {
				if (yych <= 0x1F) {
					if (yych == '\t') goto yy94;
					goto yy5;
				} else {
					if (yych <= ' ') goto yy96;
					if (yych <= ',') goto yy5;
					goto yy66;
				}
			} else {
				if (yych <= '1') {
					if (yych <= '.') goto yy97;
					if (yych <= '/') goto yy68;
					goto yy102;
				} else {
					if (yych <= '9') goto yy103;
					if (yych <= ':') goto yy99;
					goto yy5;
				}
			}
		} else {
			if (yych <= 'G') {
				if (yych <= 'D') {
					if (yych <= 'A') goto yy96;
					if (yych <= 'C') goto yy5;
					goto yy96;
				} else {
					if (yych == 'F') goto yy96;
					goto yy5;
				}
			} else {
				if (yych <= 'P') {
					if (yych <= 'J') goto yy96;
					if (yych <= 'L') goto yy5;
					goto yy96;
				} else {
					if (yych <= 'R') goto yy5;
					if (yych <= 'Y') goto yy96;
					goto yy5;
				}
			}
		}
	} else {
		if (yych <= 'n') {
			if (yych <= 'g') {
				if (yych <= 'd') {
					if (yych <= 'a') goto yy96;
					if (yych <= 'c') goto yy5;
					goto yy96;
				} else {
					if (yych == 'f') goto yy96;
					goto yy5;
				}
			} else {
				if (yych <= 'j') {
					if (yych == 'i') goto yy5;
					goto yy96;
				} else {
					if (yych <= 'l') goto yy5;
					if (yych <= 'm') goto yy96;
					goto yy89;
				}
			}
		} else {
			if (yych <= 'u') {
				if (yych <= 'r') {
					if (yych <= 'p') goto yy96;
					if (yych <= 'q') goto yy5;
					goto yy90;
				} else {
					if (yych <= 's') goto yy91;
					if (yych <= 't') goto yy92;
					goto yy96;
				}
			} else {
				if (yych <= 'x') {
					if (yych == 'w') goto yy96;
					goto yy5;
				} else {
					if (yych <= 'y') goto yy96;
					if (yych == 0xC2) goto yy96;
					goto yy5;
				}
			}
		}
	}
yy15:
	YYDEBUG(15, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'a') {
		if (yych <= 'A') {
			if (yych <= '-') {
				if (yych <= 0x1F) {
					if (yych == '\t') goto yy94;
					goto yy5;
				} else {
					if (yych <= ' ') goto yy96;
					if (yych <= ',') goto yy5;
					goto yy66;
				}
			} else {
				if (yych <= '9') {
					if (yych <= '.') goto yy97;
					if (yych <= '/') goto yy68;
					goto yy103;
				} else {
					if (yych <= ':') goto yy99;
					if (yych <= '@') goto yy5;
					goto yy96;
				}
			}
		} else {
			if (yych <= 'J') {
				if (yych <= 'E') {
					if (yych == 'D') goto yy96;
					goto yy5;
				} else {
					if (yych == 'G') goto yy5;
					goto yy96;
				}
			} else {
				if (yych <= 'R') {
					if (yych <= 'L') goto yy5;
					if (yych <= 'P') goto yy96;
					goto yy5;
				} else {
					if (yych <= 'Y') goto yy96;
					if (yych <= '`') goto yy5;
					goto yy96;
				}
			}
		}
	} else {
		if (yych <= 'p') {
			if (yych <= 'h') {
				if (yych <= 'e') {
					if (yych == 'd') goto yy96;
					goto yy5;
				} else {
					if (yych == 'g') goto yy5;
					goto yy96;
				}
			} else {
				if (yych <= 'l') {
					if (yych == 'j') goto yy96;
					goto yy5;
				} else {
					if (yych == 'n') goto yy89;
					goto yy96;
				}
			}
		} else {
			if (yych <= 'v') {
				if (yych <= 's') {
					if (yych <= 'q') goto yy5;
					if (yych <= 'r') goto yy90;
					goto yy91;
				} else {
					if (yych <= 't') goto yy92;
					if (yych <= 'u') goto yy96;
					goto yy5;
				}
			} else {
				if (yych <= 'y') {
					if (yych == 'x') goto yy5;
					goto yy96;
				} else {
					if (yych == 0xC2) goto yy96;
					goto yy5;
				}
			}
		}
	}
yy16:
	YYDEBUG(16, *YYCURSOR);
	yyaccept = 1;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yybm[0+yych] & 8) {
		goto yy105;
	}
	if (yych == '-') goto yy104;
	goto yy5;
yy17:
	YYDEBUG(17, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'U') {
		if (yych <= 'F') {
			if (yych == ')') goto yy108;
			if (yych >= 'A') goto yy109;
		} else {
			if (yych <= 'O') {
				if (yych <= 'G') goto yy110;
				goto yy109;
			} else {
				if (yych <= 'P') goto yy111;
				if (yych <= 'T') goto yy109;
				goto yy112;
			}
		}
	} else {
		if (yych <= 'o') {
			if (yych <= '`') {
				if (yych <= 'Z') goto yy109;
			} else {
				if (yych == 'g') goto yy114;
				goto yy113;
			}
		} else {
			if (yych <= 't') {
				if (yych <= 'p') goto yy115;
				goto yy113;
			} else {
				if (yych <= 'u') goto yy116;
				if (yych <= 'z') goto yy113;
			}
		}
	}
yy18:
	YYDEBUG(18, *YYCURSOR);
#line 1850 "parse_date.re"
	{
		int tz_not_found;
		DEBUG_OUTPUT("tzcorrection | tz");
		TIMELIB_INIT;
		TIMELIB_HAVE_TZ();
		s->time->z = timelib_parse_zone(&ptr, &s->time->dst, s->time, &tz_not_found, s->tzdb, tz_get_wrapper);
		if (tz_not_found) {
			add_error(s, TIMELIB_ERR_TZID_NOT_FOUND, "The timezone could not be found in the database");
		}
		TIMELIB_DEINIT;
		return TIMELIB_TIMEZONE;
	}
#line 1694 "<stdout>"
yy19:
	YYDEBUG(19, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'A') {
		if (yych == ')') goto yy108;
		if (yych <= '@') goto yy18;
		goto yy117;
	} else {
		if (yych <= '`') {
			if (yych <= 'Z') goto yy109;
			goto yy18;
		} else {
			if (yych <= 'a') goto yy118;
			if (yych <= 'z') goto yy113;
			goto yy18;
		}
	}
yy20:
	YYDEBUG(20, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '@') {
		if (yych == ')') goto yy108;
		goto yy18;
	} else {
		if (yych <= 'Z') goto yy109;
		if (yych <= '`') goto yy18;
		if (yych <= 'z') goto yy113;
		goto yy18;
	}
yy21:
	YYDEBUG(21, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'E') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'D') goto yy109;
			goto yy119;
		}
	} else {
		if (yych <= 'd') {
			if (yych <= 'Z') goto yy109;
			if (yych <= '`') goto yy18;
			goto yy113;
		} else {
			if (yych <= 'e') goto yy120;
			if (yych <= 'z') goto yy113;
			goto yy18;
		}
	}
yy22:
	YYDEBUG(22, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'L') {
		if (yych <= '@') {
			if (yych == ')') goto yy108;
			goto yy18;
		} else {
			if (yych == 'I') goto yy121;
			if (yych <= 'K') goto yy109;
			goto yy122;
		}
	} else {
		if (yych <= 'i') {
			if (yych <= 'Z') goto yy109;
			if (yych <= '`') goto yy18;
			if (yych <= 'h') goto yy113;
			goto yy123;
		} else {
			if (yych == 'l') goto yy124;
			if (yych <= 'z') goto yy113;
			goto yy18;
		}
	}
yy23:
	YYDEBUG(23, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'R') {
		if (yych <= 'E') {
			if (yych <= ')') {
				if (yych <= '(') goto yy18;
				goto yy108;
			} else {
				if (yych <= '@') goto yy18;
				if (yych <= 'D') goto yy109;
				goto yy125;
			}
		} else {
			if (yych <= 'N') {
				if (yych == 'I') goto yy126;
				goto yy109;
			} else {
				if (yych <= 'O') goto yy127;
				if (yych <= 'Q') goto yy109;
				goto yy128;
			}
		}
	} else {
		if (yych <= 'i') {
			if (yych <= 'd') {
				if (yych <= 'Z') goto yy109;
				if (yych <= '`') goto yy18;
				goto yy113;
			} else {
				if (yych <= 'e') goto yy129;
				if (yych <= 'h') goto yy113;
				goto yy130;
			}
		} else {
			if (yych <= 'q') {
				if (yych == 'o') goto yy131;
				goto yy113;
			} else {
				if (yych <= 'r') goto yy132;
				if (yych <= 'z') goto yy113;
				goto yy18;
			}
		}
	}
yy24:
	YYDEBUG(24, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'L') {
		if (yych == ')') goto yy108;
		if (yych <= '@') goto yy18;
		goto yy109;
	} else {
		if (yych <= 'Z') {
			if (yych <= 'M') goto yy133;
			goto yy109;
		} else {
			if (yych <= '`') goto yy18;
			if (yych <= 'z') goto yy113;
			goto yy18;
		}
	}
yy25:
	YYDEBUG(25, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '9') {
		if (yych <= '(') {
			if (yych <= '\t') {
				if (yych <= 0x08) goto yy18;
				goto yy135;
			} else {
				if (yych == ' ') goto yy135;
				goto yy18;
			}
		} else {
			if (yych <= ',') {
				if (yych <= ')') goto yy108;
				goto yy18;
			} else {
				if (yych == '/') goto yy18;
				goto yy135;
			}
		}
	} else {
		if (yych <= 'V') {
			if (yych <= 'H') {
				if (yych <= '@') goto yy18;
				goto yy109;
			} else {
				if (yych <= 'I') goto yy139;
				if (yych <= 'U') goto yy109;
				goto yy140;
			}
		} else {
			if (yych <= 'Z') {
				if (yych == 'X') goto yy140;
				goto yy109;
			} else {
				if (yych <= '`') goto yy18;
				if (yych <= 'z') goto yy113;
				goto yy18;
			}
		}
	}
yy26:
	YYDEBUG(26, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'U') {
		if (yych <= '@') {
			if (yych == ')') goto yy108;
			goto yy18;
		} else {
			if (yych <= 'A') goto yy141;
			if (yych <= 'T') goto yy109;
			goto yy142;
		}
	} else {
		if (yych <= 'a') {
			if (yych <= 'Z') goto yy109;
			if (yych <= '`') goto yy18;
			goto yy143;
		} else {
			if (yych == 'u') goto yy144;
			if (yych <= 'z') goto yy113;
			goto yy18;
		}
	}
yy27:
	YYDEBUG(27, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'A') {
		if (yych == ')') goto yy108;
		if (yych <= '@') goto yy18;
		goto yy145;
	} else {
		if (yych <= '`') {
			if (yych <= 'Z') goto yy109;
			goto yy18;
		} else {
			if (yych <= 'a') goto yy146;
			if (yych <= 'z') goto yy113;
			goto yy18;
		}
	}
yy28:
	YYDEBUG(28, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'O') {
		if (yych <= 'A') {
			if (yych == ')') goto yy108;
			if (yych <= '@') goto yy18;
			goto yy147;
		} else {
			if (yych == 'I') goto yy148;
			if (yych <= 'N') goto yy109;
			goto yy149;
		}
	} else {
		if (yych <= 'h') {
			if (yych <= 'Z') goto yy109;
			if (yych <= '`') goto yy18;
			if (yych <= 'a') goto yy150;
			goto yy113;
		} else {
			if (yych <= 'n') {
				if (yych <= 'i') goto yy151;
				goto yy113;
			} else {
				if (yych <= 'o') goto yy152;
				if (yych <= 'z') goto yy113;
				goto yy18;
			}
		}
	}
yy29:
	YYDEBUG(29, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'O') {
		if (yych <= 'D') {
			if (yych == ')') goto yy108;
			if (yych <= '@') goto yy18;
			goto yy109;
		} else {
			if (yych <= 'H') {
				if (yych <= 'E') goto yy153;
				goto yy109;
			} else {
				if (yych <= 'I') goto yy154;
				if (yych <= 'N') goto yy109;
				goto yy155;
			}
		}
	} else {
		if (yych <= 'h') {
			if (yych <= '`') {
				if (yych <= 'Z') goto yy109;
				goto yy18;
			} else {
				if (yych == 'e') goto yy156;
				goto yy113;
			}
		} else {
			if (yych <= 'n') {
				if (yych <= 'i') goto yy157;
				goto yy113;
			} else {
				if (yych <= 'o') goto yy158;
				if (yych <= 'z') goto yy113;
				goto yy18;
			}
		}
	}
yy30:
	YYDEBUG(30, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'C') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'B') goto yy109;
			goto yy159;
		}
	} else {
		if (yych <= 'b') {
			if (yych <= 'Z') goto yy109;
			if (yych <= '`') goto yy18;
			goto yy113;
		} else {
			if (yych <= 'c') goto yy160;
			if (yych <= 'z') goto yy113;
			goto yy18;
		}
	}
yy31:
	YYDEBUG(31, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'R') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'Q') goto yy109;
			goto yy161;
		}
	} else {
		if (yych <= 'q') {
			if (yych <= 'Z') goto yy109;
			if (yych <= '`') goto yy18;
			goto yy113;
		} else {
			if (yych <= 'r') goto yy162;
			if (yych <= 'z') goto yy113;
			goto yy18;
		}
	}
yy32:
	YYDEBUG(32, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'U') {
		if (yych <= 'D') {
			if (yych <= ')') {
				if (yych <= '(') goto yy18;
				goto yy108;
			} else {
				if (yych <= '@') goto yy18;
				if (yych <= 'A') goto yy163;
				goto yy109;
			}
		} else {
			if (yych <= 'H') {
				if (yych <= 'E') goto yy164;
				goto yy109;
			} else {
				if (yych <= 'I') goto yy165;
				if (yych <= 'T') goto yy109;
				goto yy149;
			}
		}
	} else {
		if (yych <= 'e') {
			if (yych <= '`') {
				if (yych <= 'Z') goto yy109;
				goto yy18;
			} else {
				if (yych <= 'a') goto yy166;
				if (yych <= 'd') goto yy113;
				goto yy167;
			}
		} else {
			if (yych <= 't') {
				if (yych == 'i') goto yy168;
				goto yy113;
			} else {
				if (yych <= 'u') goto yy152;
				if (yych <= 'z') goto yy113;
				goto yy18;
			}
		}
	}
yy33:
	YYDEBUG(33, *YYCURSOR);
	yych = *++YYCURSOR;
	switch (yych) {
	case ')':	goto yy108;
	case '0':
	case '1':	goto yy169;
	case '2':	goto yy171;
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy172;
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'F':
	case 'G':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'V':
	case 'X':
	case 'Y':
	case 'Z':	goto yy109;
	case 'E':	goto yy154;
	case 'H':	goto yy173;
	case 'O':	goto yy174;
	case 'U':	goto yy175;
	case 'W':	goto yy176;
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'f':
	case 'g':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'v':
	case 'x':
	case 'y':
	case 'z':	goto yy113;
	case 'e':	goto yy157;
	case 'h':	goto yy177;
	case 'o':	goto yy178;
	case 'u':	goto yy179;
	case 'w':	goto yy180;
	default:	goto yy18;
	}
yy34:
	YYDEBUG(34, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '.') {
		if (yych <= ' ') {
			if (yych == '\t') goto yy135;
			if (yych <= 0x1F) goto yy18;
			goto yy135;
		} else {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy135;
		}
	} else {
		if (yych <= 'H') {
			if (yych <= '/') goto yy18;
			if (yych <= '9') goto yy135;
			if (yych <= '@') goto yy18;
			goto yy109;
		} else {
			if (yych <= 'Z') {
				if (yych <= 'I') goto yy181;
				goto yy109;
			} else {
				if (yych <= '`') goto yy18;
				if (yych <= 'z') goto yy113;
				goto yy18;
			}
		}
	}
yy35:
	YYDEBUG(35, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'E') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'D') goto yy109;
			goto yy182;
		}
	} else {
		if (yych <= 'd') {
			if (yych <= 'Z') goto yy109;
			if (yych <= '`') goto yy18;
			goto yy113;
		} else {
			if (yych <= 'e') goto yy183;
			if (yych <= 'z') goto yy113;
			goto yy18;
		}
	}
yy36:
	YYDEBUG(36, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '.') {
		if (yych <= ' ') {
			if (yych == '\t') goto yy135;
			if (yych <= 0x1F) goto yy18;
			goto yy135;
		} else {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy135;
		}
	} else {
		if (yych <= 'H') {
			if (yych <= '/') goto yy18;
			if (yych <= '9') goto yy135;
			if (yych <= '@') goto yy18;
			goto yy109;
		} else {
			if (yych <= 'Z') {
				if (yych <= 'I') goto yy139;
				goto yy109;
			} else {
				if (yych <= '`') goto yy18;
				if (yych <= 'z') goto yy113;
				goto yy18;
			}
		}
	}
yy37:
	YYDEBUG(37, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'E') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'D') goto yy109;
			goto yy184;
		}
	} else {
		if (yych <= 'd') {
			if (yych <= 'Z') goto yy109;
			if (yych <= '`') goto yy18;
			goto yy113;
		} else {
			if (yych <= 'e') goto yy185;
			if (yych <= 'z') goto yy113;
			goto yy18;
		}
	}
yy38:
	YYDEBUG(38, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'U') {
		if (yych <= 'F') {
			if (yych == ')') goto yy108;
			if (yych <= '@') goto yy18;
			goto yy109;
		} else {
			if (yych <= 'O') {
				if (yych <= 'G') goto yy110;
				goto yy109;
			} else {
				if (yych <= 'P') goto yy111;
				if (yych <= 'T') goto yy109;
				goto yy112;
			}
		}
	} else {
		if (yych <= 'o') {
			if (yych <= '`') {
				if (yych <= 'Z') goto yy109;
				goto yy18;
			} else {
				if (yych == 'g') goto yy110;
				goto yy109;
			}
		} else {
			if (yych <= 't') {
				if (yych <= 'p') goto yy111;
				goto yy109;
			} else {
				if (yych <= 'u') goto yy112;
				if (yych <= 'z') goto yy109;
				goto yy18;
			}
		}
	}
yy39:
	YYDEBUG(39, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'A') {
		if (yych == ')') goto yy108;
		if (yych <= '@') goto yy18;
		goto yy117;
	} else {
		if (yych <= '`') {
			if (yych <= 'Z') goto yy109;
			goto yy18;
		} else {
			if (yych <= 'a') goto yy117;
			if (yych <= 'z') goto yy109;
			goto yy18;
		}
	}
yy40:
	YYDEBUG(40, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '@') {
		if (yych == ')') goto yy108;
		goto yy18;
	} else {
		if (yych <= 'Z') goto yy109;
		if (yych <= '`') goto yy18;
		if (yych <= 'z') goto yy109;
		goto yy18;
	}
yy41:
	YYDEBUG(41, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'E') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'D') goto yy109;
			goto yy119;
		}
	} else {
		if (yych <= 'd') {
			if (yych <= 'Z') goto yy109;
			if (yych <= '`') goto yy18;
			goto yy109;
		} else {
			if (yych <= 'e') goto yy119;
			if (yych <= 'z') goto yy109;
			goto yy18;
		}
	}
yy42:
	YYDEBUG(42, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'L') {
		if (yych <= '@') {
			if (yych == ')') goto yy108;
			goto yy18;
		} else {
			if (yych == 'I') goto yy121;
			if (yych <= 'K') goto yy109;
			goto yy122;
		}
	} else {
		if (yych <= 'i') {
			if (yych <= 'Z') goto yy109;
			if (yych <= '`') goto yy18;
			if (yych <= 'h') goto yy109;
			goto yy121;
		} else {
			if (yych == 'l') goto yy122;
			if (yych <= 'z') goto yy109;
			goto yy18;
		}
	}
yy43:
	YYDEBUG(43, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'R') {
		if (yych <= 'E') {
			if (yych <= ')') {
				if (yych <= '(') goto yy18;
				goto yy108;
			} else {
				if (yych <= '@') goto yy18;
				if (yych <= 'D') goto yy109;
				goto yy125;
			}
		} else {
			if (yych <= 'N') {
				if (yych == 'I') goto yy126;
				goto yy109;
			} else {
				if (yych <= 'O') goto yy127;
				if (yych <= 'Q') goto yy109;
				goto yy128;
			}
		}
	} else {
		if (yych <= 'i') {
			if (yych <= 'd') {
				if (yych <= 'Z') goto yy109;
				if (yych <= '`') goto yy18;
				goto yy109;
			} else {
				if (yych <= 'e') goto yy125;
				if (yych <= 'h') goto yy109;
				goto yy126;
			}
		} else {
			if (yych <= 'q') {
				if (yych == 'o') goto yy127;
				goto yy109;
			} else {
				if (yych <= 'r') goto yy128;
				if (yych <= 'z') goto yy109;
				goto yy18;
			}
		}
	}
yy44:
	YYDEBUG(44, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'U') {
		if (yych <= '@') {
			if (yych == ')') goto yy108;
			goto yy18;
		} else {
			if (yych <= 'A') goto yy141;
			if (yych <= 'T') goto yy109;
			goto yy142;
		}
	} else {
		if (yych <= 'a') {
			if (yych <= 'Z') goto yy109;
			if (yych <= '`') goto yy18;
			goto yy141;
		} else {
			if (yych == 'u') goto yy142;
			if (yych <= 'z') goto yy109;
			goto yy18;
		}
	}
yy45:
	YYDEBUG(45, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'A') {
		if (yych == ')') goto yy108;
		if (yych <= '@') goto yy18;
		goto yy145;
	} else {
		if (yych <= '`') {
			if (yych <= 'Z') goto yy109;
			goto yy18;
		} else {
			if (yych <= 'a') goto yy145;
			if (yych <= 'z') goto yy109;
			goto yy18;
		}
	}
yy46:
	YYDEBUG(46, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'O') {
		if (yych <= 'A') {
			if (yych == ')') goto yy108;
			if (yych <= '@') goto yy18;
			goto yy147;
		} else {
			if (yych == 'I') goto yy148;
			if (yych <= 'N') goto yy109;
			goto yy149;
		}
	} else {
		if (yych <= 'h') {
			if (yych <= 'Z') goto yy109;
			if (yych <= '`') goto yy18;
			if (yych <= 'a') goto yy147;
			goto yy109;
		} else {
			if (yych <= 'n') {
				if (yych <= 'i') goto yy148;
				goto yy109;
			} else {
				if (yych <= 'o') goto yy149;
				if (yych <= 'z') goto yy109;
				goto yy18;
			}
		}
	}
yy47:
	YYDEBUG(47, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'O') {
		if (yych <= 'D') {
			if (yych == ')') goto yy108;
			if (yych <= '@') goto yy18;
			goto yy109;
		} else {
			if (yych <= 'H') {
				if (yych <= 'E') goto yy153;
				goto yy109;
			} else {
				if (yych <= 'I') goto yy154;
				if (yych <= 'N') goto yy109;
				goto yy155;
			}
		}
	} else {
		if (yych <= 'h') {
			if (yych <= '`') {
				if (yych <= 'Z') goto yy109;
				goto yy18;
			} else {
				if (yych == 'e') goto yy153;
				goto yy109;
			}
		} else {
			if (yych <= 'n') {
				if (yych <= 'i') goto yy154;
				goto yy109;
			} else {
				if (yych <= 'o') goto yy155;
				if (yych <= 'z') goto yy109;
				goto yy18;
			}
		}
	}
yy48:
	YYDEBUG(48, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'C') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'B') goto yy109;
			goto yy159;
		}
	} else {
		if (yych <= 'b') {
			if (yych <= 'Z') goto yy109;
			if (yych <= '`') goto yy18;
			goto yy109;
		} else {
			if (yych <= 'c') goto yy159;
			if (yych <= 'z') goto yy109;
			goto yy18;
		}
	}
yy49:
	YYDEBUG(49, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'R') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'Q') goto yy109;
			goto yy161;
		}
	} else {
		if (yych <= 'q') {
			if (yych <= 'Z') goto yy109;
			if (yych <= '`') goto yy18;
			goto yy109;
		} else {
			if (yych <= 'r') goto yy161;
			if (yych <= 'z') goto yy109;
			goto yy18;
		}
	}
yy50:
	YYDEBUG(50, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'U') {
		if (yych <= 'D') {
			if (yych <= ')') {
				if (yych <= '(') goto yy18;
				goto yy108;
			} else {
				if (yych <= '@') goto yy18;
				if (yych <= 'A') goto yy163;
				goto yy109;
			}
		} else {
			if (yych <= 'H') {
				if (yych <= 'E') goto yy164;
				goto yy109;
			} else {
				if (yych <= 'I') goto yy165;
				if (yych <= 'T') goto yy109;
				goto yy149;
			}
		}
	} else {
		if (yych <= 'e') {
			if (yych <= '`') {
				if (yych <= 'Z') goto yy109;
				goto yy18;
			} else {
				if (yych <= 'a') goto yy163;
				if (yych <= 'd') goto yy109;
				goto yy164;
			}
		} else {
			if (yych <= 't') {
				if (yych == 'i') goto yy165;
				goto yy109;
			} else {
				if (yych <= 'u') goto yy149;
				if (yych <= 'z') goto yy109;
				goto yy18;
			}
		}
	}
yy51:
	YYDEBUG(51, *YYCURSOR);
	yych = *++YYCURSOR;
	switch (yych) {
	case ')':	goto yy108;
	case '0':
	case '1':	goto yy169;
	case '2':	goto yy171;
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy172;
	case 'A':
	case 'B':
	case 'C':
	case 'D':
	case 'F':
	case 'G':
	case 'I':
	case 'J':
	case 'K':
	case 'L':
	case 'M':
	case 'N':
	case 'P':
	case 'Q':
	case 'R':
	case 'S':
	case 'T':
	case 'V':
	case 'X':
	case 'Y':
	case 'Z':
	case 'a':
	case 'b':
	case 'c':
	case 'd':
	case 'f':
	case 'g':
	case 'i':
	case 'j':
	case 'k':
	case 'l':
	case 'm':
	case 'n':
	case 'p':
	case 'q':
	case 'r':
	case 's':
	case 't':
	case 'v':
	case 'x':
	case 'y':
	case 'z':	goto yy109;
	case 'E':
	case 'e':	goto yy154;
	case 'H':
	case 'h':	goto yy173;
	case 'O':
	case 'o':	goto yy174;
	case 'U':
	case 'u':	goto yy175;
	case 'W':
	case 'w':	goto yy176;
	default:	goto yy18;
	}
yy52:
	YYDEBUG(52, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'E') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'D') goto yy109;
			goto yy182;
		}
	} else {
		if (yych <= 'd') {
			if (yych <= 'Z') goto yy109;
			if (yych <= '`') goto yy18;
			goto yy109;
		} else {
			if (yych <= 'e') goto yy182;
			if (yych <= 'z') goto yy109;
			goto yy18;
		}
	}
yy53:
	YYDEBUG(53, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'E') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'D') goto yy109;
			goto yy184;
		}
	} else {
		if (yych <= 'd') {
			if (yych <= 'Z') goto yy109;
			if (yych <= '`') goto yy18;
			goto yy109;
		} else {
			if (yych <= 'e') goto yy184;
			if (yych <= 'z') goto yy109;
			goto yy18;
		}
	}
yy54:
	YYDEBUG(54, *YYCURSOR);
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 24) YYFILL(24);
	yych = *YYCURSOR;
	YYDEBUG(55, *YYCURSOR);
	if (yybm[0+yych] & 2) {
		goto yy54;
	}
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy57;
yy56:
	YYDEBUG(56, *YYCURSOR);
	YYCURSOR = YYMARKER;
	if (yyaccept <= 16) {
		if (yyaccept <= 8) {
			if (yyaccept <= 4) {
				if (yyaccept <= 2) {
					if (yyaccept <= 1) {
						if (yyaccept == 0) {
							goto yy7;
						} else {
							goto yy5;
						}
					} else {
						goto yy18;
					}
				} else {
					if (yyaccept == 3) {
						goto yy77;
					} else {
						goto yy170;
					}
				}
			} else {
				if (yyaccept <= 6) {
					if (yyaccept == 5) {
						goto yy214;
					} else {
						goto yy250;
					}
				} else {
					if (yyaccept == 7) {
						goto yy281;
					} else {
						goto yy279;
					}
				}
			}
		} else {
			if (yyaccept <= 12) {
				if (yyaccept <= 10) {
					if (yyaccept == 9) {
						goto yy301;
					} else {
						goto yy311;
					}
				} else {
					if (yyaccept == 11) {
						goto yy337;
					} else {
						goto yy404;
					}
				}
			} else {
				if (yyaccept <= 14) {
					if (yyaccept == 13) {
						goto yy406;
					} else {
						goto yy508;
					}
				} else {
					if (yyaccept == 15) {
						goto yy548;
					} else {
						goto yy699;
					}
				}
			}
		}
	} else {
		if (yyaccept <= 25) {
			if (yyaccept <= 21) {
				if (yyaccept <= 19) {
					if (yyaccept <= 18) {
						if (yyaccept == 17) {
							goto yy716;
						} else {
							goto yy729;
						}
					} else {
						goto yy754;
					}
				} else {
					if (yyaccept == 20) {
						goto yy822;
					} else {
						goto yy897;
					}
				}
			} else {
				if (yyaccept <= 23) {
					if (yyaccept == 22) {
						goto yy581;
					} else {
						goto yy913;
					}
				} else {
					if (yyaccept == 24) {
						goto yy950;
					} else {
						goto yy991;
					}
				}
			}
		} else {
			if (yyaccept <= 29) {
				if (yyaccept <= 27) {
					if (yyaccept == 26) {
						goto yy1009;
					} else {
						goto yy1014;
					}
				} else {
					if (yyaccept == 28) {
						goto yy1069;
					} else {
						goto yy1107;
					}
				}
			} else {
				if (yyaccept <= 31) {
					if (yyaccept == 30) {
						goto yy1130;
					} else {
						goto yy1133;
					}
				} else {
					if (yyaccept == 32) {
						goto yy1267;
					} else {
						goto yy1309;
					}
				}
			}
		}
	}
yy57:
	YYDEBUG(57, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy187;
	if (yych <= '9') goto yy188;
	goto yy187;
yy58:
	YYDEBUG(58, *YYCURSOR);
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 24) YYFILL(24);
	yych = *YYCURSOR;
	YYDEBUG(59, *YYCURSOR);
	if (yybm[0+yych] & 2) {
		goto yy54;
	}
	if (yych <= ',') {
		if (yych == '+') goto yy58;
		goto yy56;
	} else {
		if (yych <= '-') goto yy58;
		if (yych <= '/') goto yy56;
		if (yych <= '9') goto yy57;
		goto yy56;
	}
yy60:
	YYDEBUG(60, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'W') {
		if (yych <= 'D') {
			if (yych <= ' ') {
				if (yych == '\t') goto yy187;
				if (yych <= 0x1F) goto yy18;
				goto yy187;
			} else {
				if (yych <= '9') {
					if (yych <= '/') goto yy18;
					goto yy193;
				} else {
					if (yych <= ':') goto yy194;
					if (yych <= 'C') goto yy18;
					goto yy187;
				}
			}
		} else {
			if (yych <= 'L') {
				if (yych <= 'F') {
					if (yych <= 'E') goto yy18;
					goto yy187;
				} else {
					if (yych == 'H') goto yy187;
					goto yy18;
				}
			} else {
				if (yych <= 'R') {
					if (yych <= 'M') goto yy187;
					goto yy18;
				} else {
					if (yych == 'V') goto yy18;
					goto yy187;
				}
			}
		}
	} else {
		if (yych <= 'l') {
			if (yych <= 'd') {
				if (yych == 'Y') goto yy187;
				if (yych <= 'c') goto yy18;
				goto yy187;
			} else {
				if (yych <= 'f') {
					if (yych <= 'e') goto yy18;
					goto yy187;
				} else {
					if (yych == 'h') goto yy187;
					goto yy18;
				}
			}
		} else {
			if (yych <= 'w') {
				if (yych <= 'r') {
					if (yych <= 'm') goto yy187;
					goto yy18;
				} else {
					if (yych == 'v') goto yy18;
					goto yy187;
				}
			} else {
				if (yych <= 'y') {
					if (yych <= 'x') goto yy18;
					goto yy187;
				} else {
					if (yych == 0xC2) goto yy187;
					goto yy18;
				}
			}
		}
	}
yy61:
	YYDEBUG(61, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'V') {
		if (yych <= 'C') {
			if (yych <= '/') {
				if (yych <= '\t') {
					if (yych <= 0x08) goto yy18;
					goto yy187;
				} else {
					if (yych == ' ') goto yy187;
					goto yy18;
				}
			} else {
				if (yych <= '5') {
					if (yych <= '4') goto yy193;
					goto yy195;
				} else {
					if (yych <= '9') goto yy196;
					if (yych <= ':') goto yy194;
					goto yy18;
				}
			}
		} else {
			if (yych <= 'H') {
				if (yych <= 'E') {
					if (yych <= 'D') goto yy187;
					goto yy18;
				} else {
					if (yych == 'G') goto yy18;
					goto yy187;
				}
			} else {
				if (yych <= 'M') {
					if (yych <= 'L') goto yy18;
					goto yy187;
				} else {
					if (yych <= 'R') goto yy18;
					if (yych <= 'U') goto yy187;
					goto yy18;
				}
			}
		}
	} else {
		if (yych <= 'l') {
			if (yych <= 'd') {
				if (yych <= 'X') {
					if (yych <= 'W') goto yy187;
					goto yy18;
				} else {
					if (yych <= 'Y') goto yy187;
					if (yych <= 'c') goto yy18;
					goto yy187;
				}
			} else {
				if (yych <= 'f') {
					if (yych <= 'e') goto yy18;
					goto yy187;
				} else {
					if (yych == 'h') goto yy187;
					goto yy18;
				}
			}
		} else {
			if (yych <= 'w') {
				if (yych <= 'r') {
					if (yych <= 'm') goto yy187;
					goto yy18;
				} else {
					if (yych == 'v') goto yy18;
					goto yy187;
				}
			} else {
				if (yych <= 'y') {
					if (yych <= 'x') goto yy18;
					goto yy187;
				} else {
					if (yych == 0xC2) goto yy187;
					goto yy18;
				}
			}
		}
	}
yy62:
	YYDEBUG(62, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'V') {
		if (yych <= 'C') {
			if (yych <= ' ') {
				if (yych == '\t') goto yy187;
				if (yych <= 0x1F) goto yy18;
				goto yy187;
			} else {
				if (yych <= '5') {
					if (yych <= '/') goto yy18;
					goto yy195;
				} else {
					if (yych <= '9') goto yy196;
					if (yych <= ':') goto yy194;
					goto yy18;
				}
			}
		} else {
			if (yych <= 'H') {
				if (yych <= 'E') {
					if (yych <= 'D') goto yy187;
					goto yy18;
				} else {
					if (yych == 'G') goto yy18;
					goto yy187;
				}
			} else {
				if (yych <= 'M') {
					if (yych <= 'L') goto yy18;
					goto yy187;
				} else {
					if (yych <= 'R') goto yy18;
					if (yych <= 'U') goto yy187;
					goto yy18;
				}
			}
		}
	} else {
		if (yych <= 'l') {
			if (yych <= 'd') {
				if (yych <= 'X') {
					if (yych <= 'W') goto yy187;
					goto yy18;
				} else {
					if (yych <= 'Y') goto yy187;
					if (yych <= 'c') goto yy18;
					goto yy187;
				}
			} else {
				if (yych <= 'f') {
					if (yych <= 'e') goto yy18;
					goto yy187;
				} else {
					if (yych == 'h') goto yy187;
					goto yy18;
				}
			}
		} else {
			if (yych <= 'w') {
				if (yych <= 'r') {
					if (yych <= 'm') goto yy187;
					goto yy18;
				} else {
					if (yych == 'v') goto yy18;
					goto yy187;
				}
			} else {
				if (yych <= 'y') {
					if (yych <= 'x') goto yy18;
					goto yy187;
				} else {
					if (yych == 0xC2) goto yy187;
					goto yy18;
				}
			}
		}
	}
yy63:
	YYDEBUG(63, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy65;
	if (yych <= '0') goto yy199;
	if (yych <= '1') goto yy200;
	if (yych <= '9') goto yy201;
	goto yy65;
yy64:
	YYDEBUG(64, *YYCURSOR);
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 13) YYFILL(13);
	yych = *YYCURSOR;
yy65:
	YYDEBUG(65, *YYCURSOR);
	if (yych <= 'W') {
		if (yych <= 'G') {
			if (yych <= '.') {
				if (yych <= 0x1F) {
					if (yych == '\t') goto yy64;
					goto yy56;
				} else {
					if (yych <= ' ') goto yy64;
					if (yych <= ',') goto yy56;
					goto yy197;
				}
			} else {
				if (yych <= 'C') {
					if (yych == 'A') goto yy72;
					goto yy56;
				} else {
					if (yych <= 'D') goto yy73;
					if (yych == 'F') goto yy74;
					goto yy56;
				}
			}
		} else {
			if (yych <= 'N') {
				if (yych <= 'J') {
					if (yych <= 'H') goto yy75;
					if (yych <= 'I') goto yy76;
					goto yy78;
				} else {
					if (yych <= 'L') goto yy56;
					if (yych <= 'M') goto yy79;
					goto yy80;
				}
			} else {
				if (yych <= 'S') {
					if (yych <= 'O') goto yy81;
					if (yych <= 'R') goto yy56;
					goto yy82;
				} else {
					if (yych <= 'T') goto yy83;
					if (yych <= 'U') goto yy84;
					if (yych <= 'V') goto yy85;
					goto yy86;
				}
			}
		}
	} else {
		if (yych <= 'l') {
			if (yych <= 'd') {
				if (yych <= '`') {
					if (yych <= 'X') goto yy87;
					if (yych <= 'Y') goto yy88;
					goto yy56;
				} else {
					if (yych <= 'a') goto yy72;
					if (yych <= 'c') goto yy56;
					goto yy73;
				}
			} else {
				if (yych <= 'g') {
					if (yych == 'f') goto yy74;
					goto yy56;
				} else {
					if (yych <= 'h') goto yy75;
					if (yych == 'j') goto yy78;
					goto yy56;
				}
			}
		} else {
			if (yych <= 'u') {
				if (yych <= 'o') {
					if (yych <= 'm') goto yy79;
					if (yych <= 'n') goto yy80;
					goto yy81;
				} else {
					if (yych <= 'r') goto yy56;
					if (yych <= 's') goto yy82;
					if (yych <= 't') goto yy83;
					goto yy84;
				}
			} else {
				if (yych <= 'x') {
					if (yych == 'w') goto yy86;
					goto yy56;
				} else {
					if (yych <= 'y') goto yy88;
					if (yych == 0xC2) goto yy93;
					goto yy56;
				}
			}
		}
	}
yy66:
	YYDEBUG(66, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy198;
	if (yych <= '0') goto yy202;
	if (yych <= '1') goto yy203;
	if (yych <= '9') goto yy204;
	goto yy198;
yy67:
	YYDEBUG(67, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '1') {
		if (yych <= '/') goto yy198;
		if (yych <= '0') goto yy209;
		goto yy210;
	} else {
		if (yych <= '5') goto yy211;
		if (yych <= '9') goto yy212;
		goto yy198;
	}
yy68:
	YYDEBUG(68, *YYCURSOR);
	yych = *++YYCURSOR;
	switch (yych) {
	case '0':
	case '1':
	case '2':	goto yy213;
	case '3':	goto yy215;
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy216;
	case 'A':
	case 'a':	goto yy217;
	case 'D':
	case 'd':	goto yy218;
	case 'F':
	case 'f':	goto yy219;
	case 'J':
	case 'j':	goto yy220;
	case 'M':
	case 'm':	goto yy221;
	case 'N':
	case 'n':	goto yy222;
	case 'O':
	case 'o':	goto yy223;
	case 'S':
	case 's':	goto yy224;
	default:	goto yy56;
	}
yy69:
	YYDEBUG(69, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '9') {
		if (yych <= '-') {
			if (yych == '\t') goto yy63;
			if (yych <= ',') goto yy65;
			goto yy225;
		} else {
			if (yych <= '.') goto yy67;
			if (yych <= '/') goto yy68;
			if (yych <= '5') goto yy226;
			goto yy227;
		}
	} else {
		if (yych <= 'q') {
			if (yych <= ':') goto yy71;
			if (yych == 'n') goto yy89;
			goto yy65;
		} else {
			if (yych <= 'r') goto yy90;
			if (yych <= 's') goto yy91;
			if (yych <= 't') goto yy92;
			goto yy65;
		}
	}
yy70:
	YYDEBUG(70, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '9') {
		if (yych <= '-') {
			if (yych == '\t') goto yy94;
			if (yych <= ',') goto yy96;
			goto yy225;
		} else {
			if (yych <= '.') goto yy97;
			if (yych <= '/') goto yy68;
			if (yych <= '5') goto yy226;
			goto yy227;
		}
	} else {
		if (yych <= 'q') {
			if (yych <= ':') goto yy99;
			if (yych == 'n') goto yy89;
			goto yy96;
		} else {
			if (yych <= 'r') goto yy90;
			if (yych <= 's') goto yy91;
			if (yych <= 't') goto yy92;
			goto yy96;
		}
	}
yy71:
	YYDEBUG(71, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '5') goto yy228;
	if (yych <= '9') goto yy229;
	goto yy56;
yy72:
	YYDEBUG(72, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'U') {
		if (yych == 'P') goto yy230;
		if (yych <= 'T') goto yy56;
		goto yy231;
	} else {
		if (yych <= 'p') {
			if (yych <= 'o') goto yy56;
			goto yy230;
		} else {
			if (yych == 'u') goto yy231;
			goto yy56;
		}
	}
yy73:
	YYDEBUG(73, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'E') {
		if (yych == 'A') goto yy232;
		if (yych <= 'D') goto yy56;
		goto yy233;
	} else {
		if (yych <= 'a') {
			if (yych <= '`') goto yy56;
			goto yy232;
		} else {
			if (yych == 'e') goto yy233;
			goto yy56;
		}
	}
yy74:
	YYDEBUG(74, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'R') {
		if (yych <= 'N') {
			if (yych == 'E') goto yy234;
			goto yy56;
		} else {
			if (yych <= 'O') goto yy235;
			if (yych <= 'Q') goto yy56;
			goto yy236;
		}
	} else {
		if (yych <= 'n') {
			if (yych == 'e') goto yy234;
			goto yy56;
		} else {
			if (yych <= 'o') goto yy235;
			if (yych == 'r') goto yy236;
			goto yy56;
		}
	}
yy75:
	YYDEBUG(75, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'O') goto yy237;
	if (yych == 'o') goto yy237;
	goto yy56;
yy76:
	YYDEBUG(76, *YYCURSOR);
	yyaccept = 3;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy238;
		} else {
			if (yych <= ' ') goto yy238;
			if (yych <= ',') goto yy77;
			if (yych <= '.') goto yy238;
		}
	} else {
		if (yych <= 'U') {
			if (yych <= '9') goto yy240;
			if (yych == 'I') goto yy242;
		} else {
			if (yych == 'W') goto yy77;
			if (yych <= 'X') goto yy243;
		}
	}
yy77:
	YYDEBUG(77, *YYCURSOR);
#line 1600 "parse_date.re"
	{
		DEBUG_OUTPUT("datenoyearrev");
		TIMELIB_INIT;
		TIMELIB_HAVE_DATE();
		s->time->d = timelib_get_nr(&ptr, 2);
		timelib_skip_day_suffix(&ptr);
		s->time->m = timelib_get_month(&ptr);
		TIMELIB_DEINIT;
		return TIMELIB_DATE_TEXT;
	}
#line 3443 "<stdout>"
yy78:
	YYDEBUG(78, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'U') {
		if (yych == 'A') goto yy244;
		if (yych <= 'T') goto yy56;
		goto yy245;
	} else {
		if (yych <= 'a') {
			if (yych <= '`') goto yy56;
			goto yy244;
		} else {
			if (yych == 'u') goto yy245;
			goto yy56;
		}
	}
yy79:
	YYDEBUG(79, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'S') {
		if (yych <= 'I') {
			if (yych == 'A') goto yy246;
			if (yych <= 'H') goto yy56;
			goto yy247;
		} else {
			if (yych == 'O') goto yy248;
			if (yych <= 'R') goto yy56;
			goto yy249;
		}
	} else {
		if (yych <= 'i') {
			if (yych == 'a') goto yy246;
			if (yych <= 'h') goto yy56;
			goto yy247;
		} else {
			if (yych <= 'o') {
				if (yych <= 'n') goto yy56;
				goto yy248;
			} else {
				if (yych == 's') goto yy249;
				goto yy56;
			}
		}
	}
yy80:
	YYDEBUG(80, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'O') goto yy251;
	if (yych == 'o') goto yy251;
	goto yy56;
yy81:
	YYDEBUG(81, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'C') goto yy252;
	if (yych == 'c') goto yy252;
	goto yy56;
yy82:
	YYDEBUG(82, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'U') {
		if (yych <= 'D') {
			if (yych == 'A') goto yy253;
			goto yy56;
		} else {
			if (yych <= 'E') goto yy254;
			if (yych <= 'T') goto yy56;
			goto yy255;
		}
	} else {
		if (yych <= 'd') {
			if (yych == 'a') goto yy253;
			goto yy56;
		} else {
			if (yych <= 'e') goto yy254;
			if (yych == 'u') goto yy255;
			goto yy56;
		}
	}
yy83:
	YYDEBUG(83, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'U') {
		if (yych == 'H') goto yy256;
		if (yych <= 'T') goto yy56;
		goto yy257;
	} else {
		if (yych <= 'h') {
			if (yych <= 'g') goto yy56;
			goto yy256;
		} else {
			if (yych == 'u') goto yy257;
			goto yy56;
		}
	}
yy84:
	YYDEBUG(84, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'S') goto yy258;
	if (yych == 's') goto yy258;
	goto yy56;
yy85:
	YYDEBUG(85, *YYCURSOR);
	yyaccept = 3;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= ',') {
		if (yych <= '\t') {
			if (yych <= 0x08) goto yy77;
			goto yy238;
		} else {
			if (yych == ' ') goto yy238;
			goto yy77;
		}
	} else {
		if (yych <= '9') {
			if (yych <= '.') goto yy238;
			if (yych <= '/') goto yy77;
			goto yy240;
		} else {
			if (yych == 'I') goto yy87;
			goto yy77;
		}
	}
yy86:
	YYDEBUG(86, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'E') goto yy259;
	if (yych == 'e') goto yy259;
	goto yy56;
yy87:
	YYDEBUG(87, *YYCURSOR);
	yyaccept = 3;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= ',') {
		if (yych <= '\t') {
			if (yych <= 0x08) goto yy77;
			goto yy238;
		} else {
			if (yych == ' ') goto yy238;
			goto yy77;
		}
	} else {
		if (yych <= '9') {
			if (yych <= '.') goto yy238;
			if (yych <= '/') goto yy77;
			goto yy240;
		} else {
			if (yych == 'I') goto yy242;
			goto yy77;
		}
	}
yy88:
	YYDEBUG(88, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'E') goto yy260;
	if (yych == 'e') goto yy260;
	goto yy56;
yy89:
	YYDEBUG(89, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'c') {
		if (yych == 'O') goto yy251;
		goto yy56;
	} else {
		if (yych <= 'd') goto yy261;
		if (yych == 'o') goto yy251;
		goto yy56;
	}
yy90:
	YYDEBUG(90, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'd') goto yy261;
	goto yy56;
yy91:
	YYDEBUG(91, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '`') {
		if (yych <= 'D') {
			if (yych == 'A') goto yy253;
			goto yy56;
		} else {
			if (yych <= 'E') goto yy254;
			if (yych == 'U') goto yy255;
			goto yy56;
		}
	} else {
		if (yych <= 'e') {
			if (yych <= 'a') goto yy253;
			if (yych <= 'd') goto yy56;
			goto yy254;
		} else {
			if (yych <= 's') goto yy56;
			if (yych <= 't') goto yy261;
			if (yych <= 'u') goto yy255;
			goto yy56;
		}
	}
yy92:
	YYDEBUG(92, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'U') {
		if (yych == 'H') goto yy256;
		if (yych <= 'T') goto yy56;
		goto yy257;
	} else {
		if (yych <= 'h') {
			if (yych <= 'g') goto yy56;
			goto yy262;
		} else {
			if (yych == 'u') goto yy257;
			goto yy56;
		}
	}
yy93:
	YYDEBUG(93, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 0xB5) goto yy263;
	goto yy56;
yy94:
	YYDEBUG(94, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy96;
	if (yych <= '0') goto yy199;
	if (yych <= '1') goto yy200;
	if (yych <= '9') goto yy201;
	goto yy96;
yy95:
	YYDEBUG(95, *YYCURSOR);
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 13) YYFILL(13);
	yych = *YYCURSOR;
yy96:
	YYDEBUG(96, *YYCURSOR);
	if (yych <= 'W') {
		if (yych <= 'G') {
			if (yych <= '.') {
				if (yych <= 0x1F) {
					if (yych == '\t') goto yy95;
					goto yy56;
				} else {
					if (yych <= ' ') goto yy95;
					if (yych <= ',') goto yy56;
					goto yy197;
				}
			} else {
				if (yych <= 'C') {
					if (yych == 'A') goto yy100;
					goto yy56;
				} else {
					if (yych <= 'D') goto yy73;
					if (yych == 'F') goto yy74;
					goto yy56;
				}
			}
		} else {
			if (yych <= 'O') {
				if (yych <= 'J') {
					if (yych <= 'H') goto yy75;
					if (yych <= 'I') goto yy76;
					goto yy78;
				} else {
					if (yych <= 'L') goto yy56;
					if (yych <= 'M') goto yy79;
					if (yych <= 'N') goto yy80;
					goto yy81;
				}
			} else {
				if (yych <= 'S') {
					if (yych <= 'P') goto yy101;
					if (yych <= 'R') goto yy56;
					goto yy82;
				} else {
					if (yych <= 'T') goto yy83;
					if (yych <= 'U') goto yy84;
					if (yych <= 'V') goto yy85;
					goto yy86;
				}
			}
		}
	} else {
		if (yych <= 'm') {
			if (yych <= 'e') {
				if (yych <= '`') {
					if (yych <= 'X') goto yy87;
					if (yych <= 'Y') goto yy88;
					goto yy56;
				} else {
					if (yych <= 'a') goto yy100;
					if (yych == 'd') goto yy73;
					goto yy56;
				}
			} else {
				if (yych <= 'h') {
					if (yych <= 'f') goto yy74;
					if (yych <= 'g') goto yy56;
					goto yy75;
				} else {
					if (yych == 'j') goto yy78;
					if (yych <= 'l') goto yy56;
					goto yy79;
				}
			}
		} else {
			if (yych <= 'u') {
				if (yych <= 'p') {
					if (yych <= 'n') goto yy80;
					if (yych <= 'o') goto yy81;
					goto yy101;
				} else {
					if (yych <= 'r') goto yy56;
					if (yych <= 's') goto yy82;
					if (yych <= 't') goto yy83;
					goto yy84;
				}
			} else {
				if (yych <= 'x') {
					if (yych == 'w') goto yy86;
					goto yy56;
				} else {
					if (yych <= 'y') goto yy88;
					if (yych == 0xC2) goto yy93;
					goto yy56;
				}
			}
		}
	}
yy97:
	YYDEBUG(97, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '1') {
		if (yych <= '/') goto yy198;
		if (yych <= '0') goto yy264;
		goto yy265;
	} else {
		if (yych <= '5') goto yy266;
		if (yych <= '9') goto yy267;
		goto yy198;
	}
yy98:
	YYDEBUG(98, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '9') {
		if (yych <= '-') {
			if (yych == '\t') goto yy63;
			if (yych <= ',') goto yy65;
			goto yy225;
		} else {
			if (yych <= '.') goto yy67;
			if (yych <= '/') goto yy268;
			if (yych <= '5') goto yy226;
			goto yy227;
		}
	} else {
		if (yych <= 'q') {
			if (yych <= ':') goto yy71;
			if (yych == 'n') goto yy89;
			goto yy65;
		} else {
			if (yych <= 'r') goto yy90;
			if (yych <= 's') goto yy91;
			if (yych <= 't') goto yy92;
			goto yy65;
		}
	}
yy99:
	YYDEBUG(99, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '5') goto yy269;
	if (yych <= '9') goto yy270;
	goto yy56;
yy100:
	YYDEBUG(100, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'T') {
		if (yych <= 'L') {
			if (yych == '.') goto yy271;
			goto yy56;
		} else {
			if (yych <= 'M') goto yy272;
			if (yych == 'P') goto yy230;
			goto yy56;
		}
	} else {
		if (yych <= 'o') {
			if (yych <= 'U') goto yy231;
			if (yych == 'm') goto yy272;
			goto yy56;
		} else {
			if (yych <= 'p') goto yy230;
			if (yych == 'u') goto yy231;
			goto yy56;
		}
	}
yy101:
	YYDEBUG(101, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'L') {
		if (yych == '.') goto yy271;
		goto yy56;
	} else {
		if (yych <= 'M') goto yy272;
		if (yych == 'm') goto yy272;
		goto yy56;
	}
yy102:
	YYDEBUG(102, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '9') {
		if (yych <= ',') {
			if (yych == '\t') goto yy63;
			goto yy65;
		} else {
			if (yych <= '-') goto yy225;
			if (yych <= '.') goto yy273;
			if (yych <= '/') goto yy268;
			goto yy227;
		}
	} else {
		if (yych <= 'q') {
			if (yych == 'n') goto yy89;
			goto yy65;
		} else {
			if (yych <= 'r') goto yy90;
			if (yych <= 's') goto yy91;
			if (yych <= 't') goto yy92;
			goto yy65;
		}
	}
yy103:
	YYDEBUG(103, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '-') goto yy274;
	if (yych <= '/') goto yy187;
	if (yych <= '9') goto yy227;
	goto yy187;
yy104:
	YYDEBUG(104, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yybm[0+yych] & 8) {
		goto yy105;
	}
	goto yy56;
yy105:
	YYDEBUG(105, *YYCURSOR);
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 7) YYFILL(7);
	yych = *YYCURSOR;
	YYDEBUG(106, *YYCURSOR);
	if (yybm[0+yych] & 8) {
		goto yy105;
	}
	if (yych == '.') goto yy275;
	YYDEBUG(107, *YYCURSOR);
#line 1175 "parse_date.re"
	{
		timelib_ull i;

		TIMELIB_INIT;
		TIMELIB_HAVE_RELATIVE();
		TIMELIB_UNHAVE_DATE();
		TIMELIB_UNHAVE_TIME();
		TIMELIB_HAVE_TZ();

		i = timelib_get_signed_nr(s, &ptr, 24);
		s->time->y = 1970;
		s->time->m = 1;
		s->time->d = 1;
		s->time->h = s->time->i = s->time->s = 0;
		s->time->us = 0;
		s->time->relative.s += i;
		s->time->is_localtime = 1;
		s->time->zone_type = TIMELIB_ZONETYPE_OFFSET;
		s->time->z = 0;
		s->time->dst = 0;

		TIMELIB_DEINIT;
		return TIMELIB_RELATIVE;
	}
#line 3922 "<stdout>"
yy108:
	YYDEBUG(108, *YYCURSOR);
	++YYCURSOR;
	goto yy18;
yy109:
	YYDEBUG(109, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '@') {
		if (yych == ')') goto yy108;
		goto yy18;
	} else {
		if (yych <= 'Z') goto yy277;
		if (yych <= '`') goto yy18;
		if (yych <= 'z') goto yy277;
		goto yy18;
	}
yy110:
	YYDEBUG(110, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'O') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'N') goto yy277;
			goto yy278;
		}
	} else {
		if (yych <= 'n') {
			if (yych <= 'Z') goto yy277;
			if (yych <= '`') goto yy18;
			goto yy277;
		} else {
			if (yych <= 'o') goto yy278;
			if (yych <= 'z') goto yy277;
			goto yy18;
		}
	}
yy111:
	YYDEBUG(111, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'R') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'Q') goto yy277;
			goto yy280;
		}
	} else {
		if (yych <= 'q') {
			if (yych <= 'Z') goto yy277;
			if (yych <= '`') goto yy18;
			goto yy277;
		} else {
			if (yych <= 'r') goto yy280;
			if (yych <= 'z') goto yy277;
			goto yy18;
		}
	}
yy112:
	YYDEBUG(112, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'G') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'F') goto yy277;
			goto yy282;
		}
	} else {
		if (yych <= 'f') {
			if (yych <= 'Z') goto yy277;
			if (yych <= '`') goto yy18;
			goto yy277;
		} else {
			if (yych <= 'g') goto yy282;
			if (yych <= 'z') goto yy277;
			goto yy18;
		}
	}
yy113:
	YYDEBUG(113, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych <= ',') {
			if (yych == ')') goto yy108;
			goto yy18;
		} else {
			if (yych == '.') goto yy18;
			goto yy283;
		}
	} else {
		if (yych <= '^') {
			if (yych <= '@') goto yy18;
			if (yych <= 'Z') goto yy277;
			goto yy18;
		} else {
			if (yych <= '_') goto yy283;
			if (yych <= '`') goto yy18;
			if (yych <= 'z') goto yy284;
			goto yy18;
		}
	}
yy114:
	YYDEBUG(114, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'N') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy277;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'O') goto yy278;
			if (yych <= 'Z') goto yy277;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'n') {
				if (yych <= '`') goto yy18;
				goto yy284;
			} else {
				if (yych <= 'o') goto yy285;
				if (yych <= 'z') goto yy284;
				goto yy18;
			}
		}
	}
yy115:
	YYDEBUG(115, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'Q') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy277;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'R') goto yy280;
			if (yych <= 'Z') goto yy277;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'q') {
				if (yych <= '`') goto yy18;
				goto yy284;
			} else {
				if (yych <= 'r') goto yy286;
				if (yych <= 'z') goto yy284;
				goto yy18;
			}
		}
	}
yy116:
	YYDEBUG(116, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'F') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy277;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'G') goto yy282;
			if (yych <= 'Z') goto yy277;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'f') {
				if (yych <= '`') goto yy18;
				goto yy284;
			} else {
				if (yych <= 'g') goto yy287;
				if (yych <= 'z') goto yy284;
				goto yy18;
			}
		}
	}
yy117:
	YYDEBUG(117, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'C') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'B') goto yy277;
			goto yy288;
		}
	} else {
		if (yych <= 'b') {
			if (yych <= 'Z') goto yy277;
			if (yych <= '`') goto yy18;
			goto yy277;
		} else {
			if (yych <= 'c') goto yy288;
			if (yych <= 'z') goto yy277;
			goto yy18;
		}
	}
yy118:
	YYDEBUG(118, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'B') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy277;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'C') goto yy288;
			if (yych <= 'Z') goto yy277;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'b') {
				if (yych <= '`') goto yy18;
				goto yy284;
			} else {
				if (yych <= 'c') goto yy289;
				if (yych <= 'z') goto yy284;
				goto yy18;
			}
		}
	}
yy119:
	YYDEBUG(119, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'C') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'B') goto yy277;
			goto yy290;
		}
	} else {
		if (yych <= 'b') {
			if (yych <= 'Z') goto yy277;
			if (yych <= '`') goto yy18;
			goto yy277;
		} else {
			if (yych <= 'c') goto yy290;
			if (yych <= 'z') goto yy277;
			goto yy18;
		}
	}
yy120:
	YYDEBUG(120, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'B') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy277;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'C') goto yy290;
			if (yych <= 'Z') goto yy277;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'b') {
				if (yych <= '`') goto yy18;
				goto yy284;
			} else {
				if (yych <= 'c') goto yy291;
				if (yych <= 'z') goto yy284;
				goto yy18;
			}
		}
	}
yy121:
	YYDEBUG(121, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'G') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'F') goto yy277;
			goto yy292;
		}
	} else {
		if (yych <= 'f') {
			if (yych <= 'Z') goto yy277;
			if (yych <= '`') goto yy18;
			goto yy277;
		} else {
			if (yych <= 'g') goto yy292;
			if (yych <= 'z') goto yy277;
			goto yy18;
		}
	}
yy122:
	YYDEBUG(122, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'E') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'D') goto yy277;
			goto yy293;
		}
	} else {
		if (yych <= 'd') {
			if (yych <= 'Z') goto yy277;
			if (yych <= '`') goto yy18;
			goto yy277;
		} else {
			if (yych <= 'e') goto yy293;
			if (yych <= 'z') goto yy277;
			goto yy18;
		}
	}
yy123:
	YYDEBUG(123, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'F') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy277;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'G') goto yy292;
			if (yych <= 'Z') goto yy277;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'f') {
				if (yych <= '`') goto yy18;
				goto yy284;
			} else {
				if (yych <= 'g') goto yy294;
				if (yych <= 'z') goto yy284;
				goto yy18;
			}
		}
	}
yy124:
	YYDEBUG(124, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'D') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy277;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'E') goto yy293;
			if (yych <= 'Z') goto yy277;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'd') {
				if (yych <= '`') goto yy18;
				goto yy284;
			} else {
				if (yych <= 'e') goto yy295;
				if (yych <= 'z') goto yy284;
				goto yy18;
			}
		}
	}
yy125:
	YYDEBUG(125, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'B') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'A') goto yy277;
			goto yy296;
		}
	} else {
		if (yych <= 'a') {
			if (yych <= 'Z') goto yy277;
			if (yych <= '`') goto yy18;
			goto yy277;
		} else {
			if (yych <= 'b') goto yy296;
			if (yych <= 'z') goto yy277;
			goto yy18;
		}
	}
yy126:
	YYDEBUG(126, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'R') {
		if (yych <= '@') {
			if (yych == ')') goto yy108;
			goto yy18;
		} else {
			if (yych == 'F') goto yy297;
			if (yych <= 'Q') goto yy277;
			goto yy298;
		}
	} else {
		if (yych <= 'f') {
			if (yych <= 'Z') goto yy277;
			if (yych <= '`') goto yy18;
			if (yych <= 'e') goto yy277;
			goto yy297;
		} else {
			if (yych == 'r') goto yy298;
			if (yych <= 'z') goto yy277;
			goto yy18;
		}
	}
yy127:
	YYDEBUG(127, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'U') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'T') goto yy277;
			goto yy299;
		}
	} else {
		if (yych <= 't') {
			if (yych <= 'Z') goto yy277;
			if (yych <= '`') goto yy18;
			goto yy277;
		} else {
			if (yych <= 'u') goto yy299;
			if (yych <= 'z') goto yy277;
			goto yy18;
		}
	}
yy128:
	YYDEBUG(128, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'O') {
		if (yych <= '@') {
			if (yych == ')') goto yy108;
			goto yy18;
		} else {
			if (yych == 'I') goto yy300;
			if (yych <= 'N') goto yy277;
			goto yy302;
		}
	} else {
		if (yych <= 'i') {
			if (yych <= 'Z') goto yy277;
			if (yych <= '`') goto yy18;
			if (yych <= 'h') goto yy277;
			goto yy300;
		} else {
			if (yych == 'o') goto yy302;
			if (yych <= 'z') goto yy277;
			goto yy18;
		}
	}
yy129:
	YYDEBUG(129, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'A') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy277;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'B') goto yy296;
			if (yych <= 'Z') goto yy277;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'a') {
				if (yych <= '`') goto yy18;
				goto yy284;
			} else {
				if (yych <= 'b') goto yy303;
				if (yych <= 'z') goto yy284;
				goto yy18;
			}
		}
	}
yy130:
	YYDEBUG(130, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'Q') {
		if (yych <= '.') {
			if (yych <= ')') {
				if (yych <= '(') goto yy18;
				goto yy108;
			} else {
				if (yych == '-') goto yy283;
				goto yy18;
			}
		} else {
			if (yych <= '@') {
				if (yych <= '/') goto yy283;
				goto yy18;
			} else {
				if (yych == 'F') goto yy297;
				goto yy277;
			}
		}
	} else {
		if (yych <= '`') {
			if (yych <= 'Z') {
				if (yych <= 'R') goto yy298;
				goto yy277;
			} else {
				if (yych == '_') goto yy283;
				goto yy18;
			}
		} else {
			if (yych <= 'q') {
				if (yych == 'f') goto yy304;
				goto yy284;
			} else {
				if (yych <= 'r') goto yy305;
				if (yych <= 'z') goto yy284;
				goto yy18;
			}
		}
	}
yy131:
	YYDEBUG(131, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'T') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy277;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'U') goto yy299;
			if (yych <= 'Z') goto yy277;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 't') {
				if (yych <= '`') goto yy18;
				goto yy284;
			} else {
				if (yych <= 'u') goto yy306;
				if (yych <= 'z') goto yy284;
				goto yy18;
			}
		}
	}
yy132:
	YYDEBUG(132, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'N') {
		if (yych <= '.') {
			if (yych <= ')') {
				if (yych <= '(') goto yy18;
				goto yy108;
			} else {
				if (yych == '-') goto yy283;
				goto yy18;
			}
		} else {
			if (yych <= '@') {
				if (yych <= '/') goto yy283;
				goto yy18;
			} else {
				if (yych == 'I') goto yy300;
				goto yy277;
			}
		}
	} else {
		if (yych <= '`') {
			if (yych <= 'Z') {
				if (yych <= 'O') goto yy302;
				goto yy277;
			} else {
				if (yych == '_') goto yy283;
				goto yy18;
			}
		} else {
			if (yych <= 'n') {
				if (yych == 'i') goto yy307;
				goto yy284;
			} else {
				if (yych <= 'o') goto yy308;
				if (yych <= 'z') goto yy284;
				goto yy18;
			}
		}
	}
yy133:
	YYDEBUG(133, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'S') {
		if (yych == ')') goto yy108;
		if (yych <= '@') goto yy18;
		goto yy277;
	} else {
		if (yych <= 'Z') {
			if (yych <= 'T') goto yy309;
			goto yy277;
		} else {
			if (yych <= '`') goto yy18;
			if (yych <= 'z') goto yy277;
			goto yy18;
		}
	}
yy134:
	YYDEBUG(134, *YYCURSOR);
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 26) YYFILL(26);
	yych = *YYCURSOR;
yy135:
	YYDEBUG(135, *YYCURSOR);
	if (yybm[0+yych] & 16) {
		goto yy134;
	}
	if (yych <= '/') goto yy56;
	if (yych <= '2') goto yy136;
	if (yych <= '3') goto yy137;
	if (yych <= '9') goto yy138;
	goto yy56;
yy136:
	YYDEBUG(136, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '9') {
		if (yych <= ' ') {
			if (yych <= 0x08) {
				if (yych <= 0x00) goto yy310;
				goto yy56;
			} else {
				if (yych <= '\t') goto yy312;
				if (yych <= 0x1F) goto yy56;
				goto yy312;
			}
		} else {
			if (yych <= '-') {
				if (yych == ',') goto yy312;
				goto yy56;
			} else {
				if (yych <= '.') goto yy312;
				if (yych <= '/') goto yy56;
				goto yy314;
			}
		}
	} else {
		if (yych <= 'm') {
			if (yych <= 'd') {
				if (yych <= 'c') goto yy56;
				goto yy312;
			} else {
				if (yych == 'h') goto yy312;
				goto yy56;
			}
		} else {
			if (yych <= 'r') {
				if (yych <= 'n') goto yy315;
				if (yych <= 'q') goto yy56;
				goto yy315;
			} else {
				if (yych <= 's') goto yy316;
				if (yych <= 't') goto yy317;
				goto yy56;
			}
		}
	}
yy137:
	YYDEBUG(137, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '1') {
		if (yych <= ' ') {
			if (yych <= 0x08) {
				if (yych <= 0x00) goto yy310;
				goto yy56;
			} else {
				if (yych <= '\t') goto yy312;
				if (yych <= 0x1F) goto yy56;
				goto yy312;
			}
		} else {
			if (yych <= '-') {
				if (yych == ',') goto yy312;
				goto yy56;
			} else {
				if (yych <= '.') goto yy312;
				if (yych <= '/') goto yy56;
				goto yy314;
			}
		}
	} else {
		if (yych <= 'm') {
			if (yych <= 'd') {
				if (yych <= '9') goto yy318;
				if (yych <= 'c') goto yy56;
				goto yy312;
			} else {
				if (yych == 'h') goto yy312;
				goto yy56;
			}
		} else {
			if (yych <= 'r') {
				if (yych <= 'n') goto yy315;
				if (yych <= 'q') goto yy56;
				goto yy315;
			} else {
				if (yych <= 's') goto yy316;
				if (yych <= 't') goto yy317;
				goto yy56;
			}
		}
	}
yy138:
	YYDEBUG(138, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '9') {
		if (yych <= ' ') {
			if (yych <= 0x08) {
				if (yych <= 0x00) goto yy310;
				goto yy56;
			} else {
				if (yych <= '\t') goto yy312;
				if (yych <= 0x1F) goto yy56;
				goto yy312;
			}
		} else {
			if (yych <= '-') {
				if (yych == ',') goto yy312;
				goto yy56;
			} else {
				if (yych <= '.') goto yy312;
				if (yych <= '/') goto yy56;
				goto yy318;
			}
		}
	} else {
		if (yych <= 'm') {
			if (yych <= 'd') {
				if (yych <= 'c') goto yy56;
				goto yy312;
			} else {
				if (yych == 'h') goto yy312;
				goto yy56;
			}
		} else {
			if (yych <= 'r') {
				if (yych <= 'n') goto yy315;
				if (yych <= 'q') goto yy56;
				goto yy315;
			} else {
				if (yych <= 's') goto yy316;
				if (yych <= 't') goto yy317;
				goto yy56;
			}
		}
	}
yy139:
	YYDEBUG(139, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '.') {
		if (yych <= ' ') {
			if (yych == '\t') goto yy135;
			if (yych <= 0x1F) goto yy18;
			goto yy135;
		} else {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy135;
		}
	} else {
		if (yych <= 'H') {
			if (yych <= '/') goto yy18;
			if (yych <= '9') goto yy135;
			if (yych <= '@') goto yy18;
			goto yy277;
		} else {
			if (yych <= 'Z') {
				if (yych <= 'I') goto yy319;
				goto yy277;
			} else {
				if (yych <= '`') goto yy18;
				if (yych <= 'z') goto yy277;
				goto yy18;
			}
		}
	}
yy140:
	YYDEBUG(140, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= ',') {
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy135;
			goto yy18;
		} else {
			if (yych <= ' ') goto yy135;
			if (yych == ')') goto yy108;
			goto yy18;
		}
	} else {
		if (yych <= '@') {
			if (yych == '/') goto yy18;
			if (yych <= '9') goto yy135;
			goto yy18;
		} else {
			if (yych <= 'Z') goto yy277;
			if (yych <= '`') goto yy18;
			if (yych <= 'z') goto yy277;
			goto yy18;
		}
	}
yy141:
	YYDEBUG(141, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'N') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'M') goto yy277;
			goto yy320;
		}
	} else {
		if (yych <= 'm') {
			if (yych <= 'Z') goto yy277;
			if (yych <= '`') goto yy18;
			goto yy277;
		} else {
			if (yych <= 'n') goto yy320;
			if (yych <= 'z') goto yy277;
			goto yy18;
		}
	}
yy142:
	YYDEBUG(142, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'N') {
		if (yych <= '@') {
			if (yych == ')') goto yy108;
			goto yy18;
		} else {
			if (yych == 'L') goto yy321;
			if (yych <= 'M') goto yy277;
			goto yy322;
		}
	} else {
		if (yych <= 'l') {
			if (yych <= 'Z') goto yy277;
			if (yych <= '`') goto yy18;
			if (yych <= 'k') goto yy277;
			goto yy321;
		} else {
			if (yych == 'n') goto yy322;
			if (yych <= 'z') goto yy277;
			goto yy18;
		}
	}
yy143:
	YYDEBUG(143, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'M') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy277;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'N') goto yy320;
			if (yych <= 'Z') goto yy277;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'm') {
				if (yych <= '`') goto yy18;
				goto yy284;
			} else {
				if (yych <= 'n') goto yy323;
				if (yych <= 'z') goto yy284;
				goto yy18;
			}
		}
	}
yy144:
	YYDEBUG(144, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'M') {
		if (yych <= '.') {
			if (yych <= ')') {
				if (yych <= '(') goto yy18;
				goto yy108;
			} else {
				if (yych == '-') goto yy283;
				goto yy18;
			}
		} else {
			if (yych <= '@') {
				if (yych <= '/') goto yy283;
				goto yy18;
			} else {
				if (yych == 'L') goto yy321;
				goto yy277;
			}
		}
	} else {
		if (yych <= '`') {
			if (yych <= 'Z') {
				if (yych <= 'N') goto yy322;
				goto yy277;
			} else {
				if (yych == '_') goto yy283;
				goto yy18;
			}
		} else {
			if (yych <= 'm') {
				if (yych == 'l') goto yy324;
				goto yy284;
			} else {
				if (yych <= 'n') goto yy325;
				if (yych <= 'z') goto yy284;
				goto yy18;
			}
		}
	}
yy145:
	YYDEBUG(145, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'S') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'R') goto yy277;
			goto yy326;
		}
	} else {
		if (yych <= 'r') {
			if (yych <= 'Z') goto yy277;
			if (yych <= '`') goto yy18;
			goto yy277;
		} else {
			if (yych <= 's') goto yy326;
			if (yych <= 'z') goto yy277;
			goto yy18;
		}
	}
yy146:
	YYDEBUG(146, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'R') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy277;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'S') goto yy326;
			if (yych <= 'Z') goto yy277;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'r') {
				if (yych <= '`') goto yy18;
				goto yy284;
			} else {
				if (yych <= 's') goto yy327;
				if (yych <= 'z') goto yy284;
				goto yy18;
			}
		}
	}
yy147:
	YYDEBUG(147, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'Y') {
		if (yych <= '@') {
			if (yych == ')') goto yy108;
			goto yy18;
		} else {
			if (yych == 'R') goto yy328;
			if (yych <= 'X') goto yy277;
			goto yy329;
		}
	} else {
		if (yych <= 'r') {
			if (yych <= 'Z') goto yy277;
			if (yych <= '`') goto yy18;
			if (yych <= 'q') goto yy277;
			goto yy328;
		} else {
			if (yych == 'y') goto yy329;
			if (yych <= 'z') goto yy277;
			goto yy18;
		}
	}
yy148:
	YYDEBUG(148, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'D') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'C') goto yy277;
			goto yy330;
		}
	} else {
		if (yych <= 'c') {
			if (yych <= 'Z') goto yy277;
			if (yych <= '`') goto yy18;
			goto yy277;
		} else {
			if (yych <= 'd') goto yy330;
			if (yych <= 'z') goto yy277;
			goto yy18;
		}
	}
yy149:
	YYDEBUG(149, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'N') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'M') goto yy277;
			goto yy300;
		}
	} else {
		if (yych <= 'm') {
			if (yych <= 'Z') goto yy277;
			if (yych <= '`') goto yy18;
			goto yy277;
		} else {
			if (yych <= 'n') goto yy300;
			if (yych <= 'z') goto yy277;
			goto yy18;
		}
	}
yy150:
	YYDEBUG(150, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'X') {
		if (yych <= '.') {
			if (yych <= ')') {
				if (yych <= '(') goto yy18;
				goto yy108;
			} else {
				if (yych == '-') goto yy283;
				goto yy18;
			}
		} else {
			if (yych <= '@') {
				if (yych <= '/') goto yy283;
				goto yy18;
			} else {
				if (yych == 'R') goto yy328;
				goto yy277;
			}
		}
	} else {
		if (yych <= '`') {
			if (yych <= 'Z') {
				if (yych <= 'Y') goto yy329;
				goto yy277;
			} else {
				if (yych == '_') goto yy283;
				goto yy18;
			}
		} else {
			if (yych <= 'x') {
				if (yych == 'r') goto yy331;
				goto yy284;
			} else {
				if (yych <= 'y') goto yy332;
				if (yych <= 'z') goto yy284;
				goto yy18;
			}
		}
	}
yy151:
	YYDEBUG(151, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'C') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy277;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'D') goto yy330;
			if (yych <= 'Z') goto yy277;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'c') {
				if (yych <= '`') goto yy18;
				goto yy284;
			} else {
				if (yych <= 'd') goto yy333;
				if (yych <= 'z') goto yy284;
				goto yy18;
			}
		}
	}
yy152:
	YYDEBUG(152, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'M') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy277;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'N') goto yy300;
			if (yych <= 'Z') goto yy277;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'm') {
				if (yych <= '`') goto yy18;
				goto yy284;
			} else {
				if (yych <= 'n') goto yy307;
				if (yych <= 'z') goto yy284;
				goto yy18;
			}
		}
	}
yy153:
	YYDEBUG(153, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'X') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'W') goto yy277;
			goto yy334;
		}
	} else {
		if (yych <= 'w') {
			if (yych <= 'Z') goto yy277;
			if (yych <= '`') goto yy18;
			goto yy277;
		} else {
			if (yych <= 'x') goto yy334;
			if (yych <= 'z') goto yy277;
			goto yy18;
		}
	}
yy154:
	YYDEBUG(154, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'N') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'M') goto yy277;
			goto yy297;
		}
	} else {
		if (yych <= 'm') {
			if (yych <= 'Z') goto yy277;
			if (yych <= '`') goto yy18;
			goto yy277;
		} else {
			if (yych <= 'n') goto yy297;
			if (yych <= 'z') goto yy277;
			goto yy18;
		}
	}
yy155:
	YYDEBUG(155, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'W') {
		if (yych <= 'N') {
			if (yych == ')') goto yy108;
			if (yych <= '@') goto yy18;
			goto yy277;
		} else {
			if (yych <= 'O') goto yy335;
			if (yych <= 'U') goto yy277;
			if (yych <= 'V') goto yy290;
			goto yy336;
		}
	} else {
		if (yych <= 'o') {
			if (yych <= 'Z') goto yy277;
			if (yych <= '`') goto yy18;
			if (yych <= 'n') goto yy277;
			goto yy335;
		} else {
			if (yych <= 'v') {
				if (yych <= 'u') goto yy277;
				goto yy290;
			} else {
				if (yych <= 'w') goto yy336;
				if (yych <= 'z') goto yy277;
				goto yy18;
			}
		}
	}
yy156:
	YYDEBUG(156, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'W') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy277;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'X') goto yy334;
			if (yych <= 'Z') goto yy277;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'w') {
				if (yych <= '`') goto yy18;
				goto yy284;
			} else {
				if (yych <= 'x') goto yy338;
				if (yych <= 'z') goto yy284;
				goto yy18;
			}
		}
	}
yy157:
	YYDEBUG(157, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'M') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy277;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'N') goto yy297;
			if (yych <= 'Z') goto yy277;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'm') {
				if (yych <= '`') goto yy18;
				goto yy284;
			} else {
				if (yych <= 'n') goto yy304;
				if (yych <= 'z') goto yy284;
				goto yy18;
			}
		}
	}
yy158:
	YYDEBUG(158, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'V') {
		if (yych <= '.') {
			if (yych <= ')') {
				if (yych <= '(') goto yy18;
				goto yy108;
			} else {
				if (yych == '-') goto yy283;
				goto yy18;
			}
		} else {
			if (yych <= 'N') {
				if (yych <= '/') goto yy283;
				if (yych <= '@') goto yy18;
				goto yy277;
			} else {
				if (yych <= 'O') goto yy335;
				if (yych <= 'U') goto yy277;
				goto yy290;
			}
		}
	} else {
		if (yych <= 'n') {
			if (yych <= '^') {
				if (yych <= 'W') goto yy336;
				if (yych <= 'Z') goto yy277;
				goto yy18;
			} else {
				if (yych <= '_') goto yy283;
				if (yych <= '`') goto yy18;
				goto yy284;
			}
		} else {
			if (yych <= 'v') {
				if (yych <= 'o') goto yy339;
				if (yych <= 'u') goto yy284;
				goto yy291;
			} else {
				if (yych <= 'w') goto yy340;
				if (yych <= 'z') goto yy284;
				goto yy18;
			}
		}
	}
yy159:
	YYDEBUG(159, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'T') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'S') goto yy277;
			goto yy341;
		}
	} else {
		if (yych <= 's') {
			if (yych <= 'Z') goto yy277;
			if (yych <= '`') goto yy18;
			goto yy277;
		} else {
			if (yych <= 't') goto yy341;
			if (yych <= 'z') goto yy277;
			goto yy18;
		}
	}
yy160:
	YYDEBUG(160, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'S') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy277;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'T') goto yy341;
			if (yych <= 'Z') goto yy277;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 's') {
				if (yych <= '`') goto yy18;
				goto yy284;
			} else {
				if (yych <= 't') goto yy342;
				if (yych <= 'z') goto yy284;
				goto yy18;
			}
		}
	}
yy161:
	YYDEBUG(161, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'E') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'D') goto yy277;
			goto yy343;
		}
	} else {
		if (yych <= 'd') {
			if (yych <= 'Z') goto yy277;
			if (yych <= '`') goto yy18;
			goto yy277;
		} else {
			if (yych <= 'e') goto yy343;
			if (yych <= 'z') goto yy277;
			goto yy18;
		}
	}
yy162:
	YYDEBUG(162, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'D') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy277;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'E') goto yy343;
			if (yych <= 'Z') goto yy277;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'd') {
				if (yych <= '`') goto yy18;
				goto yy284;
			} else {
				if (yych <= 'e') goto yy344;
				if (yych <= 'z') goto yy284;
				goto yy18;
			}
		}
	}
yy163:
	YYDEBUG(163, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'T') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'S') goto yy277;
			goto yy345;
		}
	} else {
		if (yych <= 's') {
			if (yych <= 'Z') goto yy277;
			if (yych <= '`') goto yy18;
			goto yy277;
		} else {
			if (yych <= 't') goto yy345;
			if (yych <= 'z') goto yy277;
			goto yy18;
		}
	}
yy164:
	YYDEBUG(164, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'V') {
		if (yych <= 'B') {
			if (yych == ')') goto yy108;
			if (yych <= '@') goto yy18;
			goto yy277;
		} else {
			if (yych <= 'O') {
				if (yych <= 'C') goto yy346;
				goto yy277;
			} else {
				if (yych <= 'P') goto yy347;
				if (yych <= 'U') goto yy277;
				goto yy348;
			}
		}
	} else {
		if (yych <= 'o') {
			if (yych <= '`') {
				if (yych <= 'Z') goto yy277;
				goto yy18;
			} else {
				if (yych == 'c') goto yy346;
				goto yy277;
			}
		} else {
			if (yych <= 'u') {
				if (yych <= 'p') goto yy347;
				goto yy277;
			} else {
				if (yych <= 'v') goto yy348;
				if (yych <= 'z') goto yy277;
				goto yy18;
			}
		}
	}
yy165:
	YYDEBUG(165, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'X') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'W') goto yy277;
			goto yy297;
		}
	} else {
		if (yych <= 'w') {
			if (yych <= 'Z') goto yy277;
			if (yych <= '`') goto yy18;
			goto yy277;
		} else {
			if (yych <= 'x') goto yy297;
			if (yych <= 'z') goto yy277;
			goto yy18;
		}
	}
yy166:
	YYDEBUG(166, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'S') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy277;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'T') goto yy345;
			if (yych <= 'Z') goto yy277;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 's') {
				if (yych <= '`') goto yy18;
				goto yy284;
			} else {
				if (yych <= 't') goto yy349;
				if (yych <= 'z') goto yy284;
				goto yy18;
			}
		}
	}
yy167:
	YYDEBUG(167, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'U') {
		if (yych <= '/') {
			if (yych <= ',') {
				if (yych == ')') goto yy108;
				goto yy18;
			} else {
				if (yych == '.') goto yy18;
				goto yy283;
			}
		} else {
			if (yych <= 'C') {
				if (yych <= '@') goto yy18;
				if (yych <= 'B') goto yy277;
				goto yy346;
			} else {
				if (yych == 'P') goto yy347;
				goto yy277;
			}
		}
	} else {
		if (yych <= 'b') {
			if (yych <= '^') {
				if (yych <= 'V') goto yy348;
				if (yych <= 'Z') goto yy277;
				goto yy18;
			} else {
				if (yych <= '_') goto yy283;
				if (yych <= '`') goto yy18;
				goto yy284;
			}
		} else {
			if (yych <= 'p') {
				if (yych <= 'c') goto yy350;
				if (yych <= 'o') goto yy284;
				goto yy351;
			} else {
				if (yych == 'v') goto yy352;
				if (yych <= 'z') goto yy284;
				goto yy18;
			}
		}
	}
yy168:
	YYDEBUG(168, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'W') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy277;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'X') goto yy297;
			if (yych <= 'Z') goto yy277;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'w') {
				if (yych <= '`') goto yy18;
				goto yy284;
			} else {
				if (yych <= 'x') goto yy304;
				if (yych <= 'z') goto yy284;
				goto yy18;
			}
		}
	}
yy169:
	YYDEBUG(169, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych == '.') goto yy71;
	} else {
		if (yych <= '9') goto yy353;
		if (yych <= ':') goto yy71;
	}
yy170:
	YYDEBUG(170, *YYCURSOR);
#line 1341 "parse_date.re"
	{
		int tz_not_found;
		DEBUG_OUTPUT("timetiny24 | timeshort24 | timelong24 | iso8601long");
		TIMELIB_INIT;
		TIMELIB_HAVE_TIME();
		s->time->h = timelib_get_nr(&ptr, 2);
		if (*ptr == ':' || *ptr == '.') {
			s->time->i = timelib_get_nr(&ptr, 2);
			if (*ptr == ':' || *ptr == '.') {
				s->time->s = timelib_get_nr(&ptr, 2);

				if (*ptr == '.') {
					s->time->us = timelib_get_frac_nr(&ptr);
				}
			}
		}

		if (*ptr != '\0') {
			s->time->z = timelib_parse_zone(&ptr, &s->time->dst, s->time, &tz_not_found, s->tzdb, tz_get_wrapper);
			if (tz_not_found) {
				add_error(s, TIMELIB_ERR_TZID_NOT_FOUND, "The timezone could not be found in the database");
			}
		}
		TIMELIB_DEINIT;
		return TIMELIB_TIME24_WITH_ZONE;
	}
#line 5675 "<stdout>"
yy171:
	YYDEBUG(171, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych == '.') goto yy71;
		goto yy170;
	} else {
		if (yych <= '4') goto yy353;
		if (yych == ':') goto yy71;
		goto yy170;
	}
yy172:
	YYDEBUG(172, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == '.') goto yy71;
	if (yych == ':') goto yy71;
	goto yy170;
yy173:
	YYDEBUG(173, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'U') {
		if (yych <= '@') {
			if (yych == ')') goto yy108;
			goto yy18;
		} else {
			if (yych == 'I') goto yy354;
			if (yych <= 'T') goto yy277;
			goto yy355;
		}
	} else {
		if (yych <= 'i') {
			if (yych <= 'Z') goto yy277;
			if (yych <= '`') goto yy18;
			if (yych <= 'h') goto yy277;
			goto yy354;
		} else {
			if (yych == 'u') goto yy355;
			if (yych <= 'z') goto yy277;
			goto yy18;
		}
	}
yy174:
	YYDEBUG(174, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'M') {
		if (yych <= '@') {
			if (yych == ')') goto yy108;
			goto yy18;
		} else {
			if (yych == 'D') goto yy356;
			if (yych <= 'L') goto yy277;
			goto yy357;
		}
	} else {
		if (yych <= 'd') {
			if (yych <= 'Z') goto yy277;
			if (yych <= '`') goto yy18;
			if (yych <= 'c') goto yy277;
			goto yy356;
		} else {
			if (yych == 'm') goto yy357;
			if (yych <= 'z') goto yy277;
			goto yy18;
		}
	}
yy175:
	YYDEBUG(175, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'E') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'D') goto yy277;
			goto yy358;
		}
	} else {
		if (yych <= 'd') {
			if (yych <= 'Z') goto yy277;
			if (yych <= '`') goto yy18;
			goto yy277;
		} else {
			if (yych <= 'e') goto yy358;
			if (yych <= 'z') goto yy277;
			goto yy18;
		}
	}
yy176:
	YYDEBUG(176, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'E') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'D') goto yy277;
			goto yy359;
		}
	} else {
		if (yych <= 'd') {
			if (yych <= 'Z') goto yy277;
			if (yych <= '`') goto yy18;
			goto yy277;
		} else {
			if (yych <= 'e') goto yy359;
			if (yych <= 'z') goto yy277;
			goto yy18;
		}
	}
yy177:
	YYDEBUG(177, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'T') {
		if (yych <= '.') {
			if (yych <= ')') {
				if (yych <= '(') goto yy18;
				goto yy108;
			} else {
				if (yych == '-') goto yy283;
				goto yy18;
			}
		} else {
			if (yych <= '@') {
				if (yych <= '/') goto yy283;
				goto yy18;
			} else {
				if (yych == 'I') goto yy354;
				goto yy277;
			}
		}
	} else {
		if (yych <= '`') {
			if (yych <= 'Z') {
				if (yych <= 'U') goto yy355;
				goto yy277;
			} else {
				if (yych == '_') goto yy283;
				goto yy18;
			}
		} else {
			if (yych <= 't') {
				if (yych == 'i') goto yy360;
				goto yy284;
			} else {
				if (yych <= 'u') goto yy361;
				if (yych <= 'z') goto yy284;
				goto yy18;
			}
		}
	}
yy178:
	YYDEBUG(178, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'L') {
		if (yych <= '.') {
			if (yych <= ')') {
				if (yych <= '(') goto yy18;
				goto yy108;
			} else {
				if (yych == '-') goto yy283;
				goto yy18;
			}
		} else {
			if (yych <= '@') {
				if (yych <= '/') goto yy283;
				goto yy18;
			} else {
				if (yych == 'D') goto yy356;
				goto yy277;
			}
		}
	} else {
		if (yych <= '`') {
			if (yych <= 'Z') {
				if (yych <= 'M') goto yy357;
				goto yy277;
			} else {
				if (yych == '_') goto yy283;
				goto yy18;
			}
		} else {
			if (yych <= 'l') {
				if (yych == 'd') goto yy362;
				goto yy284;
			} else {
				if (yych <= 'm') goto yy363;
				if (yych <= 'z') goto yy284;
				goto yy18;
			}
		}
	}
yy179:
	YYDEBUG(179, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'D') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy277;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'E') goto yy358;
			if (yych <= 'Z') goto yy277;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'd') {
				if (yych <= '`') goto yy18;
				goto yy284;
			} else {
				if (yych <= 'e') goto yy364;
				if (yych <= 'z') goto yy284;
				goto yy18;
			}
		}
	}
yy180:
	YYDEBUG(180, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'D') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy277;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'E') goto yy359;
			if (yych <= 'Z') goto yy277;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'd') {
				if (yych <= '`') goto yy18;
				goto yy284;
			} else {
				if (yych <= 'e') goto yy365;
				if (yych <= 'z') goto yy284;
				goto yy18;
			}
		}
	}
yy181:
	YYDEBUG(181, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '.') {
		if (yych <= ' ') {
			if (yych == '\t') goto yy135;
			if (yych <= 0x1F) goto yy18;
			goto yy135;
		} else {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy135;
		}
	} else {
		if (yych <= 'H') {
			if (yych <= '/') goto yy18;
			if (yych <= '9') goto yy135;
			if (yych <= '@') goto yy18;
			goto yy277;
		} else {
			if (yych <= 'Z') {
				if (yych <= 'I') goto yy366;
				goto yy277;
			} else {
				if (yych <= '`') goto yy18;
				if (yych <= 'z') goto yy277;
				goto yy18;
			}
		}
	}
yy182:
	YYDEBUG(182, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'E') {
		if (yych <= '@') {
			if (yych == ')') goto yy108;
			goto yy18;
		} else {
			if (yych <= 'C') goto yy277;
			if (yych <= 'D') goto yy367;
			goto yy368;
		}
	} else {
		if (yych <= 'c') {
			if (yych <= 'Z') goto yy277;
			if (yych <= '`') goto yy18;
			goto yy277;
		} else {
			if (yych <= 'd') goto yy367;
			if (yych <= 'e') goto yy368;
			if (yych <= 'z') goto yy277;
			goto yy18;
		}
	}
yy183:
	YYDEBUG(183, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'D') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych <= '/') {
				if (yych <= '.') goto yy18;
				goto yy283;
			} else {
				if (yych <= '@') goto yy18;
				if (yych <= 'C') goto yy277;
				goto yy367;
			}
		}
	} else {
		if (yych <= '`') {
			if (yych <= 'Z') {
				if (yych <= 'E') goto yy368;
				goto yy277;
			} else {
				if (yych == '_') goto yy283;
				goto yy18;
			}
		} else {
			if (yych <= 'd') {
				if (yych <= 'c') goto yy284;
				goto yy369;
			} else {
				if (yych <= 'e') goto yy370;
				if (yych <= 'z') goto yy284;
				goto yy18;
			}
		}
	}
yy184:
	YYDEBUG(184, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'S') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'R') goto yy277;
			goto yy371;
		}
	} else {
		if (yych <= 'r') {
			if (yych <= 'Z') goto yy277;
			if (yych <= '`') goto yy18;
			goto yy277;
		} else {
			if (yych <= 's') goto yy371;
			if (yych <= 'z') goto yy277;
			goto yy18;
		}
	}
yy185:
	YYDEBUG(185, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'R') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy277;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'S') goto yy371;
			if (yych <= 'Z') goto yy277;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'r') {
				if (yych <= '`') goto yy18;
				goto yy284;
			} else {
				if (yych <= 's') goto yy372;
				if (yych <= 'z') goto yy284;
				goto yy18;
			}
		}
	}
yy186:
	YYDEBUG(186, *YYCURSOR);
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 12) YYFILL(12);
	yych = *YYCURSOR;
yy187:
	YYDEBUG(187, *YYCURSOR);
	if (yych <= 'X') {
		if (yych <= 'G') {
			if (yych <= ' ') {
				if (yych == '\t') goto yy186;
				if (yych <= 0x1F) goto yy56;
				goto yy186;
			} else {
				if (yych <= 'D') {
					if (yych <= 'C') goto yy56;
					goto yy189;
				} else {
					if (yych == 'F') goto yy190;
					goto yy56;
				}
			}
		} else {
			if (yych <= 'S') {
				if (yych <= 'L') {
					if (yych <= 'H') goto yy75;
					goto yy56;
				} else {
					if (yych <= 'M') goto yy191;
					if (yych <= 'R') goto yy56;
					goto yy192;
				}
			} else {
				if (yych <= 'U') {
					if (yych <= 'T') goto yy83;
					goto yy84;
				} else {
					if (yych == 'W') goto yy86;
					goto yy56;
				}
			}
		}
	} else {
		if (yych <= 'r') {
			if (yych <= 'f') {
				if (yych <= 'c') {
					if (yych <= 'Y') goto yy88;
					goto yy56;
				} else {
					if (yych <= 'd') goto yy189;
					if (yych <= 'e') goto yy56;
					goto yy190;
				}
			} else {
				if (yych <= 'h') {
					if (yych <= 'g') goto yy56;
					goto yy75;
				} else {
					if (yych == 'm') goto yy191;
					goto yy56;
				}
			}
		} else {
			if (yych <= 'w') {
				if (yych <= 't') {
					if (yych <= 's') goto yy192;
					goto yy83;
				} else {
					if (yych <= 'u') goto yy84;
					if (yych <= 'v') goto yy56;
					goto yy86;
				}
			} else {
				if (yych <= 'y') {
					if (yych <= 'x') goto yy56;
					goto yy88;
				} else {
					if (yych == 0xC2) goto yy93;
					goto yy56;
				}
			}
		}
	}
yy188:
	YYDEBUG(188, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy187;
	if (yych <= '9') goto yy373;
	goto yy187;
yy189:
	YYDEBUG(189, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'A') goto yy232;
	if (yych == 'a') goto yy232;
	goto yy56;
yy190:
	YYDEBUG(190, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'R') {
		if (yych == 'O') goto yy235;
		if (yych <= 'Q') goto yy56;
		goto yy236;
	} else {
		if (yych <= 'o') {
			if (yych <= 'n') goto yy56;
			goto yy235;
		} else {
			if (yych == 'r') goto yy236;
			goto yy56;
		}
	}
yy191:
	YYDEBUG(191, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'S') {
		if (yych <= 'N') {
			if (yych == 'I') goto yy247;
			goto yy56;
		} else {
			if (yych <= 'O') goto yy248;
			if (yych <= 'R') goto yy56;
			goto yy249;
		}
	} else {
		if (yych <= 'n') {
			if (yych == 'i') goto yy247;
			goto yy56;
		} else {
			if (yych <= 'o') goto yy248;
			if (yych == 's') goto yy249;
			goto yy56;
		}
	}
yy192:
	YYDEBUG(192, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'U') {
		if (yych <= 'D') {
			if (yych == 'A') goto yy253;
			goto yy56;
		} else {
			if (yych <= 'E') goto yy374;
			if (yych <= 'T') goto yy56;
			goto yy255;
		}
	} else {
		if (yych <= 'd') {
			if (yych == 'a') goto yy253;
			goto yy56;
		} else {
			if (yych <= 'e') goto yy374;
			if (yych == 'u') goto yy255;
			goto yy56;
		}
	}
yy193:
	YYDEBUG(193, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'V') {
		if (yych <= 'C') {
			if (yych <= ' ') {
				if (yych == '\t') goto yy187;
				if (yych <= 0x1F) goto yy18;
				goto yy187;
			} else {
				if (yych <= '5') {
					if (yych <= '/') goto yy18;
					goto yy375;
				} else {
					if (yych <= '9') goto yy376;
					if (yych <= ':') goto yy377;
					goto yy18;
				}
			}
		} else {
			if (yych <= 'H') {
				if (yych <= 'E') {
					if (yych <= 'D') goto yy187;
					goto yy18;
				} else {
					if (yych == 'G') goto yy18;
					goto yy187;
				}
			} else {
				if (yych <= 'M') {
					if (yych <= 'L') goto yy18;
					goto yy187;
				} else {
					if (yych <= 'R') goto yy18;
					if (yych <= 'U') goto yy187;
					goto yy18;
				}
			}
		}
	} else {
		if (yych <= 'l') {
			if (yych <= 'd') {
				if (yych <= 'X') {
					if (yych <= 'W') goto yy187;
					goto yy18;
				} else {
					if (yych <= 'Y') goto yy187;
					if (yych <= 'c') goto yy18;
					goto yy187;
				}
			} else {
				if (yych <= 'f') {
					if (yych <= 'e') goto yy18;
					goto yy187;
				} else {
					if (yych == 'h') goto yy187;
					goto yy18;
				}
			}
		} else {
			if (yych <= 'w') {
				if (yych <= 'r') {
					if (yych <= 'm') goto yy187;
					goto yy18;
				} else {
					if (yych == 'v') goto yy18;
					goto yy187;
				}
			} else {
				if (yych <= 'y') {
					if (yych <= 'x') goto yy18;
					goto yy187;
				} else {
					if (yych == 0xC2) goto yy187;
					goto yy18;
				}
			}
		}
	}
yy194:
	YYDEBUG(194, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '5') goto yy378;
	if (yych <= '9') goto yy108;
	goto yy56;
yy195:
	YYDEBUG(195, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'W') {
		if (yych <= 'E') {
			if (yych <= ' ') {
				if (yych == '\t') goto yy187;
				if (yych <= 0x1F) goto yy18;
				goto yy187;
			} else {
				if (yych <= '9') {
					if (yych <= '/') goto yy18;
					goto yy376;
				} else {
					if (yych == 'D') goto yy187;
					goto yy18;
				}
			}
		} else {
			if (yych <= 'L') {
				if (yych == 'G') goto yy18;
				if (yych <= 'H') goto yy187;
				goto yy18;
			} else {
				if (yych <= 'R') {
					if (yych <= 'M') goto yy187;
					goto yy18;
				} else {
					if (yych == 'V') goto yy18;
					goto yy187;
				}
			}
		}
	} else {
		if (yych <= 'l') {
			if (yych <= 'd') {
				if (yych == 'Y') goto yy187;
				if (yych <= 'c') goto yy18;
				goto yy187;
			} else {
				if (yych <= 'f') {
					if (yych <= 'e') goto yy18;
					goto yy187;
				} else {
					if (yych == 'h') goto yy187;
					goto yy18;
				}
			}
		} else {
			if (yych <= 'w') {
				if (yych <= 'r') {
					if (yych <= 'm') goto yy187;
					goto yy18;
				} else {
					if (yych == 'v') goto yy18;
					goto yy187;
				}
			} else {
				if (yych <= 'y') {
					if (yych <= 'x') goto yy18;
					goto yy187;
				} else {
					if (yych == 0xC2) goto yy187;
					goto yy18;
				}
			}
		}
	}
yy196:
	YYDEBUG(196, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'W') {
		if (yych <= 'E') {
			if (yych <= ' ') {
				if (yych == '\t') goto yy187;
				if (yych <= 0x1F) goto yy18;
				goto yy187;
			} else {
				if (yych <= '9') {
					if (yych <= '/') goto yy18;
					goto yy379;
				} else {
					if (yych == 'D') goto yy187;
					goto yy18;
				}
			}
		} else {
			if (yych <= 'L') {
				if (yych == 'G') goto yy18;
				if (yych <= 'H') goto yy187;
				goto yy18;
			} else {
				if (yych <= 'R') {
					if (yych <= 'M') goto yy187;
					goto yy18;
				} else {
					if (yych == 'V') goto yy18;
					goto yy187;
				}
			}
		}
	} else {
		if (yych <= 'l') {
			if (yych <= 'd') {
				if (yych == 'Y') goto yy187;
				if (yych <= 'c') goto yy18;
				goto yy187;
			} else {
				if (yych <= 'f') {
					if (yych <= 'e') goto yy18;
					goto yy187;
				} else {
					if (yych == 'h') goto yy187;
					goto yy18;
				}
			}
		} else {
			if (yych <= 'w') {
				if (yych <= 'r') {
					if (yych <= 'm') goto yy187;
					goto yy18;
				} else {
					if (yych == 'v') goto yy18;
					goto yy187;
				}
			} else {
				if (yych <= 'y') {
					if (yych <= 'x') goto yy18;
					goto yy187;
				} else {
					if (yych == 0xC2) goto yy187;
					goto yy18;
				}
			}
		}
	}
yy197:
	YYDEBUG(197, *YYCURSOR);
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 13) YYFILL(13);
	yych = *YYCURSOR;
yy198:
	YYDEBUG(198, *YYCURSOR);
	switch (yych) {
	case '\t':
	case ' ':
	case '-':
	case '.':	goto yy197;
	case 'A':
	case 'a':	goto yy72;
	case 'D':
	case 'd':	goto yy205;
	case 'F':
	case 'f':	goto yy206;
	case 'I':	goto yy76;
	case 'J':
	case 'j':	goto yy78;
	case 'M':
	case 'm':	goto yy207;
	case 'N':
	case 'n':	goto yy80;
	case 'O':
	case 'o':	goto yy81;
	case 'S':
	case 's':	goto yy208;
	case 'V':	goto yy85;
	case 'X':	goto yy87;
	default:	goto yy56;
	}
yy199:
	YYDEBUG(199, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '.') {
		if (yych <= ',') goto yy56;
		if (yych <= '-') goto yy380;
		goto yy381;
	} else {
		if (yych <= '/') goto yy56;
		if (yych <= '9') goto yy201;
		goto yy56;
	}
yy200:
	YYDEBUG(200, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '.') {
		if (yych <= ',') goto yy56;
		if (yych <= '-') goto yy380;
		goto yy381;
	} else {
		if (yych <= '/') goto yy56;
		if (yych >= '3') goto yy56;
	}
yy201:
	YYDEBUG(201, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= ',') goto yy56;
	if (yych <= '-') goto yy380;
	if (yych <= '.') goto yy381;
	goto yy56;
yy202:
	YYDEBUG(202, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '.') {
		if (yych <= ',') goto yy56;
		if (yych <= '-') goto yy382;
		goto yy380;
	} else {
		if (yych <= '/') goto yy56;
		if (yych <= '9') goto yy204;
		goto yy56;
	}
yy203:
	YYDEBUG(203, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '.') {
		if (yych <= ',') goto yy56;
		if (yych <= '-') goto yy382;
		goto yy380;
	} else {
		if (yych <= '/') goto yy56;
		if (yych >= '3') goto yy56;
	}
yy204:
	YYDEBUG(204, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= ',') goto yy56;
	if (yych <= '-') goto yy382;
	if (yych <= '.') goto yy380;
	goto yy56;
yy205:
	YYDEBUG(205, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'E') goto yy233;
	if (yych == 'e') goto yy233;
	goto yy56;
yy206:
	YYDEBUG(206, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'E') goto yy234;
	if (yych == 'e') goto yy234;
	goto yy56;
yy207:
	YYDEBUG(207, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'A') goto yy246;
	if (yych == 'a') goto yy246;
	goto yy56;
yy208:
	YYDEBUG(208, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'E') goto yy383;
	if (yych == 'e') goto yy383;
	goto yy56;
yy209:
	YYDEBUG(209, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '.') {
		if (yych <= ',') goto yy170;
		if (yych <= '-') goto yy380;
		goto yy384;
	} else {
		if (yych <= '/') goto yy170;
		if (yych <= '9') goto yy212;
		if (yych <= ':') goto yy385;
		goto yy170;
	}
yy210:
	YYDEBUG(210, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych <= ',') goto yy170;
		if (yych <= '-') goto yy380;
		if (yych <= '.') goto yy384;
		goto yy170;
	} else {
		if (yych <= '2') goto yy212;
		if (yych <= '9') goto yy229;
		if (yych <= ':') goto yy385;
		goto yy170;
	}
yy211:
	YYDEBUG(211, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '.') {
		if (yych <= ',') goto yy170;
		if (yych <= '-') goto yy380;
		goto yy384;
	} else {
		if (yych <= '/') goto yy170;
		if (yych <= '9') goto yy229;
		if (yych <= ':') goto yy385;
		goto yy170;
	}
yy212:
	YYDEBUG(212, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '.') {
		if (yych <= ',') goto yy170;
		if (yych <= '-') goto yy380;
		goto yy384;
	} else {
		if (yych == ':') goto yy385;
		goto yy170;
	}
yy213:
	YYDEBUG(213, *YYCURSOR);
	yyaccept = 5;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'n') {
		if (yych <= '/') {
			if (yych >= '/') goto yy386;
		} else {
			if (yych <= '9') goto yy216;
			if (yych >= 'n') goto yy387;
		}
	} else {
		if (yych <= 'r') {
			if (yych >= 'r') goto yy387;
		} else {
			if (yych <= 's') goto yy388;
			if (yych <= 't') goto yy389;
		}
	}
yy214:
	YYDEBUG(214, *YYCURSOR);
#line 1435 "parse_date.re"
	{
		int length = 0;
		DEBUG_OUTPUT("americanshort | american");
		TIMELIB_INIT;
		TIMELIB_HAVE_DATE();
		s->time->m = timelib_get_nr(&ptr, 2);
		s->time->d = timelib_get_nr(&ptr, 2);
		if (*ptr == '/') {
			s->time->y = timelib_get_nr_ex(&ptr, 4, &length);
			TIMELIB_PROCESS_YEAR(s->time->y, length);
		}
		TIMELIB_DEINIT;
		return TIMELIB_AMERICAN;
	}
#line 6671 "<stdout>"
yy215:
	YYDEBUG(215, *YYCURSOR);
	yyaccept = 5;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'n') {
		if (yych <= '/') {
			if (yych <= '.') goto yy214;
			goto yy386;
		} else {
			if (yych <= '1') goto yy216;
			if (yych <= 'm') goto yy214;
			goto yy387;
		}
	} else {
		if (yych <= 'r') {
			if (yych <= 'q') goto yy214;
			goto yy387;
		} else {
			if (yych <= 's') goto yy388;
			if (yych <= 't') goto yy389;
			goto yy214;
		}
	}
yy216:
	YYDEBUG(216, *YYCURSOR);
	yyaccept = 5;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'n') {
		if (yych == '/') goto yy386;
		if (yych <= 'm') goto yy214;
		goto yy387;
	} else {
		if (yych <= 'r') {
			if (yych <= 'q') goto yy214;
			goto yy387;
		} else {
			if (yych <= 's') goto yy388;
			if (yych <= 't') goto yy389;
			goto yy214;
		}
	}
yy217:
	YYDEBUG(217, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'U') {
		if (yych == 'P') goto yy390;
		if (yych <= 'T') goto yy56;
		goto yy391;
	} else {
		if (yych <= 'p') {
			if (yych <= 'o') goto yy56;
			goto yy390;
		} else {
			if (yych == 'u') goto yy391;
			goto yy56;
		}
	}
yy218:
	YYDEBUG(218, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'E') goto yy392;
	if (yych == 'e') goto yy392;
	goto yy56;
yy219:
	YYDEBUG(219, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'E') goto yy393;
	if (yych == 'e') goto yy393;
	goto yy56;
yy220:
	YYDEBUG(220, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'U') {
		if (yych == 'A') goto yy394;
		if (yych <= 'T') goto yy56;
		goto yy395;
	} else {
		if (yych <= 'a') {
			if (yych <= '`') goto yy56;
			goto yy394;
		} else {
			if (yych == 'u') goto yy395;
			goto yy56;
		}
	}
yy221:
	YYDEBUG(221, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'A') goto yy396;
	if (yych == 'a') goto yy396;
	goto yy56;
yy222:
	YYDEBUG(222, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'O') goto yy397;
	if (yych == 'o') goto yy397;
	goto yy56;
yy223:
	YYDEBUG(223, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'C') goto yy398;
	if (yych == 'c') goto yy398;
	goto yy56;
yy224:
	YYDEBUG(224, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'E') goto yy399;
	if (yych == 'e') goto yy399;
	goto yy56;
yy225:
	YYDEBUG(225, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy198;
	if (yych <= '0') goto yy400;
	if (yych <= '1') goto yy401;
	if (yych <= '9') goto yy204;
	goto yy198;
yy226:
	YYDEBUG(226, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '-') goto yy402;
	if (yych <= '/') goto yy187;
	if (yych <= '9') goto yy403;
	goto yy187;
yy227:
	YYDEBUG(227, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '-') goto yy402;
	if (yych <= '/') goto yy187;
	if (yych <= '9') goto yy405;
	goto yy187;
yy228:
	YYDEBUG(228, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych == '.') goto yy385;
		goto yy170;
	} else {
		if (yych <= '9') goto yy229;
		if (yych <= ':') goto yy385;
		goto yy170;
	}
yy229:
	YYDEBUG(229, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == '.') goto yy385;
	if (yych == ':') goto yy385;
	goto yy170;
yy230:
	YYDEBUG(230, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'R') goto yy407;
	if (yych == 'r') goto yy407;
	goto yy56;
yy231:
	YYDEBUG(231, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'G') goto yy408;
	if (yych == 'g') goto yy408;
	goto yy56;
yy232:
	YYDEBUG(232, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'Y') goto yy409;
	if (yych == 'y') goto yy409;
	goto yy56;
yy233:
	YYDEBUG(233, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'C') goto yy410;
	if (yych == 'c') goto yy410;
	goto yy56;
yy234:
	YYDEBUG(234, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'B') goto yy411;
	if (yych == 'b') goto yy411;
	goto yy56;
yy235:
	YYDEBUG(235, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'R') goto yy412;
	if (yych == 'r') goto yy412;
	goto yy56;
yy236:
	YYDEBUG(236, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'I') goto yy413;
	if (yych == 'i') goto yy413;
	goto yy56;
yy237:
	YYDEBUG(237, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'U') goto yy414;
	if (yych == 'u') goto yy414;
	goto yy56;
yy238:
	YYDEBUG(238, *YYCURSOR);
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 4) YYFILL(4);
	yych = *YYCURSOR;
	YYDEBUG(239, *YYCURSOR);
	if (yych <= ' ') {
		if (yych == '\t') goto yy238;
		if (yych <= 0x1F) goto yy56;
		goto yy238;
	} else {
		if (yych <= '.') {
			if (yych <= ',') goto yy56;
			goto yy238;
		} else {
			if (yych <= '/') goto yy56;
			if (yych >= ':') goto yy56;
		}
	}
yy240:
	YYDEBUG(240, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy241;
	if (yych <= '9') goto yy415;
yy241:
	YYDEBUG(241, *YYCURSOR);
#line 1517 "parse_date.re"
	{
		int length = 0;
		DEBUG_OUTPUT("datefull");
		TIMELIB_INIT;
		TIMELIB_HAVE_DATE();
		s->time->d = timelib_get_nr(&ptr, 2);
		timelib_skip_day_suffix(&ptr);
		s->time->m = timelib_get_month(&ptr);
		s->time->y = timelib_get_nr_ex(&ptr, 4, &length);
		TIMELIB_PROCESS_YEAR(s->time->y, length);
		TIMELIB_DEINIT;
		return TIMELIB_DATE_FULL;
	}
#line 6910 "<stdout>"
yy242:
	YYDEBUG(242, *YYCURSOR);
	yyaccept = 3;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= ',') {
		if (yych <= '\t') {
			if (yych <= 0x08) goto yy77;
			goto yy238;
		} else {
			if (yych == ' ') goto yy238;
			goto yy77;
		}
	} else {
		if (yych <= '9') {
			if (yych <= '.') goto yy238;
			if (yych <= '/') goto yy77;
			goto yy240;
		} else {
			if (yych != 'I') goto yy77;
		}
	}
yy243:
	YYDEBUG(243, *YYCURSOR);
	yyaccept = 3;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= ' ') {
		if (yych == '\t') goto yy238;
		if (yych <= 0x1F) goto yy77;
		goto yy238;
	} else {
		if (yych <= '.') {
			if (yych <= ',') goto yy77;
			goto yy238;
		} else {
			if (yych <= '/') goto yy77;
			if (yych <= '9') goto yy240;
			goto yy77;
		}
	}
yy244:
	YYDEBUG(244, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'N') goto yy416;
	if (yych == 'n') goto yy416;
	goto yy56;
yy245:
	YYDEBUG(245, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'N') {
		if (yych == 'L') goto yy417;
		if (yych <= 'M') goto yy56;
		goto yy418;
	} else {
		if (yych <= 'l') {
			if (yych <= 'k') goto yy56;
			goto yy417;
		} else {
			if (yych == 'n') goto yy418;
			goto yy56;
		}
	}
yy246:
	YYDEBUG(246, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'Y') {
		if (yych == 'R') goto yy419;
		if (yych <= 'X') goto yy56;
		goto yy243;
	} else {
		if (yych <= 'r') {
			if (yych <= 'q') goto yy56;
			goto yy419;
		} else {
			if (yych == 'y') goto yy243;
			goto yy56;
		}
	}
yy247:
	YYDEBUG(247, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'N') {
		if (yych <= 'K') {
			if (yych == 'C') goto yy420;
			goto yy56;
		} else {
			if (yych <= 'L') goto yy421;
			if (yych <= 'M') goto yy56;
			goto yy422;
		}
	} else {
		if (yych <= 'k') {
			if (yych == 'c') goto yy420;
			goto yy56;
		} else {
			if (yych <= 'l') goto yy421;
			if (yych == 'n') goto yy422;
			goto yy56;
		}
	}
yy248:
	YYDEBUG(248, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'N') goto yy423;
	if (yych == 'n') goto yy423;
	goto yy56;
yy249:
	YYDEBUG(249, *YYCURSOR);
	yyaccept = 6;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == 'E') goto yy424;
	if (yych == 'e') goto yy424;
yy250:
	YYDEBUG(250, *YYCURSOR);
#line 1918 "parse_date.re"
	{
		timelib_ull i;
		DEBUG_OUTPUT("relative");
		TIMELIB_INIT;
		TIMELIB_HAVE_RELATIVE();

		while(*ptr) {
			i = timelib_get_signed_nr(s, &ptr, 24);
			timelib_eat_spaces(&ptr);
			timelib_set_relative(&ptr, i, 1, s, TIMELIB_TIME_PART_KEEP);
		}
		TIMELIB_DEINIT;
		return TIMELIB_RELATIVE;
	}
#line 7039 "<stdout>"
yy251:
	YYDEBUG(251, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'V') goto yy410;
	if (yych == 'v') goto yy410;
	goto yy56;
yy252:
	YYDEBUG(252, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'T') goto yy425;
	if (yych == 't') goto yy425;
	goto yy56;
yy253:
	YYDEBUG(253, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'T') goto yy426;
	if (yych == 't') goto yy426;
	goto yy56;
yy254:
	YYDEBUG(254, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'P') {
		if (yych == 'C') goto yy427;
		if (yych <= 'O') goto yy56;
		goto yy428;
	} else {
		if (yych <= 'c') {
			if (yych <= 'b') goto yy56;
			goto yy427;
		} else {
			if (yych == 'p') goto yy428;
			goto yy56;
		}
	}
yy255:
	YYDEBUG(255, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'N') goto yy413;
	if (yych == 'n') goto yy413;
	goto yy56;
yy256:
	YYDEBUG(256, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'U') goto yy429;
	if (yych == 'u') goto yy429;
	goto yy56;
yy257:
	YYDEBUG(257, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'E') goto yy430;
	if (yych == 'e') goto yy430;
	goto yy56;
yy258:
	YYDEBUG(258, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'E') goto yy424;
	if (yych == 'e') goto yy424;
	goto yy56;
yy259:
	YYDEBUG(259, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'E') {
		if (yych <= 'C') goto yy56;
		if (yych <= 'D') goto yy431;
		goto yy432;
	} else {
		if (yych <= 'c') goto yy56;
		if (yych <= 'd') goto yy431;
		if (yych <= 'e') goto yy432;
		goto yy56;
	}
yy260:
	YYDEBUG(260, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'A') goto yy414;
	if (yych == 'a') goto yy414;
	goto yy56;
yy261:
	YYDEBUG(261, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= ',') {
		if (yych == '\t') goto yy273;
		goto yy198;
	} else {
		if (yych <= '-') goto yy433;
		if (yych <= '.') goto yy273;
		if (yych <= '/') goto yy268;
		goto yy198;
	}
yy262:
	YYDEBUG(262, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '.') {
		if (yych <= '\t') {
			if (yych <= 0x08) goto yy198;
			goto yy273;
		} else {
			if (yych <= ',') goto yy198;
			if (yych <= '-') goto yy433;
			goto yy273;
		}
	} else {
		if (yych <= 'U') {
			if (yych <= '/') goto yy268;
			if (yych <= 'T') goto yy198;
			goto yy429;
		} else {
			if (yych == 'u') goto yy429;
			goto yy198;
		}
	}
yy263:
	YYDEBUG(263, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'S') goto yy249;
	if (yych == 's') goto yy249;
	goto yy56;
yy264:
	YYDEBUG(264, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '.') {
		if (yych <= ',') goto yy170;
		if (yych <= '-') goto yy380;
		goto yy434;
	} else {
		if (yych <= '/') goto yy170;
		if (yych <= '9') goto yy435;
		if (yych <= ':') goto yy436;
		goto yy170;
	}
yy265:
	YYDEBUG(265, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych <= ',') goto yy170;
		if (yych <= '-') goto yy380;
		if (yych <= '.') goto yy434;
		goto yy170;
	} else {
		if (yych <= '2') goto yy435;
		if (yych <= '9') goto yy437;
		if (yych <= ':') goto yy436;
		goto yy170;
	}
yy266:
	YYDEBUG(266, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '.') {
		if (yych <= ',') goto yy170;
		if (yych <= '-') goto yy380;
		goto yy434;
	} else {
		if (yych <= '/') goto yy170;
		if (yych <= '9') goto yy437;
		if (yych <= ':') goto yy436;
		goto yy170;
	}
yy267:
	YYDEBUG(267, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '.') {
		if (yych <= ',') goto yy170;
		if (yych <= '-') goto yy380;
		goto yy434;
	} else {
		if (yych == ':') goto yy436;
		goto yy170;
	}
yy268:
	YYDEBUG(268, *YYCURSOR);
	yych = *++YYCURSOR;
	switch (yych) {
	case 'A':
	case 'a':	goto yy217;
	case 'D':
	case 'd':	goto yy218;
	case 'F':
	case 'f':	goto yy219;
	case 'J':
	case 'j':	goto yy220;
	case 'M':
	case 'm':	goto yy221;
	case 'N':
	case 'n':	goto yy222;
	case 'O':
	case 'o':	goto yy223;
	case 'S':
	case 's':	goto yy224;
	default:	goto yy56;
	}
yy269:
	YYDEBUG(269, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych == '.') goto yy436;
		goto yy170;
	} else {
		if (yych <= '9') goto yy438;
		if (yych <= ':') goto yy436;
		goto yy170;
	}
yy270:
	YYDEBUG(270, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == '.') goto yy436;
	if (yych == ':') goto yy436;
	goto yy170;
yy271:
	YYDEBUG(271, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'M') goto yy272;
	if (yych != 'm') goto yy56;
yy272:
	YYDEBUG(272, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 0x1F) {
		if (yych <= 0x00) goto yy439;
		if (yych == '\t') goto yy439;
		goto yy56;
	} else {
		if (yych <= ' ') goto yy439;
		if (yych == '.') goto yy441;
		goto yy56;
	}
yy273:
	YYDEBUG(273, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy198;
	if (yych <= '0') goto yy199;
	if (yych <= '1') goto yy200;
	if (yych <= '9') goto yy201;
	goto yy198;
yy274:
	YYDEBUG(274, *YYCURSOR);
	yych = *++YYCURSOR;
	switch (yych) {
	case '0':	goto yy442;
	case '1':	goto yy443;
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy444;
	case 'A':
	case 'a':	goto yy445;
	case 'D':
	case 'd':	goto yy446;
	case 'F':
	case 'f':	goto yy447;
	case 'J':
	case 'j':	goto yy448;
	case 'M':
	case 'm':	goto yy449;
	case 'N':
	case 'n':	goto yy450;
	case 'O':
	case 'o':	goto yy451;
	case 'S':
	case 's':	goto yy452;
	default:	goto yy56;
	}
yy275:
	YYDEBUG(275, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy276;
	if (yych <= '9') goto yy453;
yy276:
	YYDEBUG(276, *YYCURSOR);
#line 1201 "parse_date.re"
	{
		timelib_sll i;
		timelib_ull us;
		const char *ptr_before;
		bool is_negative;

		TIMELIB_INIT;
		TIMELIB_HAVE_RELATIVE();
		TIMELIB_UNHAVE_DATE();
		TIMELIB_UNHAVE_TIME();
		TIMELIB_HAVE_TZ();

		is_negative = *(ptr + 1) == '-';

		i = timelib_get_signed_nr(s, &ptr, 24);

		ptr_before = ptr;
		us = timelib_get_signed_nr(s, &ptr, 6);
		us = us * pow(10, 7 - (ptr - ptr_before));
		if (is_negative) {
			us *= -1;
		}

		s->time->y = 1970;
		s->time->m = 1;
		s->time->d = 1;
		s->time->h = s->time->i = s->time->s = 0;
		s->time->us = 0;
		s->time->relative.s += i;
		s->time->relative.us = us;
		s->time->is_localtime = 1;
		s->time->zone_type = TIMELIB_ZONETYPE_OFFSET;
		s->time->z = 0;
		s->time->dst = 0;

		TIMELIB_DEINIT;
		return TIMELIB_RELATIVE;
	}
#line 7356 "<stdout>"
yy277:
	YYDEBUG(277, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '@') {
		if (yych == ')') goto yy108;
		goto yy18;
	} else {
		if (yych <= 'Z') goto yy454;
		if (yych <= '`') goto yy18;
		if (yych <= 'z') goto yy454;
		goto yy18;
	}
yy278:
	YYDEBUG(278, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '@') {
		if (yych == ')') goto yy108;
	} else {
		if (yych <= 'Z') goto yy454;
		if (yych <= '`') goto yy279;
		if (yych <= 'z') goto yy454;
	}
yy279:
	YYDEBUG(279, *YYCURSOR);
#line 1760 "parse_date.re"
	{
		DEBUG_OUTPUT("ago");
		TIMELIB_INIT;
		s->time->relative.y = 0 - s->time->relative.y;
		s->time->relative.m = 0 - s->time->relative.m;
		s->time->relative.d = 0 - s->time->relative.d;
		s->time->relative.h = 0 - s->time->relative.h;
		s->time->relative.i = 0 - s->time->relative.i;
		s->time->relative.s = 0 - s->time->relative.s;
		s->time->relative.weekday = 0 - s->time->relative.weekday;
		if (s->time->relative.weekday == 0) {
			s->time->relative.weekday = -7;
		}
		if (s->time->relative.have_special_relative && s->time->relative.special.type == TIMELIB_SPECIAL_WEEKDAY) {
			s->time->relative.special.amount = 0 - s->time->relative.special.amount;
		}
		TIMELIB_DEINIT;
		return TIMELIB_AGO;
	}
#line 7401 "<stdout>"
yy280:
	YYDEBUG(280, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych <= '(') {
			if (yych <= '\t') {
				if (yych >= '\t') goto yy135;
			} else {
				if (yych == ' ') goto yy135;
			}
		} else {
			if (yych <= ',') {
				if (yych <= ')') goto yy108;
			} else {
				if (yych <= '-') goto yy455;
				if (yych <= '.') goto yy135;
			}
		}
	} else {
		if (yych <= 'Z') {
			if (yych <= '@') {
				if (yych <= '9') goto yy135;
			} else {
				if (yych == 'I') goto yy456;
				goto yy454;
			}
		} else {
			if (yych <= 'h') {
				if (yych >= 'a') goto yy454;
			} else {
				if (yych <= 'i') goto yy456;
				if (yych <= 'z') goto yy454;
			}
		}
	}
yy281:
	YYDEBUG(281, *YYCURSOR);
#line 1840 "parse_date.re"
	{
		DEBUG_OUTPUT("monthtext");
		TIMELIB_INIT;
		TIMELIB_HAVE_DATE();
		s->time->m = timelib_lookup_month(&ptr);
		TIMELIB_DEINIT;
		return TIMELIB_DATE_TEXT;
	}
#line 7449 "<stdout>"
yy282:
	YYDEBUG(282, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych <= '(') {
			if (yych <= '\t') {
				if (yych <= 0x08) goto yy281;
				goto yy135;
			} else {
				if (yych == ' ') goto yy135;
				goto yy281;
			}
		} else {
			if (yych <= ',') {
				if (yych <= ')') goto yy108;
				goto yy281;
			} else {
				if (yych <= '-') goto yy455;
				if (yych <= '.') goto yy135;
				goto yy281;
			}
		}
	} else {
		if (yych <= 'Z') {
			if (yych <= '@') {
				if (yych <= '9') goto yy135;
				goto yy281;
			} else {
				if (yych == 'U') goto yy457;
				goto yy454;
			}
		} else {
			if (yych <= 't') {
				if (yych <= '`') goto yy281;
				goto yy454;
			} else {
				if (yych <= 'u') goto yy457;
				if (yych <= 'z') goto yy454;
				goto yy281;
			}
		}
	}
yy283:
	YYDEBUG(283, *YYCURSOR);
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yybm[0+yych] & 64) {
		goto yy458;
	}
	goto yy56;
yy284:
	YYDEBUG(284, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych <= ',') {
			if (yych == ')') goto yy108;
			goto yy18;
		} else {
			if (yych == '.') goto yy18;
			goto yy283;
		}
	} else {
		if (yych <= '^') {
			if (yych <= '@') goto yy18;
			if (yych <= 'Z') goto yy454;
			goto yy18;
		} else {
			if (yych <= '_') goto yy283;
			if (yych <= '`') goto yy18;
			if (yych <= 'z') goto yy460;
			goto yy18;
		}
	}
yy285:
	YYDEBUG(285, *YYCURSOR);
	yyaccept = 8;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych <= ',') {
			if (yych == ')') goto yy108;
			goto yy279;
		} else {
			if (yych == '.') goto yy279;
			goto yy283;
		}
	} else {
		if (yych <= '^') {
			if (yych <= '@') goto yy279;
			if (yych <= 'Z') goto yy454;
			goto yy279;
		} else {
			if (yych <= '_') goto yy283;
			if (yych <= '`') goto yy279;
			if (yych <= 'z') goto yy460;
			goto yy279;
		}
	}
yy286:
	YYDEBUG(286, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '9') {
		if (yych <= '(') {
			if (yych <= '\t') {
				if (yych <= 0x08) goto yy281;
				goto yy135;
			} else {
				if (yych == ' ') goto yy135;
				goto yy281;
			}
		} else {
			if (yych <= '-') {
				if (yych <= ')') goto yy108;
				if (yych <= ',') goto yy281;
				goto yy461;
			} else {
				if (yych == '/') goto yy283;
				goto yy135;
			}
		}
	} else {
		if (yych <= '^') {
			if (yych <= 'H') {
				if (yych <= '@') goto yy281;
				goto yy454;
			} else {
				if (yych <= 'I') goto yy456;
				if (yych <= 'Z') goto yy454;
				goto yy281;
			}
		} else {
			if (yych <= 'h') {
				if (yych <= '_') goto yy283;
				if (yych <= '`') goto yy281;
				goto yy460;
			} else {
				if (yych <= 'i') goto yy462;
				if (yych <= 'z') goto yy460;
				goto yy281;
			}
		}
	}
yy287:
	YYDEBUG(287, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '9') {
		if (yych <= '(') {
			if (yych <= '\t') {
				if (yych <= 0x08) goto yy281;
				goto yy135;
			} else {
				if (yych == ' ') goto yy135;
				goto yy281;
			}
		} else {
			if (yych <= '-') {
				if (yych <= ')') goto yy108;
				if (yych <= ',') goto yy281;
				goto yy461;
			} else {
				if (yych == '/') goto yy283;
				goto yy135;
			}
		}
	} else {
		if (yych <= '^') {
			if (yych <= 'T') {
				if (yych <= '@') goto yy281;
				goto yy454;
			} else {
				if (yych <= 'U') goto yy457;
				if (yych <= 'Z') goto yy454;
				goto yy281;
			}
		} else {
			if (yych <= 't') {
				if (yych <= '_') goto yy283;
				if (yych <= '`') goto yy281;
				goto yy460;
			} else {
				if (yych <= 'u') goto yy463;
				if (yych <= 'z') goto yy460;
				goto yy281;
			}
		}
	}
yy288:
	YYDEBUG(288, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'K') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'J') goto yy454;
			goto yy464;
		}
	} else {
		if (yych <= 'j') {
			if (yych <= 'Z') goto yy454;
			if (yych <= '`') goto yy18;
			goto yy454;
		} else {
			if (yych <= 'k') goto yy464;
			if (yych <= 'z') goto yy454;
			goto yy18;
		}
	}
yy289:
	YYDEBUG(289, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'J') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy454;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'K') goto yy464;
			if (yych <= 'Z') goto yy454;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'j') {
				if (yych <= '`') goto yy18;
				goto yy460;
			} else {
				if (yych <= 'k') goto yy465;
				if (yych <= 'z') goto yy460;
				goto yy18;
			}
		}
	}
yy290:
	YYDEBUG(290, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych <= '(') {
			if (yych <= '\t') {
				if (yych <= 0x08) goto yy281;
				goto yy135;
			} else {
				if (yych == ' ') goto yy135;
				goto yy281;
			}
		} else {
			if (yych <= ',') {
				if (yych <= ')') goto yy108;
				goto yy281;
			} else {
				if (yych <= '-') goto yy455;
				if (yych <= '.') goto yy135;
				goto yy281;
			}
		}
	} else {
		if (yych <= 'Z') {
			if (yych <= '@') {
				if (yych <= '9') goto yy135;
				goto yy281;
			} else {
				if (yych == 'E') goto yy466;
				goto yy454;
			}
		} else {
			if (yych <= 'd') {
				if (yych <= '`') goto yy281;
				goto yy454;
			} else {
				if (yych <= 'e') goto yy466;
				if (yych <= 'z') goto yy454;
				goto yy281;
			}
		}
	}
yy291:
	YYDEBUG(291, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '9') {
		if (yych <= '(') {
			if (yych <= '\t') {
				if (yych <= 0x08) goto yy281;
				goto yy135;
			} else {
				if (yych == ' ') goto yy135;
				goto yy281;
			}
		} else {
			if (yych <= '-') {
				if (yych <= ')') goto yy108;
				if (yych <= ',') goto yy281;
				goto yy461;
			} else {
				if (yych == '/') goto yy283;
				goto yy135;
			}
		}
	} else {
		if (yych <= '^') {
			if (yych <= 'D') {
				if (yych <= '@') goto yy281;
				goto yy454;
			} else {
				if (yych <= 'E') goto yy466;
				if (yych <= 'Z') goto yy454;
				goto yy281;
			}
		} else {
			if (yych <= 'd') {
				if (yych <= '_') goto yy283;
				if (yych <= '`') goto yy281;
				goto yy460;
			} else {
				if (yych <= 'e') goto yy467;
				if (yych <= 'z') goto yy460;
				goto yy281;
			}
		}
	}
yy292:
	YYDEBUG(292, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'H') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'G') goto yy454;
			goto yy468;
		}
	} else {
		if (yych <= 'g') {
			if (yych <= 'Z') goto yy454;
			if (yych <= '`') goto yy18;
			goto yy454;
		} else {
			if (yych <= 'h') goto yy468;
			if (yych <= 'z') goto yy454;
			goto yy18;
		}
	}
yy293:
	YYDEBUG(293, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'V') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'U') goto yy454;
			goto yy469;
		}
	} else {
		if (yych <= 'u') {
			if (yych <= 'Z') goto yy454;
			if (yych <= '`') goto yy18;
			goto yy454;
		} else {
			if (yych <= 'v') goto yy469;
			if (yych <= 'z') goto yy454;
			goto yy18;
		}
	}
yy294:
	YYDEBUG(294, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'G') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy454;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'H') goto yy468;
			if (yych <= 'Z') goto yy454;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'g') {
				if (yych <= '`') goto yy18;
				goto yy460;
			} else {
				if (yych <= 'h') goto yy470;
				if (yych <= 'z') goto yy460;
				goto yy18;
			}
		}
	}
yy295:
	YYDEBUG(295, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'U') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy454;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'V') goto yy469;
			if (yych <= 'Z') goto yy454;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'u') {
				if (yych <= '`') goto yy18;
				goto yy460;
			} else {
				if (yych <= 'v') goto yy471;
				if (yych <= 'z') goto yy460;
				goto yy18;
			}
		}
	}
yy296:
	YYDEBUG(296, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych <= '(') {
			if (yych <= '\t') {
				if (yych <= 0x08) goto yy281;
				goto yy135;
			} else {
				if (yych == ' ') goto yy135;
				goto yy281;
			}
		} else {
			if (yych <= ',') {
				if (yych <= ')') goto yy108;
				goto yy281;
			} else {
				if (yych <= '-') goto yy455;
				if (yych <= '.') goto yy135;
				goto yy281;
			}
		}
	} else {
		if (yych <= 'Z') {
			if (yych <= '@') {
				if (yych <= '9') goto yy135;
				goto yy281;
			} else {
				if (yych == 'R') goto yy472;
				goto yy454;
			}
		} else {
			if (yych <= 'q') {
				if (yych <= '`') goto yy281;
				goto yy454;
			} else {
				if (yych <= 'r') goto yy472;
				if (yych <= 'z') goto yy454;
				goto yy281;
			}
		}
	}
yy297:
	YYDEBUG(297, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'T') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'S') goto yy454;
			goto yy473;
		}
	} else {
		if (yych <= 's') {
			if (yych <= 'Z') goto yy454;
			if (yych <= '`') goto yy18;
			goto yy454;
		} else {
			if (yych <= 't') goto yy473;
			if (yych <= 'z') goto yy454;
			goto yy18;
		}
	}
yy298:
	YYDEBUG(298, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'S') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'R') goto yy454;
			goto yy474;
		}
	} else {
		if (yych <= 'r') {
			if (yych <= 'Z') goto yy454;
			if (yych <= '`') goto yy18;
			goto yy454;
		} else {
			if (yych <= 's') goto yy474;
			if (yych <= 'z') goto yy454;
			goto yy18;
		}
	}
yy299:
	YYDEBUG(299, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'R') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'Q') goto yy454;
			goto yy475;
		}
	} else {
		if (yych <= 'q') {
			if (yych <= 'Z') goto yy454;
			if (yych <= '`') goto yy18;
			goto yy454;
		} else {
			if (yych <= 'r') goto yy475;
			if (yych <= 'z') goto yy454;
			goto yy18;
		}
	}
yy300:
	YYDEBUG(300, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'D') {
		if (yych <= ')') {
			if (yych >= ')') goto yy108;
		} else {
			if (yych <= '@') goto yy301;
			if (yych <= 'C') goto yy454;
			goto yy476;
		}
	} else {
		if (yych <= 'c') {
			if (yych <= 'Z') goto yy454;
			if (yych >= 'a') goto yy454;
		} else {
			if (yych <= 'd') goto yy476;
			if (yych <= 'z') goto yy454;
		}
	}
yy301:
	YYDEBUG(301, *YYCURSOR);
#line 1781 "parse_date.re"
	{
		const timelib_relunit* relunit;
		DEBUG_OUTPUT("daytext");
		TIMELIB_INIT;
		TIMELIB_HAVE_RELATIVE();
		TIMELIB_HAVE_WEEKDAY_RELATIVE();
		TIMELIB_UNHAVE_TIME();
		relunit = timelib_lookup_relunit(&ptr);
		s->time->relative.weekday = relunit->multiplier;
		if (s->time->relative.weekday_behavior != 2) {
			s->time->relative.weekday_behavior = 1;
		}

		TIMELIB_DEINIT;
		return TIMELIB_WEEKDAY;
	}
#line 8041 "<stdout>"
yy302:
	YYDEBUG(302, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'N') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'M') goto yy454;
			goto yy477;
		}
	} else {
		if (yych <= 'm') {
			if (yych <= 'Z') goto yy454;
			if (yych <= '`') goto yy18;
			goto yy454;
		} else {
			if (yych <= 'n') goto yy477;
			if (yych <= 'z') goto yy454;
			goto yy18;
		}
	}
yy303:
	YYDEBUG(303, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '9') {
		if (yych <= '(') {
			if (yych <= '\t') {
				if (yych <= 0x08) goto yy281;
				goto yy135;
			} else {
				if (yych == ' ') goto yy135;
				goto yy281;
			}
		} else {
			if (yych <= '-') {
				if (yych <= ')') goto yy108;
				if (yych <= ',') goto yy281;
				goto yy461;
			} else {
				if (yych == '/') goto yy283;
				goto yy135;
			}
		}
	} else {
		if (yych <= '^') {
			if (yych <= 'Q') {
				if (yych <= '@') goto yy281;
				goto yy454;
			} else {
				if (yych <= 'R') goto yy472;
				if (yych <= 'Z') goto yy454;
				goto yy281;
			}
		} else {
			if (yych <= 'q') {
				if (yych <= '_') goto yy283;
				if (yych <= '`') goto yy281;
				goto yy460;
			} else {
				if (yych <= 'r') goto yy478;
				if (yych <= 'z') goto yy460;
				goto yy281;
			}
		}
	}
yy304:
	YYDEBUG(304, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'S') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy454;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'T') goto yy473;
			if (yych <= 'Z') goto yy454;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 's') {
				if (yych <= '`') goto yy18;
				goto yy460;
			} else {
				if (yych <= 't') goto yy479;
				if (yych <= 'z') goto yy460;
				goto yy18;
			}
		}
	}
yy305:
	YYDEBUG(305, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'R') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy454;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'S') goto yy474;
			if (yych <= 'Z') goto yy454;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'r') {
				if (yych <= '`') goto yy18;
				goto yy460;
			} else {
				if (yych <= 's') goto yy480;
				if (yych <= 'z') goto yy460;
				goto yy18;
			}
		}
	}
yy306:
	YYDEBUG(306, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'Q') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy454;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'R') goto yy475;
			if (yych <= 'Z') goto yy454;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'q') {
				if (yych <= '`') goto yy18;
				goto yy460;
			} else {
				if (yych <= 'r') goto yy481;
				if (yych <= 'z') goto yy460;
				goto yy18;
			}
		}
	}
yy307:
	YYDEBUG(307, *YYCURSOR);
	yyaccept = 9;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'C') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy301;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy301;
			goto yy454;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'D') goto yy476;
			if (yych <= 'Z') goto yy454;
			if (yych <= '^') goto yy301;
			goto yy283;
		} else {
			if (yych <= 'c') {
				if (yych <= '`') goto yy301;
				goto yy460;
			} else {
				if (yych <= 'd') goto yy482;
				if (yych <= 'z') goto yy460;
				goto yy301;
			}
		}
	}
yy308:
	YYDEBUG(308, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'M') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy454;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'N') goto yy477;
			if (yych <= 'Z') goto yy454;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'm') {
				if (yych <= '`') goto yy18;
				goto yy460;
			} else {
				if (yych <= 'n') goto yy483;
				if (yych <= 'z') goto yy460;
				goto yy18;
			}
		}
	}
yy309:
	YYDEBUG(309, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= ',') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych == '+') goto yy484;
			goto yy18;
		}
	} else {
		if (yych <= 'Z') {
			if (yych <= '-') goto yy484;
			if (yych <= '@') goto yy18;
			goto yy454;
		} else {
			if (yych <= '`') goto yy18;
			if (yych <= 'z') goto yy454;
			goto yy18;
		}
	}
yy310:
	YYDEBUG(310, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '9') {
		if (yych <= '0') {
			if (yych >= '0') goto yy485;
		} else {
			if (yych <= '1') goto yy486;
			if (yych <= '2') goto yy487;
			goto yy488;
		}
	} else {
		if (yych <= 'T') {
			if (yych >= 'T') goto yy489;
		} else {
			if (yych == 't') goto yy489;
		}
	}
yy311:
	YYDEBUG(311, *YYCURSOR);
#line 1586 "parse_date.re"
	{
		int length = 0;
		DEBUG_OUTPUT("datetextual | datenoyear");
		TIMELIB_INIT;
		TIMELIB_HAVE_DATE();
		s->time->m = timelib_get_month(&ptr);
		s->time->d = timelib_get_nr(&ptr, 2);
		s->time->y = timelib_get_nr_ex(&ptr, 4, &length);
		TIMELIB_PROCESS_YEAR(s->time->y, length);
		TIMELIB_DEINIT;
		return TIMELIB_DATE_TEXT;
	}
#line 8322 "<stdout>"
yy312:
	YYDEBUG(312, *YYCURSOR);
	yyaccept = 10;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 21) YYFILL(21);
	yych = *YYCURSOR;
yy313:
	YYDEBUG(313, *YYCURSOR);
	if (yybm[0+yych] & 32) {
		goto yy312;
	}
	if (yych <= '2') {
		if (yych <= '/') goto yy311;
		if (yych <= '0') goto yy490;
		if (yych <= '1') goto yy491;
		goto yy492;
	} else {
		if (yych <= '9') goto yy493;
		if (yych == 'T') goto yy489;
		goto yy311;
	}
yy314:
	YYDEBUG(314, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '9') {
		if (yych <= ' ') {
			if (yych <= 0x08) {
				if (yych <= 0x00) goto yy310;
				goto yy56;
			} else {
				if (yych <= '\t') goto yy312;
				if (yych <= 0x1F) goto yy56;
				goto yy312;
			}
		} else {
			if (yych <= '-') {
				if (yych == ',') goto yy312;
				goto yy56;
			} else {
				if (yych <= '.') goto yy312;
				if (yych <= '/') goto yy56;
				goto yy494;
			}
		}
	} else {
		if (yych <= 'm') {
			if (yych <= 'd') {
				if (yych <= 'c') goto yy56;
				goto yy312;
			} else {
				if (yych == 'h') goto yy312;
				goto yy56;
			}
		} else {
			if (yych <= 'r') {
				if (yych <= 'n') goto yy315;
				if (yych <= 'q') goto yy56;
			} else {
				if (yych <= 's') goto yy316;
				if (yych <= 't') goto yy317;
				goto yy56;
			}
		}
	}
yy315:
	YYDEBUG(315, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == 'd') goto yy495;
	goto yy313;
yy316:
	YYDEBUG(316, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == 't') goto yy495;
	goto yy313;
yy317:
	YYDEBUG(317, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == 'h') goto yy495;
	goto yy313;
yy318:
	YYDEBUG(318, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy494;
	goto yy56;
yy319:
	YYDEBUG(319, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= ',') {
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy135;
			goto yy18;
		} else {
			if (yych <= ' ') goto yy135;
			if (yych == ')') goto yy108;
			goto yy18;
		}
	} else {
		if (yych <= '@') {
			if (yych == '/') goto yy18;
			if (yych <= '9') goto yy135;
			goto yy18;
		} else {
			if (yych <= 'Z') goto yy454;
			if (yych <= '`') goto yy18;
			if (yych <= 'z') goto yy454;
			goto yy18;
		}
	}
yy320:
	YYDEBUG(320, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych <= '(') {
			if (yych <= '\t') {
				if (yych <= 0x08) goto yy281;
				goto yy135;
			} else {
				if (yych == ' ') goto yy135;
				goto yy281;
			}
		} else {
			if (yych <= ',') {
				if (yych <= ')') goto yy108;
				goto yy281;
			} else {
				if (yych <= '-') goto yy455;
				if (yych <= '.') goto yy135;
				goto yy281;
			}
		}
	} else {
		if (yych <= 'Z') {
			if (yych <= '@') {
				if (yych <= '9') goto yy135;
				goto yy281;
			} else {
				if (yych == 'U') goto yy496;
				goto yy454;
			}
		} else {
			if (yych <= 't') {
				if (yych <= '`') goto yy281;
				goto yy454;
			} else {
				if (yych <= 'u') goto yy496;
				if (yych <= 'z') goto yy454;
				goto yy281;
			}
		}
	}
yy321:
	YYDEBUG(321, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych <= '(') {
			if (yych <= '\t') {
				if (yych <= 0x08) goto yy281;
				goto yy135;
			} else {
				if (yych == ' ') goto yy135;
				goto yy281;
			}
		} else {
			if (yych <= ',') {
				if (yych <= ')') goto yy108;
				goto yy281;
			} else {
				if (yych <= '-') goto yy455;
				if (yych <= '.') goto yy135;
				goto yy281;
			}
		}
	} else {
		if (yych <= 'Z') {
			if (yych <= '@') {
				if (yych <= '9') goto yy135;
				goto yy281;
			} else {
				if (yych == 'Y') goto yy497;
				goto yy454;
			}
		} else {
			if (yych <= 'x') {
				if (yych <= '`') goto yy281;
				goto yy454;
			} else {
				if (yych <= 'y') goto yy497;
				if (yych <= 'z') goto yy454;
				goto yy281;
			}
		}
	}
yy322:
	YYDEBUG(322, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych <= '(') {
			if (yych <= '\t') {
				if (yych <= 0x08) goto yy281;
				goto yy135;
			} else {
				if (yych == ' ') goto yy135;
				goto yy281;
			}
		} else {
			if (yych <= ',') {
				if (yych <= ')') goto yy108;
				goto yy281;
			} else {
				if (yych <= '-') goto yy455;
				if (yych <= '.') goto yy135;
				goto yy281;
			}
		}
	} else {
		if (yych <= 'Z') {
			if (yych <= '@') {
				if (yych <= '9') goto yy135;
				goto yy281;
			} else {
				if (yych == 'E') goto yy497;
				goto yy454;
			}
		} else {
			if (yych <= 'd') {
				if (yych <= '`') goto yy281;
				goto yy454;
			} else {
				if (yych <= 'e') goto yy497;
				if (yych <= 'z') goto yy454;
				goto yy281;
			}
		}
	}
yy323:
	YYDEBUG(323, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '9') {
		if (yych <= '(') {
			if (yych <= '\t') {
				if (yych <= 0x08) goto yy281;
				goto yy135;
			} else {
				if (yych == ' ') goto yy135;
				goto yy281;
			}
		} else {
			if (yych <= '-') {
				if (yych <= ')') goto yy108;
				if (yych <= ',') goto yy281;
				goto yy461;
			} else {
				if (yych == '/') goto yy283;
				goto yy135;
			}
		}
	} else {
		if (yych <= '^') {
			if (yych <= 'T') {
				if (yych <= '@') goto yy281;
				goto yy454;
			} else {
				if (yych <= 'U') goto yy496;
				if (yych <= 'Z') goto yy454;
				goto yy281;
			}
		} else {
			if (yych <= 't') {
				if (yych <= '_') goto yy283;
				if (yych <= '`') goto yy281;
				goto yy460;
			} else {
				if (yych <= 'u') goto yy498;
				if (yych <= 'z') goto yy460;
				goto yy281;
			}
		}
	}
yy324:
	YYDEBUG(324, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '9') {
		if (yych <= '(') {
			if (yych <= '\t') {
				if (yych <= 0x08) goto yy281;
				goto yy135;
			} else {
				if (yych == ' ') goto yy135;
				goto yy281;
			}
		} else {
			if (yych <= '-') {
				if (yych <= ')') goto yy108;
				if (yych <= ',') goto yy281;
				goto yy461;
			} else {
				if (yych == '/') goto yy283;
				goto yy135;
			}
		}
	} else {
		if (yych <= '^') {
			if (yych <= 'X') {
				if (yych <= '@') goto yy281;
				goto yy454;
			} else {
				if (yych <= 'Y') goto yy497;
				if (yych <= 'Z') goto yy454;
				goto yy281;
			}
		} else {
			if (yych <= 'x') {
				if (yych <= '_') goto yy283;
				if (yych <= '`') goto yy281;
				goto yy460;
			} else {
				if (yych <= 'y') goto yy499;
				if (yych <= 'z') goto yy460;
				goto yy281;
			}
		}
	}
yy325:
	YYDEBUG(325, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '9') {
		if (yych <= '(') {
			if (yych <= '\t') {
				if (yych <= 0x08) goto yy281;
				goto yy135;
			} else {
				if (yych == ' ') goto yy135;
				goto yy281;
			}
		} else {
			if (yych <= '-') {
				if (yych <= ')') goto yy108;
				if (yych <= ',') goto yy281;
				goto yy461;
			} else {
				if (yych == '/') goto yy283;
				goto yy135;
			}
		}
	} else {
		if (yych <= '^') {
			if (yych <= 'D') {
				if (yych <= '@') goto yy281;
				goto yy454;
			} else {
				if (yych <= 'E') goto yy497;
				if (yych <= 'Z') goto yy454;
				goto yy281;
			}
		} else {
			if (yych <= 'd') {
				if (yych <= '_') goto yy283;
				if (yych <= '`') goto yy281;
				goto yy460;
			} else {
				if (yych <= 'e') goto yy499;
				if (yych <= 'z') goto yy460;
				goto yy281;
			}
		}
	}
yy326:
	YYDEBUG(326, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'T') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'S') goto yy454;
			goto yy500;
		}
	} else {
		if (yych <= 's') {
			if (yych <= 'Z') goto yy454;
			if (yych <= '`') goto yy18;
			goto yy454;
		} else {
			if (yych <= 't') goto yy500;
			if (yych <= 'z') goto yy454;
			goto yy18;
		}
	}
yy327:
	YYDEBUG(327, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'S') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy454;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'T') goto yy500;
			if (yych <= 'Z') goto yy454;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 's') {
				if (yych <= '`') goto yy18;
				goto yy460;
			} else {
				if (yych <= 't') goto yy501;
				if (yych <= 'z') goto yy460;
				goto yy18;
			}
		}
	}
yy328:
	YYDEBUG(328, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych <= '(') {
			if (yych <= '\t') {
				if (yych <= 0x08) goto yy281;
				goto yy135;
			} else {
				if (yych == ' ') goto yy135;
				goto yy281;
			}
		} else {
			if (yych <= ',') {
				if (yych <= ')') goto yy108;
				goto yy281;
			} else {
				if (yych <= '-') goto yy455;
				if (yych <= '.') goto yy135;
				goto yy281;
			}
		}
	} else {
		if (yych <= 'Z') {
			if (yych <= '@') {
				if (yych <= '9') goto yy135;
				goto yy281;
			} else {
				if (yych == 'C') goto yy502;
				goto yy454;
			}
		} else {
			if (yych <= 'b') {
				if (yych <= '`') goto yy281;
				goto yy454;
			} else {
				if (yych <= 'c') goto yy502;
				if (yych <= 'z') goto yy454;
				goto yy281;
			}
		}
	}
yy329:
	YYDEBUG(329, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '-') {
		if (yych <= ' ') {
			if (yych == '\t') goto yy135;
			if (yych <= 0x1F) goto yy281;
			goto yy135;
		} else {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy281;
			goto yy455;
		}
	} else {
		if (yych <= '@') {
			if (yych == '/') goto yy281;
			if (yych <= '9') goto yy135;
			goto yy281;
		} else {
			if (yych <= 'Z') goto yy454;
			if (yych <= '`') goto yy281;
			if (yych <= 'z') goto yy454;
			goto yy281;
		}
	}
yy330:
	YYDEBUG(330, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'N') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'M') goto yy454;
			goto yy503;
		}
	} else {
		if (yych <= 'm') {
			if (yych <= 'Z') goto yy454;
			if (yych <= '`') goto yy18;
			goto yy454;
		} else {
			if (yych <= 'n') goto yy503;
			if (yych <= 'z') goto yy454;
			goto yy18;
		}
	}
yy331:
	YYDEBUG(331, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '9') {
		if (yych <= '(') {
			if (yych <= '\t') {
				if (yych <= 0x08) goto yy281;
				goto yy135;
			} else {
				if (yych == ' ') goto yy135;
				goto yy281;
			}
		} else {
			if (yych <= '-') {
				if (yych <= ')') goto yy108;
				if (yych <= ',') goto yy281;
				goto yy461;
			} else {
				if (yych == '/') goto yy283;
				goto yy135;
			}
		}
	} else {
		if (yych <= '^') {
			if (yych <= 'B') {
				if (yych <= '@') goto yy281;
				goto yy454;
			} else {
				if (yych <= 'C') goto yy502;
				if (yych <= 'Z') goto yy454;
				goto yy281;
			}
		} else {
			if (yych <= 'b') {
				if (yych <= '_') goto yy283;
				if (yych <= '`') goto yy281;
				goto yy460;
			} else {
				if (yych <= 'c') goto yy504;
				if (yych <= 'z') goto yy460;
				goto yy281;
			}
		}
	}
yy332:
	YYDEBUG(332, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '.') {
		if (yych <= ' ') {
			if (yych == '\t') goto yy135;
			if (yych <= 0x1F) goto yy281;
			goto yy135;
		} else {
			if (yych <= ')') {
				if (yych <= '(') goto yy281;
				goto yy108;
			} else {
				if (yych <= ',') goto yy281;
				if (yych <= '-') goto yy461;
				goto yy135;
			}
		}
	} else {
		if (yych <= 'Z') {
			if (yych <= '/') goto yy283;
			if (yych <= '9') goto yy135;
			if (yych <= '@') goto yy281;
			goto yy454;
		} else {
			if (yych <= '_') {
				if (yych <= '^') goto yy281;
				goto yy283;
			} else {
				if (yych <= '`') goto yy281;
				if (yych <= 'z') goto yy460;
				goto yy281;
			}
		}
	}
yy333:
	YYDEBUG(333, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'M') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy454;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'N') goto yy503;
			if (yych <= 'Z') goto yy454;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'm') {
				if (yych <= '`') goto yy18;
				goto yy460;
			} else {
				if (yych <= 'n') goto yy505;
				if (yych <= 'z') goto yy460;
				goto yy18;
			}
		}
	}
yy334:
	YYDEBUG(334, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'T') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'S') goto yy454;
			goto yy506;
		}
	} else {
		if (yych <= 's') {
			if (yych <= 'Z') goto yy454;
			if (yych <= '`') goto yy18;
			goto yy454;
		} else {
			if (yych <= 't') goto yy506;
			if (yych <= 'z') goto yy454;
			goto yy18;
		}
	}
yy335:
	YYDEBUG(335, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'N') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'M') goto yy454;
			goto yy507;
		}
	} else {
		if (yych <= 'm') {
			if (yych <= 'Z') goto yy454;
			if (yych <= '`') goto yy18;
			goto yy454;
		} else {
			if (yych <= 'n') goto yy507;
			if (yych <= 'z') goto yy454;
			goto yy18;
		}
	}
yy336:
	YYDEBUG(336, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '@') {
		if (yych == ')') goto yy108;
	} else {
		if (yych <= 'Z') goto yy454;
		if (yych <= '`') goto yy337;
		if (yych <= 'z') goto yy454;
	}
yy337:
	YYDEBUG(337, *YYCURSOR);
#line 1132 "parse_date.re"
	{
		DEBUG_OUTPUT("now");
		TIMELIB_INIT;

		TIMELIB_DEINIT;
		return TIMELIB_RELATIVE;
	}
#line 9024 "<stdout>"
yy338:
	YYDEBUG(338, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'S') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy454;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'T') goto yy506;
			if (yych <= 'Z') goto yy454;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 's') {
				if (yych <= '`') goto yy18;
				goto yy460;
			} else {
				if (yych <= 't') goto yy509;
				if (yych <= 'z') goto yy460;
				goto yy18;
			}
		}
	}
yy339:
	YYDEBUG(339, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'M') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy454;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'N') goto yy507;
			if (yych <= 'Z') goto yy454;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'm') {
				if (yych <= '`') goto yy18;
				goto yy460;
			} else {
				if (yych <= 'n') goto yy510;
				if (yych <= 'z') goto yy460;
				goto yy18;
			}
		}
	}
yy340:
	YYDEBUG(340, *YYCURSOR);
	yyaccept = 11;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych <= ',') {
			if (yych == ')') goto yy108;
			goto yy337;
		} else {
			if (yych == '.') goto yy337;
			goto yy283;
		}
	} else {
		if (yych <= '^') {
			if (yych <= '@') goto yy337;
			if (yych <= 'Z') goto yy454;
			goto yy337;
		} else {
			if (yych <= '_') goto yy283;
			if (yych <= '`') goto yy337;
			if (yych <= 'z') goto yy460;
			goto yy337;
		}
	}
yy341:
	YYDEBUG(341, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych <= '(') {
			if (yych <= '\t') {
				if (yych <= 0x08) goto yy281;
				goto yy135;
			} else {
				if (yych == ' ') goto yy135;
				goto yy281;
			}
		} else {
			if (yych <= ',') {
				if (yych <= ')') goto yy108;
				goto yy281;
			} else {
				if (yych <= '-') goto yy455;
				if (yych <= '.') goto yy135;
				goto yy281;
			}
		}
	} else {
		if (yych <= 'Z') {
			if (yych <= '@') {
				if (yych <= '9') goto yy135;
				goto yy281;
			} else {
				if (yych == 'O') goto yy511;
				goto yy454;
			}
		} else {
			if (yych <= 'n') {
				if (yych <= '`') goto yy281;
				goto yy454;
			} else {
				if (yych <= 'o') goto yy511;
				if (yych <= 'z') goto yy454;
				goto yy281;
			}
		}
	}
yy342:
	YYDEBUG(342, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '9') {
		if (yych <= '(') {
			if (yych <= '\t') {
				if (yych <= 0x08) goto yy281;
				goto yy135;
			} else {
				if (yych == ' ') goto yy135;
				goto yy281;
			}
		} else {
			if (yych <= '-') {
				if (yych <= ')') goto yy108;
				if (yych <= ',') goto yy281;
				goto yy461;
			} else {
				if (yych == '/') goto yy283;
				goto yy135;
			}
		}
	} else {
		if (yych <= '^') {
			if (yych <= 'N') {
				if (yych <= '@') goto yy281;
				goto yy454;
			} else {
				if (yych <= 'O') goto yy511;
				if (yych <= 'Z') goto yy454;
				goto yy281;
			}
		} else {
			if (yych <= 'n') {
				if (yych <= '_') goto yy283;
				if (yych <= '`') goto yy281;
				goto yy460;
			} else {
				if (yych <= 'o') goto yy512;
				if (yych <= 'z') goto yy460;
				goto yy281;
			}
		}
	}
yy343:
	YYDEBUG(343, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'V') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'U') goto yy454;
			goto yy513;
		}
	} else {
		if (yych <= 'u') {
			if (yych <= 'Z') goto yy454;
			if (yych <= '`') goto yy18;
			goto yy454;
		} else {
			if (yych <= 'v') goto yy513;
			if (yych <= 'z') goto yy454;
			goto yy18;
		}
	}
yy344:
	YYDEBUG(344, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'U') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy454;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'V') goto yy513;
			if (yych <= 'Z') goto yy454;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'u') {
				if (yych <= '`') goto yy18;
				goto yy460;
			} else {
				if (yych <= 'v') goto yy514;
				if (yych <= 'z') goto yy460;
				goto yy18;
			}
		}
	}
yy345:
	YYDEBUG(345, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'U') {
		if (yych <= ')') {
			if (yych <= '(') goto yy301;
			goto yy108;
		} else {
			if (yych <= '@') goto yy301;
			if (yych <= 'T') goto yy454;
			goto yy515;
		}
	} else {
		if (yych <= 't') {
			if (yych <= 'Z') goto yy454;
			if (yych <= '`') goto yy301;
			goto yy454;
		} else {
			if (yych <= 'u') goto yy515;
			if (yych <= 'z') goto yy454;
			goto yy301;
		}
	}
yy346:
	YYDEBUG(346, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'O') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'N') goto yy454;
			goto yy516;
		}
	} else {
		if (yych <= 'n') {
			if (yych <= 'Z') goto yy454;
			if (yych <= '`') goto yy18;
			goto yy454;
		} else {
			if (yych <= 'o') goto yy516;
			if (yych <= 'z') goto yy454;
			goto yy18;
		}
	}
yy347:
	YYDEBUG(347, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych <= '(') {
			if (yych <= '\t') {
				if (yych <= 0x08) goto yy281;
				goto yy135;
			} else {
				if (yych == ' ') goto yy135;
				goto yy281;
			}
		} else {
			if (yych <= ',') {
				if (yych <= ')') goto yy108;
				goto yy281;
			} else {
				if (yych <= '-') goto yy455;
				if (yych <= '.') goto yy135;
				goto yy281;
			}
		}
	} else {
		if (yych <= 'Z') {
			if (yych <= '@') {
				if (yych <= '9') goto yy135;
				goto yy281;
			} else {
				if (yych == 'T') goto yy517;
				goto yy454;
			}
		} else {
			if (yych <= 's') {
				if (yych <= '`') goto yy281;
				goto yy454;
			} else {
				if (yych <= 't') goto yy517;
				if (yych <= 'z') goto yy454;
				goto yy281;
			}
		}
	}
yy348:
	YYDEBUG(348, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'E') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'D') goto yy454;
			goto yy518;
		}
	} else {
		if (yych <= 'd') {
			if (yych <= 'Z') goto yy454;
			if (yych <= '`') goto yy18;
			goto yy454;
		} else {
			if (yych <= 'e') goto yy518;
			if (yych <= 'z') goto yy454;
			goto yy18;
		}
	}
yy349:
	YYDEBUG(349, *YYCURSOR);
	yyaccept = 9;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'T') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy301;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy301;
			goto yy454;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'U') goto yy515;
			if (yych <= 'Z') goto yy454;
			if (yych <= '^') goto yy301;
			goto yy283;
		} else {
			if (yych <= 't') {
				if (yych <= '`') goto yy301;
				goto yy460;
			} else {
				if (yych <= 'u') goto yy519;
				if (yych <= 'z') goto yy460;
				goto yy301;
			}
		}
	}
yy350:
	YYDEBUG(350, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'N') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy454;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'O') goto yy516;
			if (yych <= 'Z') goto yy454;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'n') {
				if (yych <= '`') goto yy18;
				goto yy460;
			} else {
				if (yych <= 'o') goto yy520;
				if (yych <= 'z') goto yy460;
				goto yy18;
			}
		}
	}
yy351:
	YYDEBUG(351, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '9') {
		if (yych <= '(') {
			if (yych <= '\t') {
				if (yych <= 0x08) goto yy281;
				goto yy135;
			} else {
				if (yych == ' ') goto yy135;
				goto yy281;
			}
		} else {
			if (yych <= '-') {
				if (yych <= ')') goto yy108;
				if (yych <= ',') goto yy281;
				goto yy461;
			} else {
				if (yych == '/') goto yy283;
				goto yy135;
			}
		}
	} else {
		if (yych <= '^') {
			if (yych <= 'S') {
				if (yych <= '@') goto yy281;
				goto yy454;
			} else {
				if (yych <= 'T') goto yy517;
				if (yych <= 'Z') goto yy454;
				goto yy281;
			}
		} else {
			if (yych <= 's') {
				if (yych <= '_') goto yy283;
				if (yych <= '`') goto yy281;
				goto yy460;
			} else {
				if (yych <= 't') goto yy521;
				if (yych <= 'z') goto yy460;
				goto yy281;
			}
		}
	}
yy352:
	YYDEBUG(352, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'D') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy454;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'E') goto yy518;
			if (yych <= 'Z') goto yy454;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'd') {
				if (yych <= '`') goto yy18;
				goto yy460;
			} else {
				if (yych <= 'e') goto yy522;
				if (yych <= 'z') goto yy460;
				goto yy18;
			}
		}
	}
yy353:
	YYDEBUG(353, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych == '.') goto yy71;
		goto yy170;
	} else {
		if (yych <= '5') goto yy523;
		if (yych == ':') goto yy71;
		goto yy170;
	}
yy354:
	YYDEBUG(354, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'S') {
		if (yych <= '@') {
			if (yych == ')') goto yy108;
			goto yy18;
		} else {
			if (yych <= 'Q') goto yy454;
			if (yych <= 'R') goto yy524;
			goto yy506;
		}
	} else {
		if (yych <= 'q') {
			if (yych <= 'Z') goto yy454;
			if (yych <= '`') goto yy18;
			goto yy454;
		} else {
			if (yych <= 'r') goto yy524;
			if (yych <= 's') goto yy506;
			if (yych <= 'z') goto yy454;
			goto yy18;
		}
	}
yy355:
	YYDEBUG(355, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'R') {
		if (yych <= ')') {
			if (yych <= '(') goto yy301;
			goto yy108;
		} else {
			if (yych <= '@') goto yy301;
			if (yych <= 'Q') goto yy454;
			goto yy525;
		}
	} else {
		if (yych <= 'q') {
			if (yych <= 'Z') goto yy454;
			if (yych <= '`') goto yy301;
			goto yy454;
		} else {
			if (yych <= 'r') goto yy525;
			if (yych <= 'z') goto yy454;
			goto yy301;
		}
	}
yy356:
	YYDEBUG(356, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'A') {
		if (yych == ')') goto yy108;
		if (yych <= '@') goto yy18;
		goto yy526;
	} else {
		if (yych <= '`') {
			if (yych <= 'Z') goto yy454;
			goto yy18;
		} else {
			if (yych <= 'a') goto yy526;
			if (yych <= 'z') goto yy454;
			goto yy18;
		}
	}
yy357:
	YYDEBUG(357, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'O') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'N') goto yy454;
			goto yy527;
		}
	} else {
		if (yych <= 'n') {
			if (yych <= 'Z') goto yy454;
			if (yych <= '`') goto yy18;
			goto yy454;
		} else {
			if (yych <= 'o') goto yy527;
			if (yych <= 'z') goto yy454;
			goto yy18;
		}
	}
yy358:
	YYDEBUG(358, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'S') {
		if (yych <= ')') {
			if (yych <= '(') goto yy301;
			goto yy108;
		} else {
			if (yych <= '@') goto yy301;
			if (yych <= 'R') goto yy454;
			goto yy528;
		}
	} else {
		if (yych <= 'r') {
			if (yych <= 'Z') goto yy454;
			if (yych <= '`') goto yy301;
			goto yy454;
		} else {
			if (yych <= 's') goto yy528;
			if (yych <= 'z') goto yy454;
			goto yy301;
		}
	}
yy359:
	YYDEBUG(359, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'L') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'K') goto yy454;
			goto yy529;
		}
	} else {
		if (yych <= 'k') {
			if (yych <= 'Z') goto yy454;
			if (yych <= '`') goto yy18;
			goto yy454;
		} else {
			if (yych <= 'l') goto yy529;
			if (yych <= 'z') goto yy454;
			goto yy18;
		}
	}
yy360:
	YYDEBUG(360, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'R') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych <= '/') {
				if (yych <= '.') goto yy18;
				goto yy283;
			} else {
				if (yych <= '@') goto yy18;
				if (yych <= 'Q') goto yy454;
				goto yy524;
			}
		}
	} else {
		if (yych <= '`') {
			if (yych <= 'Z') {
				if (yych <= 'S') goto yy506;
				goto yy454;
			} else {
				if (yych == '_') goto yy283;
				goto yy18;
			}
		} else {
			if (yych <= 'r') {
				if (yych <= 'q') goto yy460;
				goto yy530;
			} else {
				if (yych <= 's') goto yy509;
				if (yych <= 'z') goto yy460;
				goto yy18;
			}
		}
	}
yy361:
	YYDEBUG(361, *YYCURSOR);
	yyaccept = 9;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'Q') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy301;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy301;
			goto yy454;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'R') goto yy525;
			if (yych <= 'Z') goto yy454;
			if (yych <= '^') goto yy301;
			goto yy283;
		} else {
			if (yych <= 'q') {
				if (yych <= '`') goto yy301;
				goto yy460;
			} else {
				if (yych <= 'r') goto yy531;
				if (yych <= 'z') goto yy460;
				goto yy301;
			}
		}
	}
yy362:
	YYDEBUG(362, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '@') {
		if (yych <= ',') {
			if (yych == ')') goto yy108;
			goto yy18;
		} else {
			if (yych == '.') goto yy18;
			if (yych <= '/') goto yy283;
			goto yy18;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'A') goto yy526;
			if (yych <= 'Z') goto yy454;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= '`') goto yy18;
			if (yych <= 'a') goto yy532;
			if (yych <= 'z') goto yy460;
			goto yy18;
		}
	}
yy363:
	YYDEBUG(363, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'N') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy454;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'O') goto yy527;
			if (yych <= 'Z') goto yy454;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'n') {
				if (yych <= '`') goto yy18;
				goto yy460;
			} else {
				if (yych <= 'o') goto yy533;
				if (yych <= 'z') goto yy460;
				goto yy18;
			}
		}
	}
yy364:
	YYDEBUG(364, *YYCURSOR);
	yyaccept = 9;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'R') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy301;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy301;
			goto yy454;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'S') goto yy528;
			if (yych <= 'Z') goto yy454;
			if (yych <= '^') goto yy301;
			goto yy283;
		} else {
			if (yych <= 'r') {
				if (yych <= '`') goto yy301;
				goto yy460;
			} else {
				if (yych <= 's') goto yy534;
				if (yych <= 'z') goto yy460;
				goto yy301;
			}
		}
	}
yy365:
	YYDEBUG(365, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'K') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy454;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'L') goto yy529;
			if (yych <= 'Z') goto yy454;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'k') {
				if (yych <= '`') goto yy18;
				goto yy460;
			} else {
				if (yych <= 'l') goto yy535;
				if (yych <= 'z') goto yy460;
				goto yy18;
			}
		}
	}
yy366:
	YYDEBUG(366, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '.') {
		if (yych <= ' ') {
			if (yych == '\t') goto yy135;
			if (yych <= 0x1F) goto yy18;
			goto yy135;
		} else {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy135;
		}
	} else {
		if (yych <= 'H') {
			if (yych <= '/') goto yy18;
			if (yych <= '9') goto yy135;
			if (yych <= '@') goto yy18;
			goto yy454;
		} else {
			if (yych <= 'Z') {
				if (yych <= 'I') goto yy536;
				goto yy454;
			} else {
				if (yych <= '`') goto yy18;
				if (yych <= 'z') goto yy454;
				goto yy18;
			}
		}
	}
yy367:
	YYDEBUG(367, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'N') {
		if (yych <= ')') {
			if (yych <= '(') goto yy301;
			goto yy108;
		} else {
			if (yych <= '@') goto yy301;
			if (yych <= 'M') goto yy454;
			goto yy537;
		}
	} else {
		if (yych <= 'm') {
			if (yych <= 'Z') goto yy454;
			if (yych <= '`') goto yy301;
			goto yy454;
		} else {
			if (yych <= 'n') goto yy537;
			if (yych <= 'z') goto yy454;
			goto yy301;
		}
	}
yy368:
	YYDEBUG(368, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'K') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'J') goto yy454;
			goto yy528;
		}
	} else {
		if (yych <= 'j') {
			if (yych <= 'Z') goto yy454;
			if (yych <= '`') goto yy18;
			goto yy454;
		} else {
			if (yych <= 'k') goto yy528;
			if (yych <= 'z') goto yy454;
			goto yy18;
		}
	}
yy369:
	YYDEBUG(369, *YYCURSOR);
	yyaccept = 9;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'M') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy301;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy301;
			goto yy454;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'N') goto yy537;
			if (yych <= 'Z') goto yy454;
			if (yych <= '^') goto yy301;
			goto yy283;
		} else {
			if (yych <= 'm') {
				if (yych <= '`') goto yy301;
				goto yy460;
			} else {
				if (yych <= 'n') goto yy538;
				if (yych <= 'z') goto yy460;
				goto yy301;
			}
		}
	}
yy370:
	YYDEBUG(370, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'J') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy454;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'K') goto yy528;
			if (yych <= 'Z') goto yy454;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'j') {
				if (yych <= '`') goto yy18;
				goto yy460;
			} else {
				if (yych <= 'k') goto yy534;
				if (yych <= 'z') goto yy460;
				goto yy18;
			}
		}
	}
yy371:
	YYDEBUG(371, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'T') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'S') goto yy454;
			goto yy539;
		}
	} else {
		if (yych <= 's') {
			if (yych <= 'Z') goto yy454;
			if (yych <= '`') goto yy18;
			goto yy454;
		} else {
			if (yych <= 't') goto yy539;
			if (yych <= 'z') goto yy454;
			goto yy18;
		}
	}
yy372:
	YYDEBUG(372, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'S') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy454;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'T') goto yy539;
			if (yych <= 'Z') goto yy454;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 's') {
				if (yych <= '`') goto yy18;
				goto yy460;
			} else {
				if (yych <= 't') goto yy540;
				if (yych <= 'z') goto yy460;
				goto yy18;
			}
		}
	}
yy373:
	YYDEBUG(373, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy187;
	if (yych <= '9') goto yy541;
	goto yy187;
yy374:
	YYDEBUG(374, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'C') goto yy427;
	if (yych == 'c') goto yy427;
	goto yy56;
yy375:
	YYDEBUG(375, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'W') {
		if (yych <= 'E') {
			if (yych <= ' ') {
				if (yych == '\t') goto yy187;
				if (yych <= 0x1F) goto yy18;
				goto yy187;
			} else {
				if (yych <= '9') {
					if (yych <= '/') goto yy18;
					goto yy542;
				} else {
					if (yych == 'D') goto yy187;
					goto yy18;
				}
			}
		} else {
			if (yych <= 'L') {
				if (yych == 'G') goto yy18;
				if (yych <= 'H') goto yy187;
				goto yy18;
			} else {
				if (yych <= 'R') {
					if (yych <= 'M') goto yy187;
					goto yy18;
				} else {
					if (yych == 'V') goto yy18;
					goto yy187;
				}
			}
		}
	} else {
		if (yych <= 'l') {
			if (yych <= 'd') {
				if (yych == 'Y') goto yy187;
				if (yych <= 'c') goto yy18;
				goto yy187;
			} else {
				if (yych <= 'f') {
					if (yych <= 'e') goto yy18;
					goto yy187;
				} else {
					if (yych == 'h') goto yy187;
					goto yy18;
				}
			}
		} else {
			if (yych <= 'w') {
				if (yych <= 'r') {
					if (yych <= 'm') goto yy187;
					goto yy18;
				} else {
					if (yych == 'v') goto yy18;
					goto yy187;
				}
			} else {
				if (yych <= 'y') {
					if (yych <= 'x') goto yy18;
					goto yy187;
				} else {
					if (yych == 0xC2) goto yy187;
					goto yy18;
				}
			}
		}
	}
yy376:
	YYDEBUG(376, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'W') {
		if (yych <= 'E') {
			if (yych <= ' ') {
				if (yych == '\t') goto yy187;
				if (yych <= 0x1F) goto yy18;
				goto yy187;
			} else {
				if (yych <= '9') {
					if (yych <= '/') goto yy18;
					goto yy543;
				} else {
					if (yych == 'D') goto yy187;
					goto yy18;
				}
			}
		} else {
			if (yych <= 'L') {
				if (yych == 'G') goto yy18;
				if (yych <= 'H') goto yy187;
				goto yy18;
			} else {
				if (yych <= 'R') {
					if (yych <= 'M') goto yy187;
					goto yy18;
				} else {
					if (yych == 'V') goto yy18;
					goto yy187;
				}
			}
		}
	} else {
		if (yych <= 'l') {
			if (yych <= 'd') {
				if (yych == 'Y') goto yy187;
				if (yych <= 'c') goto yy18;
				goto yy187;
			} else {
				if (yych <= 'f') {
					if (yych <= 'e') goto yy18;
					goto yy187;
				} else {
					if (yych == 'h') goto yy187;
					goto yy18;
				}
			}
		} else {
			if (yych <= 'w') {
				if (yych <= 'r') {
					if (yych <= 'm') goto yy187;
					goto yy18;
				} else {
					if (yych == 'v') goto yy18;
					goto yy187;
				}
			} else {
				if (yych <= 'y') {
					if (yych <= 'x') goto yy18;
					goto yy187;
				} else {
					if (yych == 0xC2) goto yy187;
					goto yy18;
				}
			}
		}
	}
yy377:
	YYDEBUG(377, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '5') goto yy544;
	if (yych <= '9') goto yy108;
	goto yy56;
yy378:
	YYDEBUG(378, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy18;
	if (yych <= '9') goto yy108;
	goto yy18;
yy379:
	YYDEBUG(379, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy187;
	if (yych <= '9') goto yy543;
	goto yy187;
yy380:
	YYDEBUG(380, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy545;
	goto yy56;
yy381:
	YYDEBUG(381, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy546;
	goto yy56;
yy382:
	YYDEBUG(382, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '2') goto yy547;
	if (yych <= '3') goto yy549;
	if (yych <= '9') goto yy550;
	goto yy56;
yy383:
	YYDEBUG(383, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'P') goto yy428;
	if (yych == 'p') goto yy428;
	goto yy56;
yy384:
	YYDEBUG(384, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '5') goto yy551;
	if (yych <= '6') goto yy552;
	if (yych <= '9') goto yy553;
	goto yy56;
yy385:
	YYDEBUG(385, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '5') goto yy554;
	if (yych <= '6') goto yy555;
	if (yych <= '9') goto yy556;
	goto yy56;
yy386:
	YYDEBUG(386, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy557;
	goto yy56;
yy387:
	YYDEBUG(387, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'd') goto yy558;
	goto yy56;
yy388:
	YYDEBUG(388, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 't') goto yy558;
	goto yy56;
yy389:
	YYDEBUG(389, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'h') goto yy558;
	goto yy56;
yy390:
	YYDEBUG(390, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'R') goto yy559;
	if (yych == 'r') goto yy559;
	goto yy56;
yy391:
	YYDEBUG(391, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'G') goto yy559;
	if (yych == 'g') goto yy559;
	goto yy56;
yy392:
	YYDEBUG(392, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'C') goto yy559;
	if (yych == 'c') goto yy559;
	goto yy56;
yy393:
	YYDEBUG(393, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'B') goto yy559;
	if (yych == 'b') goto yy559;
	goto yy56;
yy394:
	YYDEBUG(394, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'N') goto yy559;
	if (yych == 'n') goto yy559;
	goto yy56;
yy395:
	YYDEBUG(395, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'N') {
		if (yych == 'L') goto yy559;
		if (yych <= 'M') goto yy56;
		goto yy559;
	} else {
		if (yych <= 'l') {
			if (yych <= 'k') goto yy56;
			goto yy559;
		} else {
			if (yych == 'n') goto yy559;
			goto yy56;
		}
	}
yy396:
	YYDEBUG(396, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'Y') {
		if (yych == 'R') goto yy559;
		if (yych <= 'X') goto yy56;
		goto yy559;
	} else {
		if (yych <= 'r') {
			if (yych <= 'q') goto yy56;
			goto yy559;
		} else {
			if (yych == 'y') goto yy559;
			goto yy56;
		}
	}
yy397:
	YYDEBUG(397, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'V') goto yy559;
	if (yych == 'v') goto yy559;
	goto yy56;
yy398:
	YYDEBUG(398, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'T') goto yy559;
	if (yych == 't') goto yy559;
	goto yy56;
yy399:
	YYDEBUG(399, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'P') goto yy560;
	if (yych == 'p') goto yy560;
	goto yy56;
yy400:
	YYDEBUG(400, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '.') {
		if (yych <= ',') goto yy56;
		if (yych <= '-') goto yy382;
		goto yy380;
	} else {
		if (yych <= '/') goto yy56;
		if (yych <= '9') goto yy561;
		goto yy56;
	}
yy401:
	YYDEBUG(401, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '.') {
		if (yych <= ',') goto yy56;
		if (yych <= '-') goto yy382;
		goto yy380;
	} else {
		if (yych <= '/') goto yy56;
		if (yych <= '2') goto yy561;
		goto yy56;
	}
yy402:
	YYDEBUG(402, *YYCURSOR);
	yych = *++YYCURSOR;
	switch (yych) {
	case '0':	goto yy562;
	case '1':	goto yy563;
	case '2':
	case '3':
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy444;
	case 'A':
	case 'a':	goto yy445;
	case 'D':
	case 'd':	goto yy446;
	case 'F':
	case 'f':	goto yy447;
	case 'J':
	case 'j':	goto yy448;
	case 'M':
	case 'm':	goto yy449;
	case 'N':
	case 'n':	goto yy450;
	case 'O':
	case 'o':	goto yy451;
	case 'S':
	case 's':	goto yy452;
	default:	goto yy56;
	}
yy403:
	YYDEBUG(403, *YYCURSOR);
	yyaccept = 12;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'L') {
		if (yych <= '3') {
			if (yych <= '-') {
				if (yych <= 0x1F) {
					if (yych == '\t') goto yy565;
				} else {
					if (yych <= ' ') goto yy565;
					if (yych >= '-') goto yy566;
				}
			} else {
				if (yych <= '0') {
					if (yych <= '.') goto yy567;
					if (yych <= '/') goto yy568;
					goto yy569;
				} else {
					if (yych <= '1') goto yy570;
					if (yych <= '2') goto yy571;
					goto yy572;
				}
			}
		} else {
			if (yych <= 'A') {
				if (yych <= '9') {
					if (yych <= '5') goto yy573;
					if (yych <= '6') goto yy574;
					goto yy575;
				} else {
					if (yych <= ':') goto yy576;
					if (yych >= 'A') goto yy565;
				}
			} else {
				if (yych <= 'E') {
					if (yych == 'D') goto yy565;
				} else {
					if (yych == 'G') goto yy404;
					if (yych <= 'J') goto yy565;
				}
			}
		}
	} else {
		if (yych <= 'h') {
			if (yych <= '`') {
				if (yych <= 'V') {
					if (yych <= 'O') goto yy565;
					if (yych >= 'S') goto yy565;
				} else {
					if (yych <= 'W') goto yy588;
					if (yych <= 'Y') goto yy565;
				}
			} else {
				if (yych <= 'd') {
					if (yych <= 'a') goto yy565;
					if (yych >= 'd') goto yy565;
				} else {
					if (yych == 'f') goto yy565;
					if (yych >= 'h') goto yy565;
				}
			}
		} else {
			if (yych <= 'u') {
				if (yych <= 'l') {
					if (yych == 'j') goto yy565;
				} else {
					if (yych <= 'o') goto yy565;
					if (yych >= 's') goto yy565;
				}
			} else {
				if (yych <= 'x') {
					if (yych == 'w') goto yy565;
				} else {
					if (yych <= 'y') goto yy565;
					if (yych == 0xC2) goto yy565;
				}
			}
		}
	}
yy404:
	YYDEBUG(404, *YYCURSOR);
#line 1369 "parse_date.re"
	{
		DEBUG_OUTPUT("gnunocolon");
		TIMELIB_INIT;
		switch (s->time->have_time) {
			case 0:
				s->time->h = timelib_get_nr(&ptr, 2);
				s->time->i = timelib_get_nr(&ptr, 2);
				s->time->s = 0;
				break;
			case 1:
				s->time->y = timelib_get_nr(&ptr, 4);
				break;
			default:
				TIMELIB_DEINIT;
				add_error(s, TIMELIB_ERR_DOUBLE_TIME, "Double time specification");
				return TIMELIB_ERROR;
		}
		s->time->have_time++;
		TIMELIB_DEINIT;
		return TIMELIB_GNU_NOCOLON;
	}
#line 10502 "<stdout>"
yy405:
	YYDEBUG(405, *YYCURSOR);
	yyaccept = 13;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'O') {
		if (yych <= '3') {
			if (yych <= '-') {
				if (yych <= 0x1F) {
					if (yych == '\t') goto yy565;
				} else {
					if (yych <= ' ') goto yy565;
					if (yych >= '-') goto yy566;
				}
			} else {
				if (yych <= '0') {
					if (yych <= '.') goto yy567;
					if (yych <= '/') goto yy568;
					goto yy590;
				} else {
					if (yych <= '1') goto yy591;
					if (yych <= '2') goto yy592;
					goto yy593;
				}
			}
		} else {
			if (yych <= 'D') {
				if (yych <= '@') {
					if (yych <= '9') goto yy575;
					if (yych <= ':') goto yy576;
				} else {
					if (yych <= 'A') goto yy565;
					if (yych >= 'D') goto yy565;
				}
			} else {
				if (yych <= 'G') {
					if (yych == 'F') goto yy565;
				} else {
					if (yych <= 'J') goto yy565;
					if (yych >= 'M') goto yy565;
				}
			}
		}
	} else {
		if (yych <= 'h') {
			if (yych <= 'a') {
				if (yych <= 'W') {
					if (yych <= 'R') goto yy406;
					if (yych <= 'V') goto yy565;
					goto yy588;
				} else {
					if (yych <= 'Y') goto yy565;
					if (yych >= 'a') goto yy565;
				}
			} else {
				if (yych <= 'e') {
					if (yych == 'd') goto yy565;
				} else {
					if (yych != 'g') goto yy565;
				}
			}
		} else {
			if (yych <= 'u') {
				if (yych <= 'l') {
					if (yych == 'j') goto yy565;
				} else {
					if (yych <= 'o') goto yy565;
					if (yych >= 's') goto yy565;
				}
			} else {
				if (yych <= 'x') {
					if (yych == 'w') goto yy565;
				} else {
					if (yych <= 'y') goto yy565;
					if (yych == 0xC2) goto yy565;
				}
			}
		}
	}
yy406:
	YYDEBUG(406, *YYCURSOR);
#line 1751 "parse_date.re"
	{
		DEBUG_OUTPUT("year4");
		TIMELIB_INIT;
		s->time->y = timelib_get_nr(&ptr, 4);
		TIMELIB_DEINIT;
		return TIMELIB_CLF;
	}
#line 10591 "<stdout>"
yy407:
	YYDEBUG(407, *YYCURSOR);
	yyaccept = 3;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '.') {
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy238;
			goto yy77;
		} else {
			if (yych <= ' ') goto yy238;
			if (yych <= ',') goto yy77;
			goto yy238;
		}
	} else {
		if (yych <= 'H') {
			if (yych <= '/') goto yy77;
			if (yych <= '9') goto yy240;
			goto yy77;
		} else {
			if (yych <= 'I') goto yy594;
			if (yych == 'i') goto yy594;
			goto yy77;
		}
	}
yy408:
	YYDEBUG(408, *YYCURSOR);
	yyaccept = 3;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '.') {
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy238;
			goto yy77;
		} else {
			if (yych <= ' ') goto yy238;
			if (yych <= ',') goto yy77;
			goto yy238;
		}
	} else {
		if (yych <= 'T') {
			if (yych <= '/') goto yy77;
			if (yych <= '9') goto yy240;
			goto yy77;
		} else {
			if (yych <= 'U') goto yy595;
			if (yych == 'u') goto yy595;
			goto yy77;
		}
	}
yy409:
	YYDEBUG(409, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'S') goto yy596;
	if (yych == 's') goto yy596;
	goto yy250;
yy410:
	YYDEBUG(410, *YYCURSOR);
	yyaccept = 3;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '.') {
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy238;
			goto yy77;
		} else {
			if (yych <= ' ') goto yy238;
			if (yych <= ',') goto yy77;
			goto yy238;
		}
	} else {
		if (yych <= 'D') {
			if (yych <= '/') goto yy77;
			if (yych <= '9') goto yy240;
			goto yy77;
		} else {
			if (yych <= 'E') goto yy597;
			if (yych == 'e') goto yy597;
			goto yy77;
		}
	}
yy411:
	YYDEBUG(411, *YYCURSOR);
	yyaccept = 3;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '.') {
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy238;
			goto yy77;
		} else {
			if (yych <= ' ') goto yy238;
			if (yych <= ',') goto yy77;
			goto yy238;
		}
	} else {
		if (yych <= 'Q') {
			if (yych <= '/') goto yy77;
			if (yych <= '9') goto yy240;
			goto yy77;
		} else {
			if (yych <= 'R') goto yy598;
			if (yych == 'r') goto yy598;
			goto yy77;
		}
	}
yy412:
	YYDEBUG(412, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'T') goto yy599;
	if (yych == 't') goto yy599;
	goto yy56;
yy413:
	YYDEBUG(413, *YYCURSOR);
	yyaccept = 6;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == 'D') goto yy189;
	if (yych == 'd') goto yy189;
	goto yy250;
yy414:
	YYDEBUG(414, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'R') goto yy409;
	if (yych == 'r') goto yy409;
	goto yy56;
yy415:
	YYDEBUG(415, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy241;
	if (yych <= '9') goto yy600;
	goto yy241;
yy416:
	YYDEBUG(416, *YYCURSOR);
	yyaccept = 3;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '.') {
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy238;
			goto yy77;
		} else {
			if (yych <= ' ') goto yy238;
			if (yych <= ',') goto yy77;
			goto yy238;
		}
	} else {
		if (yych <= 'T') {
			if (yych <= '/') goto yy77;
			if (yych <= '9') goto yy240;
			goto yy77;
		} else {
			if (yych <= 'U') goto yy601;
			if (yych == 'u') goto yy601;
			goto yy77;
		}
	}
yy417:
	YYDEBUG(417, *YYCURSOR);
	yyaccept = 3;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '.') {
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy238;
			goto yy77;
		} else {
			if (yych <= ' ') goto yy238;
			if (yych <= ',') goto yy77;
			goto yy238;
		}
	} else {
		if (yych <= 'X') {
			if (yych <= '/') goto yy77;
			if (yych <= '9') goto yy240;
			goto yy77;
		} else {
			if (yych <= 'Y') goto yy243;
			if (yych == 'y') goto yy243;
			goto yy77;
		}
	}
yy418:
	YYDEBUG(418, *YYCURSOR);
	yyaccept = 3;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '.') {
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy238;
			goto yy77;
		} else {
			if (yych <= ' ') goto yy238;
			if (yych <= ',') goto yy77;
			goto yy238;
		}
	} else {
		if (yych <= 'D') {
			if (yych <= '/') goto yy77;
			if (yych <= '9') goto yy240;
			goto yy77;
		} else {
			if (yych <= 'E') goto yy243;
			if (yych == 'e') goto yy243;
			goto yy77;
		}
	}
yy419:
	YYDEBUG(419, *YYCURSOR);
	yyaccept = 3;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '.') {
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy238;
			goto yy77;
		} else {
			if (yych <= ' ') goto yy238;
			if (yych <= ',') goto yy77;
			goto yy238;
		}
	} else {
		if (yych <= 'B') {
			if (yych <= '/') goto yy77;
			if (yych <= '9') goto yy240;
			goto yy77;
		} else {
			if (yych <= 'C') goto yy602;
			if (yych == 'c') goto yy602;
			goto yy77;
		}
	}
yy420:
	YYDEBUG(420, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'R') goto yy603;
	if (yych == 'r') goto yy603;
	goto yy56;
yy421:
	YYDEBUG(421, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'L') goto yy604;
	if (yych == 'l') goto yy604;
	goto yy56;
yy422:
	YYDEBUG(422, *YYCURSOR);
	yyaccept = 6;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'U') {
		if (yych == 'S') goto yy596;
		if (yych <= 'T') goto yy250;
		goto yy605;
	} else {
		if (yych <= 's') {
			if (yych <= 'r') goto yy250;
			goto yy596;
		} else {
			if (yych == 'u') goto yy605;
			goto yy250;
		}
	}
yy423:
	YYDEBUG(423, *YYCURSOR);
	yyaccept = 6;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'T') {
		if (yych == 'D') goto yy189;
		if (yych <= 'S') goto yy250;
		goto yy606;
	} else {
		if (yych <= 'd') {
			if (yych <= 'c') goto yy250;
			goto yy189;
		} else {
			if (yych == 't') goto yy606;
			goto yy250;
		}
	}
yy424:
	YYDEBUG(424, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'C') goto yy409;
	if (yych == 'c') goto yy409;
	goto yy56;
yy425:
	YYDEBUG(425, *YYCURSOR);
	yyaccept = 3;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '.') {
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy238;
			goto yy77;
		} else {
			if (yych <= ' ') goto yy238;
			if (yych <= ',') goto yy77;
			goto yy238;
		}
	} else {
		if (yych <= 'N') {
			if (yych <= '/') goto yy77;
			if (yych <= '9') goto yy240;
			goto yy77;
		} else {
			if (yych <= 'O') goto yy607;
			if (yych == 'o') goto yy607;
			goto yy77;
		}
	}
yy426:
	YYDEBUG(426, *YYCURSOR);
	yyaccept = 6;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == 'U') goto yy608;
	if (yych == 'u') goto yy608;
	goto yy250;
yy427:
	YYDEBUG(427, *YYCURSOR);
	yyaccept = 6;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'S') {
		if (yych == 'O') goto yy609;
		if (yych <= 'R') goto yy250;
		goto yy596;
	} else {
		if (yych <= 'o') {
			if (yych <= 'n') goto yy250;
			goto yy609;
		} else {
			if (yych == 's') goto yy596;
			goto yy250;
		}
	}
yy428:
	YYDEBUG(428, *YYCURSOR);
	yyaccept = 3;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '.') {
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy238;
			goto yy77;
		} else {
			if (yych <= ' ') goto yy238;
			if (yych <= ',') goto yy77;
			goto yy238;
		}
	} else {
		if (yych <= 'S') {
			if (yych <= '/') goto yy77;
			if (yych <= '9') goto yy240;
			goto yy77;
		} else {
			if (yych <= 'T') goto yy410;
			if (yych == 't') goto yy410;
			goto yy77;
		}
	}
yy429:
	YYDEBUG(429, *YYCURSOR);
	yyaccept = 6;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == 'R') goto yy610;
	if (yych == 'r') goto yy610;
	goto yy250;
yy430:
	YYDEBUG(430, *YYCURSOR);
	yyaccept = 6;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == 'S') goto yy611;
	if (yych == 's') goto yy611;
	goto yy250;
yy431:
	YYDEBUG(431, *YYCURSOR);
	yyaccept = 6;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == 'N') goto yy612;
	if (yych == 'n') goto yy612;
	goto yy250;
yy432:
	YYDEBUG(432, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'K') goto yy613;
	if (yych == 'k') goto yy613;
	goto yy56;
yy433:
	YYDEBUG(433, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy198;
	if (yych <= '0') goto yy614;
	if (yych <= '1') goto yy615;
	if (yych <= '9') goto yy616;
	goto yy198;
yy434:
	YYDEBUG(434, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '5') goto yy617;
	if (yych <= '6') goto yy618;
	if (yych <= '9') goto yy553;
	goto yy56;
yy435:
	YYDEBUG(435, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= ':') {
		if (yych <= ' ') {
			if (yych == '\t') goto yy619;
			if (yych <= 0x1F) goto yy170;
			goto yy619;
		} else {
			if (yych <= '-') {
				if (yych <= ',') goto yy170;
				goto yy380;
			} else {
				if (yych <= '.') goto yy434;
				if (yych <= '9') goto yy170;
			}
		}
	} else {
		if (yych <= 'P') {
			if (yych == 'A') goto yy101;
			if (yych <= 'O') goto yy170;
			goto yy101;
		} else {
			if (yych <= 'a') {
				if (yych <= '`') goto yy170;
				goto yy101;
			} else {
				if (yych == 'p') goto yy101;
				goto yy170;
			}
		}
	}
yy436:
	YYDEBUG(436, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '5') goto yy621;
	if (yych <= '6') goto yy622;
	if (yych <= '9') goto yy556;
	goto yy56;
yy437:
	YYDEBUG(437, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= ':') {
		if (yych <= ' ') {
			if (yych == '\t') goto yy619;
			if (yych <= 0x1F) goto yy170;
			goto yy619;
		} else {
			if (yych == '.') goto yy436;
			if (yych <= '9') goto yy170;
			goto yy436;
		}
	} else {
		if (yych <= 'P') {
			if (yych == 'A') goto yy101;
			if (yych <= 'O') goto yy170;
			goto yy101;
		} else {
			if (yych <= 'a') {
				if (yych <= '`') goto yy170;
				goto yy101;
			} else {
				if (yych == 'p') goto yy101;
				goto yy170;
			}
		}
	}
yy438:
	YYDEBUG(438, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= ':') {
		if (yych <= ' ') {
			if (yych == '\t') goto yy619;
			if (yych <= 0x1F) goto yy170;
			goto yy619;
		} else {
			if (yych == '.') goto yy436;
			if (yych <= '9') goto yy170;
			goto yy623;
		}
	} else {
		if (yych <= 'P') {
			if (yych == 'A') goto yy101;
			if (yych <= 'O') goto yy170;
			goto yy101;
		} else {
			if (yych <= 'a') {
				if (yych <= '`') goto yy170;
				goto yy101;
			} else {
				if (yych == 'p') goto yy101;
				goto yy170;
			}
		}
	}
yy439:
	YYDEBUG(439, *YYCURSOR);
	++YYCURSOR;
	YYDEBUG(440, *YYCURSOR);
#line 1304 "parse_date.re"
	{
		DEBUG_OUTPUT("timetiny12 | timeshort12 | timelong12");
		TIMELIB_INIT;
		TIMELIB_HAVE_TIME();
		s->time->h = timelib_get_nr(&ptr, 2);
		if (*ptr == ':' || *ptr == '.') {
			s->time->i = timelib_get_nr(&ptr, 2);
			if (*ptr == ':' || *ptr == '.') {
				s->time->s = timelib_get_nr(&ptr, 2);
			}
		}
		s->time->h += timelib_meridian(&ptr, s->time->h);
		TIMELIB_DEINIT;
		return TIMELIB_TIME12;
	}
#line 11101 "<stdout>"
yy441:
	YYDEBUG(441, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '\t') {
		if (yych <= 0x00) goto yy439;
		if (yych <= 0x08) goto yy56;
		goto yy439;
	} else {
		if (yych == ' ') goto yy439;
		goto yy56;
	}
yy442:
	YYDEBUG(442, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '-') goto yy624;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy625;
	goto yy56;
yy443:
	YYDEBUG(443, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '-') goto yy624;
	if (yych <= '/') goto yy56;
	if (yych <= '2') goto yy625;
	goto yy56;
yy444:
	YYDEBUG(444, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '-') goto yy624;
	goto yy56;
yy445:
	YYDEBUG(445, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'U') {
		if (yych == 'P') goto yy626;
		if (yych <= 'T') goto yy56;
		goto yy627;
	} else {
		if (yych <= 'p') {
			if (yych <= 'o') goto yy56;
			goto yy626;
		} else {
			if (yych == 'u') goto yy627;
			goto yy56;
		}
	}
yy446:
	YYDEBUG(446, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'E') goto yy628;
	if (yych == 'e') goto yy628;
	goto yy56;
yy447:
	YYDEBUG(447, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'E') goto yy629;
	if (yych == 'e') goto yy629;
	goto yy56;
yy448:
	YYDEBUG(448, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'U') {
		if (yych == 'A') goto yy630;
		if (yych <= 'T') goto yy56;
		goto yy631;
	} else {
		if (yych <= 'a') {
			if (yych <= '`') goto yy56;
			goto yy630;
		} else {
			if (yych == 'u') goto yy631;
			goto yy56;
		}
	}
yy449:
	YYDEBUG(449, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'A') goto yy632;
	if (yych == 'a') goto yy632;
	goto yy56;
yy450:
	YYDEBUG(450, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'O') goto yy633;
	if (yych == 'o') goto yy633;
	goto yy56;
yy451:
	YYDEBUG(451, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'C') goto yy634;
	if (yych == 'c') goto yy634;
	goto yy56;
yy452:
	YYDEBUG(452, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'E') goto yy635;
	if (yych == 'e') goto yy635;
	goto yy56;
yy453:
	YYDEBUG(453, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy276;
	if (yych <= '9') goto yy636;
	goto yy276;
yy454:
	YYDEBUG(454, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '@') {
		if (yych == ')') goto yy108;
		goto yy18;
	} else {
		if (yych <= 'Z') goto yy637;
		if (yych <= '`') goto yy18;
		if (yych <= 'z') goto yy637;
		goto yy18;
	}
yy455:
	YYDEBUG(455, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy135;
	if (yych <= '2') goto yy638;
	if (yych <= '3') goto yy639;
	goto yy135;
yy456:
	YYDEBUG(456, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'L') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'K') goto yy637;
			goto yy640;
		}
	} else {
		if (yych <= 'k') {
			if (yych <= 'Z') goto yy637;
			if (yych <= '`') goto yy18;
			goto yy637;
		} else {
			if (yych <= 'l') goto yy640;
			if (yych <= 'z') goto yy637;
			goto yy18;
		}
	}
yy457:
	YYDEBUG(457, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'S') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'R') goto yy637;
			goto yy641;
		}
	} else {
		if (yych <= 'r') {
			if (yych <= 'Z') goto yy637;
			if (yych <= '`') goto yy18;
			goto yy637;
		} else {
			if (yych <= 's') goto yy641;
			if (yych <= 'z') goto yy637;
			goto yy18;
		}
	}
yy458:
	YYDEBUG(458, *YYCURSOR);
	yyaccept = 2;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	YYDEBUG(459, *YYCURSOR);
	if (yybm[0+yych] & 64) {
		goto yy458;
	}
	if (yych <= '.') {
		if (yych == '-') goto yy283;
		goto yy18;
	} else {
		if (yych <= '/') goto yy283;
		if (yych == '_') goto yy283;
		goto yy18;
	}
yy460:
	YYDEBUG(460, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych <= ',') {
			if (yych == ')') goto yy108;
			goto yy18;
		} else {
			if (yych == '.') goto yy18;
			goto yy283;
		}
	} else {
		if (yych <= '^') {
			if (yych <= '@') goto yy18;
			if (yych <= 'Z') goto yy637;
			goto yy18;
		} else {
			if (yych <= '_') goto yy283;
			if (yych <= '`') goto yy18;
			if (yych <= 'z') goto yy642;
			goto yy18;
		}
	}
yy461:
	YYDEBUG(461, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yybm[0+yych] & 64) {
		goto yy458;
	}
	if (yych <= '/') goto yy135;
	if (yych <= '2') goto yy638;
	if (yych <= '3') goto yy639;
	goto yy135;
yy462:
	YYDEBUG(462, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'K') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy637;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'L') goto yy640;
			if (yych <= 'Z') goto yy637;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'k') {
				if (yych <= '`') goto yy18;
				goto yy642;
			} else {
				if (yych <= 'l') goto yy643;
				if (yych <= 'z') goto yy642;
				goto yy18;
			}
		}
	}
yy463:
	YYDEBUG(463, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'R') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy637;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'S') goto yy641;
			if (yych <= 'Z') goto yy637;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'r') {
				if (yych <= '`') goto yy18;
				goto yy642;
			} else {
				if (yych <= 's') goto yy644;
				if (yych <= 'z') goto yy642;
				goto yy18;
			}
		}
	}
yy464:
	YYDEBUG(464, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= ')') {
		if (yych == ' ') goto yy645;
		if (yych <= '(') goto yy18;
		goto yy108;
	} else {
		if (yych <= 'Z') {
			if (yych <= '@') goto yy18;
			goto yy637;
		} else {
			if (yych <= '`') goto yy18;
			if (yych <= 'z') goto yy637;
			goto yy18;
		}
	}
yy465:
	YYDEBUG(465, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '.') {
		if (yych <= '(') {
			if (yych == ' ') goto yy645;
			goto yy18;
		} else {
			if (yych <= ')') goto yy108;
			if (yych == '-') goto yy283;
			goto yy18;
		}
	} else {
		if (yych <= '^') {
			if (yych <= '/') goto yy283;
			if (yych <= '@') goto yy18;
			if (yych <= 'Z') goto yy637;
			goto yy18;
		} else {
			if (yych <= '_') goto yy283;
			if (yych <= '`') goto yy18;
			if (yych <= 'z') goto yy642;
			goto yy18;
		}
	}
yy466:
	YYDEBUG(466, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'M') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'L') goto yy637;
			goto yy646;
		}
	} else {
		if (yych <= 'l') {
			if (yych <= 'Z') goto yy637;
			if (yych <= '`') goto yy18;
			goto yy637;
		} else {
			if (yych <= 'm') goto yy646;
			if (yych <= 'z') goto yy637;
			goto yy18;
		}
	}
yy467:
	YYDEBUG(467, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'L') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy637;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'M') goto yy646;
			if (yych <= 'Z') goto yy637;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'l') {
				if (yych <= '`') goto yy18;
				goto yy642;
			} else {
				if (yych <= 'm') goto yy647;
				if (yych <= 'z') goto yy642;
				goto yy18;
			}
		}
	}
yy468:
	YYDEBUG(468, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'T') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'S') goto yy637;
			goto yy648;
		}
	} else {
		if (yych <= 's') {
			if (yych <= 'Z') goto yy637;
			if (yych <= '`') goto yy18;
			goto yy637;
		} else {
			if (yych <= 't') goto yy648;
			if (yych <= 'z') goto yy637;
			goto yy18;
		}
	}
yy469:
	YYDEBUG(469, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'E') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'D') goto yy637;
			goto yy649;
		}
	} else {
		if (yych <= 'd') {
			if (yych <= 'Z') goto yy637;
			if (yych <= '`') goto yy18;
			goto yy637;
		} else {
			if (yych <= 'e') goto yy649;
			if (yych <= 'z') goto yy637;
			goto yy18;
		}
	}
yy470:
	YYDEBUG(470, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'S') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy637;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'T') goto yy648;
			if (yych <= 'Z') goto yy637;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 's') {
				if (yych <= '`') goto yy18;
				goto yy642;
			} else {
				if (yych <= 't') goto yy650;
				if (yych <= 'z') goto yy642;
				goto yy18;
			}
		}
	}
yy471:
	YYDEBUG(471, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'D') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy637;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'E') goto yy649;
			if (yych <= 'Z') goto yy637;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'd') {
				if (yych <= '`') goto yy18;
				goto yy642;
			} else {
				if (yych <= 'e') goto yy651;
				if (yych <= 'z') goto yy642;
				goto yy18;
			}
		}
	}
yy472:
	YYDEBUG(472, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'U') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'T') goto yy637;
			goto yy652;
		}
	} else {
		if (yych <= 't') {
			if (yych <= 'Z') goto yy637;
			if (yych <= '`') goto yy18;
			goto yy637;
		} else {
			if (yych <= 'u') goto yy652;
			if (yych <= 'z') goto yy637;
			goto yy18;
		}
	}
yy473:
	YYDEBUG(473, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'H') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'G') goto yy637;
			goto yy653;
		}
	} else {
		if (yych <= 'g') {
			if (yych <= 'Z') goto yy637;
			if (yych <= '`') goto yy18;
			goto yy637;
		} else {
			if (yych <= 'h') goto yy653;
			if (yych <= 'z') goto yy637;
			goto yy18;
		}
	}
yy474:
	YYDEBUG(474, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'T') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'S') goto yy637;
			goto yy654;
		}
	} else {
		if (yych <= 's') {
			if (yych <= 'Z') goto yy637;
			if (yych <= '`') goto yy18;
			goto yy637;
		} else {
			if (yych <= 't') goto yy654;
			if (yych <= 'z') goto yy637;
			goto yy18;
		}
	}
yy475:
	YYDEBUG(475, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'T') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'S') goto yy637;
			goto yy655;
		}
	} else {
		if (yych <= 's') {
			if (yych <= 'Z') goto yy637;
			if (yych <= '`') goto yy18;
			goto yy637;
		} else {
			if (yych <= 't') goto yy655;
			if (yych <= 'z') goto yy637;
			goto yy18;
		}
	}
yy476:
	YYDEBUG(476, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'A') {
		if (yych == ')') goto yy108;
		if (yych <= '@') goto yy18;
		goto yy656;
	} else {
		if (yych <= '`') {
			if (yych <= 'Z') goto yy637;
			goto yy18;
		} else {
			if (yych <= 'a') goto yy656;
			if (yych <= 'z') goto yy637;
			goto yy18;
		}
	}
yy477:
	YYDEBUG(477, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'T') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'S') goto yy637;
			goto yy657;
		}
	} else {
		if (yych <= 's') {
			if (yych <= 'Z') goto yy637;
			if (yych <= '`') goto yy18;
			goto yy637;
		} else {
			if (yych <= 't') goto yy657;
			if (yych <= 'z') goto yy637;
			goto yy18;
		}
	}
yy478:
	YYDEBUG(478, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'T') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy637;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'U') goto yy652;
			if (yych <= 'Z') goto yy637;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 't') {
				if (yych <= '`') goto yy18;
				goto yy642;
			} else {
				if (yych <= 'u') goto yy658;
				if (yych <= 'z') goto yy642;
				goto yy18;
			}
		}
	}
yy479:
	YYDEBUG(479, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'G') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy637;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'H') goto yy653;
			if (yych <= 'Z') goto yy637;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'g') {
				if (yych <= '`') goto yy18;
				goto yy642;
			} else {
				if (yych <= 'h') goto yy659;
				if (yych <= 'z') goto yy642;
				goto yy18;
			}
		}
	}
yy480:
	YYDEBUG(480, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'S') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy637;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'T') goto yy654;
			if (yych <= 'Z') goto yy637;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 's') {
				if (yych <= '`') goto yy18;
				goto yy642;
			} else {
				if (yych <= 't') goto yy660;
				if (yych <= 'z') goto yy642;
				goto yy18;
			}
		}
	}
yy481:
	YYDEBUG(481, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'S') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy637;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'T') goto yy655;
			if (yych <= 'Z') goto yy637;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 's') {
				if (yych <= '`') goto yy18;
				goto yy642;
			} else {
				if (yych <= 't') goto yy661;
				if (yych <= 'z') goto yy642;
				goto yy18;
			}
		}
	}
yy482:
	YYDEBUG(482, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '@') {
		if (yych <= ',') {
			if (yych == ')') goto yy108;
			goto yy18;
		} else {
			if (yych == '.') goto yy18;
			if (yych <= '/') goto yy283;
			goto yy18;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'A') goto yy656;
			if (yych <= 'Z') goto yy637;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= '`') goto yy18;
			if (yych <= 'a') goto yy662;
			if (yych <= 'z') goto yy642;
			goto yy18;
		}
	}
yy483:
	YYDEBUG(483, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'S') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy637;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'T') goto yy657;
			if (yych <= 'Z') goto yy637;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 's') {
				if (yych <= '`') goto yy18;
				goto yy642;
			} else {
				if (yych <= 't') goto yy663;
				if (yych <= 'z') goto yy642;
				goto yy18;
			}
		}
	}
yy484:
	YYDEBUG(484, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '1') goto yy664;
	if (yych <= '2') goto yy665;
	if (yych <= '9') goto yy666;
	goto yy56;
yy485:
	YYDEBUG(485, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') {
		if (yych == '.') goto yy667;
		goto yy56;
	} else {
		if (yych <= '0') goto yy668;
		if (yych <= '9') goto yy488;
		if (yych <= ':') goto yy667;
		goto yy56;
	}
yy486:
	YYDEBUG(486, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') {
		if (yych == '.') goto yy669;
		goto yy56;
	} else {
		if (yych <= '2') goto yy488;
		if (yych <= '9') goto yy668;
		if (yych <= ':') goto yy669;
		goto yy56;
	}
yy487:
	YYDEBUG(487, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') {
		if (yych == '.') goto yy669;
		goto yy56;
	} else {
		if (yych <= '4') goto yy668;
		if (yych == ':') goto yy669;
		goto yy56;
	}
yy488:
	YYDEBUG(488, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '.') goto yy669;
	if (yych == ':') goto yy669;
	goto yy56;
yy489:
	YYDEBUG(489, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '1') goto yy670;
	if (yych <= '2') goto yy671;
	if (yych <= '9') goto yy668;
	goto yy56;
yy490:
	YYDEBUG(490, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych == '.') goto yy667;
		goto yy311;
	} else {
		if (yych <= '0') goto yy672;
		if (yych <= '9') goto yy673;
		if (yych <= ':') goto yy667;
		goto yy311;
	}
yy491:
	YYDEBUG(491, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych == '.') goto yy669;
		goto yy311;
	} else {
		if (yych <= '2') goto yy673;
		if (yych <= '9') goto yy672;
		if (yych <= ':') goto yy669;
		goto yy311;
	}
yy492:
	YYDEBUG(492, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych == '.') goto yy669;
		goto yy311;
	} else {
		if (yych <= '4') goto yy672;
		if (yych <= '9') goto yy674;
		if (yych <= ':') goto yy669;
		goto yy311;
	}
yy493:
	YYDEBUG(493, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych == '.') goto yy669;
		goto yy311;
	} else {
		if (yych <= '9') goto yy674;
		if (yych <= ':') goto yy669;
		goto yy311;
	}
yy494:
	YYDEBUG(494, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy675;
	goto yy56;
yy495:
	YYDEBUG(495, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 0x00) goto yy310;
	goto yy313;
yy496:
	YYDEBUG(496, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'A') {
		if (yych == ')') goto yy108;
		if (yych <= '@') goto yy18;
		goto yy677;
	} else {
		if (yych <= '`') {
			if (yych <= 'Z') goto yy637;
			goto yy18;
		} else {
			if (yych <= 'a') goto yy677;
			if (yych <= 'z') goto yy637;
			goto yy18;
		}
	}
yy497:
	YYDEBUG(497, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= ',') {
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy135;
			goto yy281;
		} else {
			if (yych <= ' ') goto yy135;
			if (yych == ')') goto yy108;
			goto yy281;
		}
	} else {
		if (yych <= '@') {
			if (yych == '/') goto yy281;
			if (yych <= '9') goto yy135;
			goto yy281;
		} else {
			if (yych <= 'Z') goto yy637;
			if (yych <= '`') goto yy281;
			if (yych <= 'z') goto yy637;
			goto yy281;
		}
	}
yy498:
	YYDEBUG(498, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '@') {
		if (yych <= ',') {
			if (yych == ')') goto yy108;
			goto yy18;
		} else {
			if (yych == '.') goto yy18;
			if (yych <= '/') goto yy283;
			goto yy18;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'A') goto yy677;
			if (yych <= 'Z') goto yy637;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= '`') goto yy18;
			if (yych <= 'a') goto yy678;
			if (yych <= 'z') goto yy642;
			goto yy18;
		}
	}
yy499:
	YYDEBUG(499, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '.') {
		if (yych <= ' ') {
			if (yych == '\t') goto yy135;
			if (yych <= 0x1F) goto yy281;
			goto yy135;
		} else {
			if (yych <= ')') {
				if (yych <= '(') goto yy281;
				goto yy108;
			} else {
				if (yych <= ',') goto yy281;
				if (yych <= '-') goto yy679;
				goto yy135;
			}
		}
	} else {
		if (yych <= 'Z') {
			if (yych <= '/') goto yy283;
			if (yych <= '9') goto yy135;
			if (yych <= '@') goto yy281;
			goto yy637;
		} else {
			if (yych <= '_') {
				if (yych <= '^') goto yy281;
				goto yy283;
			} else {
				if (yych <= '`') goto yy281;
				if (yych <= 'z') goto yy642;
				goto yy281;
			}
		}
	}
yy500:
	YYDEBUG(500, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '(') {
		if (yych <= '\t') {
			if (yych <= 0x08) goto yy18;
			goto yy680;
		} else {
			if (yych == ' ') goto yy682;
			goto yy18;
		}
	} else {
		if (yych <= 'Z') {
			if (yych <= ')') goto yy108;
			if (yych <= '@') goto yy18;
			goto yy637;
		} else {
			if (yych <= '`') goto yy18;
			if (yych <= 'z') goto yy637;
			goto yy18;
		}
	}
yy501:
	YYDEBUG(501, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '-') {
		if (yych <= ' ') {
			if (yych == '\t') goto yy680;
			if (yych <= 0x1F) goto yy18;
			goto yy682;
		} else {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		}
	} else {
		if (yych <= 'Z') {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy637;
		} else {
			if (yych <= '_') {
				if (yych <= '^') goto yy18;
				goto yy283;
			} else {
				if (yych <= '`') goto yy18;
				if (yych <= 'z') goto yy642;
				goto yy18;
			}
		}
	}
yy502:
	YYDEBUG(502, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'H') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'G') goto yy637;
			goto yy640;
		}
	} else {
		if (yych <= 'g') {
			if (yych <= 'Z') goto yy637;
			if (yych <= '`') goto yy18;
			goto yy637;
		} else {
			if (yych <= 'h') goto yy640;
			if (yych <= 'z') goto yy637;
			goto yy18;
		}
	}
yy503:
	YYDEBUG(503, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'I') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'H') goto yy637;
			goto yy683;
		}
	} else {
		if (yych <= 'h') {
			if (yych <= 'Z') goto yy637;
			if (yych <= '`') goto yy18;
			goto yy637;
		} else {
			if (yych <= 'i') goto yy683;
			if (yych <= 'z') goto yy637;
			goto yy18;
		}
	}
yy504:
	YYDEBUG(504, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'G') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy637;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'H') goto yy640;
			if (yych <= 'Z') goto yy637;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'g') {
				if (yych <= '`') goto yy18;
				goto yy642;
			} else {
				if (yych <= 'h') goto yy643;
				if (yych <= 'z') goto yy642;
				goto yy18;
			}
		}
	}
yy505:
	YYDEBUG(505, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'H') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy637;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'I') goto yy683;
			if (yych <= 'Z') goto yy637;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'h') {
				if (yych <= '`') goto yy18;
				goto yy642;
			} else {
				if (yych <= 'i') goto yy684;
				if (yych <= 'z') goto yy642;
				goto yy18;
			}
		}
	}
yy506:
	YYDEBUG(506, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '(') {
		if (yych <= '\t') {
			if (yych <= 0x08) goto yy18;
			goto yy680;
		} else {
			if (yych == ' ') goto yy680;
			goto yy18;
		}
	} else {
		if (yych <= 'Z') {
			if (yych <= ')') goto yy108;
			if (yych <= '@') goto yy18;
			goto yy637;
		} else {
			if (yych <= '`') goto yy18;
			if (yych <= 'z') goto yy637;
			goto yy18;
		}
	}
yy507:
	YYDEBUG(507, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '@') {
		if (yych == ')') goto yy108;
	} else {
		if (yych <= 'Z') goto yy637;
		if (yych <= '`') goto yy508;
		if (yych <= 'z') goto yy637;
	}
yy508:
	YYDEBUG(508, *YYCURSOR);
#line 1141 "parse_date.re"
	{
		DEBUG_OUTPUT("noon");
		TIMELIB_INIT;
		TIMELIB_UNHAVE_TIME();
		TIMELIB_HAVE_TIME();
		s->time->h = 12;

		TIMELIB_DEINIT;
		return TIMELIB_RELATIVE;
	}
#line 12335 "<stdout>"
yy509:
	YYDEBUG(509, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '-') {
		if (yych <= ' ') {
			if (yych == '\t') goto yy680;
			if (yych <= 0x1F) goto yy18;
			goto yy680;
		} else {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		}
	} else {
		if (yych <= 'Z') {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy637;
		} else {
			if (yych <= '_') {
				if (yych <= '^') goto yy18;
				goto yy283;
			} else {
				if (yych <= '`') goto yy18;
				if (yych <= 'z') goto yy642;
				goto yy18;
			}
		}
	}
yy510:
	YYDEBUG(510, *YYCURSOR);
	yyaccept = 14;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych <= ',') {
			if (yych == ')') goto yy108;
			goto yy508;
		} else {
			if (yych == '.') goto yy508;
			goto yy283;
		}
	} else {
		if (yych <= '^') {
			if (yych <= '@') goto yy508;
			if (yych <= 'Z') goto yy637;
			goto yy508;
		} else {
			if (yych <= '_') goto yy283;
			if (yych <= '`') goto yy508;
			if (yych <= 'z') goto yy642;
			goto yy508;
		}
	}
yy511:
	YYDEBUG(511, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'B') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'A') goto yy637;
			goto yy685;
		}
	} else {
		if (yych <= 'a') {
			if (yych <= 'Z') goto yy637;
			if (yych <= '`') goto yy18;
			goto yy637;
		} else {
			if (yych <= 'b') goto yy685;
			if (yych <= 'z') goto yy637;
			goto yy18;
		}
	}
yy512:
	YYDEBUG(512, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'A') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy637;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'B') goto yy685;
			if (yych <= 'Z') goto yy637;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'a') {
				if (yych <= '`') goto yy18;
				goto yy642;
			} else {
				if (yych <= 'b') goto yy686;
				if (yych <= 'z') goto yy642;
				goto yy18;
			}
		}
	}
yy513:
	YYDEBUG(513, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'I') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'H') goto yy637;
			goto yy687;
		}
	} else {
		if (yych <= 'h') {
			if (yych <= 'Z') goto yy637;
			if (yych <= '`') goto yy18;
			goto yy637;
		} else {
			if (yych <= 'i') goto yy687;
			if (yych <= 'z') goto yy637;
			goto yy18;
		}
	}
yy514:
	YYDEBUG(514, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'H') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy637;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'I') goto yy687;
			if (yych <= 'Z') goto yy637;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'h') {
				if (yych <= '`') goto yy18;
				goto yy642;
			} else {
				if (yych <= 'i') goto yy688;
				if (yych <= 'z') goto yy642;
				goto yy18;
			}
		}
	}
yy515:
	YYDEBUG(515, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'R') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'Q') goto yy637;
			goto yy689;
		}
	} else {
		if (yych <= 'q') {
			if (yych <= 'Z') goto yy637;
			if (yych <= '`') goto yy18;
			goto yy637;
		} else {
			if (yych <= 'r') goto yy689;
			if (yych <= 'z') goto yy637;
			goto yy18;
		}
	}
yy516:
	YYDEBUG(516, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'N') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'M') goto yy637;
			goto yy690;
		}
	} else {
		if (yych <= 'm') {
			if (yych <= 'Z') goto yy637;
			if (yych <= '`') goto yy18;
			goto yy637;
		} else {
			if (yych <= 'n') goto yy690;
			if (yych <= 'z') goto yy637;
			goto yy18;
		}
	}
yy517:
	YYDEBUG(517, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych <= '(') {
			if (yych <= '\t') {
				if (yych <= 0x08) goto yy281;
				goto yy135;
			} else {
				if (yych == ' ') goto yy135;
				goto yy281;
			}
		} else {
			if (yych <= ',') {
				if (yych <= ')') goto yy108;
				goto yy281;
			} else {
				if (yych <= '-') goto yy455;
				if (yych <= '.') goto yy135;
				goto yy281;
			}
		}
	} else {
		if (yych <= 'Z') {
			if (yych <= '@') {
				if (yych <= '9') goto yy135;
				goto yy281;
			} else {
				if (yych == 'E') goto yy691;
				goto yy637;
			}
		} else {
			if (yych <= 'd') {
				if (yych <= '`') goto yy281;
				goto yy637;
			} else {
				if (yych <= 'e') goto yy691;
				if (yych <= 'z') goto yy637;
				goto yy281;
			}
		}
	}
yy518:
	YYDEBUG(518, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'N') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'M') goto yy637;
			goto yy692;
		}
	} else {
		if (yych <= 'm') {
			if (yych <= 'Z') goto yy637;
			if (yych <= '`') goto yy18;
			goto yy637;
		} else {
			if (yych <= 'n') goto yy692;
			if (yych <= 'z') goto yy637;
			goto yy18;
		}
	}
yy519:
	YYDEBUG(519, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'Q') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy637;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'R') goto yy689;
			if (yych <= 'Z') goto yy637;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'q') {
				if (yych <= '`') goto yy18;
				goto yy642;
			} else {
				if (yych <= 'r') goto yy693;
				if (yych <= 'z') goto yy642;
				goto yy18;
			}
		}
	}
yy520:
	YYDEBUG(520, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'M') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy637;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'N') goto yy690;
			if (yych <= 'Z') goto yy637;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'm') {
				if (yych <= '`') goto yy18;
				goto yy642;
			} else {
				if (yych <= 'n') goto yy694;
				if (yych <= 'z') goto yy642;
				goto yy18;
			}
		}
	}
yy521:
	YYDEBUG(521, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '9') {
		if (yych <= '(') {
			if (yych <= '\t') {
				if (yych <= 0x08) goto yy281;
				goto yy135;
			} else {
				if (yych == ' ') goto yy135;
				goto yy281;
			}
		} else {
			if (yych <= '-') {
				if (yych <= ')') goto yy108;
				if (yych <= ',') goto yy281;
				goto yy461;
			} else {
				if (yych == '/') goto yy283;
				goto yy135;
			}
		}
	} else {
		if (yych <= '^') {
			if (yych <= 'D') {
				if (yych <= '@') goto yy281;
				goto yy637;
			} else {
				if (yych <= 'E') goto yy691;
				if (yych <= 'Z') goto yy637;
				goto yy281;
			}
		} else {
			if (yych <= 'd') {
				if (yych <= '_') goto yy283;
				if (yych <= '`') goto yy281;
				goto yy642;
			} else {
				if (yych <= 'e') goto yy695;
				if (yych <= 'z') goto yy642;
				goto yy281;
			}
		}
	}
yy522:
	YYDEBUG(522, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'M') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy637;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'N') goto yy692;
			if (yych <= 'Z') goto yy637;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'm') {
				if (yych <= '`') goto yy18;
				goto yy642;
			} else {
				if (yych <= 'n') goto yy696;
				if (yych <= 'z') goto yy642;
				goto yy18;
			}
		}
	}
yy523:
	YYDEBUG(523, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy697;
	goto yy56;
yy524:
	YYDEBUG(524, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'D') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'C') goto yy637;
			goto yy653;
		}
	} else {
		if (yych <= 'c') {
			if (yych <= 'Z') goto yy637;
			if (yych <= '`') goto yy18;
			goto yy637;
		} else {
			if (yych <= 'd') goto yy653;
			if (yych <= 'z') goto yy637;
			goto yy18;
		}
	}
yy525:
	YYDEBUG(525, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'S') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'R') goto yy637;
			goto yy689;
		}
	} else {
		if (yych <= 'r') {
			if (yych <= 'Z') goto yy637;
			if (yych <= '`') goto yy18;
			goto yy637;
		} else {
			if (yych <= 's') goto yy689;
			if (yych <= 'z') goto yy637;
			goto yy18;
		}
	}
yy526:
	YYDEBUG(526, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'Y') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'X') goto yy637;
			goto yy698;
		}
	} else {
		if (yych <= 'x') {
			if (yych <= 'Z') goto yy637;
			if (yych <= '`') goto yy18;
			goto yy637;
		} else {
			if (yych <= 'y') goto yy698;
			if (yych <= 'z') goto yy637;
			goto yy18;
		}
	}
yy527:
	YYDEBUG(527, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'R') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'Q') goto yy637;
			goto yy700;
		}
	} else {
		if (yych <= 'q') {
			if (yych <= 'Z') goto yy637;
			if (yych <= '`') goto yy18;
			goto yy637;
		} else {
			if (yych <= 'r') goto yy700;
			if (yych <= 'z') goto yy637;
			goto yy18;
		}
	}
yy528:
	YYDEBUG(528, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'D') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'C') goto yy637;
			goto yy701;
		}
	} else {
		if (yych <= 'c') {
			if (yych <= 'Z') goto yy637;
			if (yych <= '`') goto yy18;
			goto yy637;
		} else {
			if (yych <= 'd') goto yy701;
			if (yych <= 'z') goto yy637;
			goto yy18;
		}
	}
yy529:
	YYDEBUG(529, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'F') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'E') goto yy637;
			goto yy692;
		}
	} else {
		if (yych <= 'e') {
			if (yych <= 'Z') goto yy637;
			if (yych <= '`') goto yy18;
			goto yy637;
		} else {
			if (yych <= 'f') goto yy692;
			if (yych <= 'z') goto yy637;
			goto yy18;
		}
	}
yy530:
	YYDEBUG(530, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'C') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy637;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'D') goto yy653;
			if (yych <= 'Z') goto yy637;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'c') {
				if (yych <= '`') goto yy18;
				goto yy642;
			} else {
				if (yych <= 'd') goto yy659;
				if (yych <= 'z') goto yy642;
				goto yy18;
			}
		}
	}
yy531:
	YYDEBUG(531, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'R') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy637;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'S') goto yy689;
			if (yych <= 'Z') goto yy637;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'r') {
				if (yych <= '`') goto yy18;
				goto yy642;
			} else {
				if (yych <= 's') goto yy693;
				if (yych <= 'z') goto yy642;
				goto yy18;
			}
		}
	}
yy532:
	YYDEBUG(532, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'X') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy637;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'Y') goto yy698;
			if (yych <= 'Z') goto yy637;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'x') {
				if (yych <= '`') goto yy18;
				goto yy642;
			} else {
				if (yych <= 'y') goto yy702;
				if (yych <= 'z') goto yy642;
				goto yy18;
			}
		}
	}
yy533:
	YYDEBUG(533, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'Q') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy637;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'R') goto yy700;
			if (yych <= 'Z') goto yy637;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'q') {
				if (yych <= '`') goto yy18;
				goto yy642;
			} else {
				if (yych <= 'r') goto yy703;
				if (yych <= 'z') goto yy642;
				goto yy18;
			}
		}
	}
yy534:
	YYDEBUG(534, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'C') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy637;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'D') goto yy701;
			if (yych <= 'Z') goto yy637;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'c') {
				if (yych <= '`') goto yy18;
				goto yy642;
			} else {
				if (yych <= 'd') goto yy704;
				if (yych <= 'z') goto yy642;
				goto yy18;
			}
		}
	}
yy535:
	YYDEBUG(535, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'E') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy637;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'F') goto yy692;
			if (yych <= 'Z') goto yy637;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'e') {
				if (yych <= '`') goto yy18;
				goto yy642;
			} else {
				if (yych <= 'f') goto yy696;
				if (yych <= 'z') goto yy642;
				goto yy18;
			}
		}
	}
yy536:
	YYDEBUG(536, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= ',') {
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy135;
			goto yy18;
		} else {
			if (yych <= ' ') goto yy135;
			if (yych == ')') goto yy108;
			goto yy18;
		}
	} else {
		if (yych <= '@') {
			if (yych == '/') goto yy18;
			if (yych <= '9') goto yy135;
			goto yy18;
		} else {
			if (yych <= 'Z') goto yy637;
			if (yych <= '`') goto yy18;
			if (yych <= 'z') goto yy637;
			goto yy18;
		}
	}
yy537:
	YYDEBUG(537, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'E') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'D') goto yy637;
			goto yy705;
		}
	} else {
		if (yych <= 'd') {
			if (yych <= 'Z') goto yy637;
			if (yych <= '`') goto yy18;
			goto yy637;
		} else {
			if (yych <= 'e') goto yy705;
			if (yych <= 'z') goto yy637;
			goto yy18;
		}
	}
yy538:
	YYDEBUG(538, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'D') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy637;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'E') goto yy705;
			if (yych <= 'Z') goto yy637;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'd') {
				if (yych <= '`') goto yy18;
				goto yy642;
			} else {
				if (yych <= 'e') goto yy706;
				if (yych <= 'z') goto yy642;
				goto yy18;
			}
		}
	}
yy539:
	YYDEBUG(539, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'E') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'D') goto yy637;
			goto yy707;
		}
	} else {
		if (yych <= 'd') {
			if (yych <= 'Z') goto yy637;
			if (yych <= '`') goto yy18;
			goto yy637;
		} else {
			if (yych <= 'e') goto yy707;
			if (yych <= 'z') goto yy637;
			goto yy18;
		}
	}
yy540:
	YYDEBUG(540, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'D') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy637;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'E') goto yy707;
			if (yych <= 'Z') goto yy637;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'd') {
				if (yych <= '`') goto yy18;
				goto yy642;
			} else {
				if (yych <= 'e') goto yy708;
				if (yych <= 'z') goto yy642;
				goto yy18;
			}
		}
	}
yy541:
	YYDEBUG(541, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy187;
	if (yych <= '9') goto yy575;
	goto yy187;
yy542:
	YYDEBUG(542, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'U') {
		if (yych <= '9') {
			if (yych <= ',') {
				if (yych <= '\t') {
					if (yych <= 0x08) goto yy18;
					goto yy187;
				} else {
					if (yych == ' ') goto yy187;
					goto yy18;
				}
			} else {
				if (yych <= '/') {
					if (yych <= '-') goto yy709;
					goto yy18;
				} else {
					if (yych <= '5') goto yy710;
					if (yych <= '6') goto yy711;
					goto yy712;
				}
			}
		} else {
			if (yych <= 'G') {
				if (yych <= 'D') {
					if (yych <= 'C') goto yy18;
					goto yy187;
				} else {
					if (yych == 'F') goto yy187;
					goto yy18;
				}
			} else {
				if (yych <= 'L') {
					if (yych <= 'H') goto yy187;
					goto yy18;
				} else {
					if (yych <= 'M') goto yy187;
					if (yych <= 'R') goto yy18;
					goto yy187;
				}
			}
		}
	} else {
		if (yych <= 'h') {
			if (yych <= 'c') {
				if (yych <= 'W') {
					if (yych <= 'V') goto yy18;
					goto yy187;
				} else {
					if (yych == 'Y') goto yy187;
					goto yy18;
				}
			} else {
				if (yych <= 'e') {
					if (yych <= 'd') goto yy187;
					goto yy18;
				} else {
					if (yych == 'g') goto yy18;
					goto yy187;
				}
			}
		} else {
			if (yych <= 'v') {
				if (yych <= 'm') {
					if (yych <= 'l') goto yy18;
					goto yy187;
				} else {
					if (yych <= 'r') goto yy18;
					if (yych <= 'u') goto yy187;
					goto yy18;
				}
			} else {
				if (yych <= 'y') {
					if (yych == 'x') goto yy18;
					goto yy187;
				} else {
					if (yych == 0xC2) goto yy187;
					goto yy18;
				}
			}
		}
	}
yy543:
	YYDEBUG(543, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '-') goto yy709;
	if (yych <= '/') goto yy187;
	if (yych <= '9') goto yy712;
	goto yy187;
yy544:
	YYDEBUG(544, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy18;
	if (yych <= '9') goto yy713;
	goto yy18;
yy545:
	YYDEBUG(545, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy714;
	goto yy56;
yy546:
	YYDEBUG(546, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy715;
	goto yy56;
yy547:
	YYDEBUG(547, *YYCURSOR);
	yyaccept = 15;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'n') {
		if (yych <= '/') goto yy548;
		if (yych <= '9') goto yy717;
		if (yych >= 'n') goto yy718;
	} else {
		if (yych <= 'r') {
			if (yych >= 'r') goto yy718;
		} else {
			if (yych <= 's') goto yy719;
			if (yych <= 't') goto yy720;
		}
	}
yy548:
	YYDEBUG(548, *YYCURSOR);
#line 1503 "parse_date.re"
	{
		int length = 0;
		DEBUG_OUTPUT("gnudateshort");
		TIMELIB_INIT;
		TIMELIB_HAVE_DATE();
		s->time->y = timelib_get_nr_ex(&ptr, 4, &length);
		s->time->m = timelib_get_nr(&ptr, 2);
		s->time->d = timelib_get_nr(&ptr, 2);
		TIMELIB_PROCESS_YEAR(s->time->y, length);
		TIMELIB_DEINIT;
		return TIMELIB_ISO_DATE;
	}
#line 13357 "<stdout>"
yy549:
	YYDEBUG(549, *YYCURSOR);
	yyaccept = 15;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'n') {
		if (yych <= '1') {
			if (yych <= '/') goto yy548;
			goto yy717;
		} else {
			if (yych <= '9') goto yy714;
			if (yych <= 'm') goto yy548;
			goto yy718;
		}
	} else {
		if (yych <= 'r') {
			if (yych <= 'q') goto yy548;
			goto yy718;
		} else {
			if (yych <= 's') goto yy719;
			if (yych <= 't') goto yy720;
			goto yy548;
		}
	}
yy550:
	YYDEBUG(550, *YYCURSOR);
	yyaccept = 15;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'n') {
		if (yych <= '/') goto yy548;
		if (yych <= '9') goto yy714;
		if (yych <= 'm') goto yy548;
		goto yy718;
	} else {
		if (yych <= 'r') {
			if (yych <= 'q') goto yy548;
			goto yy718;
		} else {
			if (yych <= 's') goto yy719;
			if (yych <= 't') goto yy720;
			goto yy548;
		}
	}
yy551:
	YYDEBUG(551, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == '.') goto yy721;
	if (yych <= '/') goto yy170;
	if (yych <= '9') goto yy722;
	goto yy170;
yy552:
	YYDEBUG(552, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych == '.') goto yy721;
		goto yy170;
	} else {
		if (yych <= '0') goto yy722;
		if (yych <= '9') goto yy715;
		goto yy170;
	}
yy553:
	YYDEBUG(553, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == '.') goto yy721;
	if (yych <= '/') goto yy170;
	if (yych <= '9') goto yy715;
	goto yy170;
yy554:
	YYDEBUG(554, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == '.') goto yy721;
	if (yych <= '/') goto yy170;
	if (yych <= '9') goto yy556;
	goto yy170;
yy555:
	YYDEBUG(555, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == '.') goto yy721;
	if (yych != '0') goto yy170;
yy556:
	YYDEBUG(556, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == '.') goto yy721;
	goto yy170;
yy557:
	YYDEBUG(557, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy214;
	if (yych <= '9') goto yy723;
	goto yy214;
yy558:
	YYDEBUG(558, *YYCURSOR);
	yyaccept = 5;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == '/') goto yy386;
	goto yy214;
yy559:
	YYDEBUG(559, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '/') goto yy724;
	goto yy56;
yy560:
	YYDEBUG(560, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'S') {
		if (yych == '/') goto yy724;
		goto yy56;
	} else {
		if (yych <= 'T') goto yy559;
		if (yych == 't') goto yy559;
		goto yy56;
	}
yy561:
	YYDEBUG(561, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= ',') goto yy56;
	if (yych <= '-') goto yy725;
	if (yych <= '.') goto yy380;
	goto yy56;
yy562:
	YYDEBUG(562, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '-') goto yy624;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy444;
	goto yy56;
yy563:
	YYDEBUG(563, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '-') goto yy624;
	if (yych <= '/') goto yy56;
	if (yych <= '2') goto yy444;
	goto yy56;
yy564:
	YYDEBUG(564, *YYCURSOR);
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 12) YYFILL(12);
	yych = *YYCURSOR;
yy565:
	YYDEBUG(565, *YYCURSOR);
	if (yych <= 'W') {
		if (yych <= 'G') {
			if (yych <= '.') {
				if (yych <= 0x1F) {
					if (yych == '\t') goto yy564;
					goto yy56;
				} else {
					if (yych <= ' ') goto yy564;
					if (yych <= ',') goto yy56;
					goto yy726;
				}
			} else {
				if (yych <= 'C') {
					if (yych == 'A') goto yy577;
					goto yy56;
				} else {
					if (yych <= 'D') goto yy578;
					if (yych == 'F') goto yy579;
					goto yy56;
				}
			}
		} else {
			if (yych <= 'N') {
				if (yych <= 'J') {
					if (yych <= 'H') goto yy75;
					if (yych <= 'I') goto yy580;
					goto yy582;
				} else {
					if (yych <= 'L') goto yy56;
					if (yych <= 'M') goto yy583;
					goto yy584;
				}
			} else {
				if (yych <= 'S') {
					if (yych <= 'O') goto yy585;
					if (yych <= 'R') goto yy56;
					goto yy586;
				} else {
					if (yych <= 'T') goto yy83;
					if (yych <= 'U') goto yy84;
					if (yych <= 'V') goto yy587;
					goto yy86;
				}
			}
		}
	} else {
		if (yych <= 'l') {
			if (yych <= 'd') {
				if (yych <= '`') {
					if (yych <= 'X') goto yy589;
					if (yych <= 'Y') goto yy88;
					goto yy56;
				} else {
					if (yych <= 'a') goto yy577;
					if (yych <= 'c') goto yy56;
					goto yy578;
				}
			} else {
				if (yych <= 'g') {
					if (yych == 'f') goto yy579;
					goto yy56;
				} else {
					if (yych <= 'h') goto yy75;
					if (yych == 'j') goto yy582;
					goto yy56;
				}
			}
		} else {
			if (yych <= 'u') {
				if (yych <= 'o') {
					if (yych <= 'm') goto yy583;
					if (yych <= 'n') goto yy584;
					goto yy585;
				} else {
					if (yych <= 'r') goto yy56;
					if (yych <= 's') goto yy586;
					if (yych <= 't') goto yy83;
					goto yy84;
				}
			} else {
				if (yych <= 'x') {
					if (yych == 'w') goto yy86;
					goto yy56;
				} else {
					if (yych <= 'y') goto yy88;
					if (yych == 0xC2) goto yy93;
					goto yy56;
				}
			}
		}
	}
yy566:
	YYDEBUG(566, *YYCURSOR);
	yych = *++YYCURSOR;
	switch (yych) {
	case '0':	goto yy728;
	case '1':	goto yy730;
	case '2':	goto yy731;
	case '3':	goto yy732;
	case '4':
	case '5':
	case '6':
	case '7':
	case '8':
	case '9':	goto yy733;
	case 'A':
	case 'a':	goto yy734;
	case 'D':
	case 'd':	goto yy735;
	case 'F':
	case 'f':	goto yy736;
	case 'J':
	case 'j':	goto yy737;
	case 'M':
	case 'm':	goto yy738;
	case 'N':
	case 'n':	goto yy739;
	case 'O':
	case 'o':	goto yy740;
	case 'S':
	case 's':	goto yy741;
	case 'W':	goto yy742;
	default:	goto yy727;
	}
yy567:
	YYDEBUG(567, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy727;
	if (yych <= '0') goto yy743;
	if (yych <= '2') goto yy744;
	if (yych <= '3') goto yy745;
	goto yy727;
yy568:
	YYDEBUG(568, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '0') goto yy750;
	if (yych <= '1') goto yy751;
	if (yych <= '9') goto yy752;
	goto yy56;
yy569:
	YYDEBUG(569, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy187;
	if (yych <= '0') goto yy753;
	if (yych <= '9') goto yy755;
	goto yy187;
yy570:
	YYDEBUG(570, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy187;
	if (yych <= '2') goto yy755;
	if (yych <= '9') goto yy756;
	goto yy187;
yy571:
	YYDEBUG(571, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy187;
	if (yych <= '9') goto yy756;
	goto yy187;
yy572:
	YYDEBUG(572, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy187;
	if (yych <= '5') goto yy756;
	if (yych <= '6') goto yy757;
	if (yych <= '9') goto yy758;
	goto yy187;
yy573:
	YYDEBUG(573, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy187;
	if (yych <= '9') goto yy758;
	goto yy187;
yy574:
	YYDEBUG(574, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy187;
	if (yych <= '0') goto yy758;
	if (yych <= '9') goto yy759;
	goto yy187;
yy575:
	YYDEBUG(575, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy187;
	if (yych <= '9') goto yy759;
	goto yy187;
yy576:
	YYDEBUG(576, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '0') goto yy760;
	if (yych <= '1') goto yy761;
	goto yy56;
yy577:
	YYDEBUG(577, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'U') {
		if (yych == 'P') goto yy762;
		if (yych <= 'T') goto yy56;
		goto yy763;
	} else {
		if (yych <= 'p') {
			if (yych <= 'o') goto yy56;
			goto yy762;
		} else {
			if (yych == 'u') goto yy763;
			goto yy56;
		}
	}
yy578:
	YYDEBUG(578, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'E') {
		if (yych == 'A') goto yy232;
		if (yych <= 'D') goto yy56;
		goto yy764;
	} else {
		if (yych <= 'a') {
			if (yych <= '`') goto yy56;
			goto yy232;
		} else {
			if (yych == 'e') goto yy764;
			goto yy56;
		}
	}
yy579:
	YYDEBUG(579, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'R') {
		if (yych <= 'N') {
			if (yych == 'E') goto yy765;
			goto yy56;
		} else {
			if (yych <= 'O') goto yy235;
			if (yych <= 'Q') goto yy56;
			goto yy236;
		}
	} else {
		if (yych <= 'n') {
			if (yych == 'e') goto yy765;
			goto yy56;
		} else {
			if (yych <= 'o') goto yy235;
			if (yych == 'r') goto yy236;
			goto yy56;
		}
	}
yy580:
	YYDEBUG(580, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'U') {
		if (yych == 'I') goto yy766;
	} else {
		if (yych == 'W') goto yy581;
		if (yych <= 'X') goto yy767;
	}
yy581:
	YYDEBUG(581, *YYCURSOR);
#line 1572 "parse_date.re"
	{
		int length = 0;
		DEBUG_OUTPUT("datenodayrev");
		TIMELIB_INIT;
		TIMELIB_HAVE_DATE();
		s->time->y = timelib_get_nr_ex(&ptr, 4, &length);
		s->time->m = timelib_get_month(&ptr);
		s->time->d = 1;
		TIMELIB_PROCESS_YEAR(s->time->y, length);
		TIMELIB_DEINIT;
		return TIMELIB_DATE_NO_DAY;
	}
#line 13776 "<stdout>"
yy582:
	YYDEBUG(582, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'U') {
		if (yych == 'A') goto yy768;
		if (yych <= 'T') goto yy56;
		goto yy769;
	} else {
		if (yych <= 'a') {
			if (yych <= '`') goto yy56;
			goto yy768;
		} else {
			if (yych == 'u') goto yy769;
			goto yy56;
		}
	}
yy583:
	YYDEBUG(583, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'S') {
		if (yych <= 'I') {
			if (yych == 'A') goto yy770;
			if (yych <= 'H') goto yy56;
			goto yy247;
		} else {
			if (yych == 'O') goto yy248;
			if (yych <= 'R') goto yy56;
			goto yy249;
		}
	} else {
		if (yych <= 'i') {
			if (yych == 'a') goto yy770;
			if (yych <= 'h') goto yy56;
			goto yy247;
		} else {
			if (yych <= 'o') {
				if (yych <= 'n') goto yy56;
				goto yy248;
			} else {
				if (yych == 's') goto yy249;
				goto yy56;
			}
		}
	}
yy584:
	YYDEBUG(584, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'O') goto yy771;
	if (yych == 'o') goto yy771;
	goto yy56;
yy585:
	YYDEBUG(585, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'C') goto yy772;
	if (yych == 'c') goto yy772;
	goto yy56;
yy586:
	YYDEBUG(586, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'U') {
		if (yych <= 'D') {
			if (yych == 'A') goto yy253;
			goto yy56;
		} else {
			if (yych <= 'E') goto yy773;
			if (yych <= 'T') goto yy56;
			goto yy255;
		}
	} else {
		if (yych <= 'd') {
			if (yych == 'a') goto yy253;
			goto yy56;
		} else {
			if (yych <= 'e') goto yy773;
			if (yych == 'u') goto yy255;
			goto yy56;
		}
	}
yy587:
	YYDEBUG(587, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'I') goto yy589;
	goto yy581;
yy588:
	YYDEBUG(588, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '5') {
		if (yych <= '/') goto yy56;
		if (yych <= '0') goto yy774;
		if (yych <= '4') goto yy775;
		goto yy776;
	} else {
		if (yych <= 'E') {
			if (yych <= 'D') goto yy56;
			goto yy259;
		} else {
			if (yych == 'e') goto yy259;
			goto yy56;
		}
	}
yy589:
	YYDEBUG(589, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'I') goto yy766;
	goto yy581;
yy590:
	YYDEBUG(590, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy187;
	if (yych <= '0') goto yy777;
	if (yych <= '9') goto yy778;
	goto yy187;
yy591:
	YYDEBUG(591, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy187;
	if (yych <= '2') goto yy778;
	if (yych <= '9') goto yy779;
	goto yy187;
yy592:
	YYDEBUG(592, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy187;
	if (yych <= '9') goto yy779;
	goto yy187;
yy593:
	YYDEBUG(593, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy187;
	if (yych <= '5') goto yy779;
	if (yych <= '6') goto yy780;
	if (yych <= '9') goto yy759;
	goto yy187;
yy594:
	YYDEBUG(594, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'L') goto yy243;
	if (yych == 'l') goto yy243;
	goto yy56;
yy595:
	YYDEBUG(595, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'S') goto yy781;
	if (yych == 's') goto yy781;
	goto yy56;
yy596:
	YYDEBUG(596, *YYCURSOR);
	++YYCURSOR;
	goto yy250;
yy597:
	YYDEBUG(597, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'M') goto yy607;
	if (yych == 'm') goto yy607;
	goto yy56;
yy598:
	YYDEBUG(598, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'U') goto yy601;
	if (yych == 'u') goto yy601;
	goto yy56;
yy599:
	YYDEBUG(599, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'N') {
		if (yych == 'H') goto yy782;
		if (yych <= 'M') goto yy56;
		goto yy783;
	} else {
		if (yych <= 'h') {
			if (yych <= 'g') goto yy56;
			goto yy782;
		} else {
			if (yych == 'n') goto yy783;
			goto yy56;
		}
	}
yy600:
	YYDEBUG(600, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy241;
	if (yych <= '9') goto yy784;
	goto yy241;
yy601:
	YYDEBUG(601, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'A') goto yy785;
	if (yych == 'a') goto yy785;
	goto yy56;
yy602:
	YYDEBUG(602, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'H') goto yy243;
	if (yych == 'h') goto yy243;
	goto yy56;
yy603:
	YYDEBUG(603, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'O') goto yy786;
	if (yych == 'o') goto yy786;
	goto yy56;
yy604:
	YYDEBUG(604, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'I') goto yy786;
	if (yych == 'i') goto yy786;
	goto yy56;
yy605:
	YYDEBUG(605, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'T') goto yy787;
	if (yych == 't') goto yy787;
	goto yy56;
yy606:
	YYDEBUG(606, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'H') goto yy409;
	if (yych == 'h') goto yy409;
	goto yy56;
yy607:
	YYDEBUG(607, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'B') goto yy788;
	if (yych == 'b') goto yy788;
	goto yy56;
yy608:
	YYDEBUG(608, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'R') goto yy611;
	if (yych == 'r') goto yy611;
	goto yy56;
yy609:
	YYDEBUG(609, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'N') goto yy789;
	if (yych == 'n') goto yy789;
	goto yy56;
yy610:
	YYDEBUG(610, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'S') goto yy611;
	if (yych != 's') goto yy56;
yy611:
	YYDEBUG(611, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'D') goto yy189;
	if (yych == 'd') goto yy189;
	goto yy56;
yy612:
	YYDEBUG(612, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'E') goto yy610;
	if (yych == 'e') goto yy610;
	goto yy56;
yy613:
	YYDEBUG(613, *YYCURSOR);
	yyaccept = 6;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'S') {
		if (yych == 'D') goto yy189;
		if (yych <= 'R') goto yy250;
		goto yy596;
	} else {
		if (yych <= 'd') {
			if (yych <= 'c') goto yy250;
			goto yy189;
		} else {
			if (yych == 's') goto yy596;
			goto yy250;
		}
	}
yy614:
	YYDEBUG(614, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= ',') goto yy56;
	if (yych <= '.') goto yy380;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy616;
	goto yy56;
yy615:
	YYDEBUG(615, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= ',') goto yy56;
	if (yych <= '.') goto yy380;
	if (yych <= '/') goto yy56;
	if (yych >= '3') goto yy56;
yy616:
	YYDEBUG(616, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= ',') goto yy56;
	if (yych <= '.') goto yy380;
	goto yy56;
yy617:
	YYDEBUG(617, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == '.') goto yy721;
	if (yych <= '/') goto yy170;
	if (yych <= '9') goto yy790;
	goto yy170;
yy618:
	YYDEBUG(618, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych == '.') goto yy721;
		goto yy170;
	} else {
		if (yych <= '0') goto yy790;
		if (yych <= '9') goto yy715;
		goto yy170;
	}
yy619:
	YYDEBUG(619, *YYCURSOR);
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 5) YYFILL(5);
	yych = *YYCURSOR;
	YYDEBUG(620, *YYCURSOR);
	if (yych <= 'A') {
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy619;
			goto yy56;
		} else {
			if (yych <= ' ') goto yy619;
			if (yych <= '@') goto yy56;
			goto yy101;
		}
	} else {
		if (yych <= '`') {
			if (yych == 'P') goto yy101;
			goto yy56;
		} else {
			if (yych <= 'a') goto yy101;
			if (yych == 'p') goto yy101;
			goto yy56;
		}
	}
yy621:
	YYDEBUG(621, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == '.') goto yy721;
	if (yych <= '/') goto yy170;
	if (yych <= '9') goto yy791;
	goto yy170;
yy622:
	YYDEBUG(622, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == '.') goto yy721;
	if (yych == '0') goto yy791;
	goto yy170;
yy623:
	YYDEBUG(623, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '5') goto yy792;
	if (yych <= '6') goto yy793;
	if (yych <= '9') goto yy556;
	goto yy56;
yy624:
	YYDEBUG(624, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '2') goto yy794;
	if (yych <= '3') goto yy795;
	if (yych <= '9') goto yy796;
	goto yy56;
yy625:
	YYDEBUG(625, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '-') goto yy797;
	goto yy56;
yy626:
	YYDEBUG(626, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'R') goto yy798;
	if (yych == 'r') goto yy798;
	goto yy56;
yy627:
	YYDEBUG(627, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'G') goto yy798;
	if (yych == 'g') goto yy798;
	goto yy56;
yy628:
	YYDEBUG(628, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'C') goto yy798;
	if (yych == 'c') goto yy798;
	goto yy56;
yy629:
	YYDEBUG(629, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'B') goto yy798;
	if (yych == 'b') goto yy798;
	goto yy56;
yy630:
	YYDEBUG(630, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'N') goto yy798;
	if (yych == 'n') goto yy798;
	goto yy56;
yy631:
	YYDEBUG(631, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'N') {
		if (yych == 'L') goto yy798;
		if (yych <= 'M') goto yy56;
		goto yy798;
	} else {
		if (yych <= 'l') {
			if (yych <= 'k') goto yy56;
			goto yy798;
		} else {
			if (yych == 'n') goto yy798;
			goto yy56;
		}
	}
yy632:
	YYDEBUG(632, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'Y') {
		if (yych == 'R') goto yy798;
		if (yych <= 'X') goto yy56;
		goto yy798;
	} else {
		if (yych <= 'r') {
			if (yych <= 'q') goto yy56;
			goto yy798;
		} else {
			if (yych == 'y') goto yy798;
			goto yy56;
		}
	}
yy633:
	YYDEBUG(633, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'V') goto yy798;
	if (yych == 'v') goto yy798;
	goto yy56;
yy634:
	YYDEBUG(634, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'T') goto yy798;
	if (yych == 't') goto yy798;
	goto yy56;
yy635:
	YYDEBUG(635, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'P') goto yy799;
	if (yych == 'p') goto yy799;
	goto yy56;
yy636:
	YYDEBUG(636, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy276;
	if (yych <= '9') goto yy800;
	goto yy276;
yy637:
	YYDEBUG(637, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '@') {
		if (yych == ')') goto yy108;
		goto yy18;
	} else {
		if (yych <= 'Z') goto yy801;
		if (yych <= '`') goto yy18;
		if (yych <= 'z') goto yy801;
		goto yy18;
	}
yy638:
	YYDEBUG(638, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '9') {
		if (yych <= ' ') {
			if (yych <= 0x08) {
				if (yych <= 0x00) goto yy310;
				goto yy56;
			} else {
				if (yych <= '\t') goto yy312;
				if (yych <= 0x1F) goto yy56;
				goto yy312;
			}
		} else {
			if (yych <= '-') {
				if (yych == ',') goto yy312;
				goto yy56;
			} else {
				if (yych <= '.') goto yy312;
				if (yych <= '/') goto yy56;
				goto yy802;
			}
		}
	} else {
		if (yych <= 'm') {
			if (yych <= 'd') {
				if (yych <= 'c') goto yy56;
				goto yy312;
			} else {
				if (yych == 'h') goto yy312;
				goto yy56;
			}
		} else {
			if (yych <= 'r') {
				if (yych <= 'n') goto yy315;
				if (yych <= 'q') goto yy56;
				goto yy315;
			} else {
				if (yych <= 's') goto yy316;
				if (yych <= 't') goto yy317;
				goto yy56;
			}
		}
	}
yy639:
	YYDEBUG(639, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '1') {
		if (yych <= ' ') {
			if (yych <= 0x08) {
				if (yych <= 0x00) goto yy310;
				goto yy56;
			} else {
				if (yych <= '\t') goto yy312;
				if (yych <= 0x1F) goto yy56;
				goto yy312;
			}
		} else {
			if (yych <= '-') {
				if (yych == ',') goto yy312;
				goto yy56;
			} else {
				if (yych <= '.') goto yy312;
				if (yych <= '/') goto yy56;
				goto yy802;
			}
		}
	} else {
		if (yych <= 'm') {
			if (yych <= 'd') {
				if (yych <= '9') goto yy318;
				if (yych <= 'c') goto yy56;
				goto yy312;
			} else {
				if (yych == 'h') goto yy312;
				goto yy56;
			}
		} else {
			if (yych <= 'r') {
				if (yych <= 'n') goto yy315;
				if (yych <= 'q') goto yy56;
				goto yy315;
			} else {
				if (yych <= 's') goto yy316;
				if (yych <= 't') goto yy317;
				goto yy56;
			}
		}
	}
yy640:
	YYDEBUG(640, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= ',') {
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy135;
			goto yy281;
		} else {
			if (yych <= ' ') goto yy135;
			if (yych == ')') goto yy108;
			goto yy281;
		}
	} else {
		if (yych <= '@') {
			if (yych == '/') goto yy281;
			if (yych <= '9') goto yy135;
			goto yy281;
		} else {
			if (yych <= 'Z') goto yy801;
			if (yych <= '`') goto yy281;
			if (yych <= 'z') goto yy801;
			goto yy281;
		}
	}
yy641:
	YYDEBUG(641, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'T') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'S') goto yy801;
			goto yy803;
		}
	} else {
		if (yych <= 's') {
			if (yych <= 'Z') goto yy801;
			if (yych <= '`') goto yy18;
			goto yy801;
		} else {
			if (yych <= 't') goto yy803;
			if (yych <= 'z') goto yy801;
			goto yy18;
		}
	}
yy642:
	YYDEBUG(642, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych <= ',') {
			if (yych == ')') goto yy108;
			goto yy18;
		} else {
			if (yych == '.') goto yy18;
			goto yy283;
		}
	} else {
		if (yych <= '^') {
			if (yych <= '@') goto yy18;
			if (yych <= 'Z') goto yy801;
			goto yy18;
		} else {
			if (yych <= '_') goto yy283;
			if (yych <= '`') goto yy18;
			if (yych <= 'z') goto yy804;
			goto yy18;
		}
	}
yy643:
	YYDEBUG(643, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '.') {
		if (yych <= ' ') {
			if (yych == '\t') goto yy135;
			if (yych <= 0x1F) goto yy281;
			goto yy135;
		} else {
			if (yych <= ')') {
				if (yych <= '(') goto yy281;
				goto yy108;
			} else {
				if (yych <= ',') goto yy281;
				if (yych <= '-') goto yy679;
				goto yy135;
			}
		}
	} else {
		if (yych <= 'Z') {
			if (yych <= '/') goto yy283;
			if (yych <= '9') goto yy135;
			if (yych <= '@') goto yy281;
			goto yy801;
		} else {
			if (yych <= '_') {
				if (yych <= '^') goto yy281;
				goto yy283;
			} else {
				if (yych <= '`') goto yy281;
				if (yych <= 'z') goto yy804;
				goto yy281;
			}
		}
	}
yy644:
	YYDEBUG(644, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'S') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy801;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'T') goto yy803;
			if (yych <= 'Z') goto yy801;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 's') {
				if (yych <= '`') goto yy18;
				goto yy804;
			} else {
				if (yych <= 't') goto yy805;
				if (yych <= 'z') goto yy804;
				goto yy18;
			}
		}
	}
yy645:
	YYDEBUG(645, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'O') goto yy806;
	if (yych == 'o') goto yy806;
	goto yy56;
yy646:
	YYDEBUG(646, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'B') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'A') goto yy801;
			goto yy807;
		}
	} else {
		if (yych <= 'a') {
			if (yych <= 'Z') goto yy801;
			if (yych <= '`') goto yy18;
			goto yy801;
		} else {
			if (yych <= 'b') goto yy807;
			if (yych <= 'z') goto yy801;
			goto yy18;
		}
	}
yy647:
	YYDEBUG(647, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'A') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy801;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'B') goto yy807;
			if (yych <= 'Z') goto yy801;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'a') {
				if (yych <= '`') goto yy18;
				goto yy804;
			} else {
				if (yych <= 'b') goto yy808;
				if (yych <= 'z') goto yy804;
				goto yy18;
			}
		}
	}
yy648:
	YYDEBUG(648, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '@') {
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy809;
			goto yy18;
		} else {
			if (yych <= ' ') goto yy809;
			if (yych == ')') goto yy108;
			goto yy18;
		}
	} else {
		if (yych <= '`') {
			if (yych == 'H') goto yy811;
			if (yych <= 'Z') goto yy801;
			goto yy18;
		} else {
			if (yych == 'h') goto yy811;
			if (yych <= 'z') goto yy801;
			goto yy18;
		}
	}
yy649:
	YYDEBUG(649, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'N') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'M') goto yy801;
			goto yy812;
		}
	} else {
		if (yych <= 'm') {
			if (yych <= 'Z') goto yy801;
			if (yych <= '`') goto yy18;
			goto yy801;
		} else {
			if (yych <= 'n') goto yy812;
			if (yych <= 'z') goto yy801;
			goto yy18;
		}
	}
yy650:
	YYDEBUG(650, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych <= '(') {
			if (yych <= '\t') {
				if (yych <= 0x08) goto yy18;
				goto yy809;
			} else {
				if (yych == ' ') goto yy809;
				goto yy18;
			}
		} else {
			if (yych <= ',') {
				if (yych <= ')') goto yy108;
				goto yy18;
			} else {
				if (yych == '.') goto yy18;
				goto yy283;
			}
		}
	} else {
		if (yych <= '^') {
			if (yych <= 'G') {
				if (yych <= '@') goto yy18;
				goto yy801;
			} else {
				if (yych <= 'H') goto yy811;
				if (yych <= 'Z') goto yy801;
				goto yy18;
			}
		} else {
			if (yych <= 'g') {
				if (yych <= '_') goto yy283;
				if (yych <= '`') goto yy18;
				goto yy804;
			} else {
				if (yych <= 'h') goto yy813;
				if (yych <= 'z') goto yy804;
				goto yy18;
			}
		}
	}
yy651:
	YYDEBUG(651, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'M') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy801;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'N') goto yy812;
			if (yych <= 'Z') goto yy801;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'm') {
				if (yych <= '`') goto yy18;
				goto yy804;
			} else {
				if (yych <= 'n') goto yy814;
				if (yych <= 'z') goto yy804;
				goto yy18;
			}
		}
	}
yy652:
	YYDEBUG(652, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'A') {
		if (yych == ')') goto yy108;
		if (yych <= '@') goto yy18;
		goto yy815;
	} else {
		if (yych <= '`') {
			if (yych <= 'Z') goto yy801;
			goto yy18;
		} else {
			if (yych <= 'a') goto yy815;
			if (yych <= 'z') goto yy801;
			goto yy18;
		}
	}
yy653:
	YYDEBUG(653, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '(') {
		if (yych <= '\t') {
			if (yych <= 0x08) goto yy18;
			goto yy809;
		} else {
			if (yych == ' ') goto yy809;
			goto yy18;
		}
	} else {
		if (yych <= 'Z') {
			if (yych <= ')') goto yy108;
			if (yych <= '@') goto yy18;
			goto yy801;
		} else {
			if (yych <= '`') goto yy18;
			if (yych <= 'z') goto yy801;
			goto yy18;
		}
	}
yy654:
	YYDEBUG(654, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '(') {
		if (yych <= '\t') {
			if (yych <= 0x08) goto yy18;
			goto yy809;
		} else {
			if (yych == ' ') goto yy816;
			goto yy18;
		}
	} else {
		if (yych <= 'Z') {
			if (yych <= ')') goto yy108;
			if (yych <= '@') goto yy18;
			goto yy801;
		} else {
			if (yych <= '`') goto yy18;
			if (yych <= 'z') goto yy801;
			goto yy18;
		}
	}
yy655:
	YYDEBUG(655, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'H') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'G') goto yy801;
			goto yy811;
		}
	} else {
		if (yych <= 'g') {
			if (yych <= 'Z') goto yy801;
			if (yych <= '`') goto yy18;
			goto yy801;
		} else {
			if (yych <= 'h') goto yy811;
			if (yych <= 'z') goto yy801;
			goto yy18;
		}
	}
yy656:
	YYDEBUG(656, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'Y') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'X') goto yy801;
			goto yy817;
		}
	} else {
		if (yych <= 'x') {
			if (yych <= 'Z') goto yy801;
			if (yych <= '`') goto yy18;
			goto yy801;
		} else {
			if (yych <= 'y') goto yy817;
			if (yych <= 'z') goto yy801;
			goto yy18;
		}
	}
yy657:
	YYDEBUG(657, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= ')') {
		if (yych == ' ') goto yy645;
		if (yych <= '(') goto yy18;
		goto yy108;
	} else {
		if (yych <= 'Z') {
			if (yych <= '@') goto yy18;
			goto yy801;
		} else {
			if (yych <= '`') goto yy18;
			if (yych <= 'z') goto yy801;
			goto yy18;
		}
	}
yy658:
	YYDEBUG(658, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '@') {
		if (yych <= ',') {
			if (yych == ')') goto yy108;
			goto yy18;
		} else {
			if (yych == '.') goto yy18;
			if (yych <= '/') goto yy283;
			goto yy18;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'A') goto yy815;
			if (yych <= 'Z') goto yy801;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= '`') goto yy18;
			if (yych <= 'a') goto yy818;
			if (yych <= 'z') goto yy804;
			goto yy18;
		}
	}
yy659:
	YYDEBUG(659, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '-') {
		if (yych <= ' ') {
			if (yych == '\t') goto yy809;
			if (yych <= 0x1F) goto yy18;
			goto yy809;
		} else {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		}
	} else {
		if (yych <= 'Z') {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy801;
		} else {
			if (yych <= '_') {
				if (yych <= '^') goto yy18;
				goto yy283;
			} else {
				if (yych <= '`') goto yy18;
				if (yych <= 'z') goto yy804;
				goto yy18;
			}
		}
	}
yy660:
	YYDEBUG(660, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '-') {
		if (yych <= ' ') {
			if (yych == '\t') goto yy809;
			if (yych <= 0x1F) goto yy18;
			goto yy816;
		} else {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		}
	} else {
		if (yych <= 'Z') {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy801;
		} else {
			if (yych <= '_') {
				if (yych <= '^') goto yy18;
				goto yy283;
			} else {
				if (yych <= '`') goto yy18;
				if (yych <= 'z') goto yy804;
				goto yy18;
			}
		}
	}
yy661:
	YYDEBUG(661, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'G') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy801;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'H') goto yy811;
			if (yych <= 'Z') goto yy801;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'g') {
				if (yych <= '`') goto yy18;
				goto yy804;
			} else {
				if (yych <= 'h') goto yy813;
				if (yych <= 'z') goto yy804;
				goto yy18;
			}
		}
	}
yy662:
	YYDEBUG(662, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'X') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy801;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'Y') goto yy817;
			if (yych <= 'Z') goto yy801;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'x') {
				if (yych <= '`') goto yy18;
				goto yy804;
			} else {
				if (yych <= 'y') goto yy819;
				if (yych <= 'z') goto yy804;
				goto yy18;
			}
		}
	}
yy663:
	YYDEBUG(663, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '.') {
		if (yych <= '(') {
			if (yych == ' ') goto yy645;
			goto yy18;
		} else {
			if (yych <= ')') goto yy108;
			if (yych == '-') goto yy283;
			goto yy18;
		}
	} else {
		if (yych <= '^') {
			if (yych <= '/') goto yy283;
			if (yych <= '@') goto yy18;
			if (yych <= 'Z') goto yy801;
			goto yy18;
		} else {
			if (yych <= '_') goto yy283;
			if (yych <= '`') goto yy18;
			if (yych <= 'z') goto yy804;
			goto yy18;
		}
	}
yy664:
	YYDEBUG(664, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') goto yy18;
	if (yych <= '9') goto yy820;
	if (yych <= ':') goto yy194;
	goto yy18;
yy665:
	YYDEBUG(665, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '5') {
		if (yych <= '/') goto yy18;
		if (yych <= '4') goto yy820;
		goto yy378;
	} else {
		if (yych <= '9') goto yy108;
		if (yych <= ':') goto yy194;
		goto yy18;
	}
yy666:
	YYDEBUG(666, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') goto yy18;
	if (yych <= '5') goto yy378;
	if (yych <= '9') goto yy108;
	if (yych <= ':') goto yy194;
	goto yy18;
yy667:
	YYDEBUG(667, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '5') goto yy821;
	if (yych <= '9') goto yy823;
	goto yy56;
yy668:
	YYDEBUG(668, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '.') goto yy667;
	if (yych == ':') goto yy667;
	goto yy56;
yy669:
	YYDEBUG(669, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '5') goto yy824;
	if (yych <= '9') goto yy825;
	goto yy56;
yy670:
	YYDEBUG(670, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') {
		if (yych == '.') goto yy667;
		goto yy56;
	} else {
		if (yych <= '9') goto yy668;
		if (yych <= ':') goto yy667;
		goto yy56;
	}
yy671:
	YYDEBUG(671, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') {
		if (yych == '.') goto yy667;
		goto yy56;
	} else {
		if (yych <= '4') goto yy668;
		if (yych == ':') goto yy667;
		goto yy56;
	}
yy672:
	YYDEBUG(672, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych == '.') goto yy667;
		goto yy311;
	} else {
		if (yych <= '9') goto yy826;
		if (yych <= ':') goto yy667;
		goto yy311;
	}
yy673:
	YYDEBUG(673, *YYCURSOR);
	yyaccept = 10;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych == '.') goto yy669;
		goto yy311;
	} else {
		if (yych <= '9') goto yy826;
		if (yych <= ':') goto yy669;
		goto yy311;
	}
yy674:
	YYDEBUG(674, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy311;
	if (yych <= '9') goto yy826;
	goto yy311;
yy675:
	YYDEBUG(675, *YYCURSOR);
	++YYCURSOR;
	YYDEBUG(676, *YYCURSOR);
#line 1558 "parse_date.re"
	{
		int length = 0;
		DEBUG_OUTPUT("datenoday");
		TIMELIB_INIT;
		TIMELIB_HAVE_DATE();
		s->time->m = timelib_get_month(&ptr);
		s->time->y = timelib_get_nr_ex(&ptr, 4, &length);
		s->time->d = 1;
		TIMELIB_PROCESS_YEAR(s->time->y, length);
		TIMELIB_DEINIT;
		return TIMELIB_DATE_NO_DAY;
	}
#line 15078 "<stdout>"
yy677:
	YYDEBUG(677, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'R') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'Q') goto yy801;
			goto yy827;
		}
	} else {
		if (yych <= 'q') {
			if (yych <= 'Z') goto yy801;
			if (yych <= '`') goto yy18;
			goto yy801;
		} else {
			if (yych <= 'r') goto yy827;
			if (yych <= 'z') goto yy801;
			goto yy18;
		}
	}
yy678:
	YYDEBUG(678, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'Q') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy801;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'R') goto yy827;
			if (yych <= 'Z') goto yy801;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'q') {
				if (yych <= '`') goto yy18;
				goto yy804;
			} else {
				if (yych <= 'r') goto yy828;
				if (yych <= 'z') goto yy804;
				goto yy18;
			}
		}
	}
yy679:
	YYDEBUG(679, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yybm[0+yych] & 64) {
		goto yy458;
	}
	goto yy135;
yy680:
	YYDEBUG(680, *YYCURSOR);
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 12) YYFILL(12);
	yych = *YYCURSOR;
yy681:
	YYDEBUG(681, *YYCURSOR);
	if (yych <= 'X') {
		if (yych <= 'G') {
			if (yych <= ' ') {
				if (yych == '\t') goto yy680;
				if (yych <= 0x1F) goto yy56;
				goto yy680;
			} else {
				if (yych <= 'D') {
					if (yych <= 'C') goto yy56;
					goto yy829;
				} else {
					if (yych == 'F') goto yy830;
					goto yy56;
				}
			}
		} else {
			if (yych <= 'S') {
				if (yych <= 'L') {
					if (yych <= 'H') goto yy831;
					goto yy56;
				} else {
					if (yych <= 'M') goto yy832;
					if (yych <= 'R') goto yy56;
					goto yy833;
				}
			} else {
				if (yych <= 'U') {
					if (yych <= 'T') goto yy834;
					goto yy835;
				} else {
					if (yych == 'W') goto yy836;
					goto yy56;
				}
			}
		}
	} else {
		if (yych <= 'r') {
			if (yych <= 'f') {
				if (yych <= 'c') {
					if (yych <= 'Y') goto yy837;
					goto yy56;
				} else {
					if (yych <= 'd') goto yy829;
					if (yych <= 'e') goto yy56;
					goto yy830;
				}
			} else {
				if (yych <= 'h') {
					if (yych <= 'g') goto yy56;
					goto yy831;
				} else {
					if (yych == 'm') goto yy832;
					goto yy56;
				}
			}
		} else {
			if (yych <= 'w') {
				if (yych <= 't') {
					if (yych <= 's') goto yy833;
					goto yy834;
				} else {
					if (yych <= 'u') goto yy835;
					if (yych <= 'v') goto yy56;
					goto yy836;
				}
			} else {
				if (yych <= 'y') {
					if (yych <= 'x') goto yy56;
					goto yy837;
				} else {
					if (yych == 0xC2) goto yy838;
					goto yy56;
				}
			}
		}
	}
yy682:
	YYDEBUG(682, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'D') goto yy839;
	if (yych == 'd') goto yy839;
	goto yy681;
yy683:
	YYDEBUG(683, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'G') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'F') goto yy801;
			goto yy840;
		}
	} else {
		if (yych <= 'f') {
			if (yych <= 'Z') goto yy801;
			if (yych <= '`') goto yy18;
			goto yy801;
		} else {
			if (yych <= 'g') goto yy840;
			if (yych <= 'z') goto yy801;
			goto yy18;
		}
	}
yy684:
	YYDEBUG(684, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'F') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy801;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'G') goto yy840;
			if (yych <= 'Z') goto yy801;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'f') {
				if (yych <= '`') goto yy18;
				goto yy804;
			} else {
				if (yych <= 'g') goto yy841;
				if (yych <= 'z') goto yy804;
				goto yy18;
			}
		}
	}
yy685:
	YYDEBUG(685, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'E') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'D') goto yy801;
			goto yy842;
		}
	} else {
		if (yych <= 'd') {
			if (yych <= 'Z') goto yy801;
			if (yych <= '`') goto yy18;
			goto yy801;
		} else {
			if (yych <= 'e') goto yy842;
			if (yych <= 'z') goto yy801;
			goto yy18;
		}
	}
yy686:
	YYDEBUG(686, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'D') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy801;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'E') goto yy842;
			if (yych <= 'Z') goto yy801;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'd') {
				if (yych <= '`') goto yy18;
				goto yy804;
			} else {
				if (yych <= 'e') goto yy843;
				if (yych <= 'z') goto yy804;
				goto yy18;
			}
		}
	}
yy687:
	YYDEBUG(687, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'O') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'N') goto yy801;
			goto yy844;
		}
	} else {
		if (yych <= 'n') {
			if (yych <= 'Z') goto yy801;
			if (yych <= '`') goto yy18;
			goto yy801;
		} else {
			if (yych <= 'o') goto yy844;
			if (yych <= 'z') goto yy801;
			goto yy18;
		}
	}
yy688:
	YYDEBUG(688, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'N') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy801;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'O') goto yy844;
			if (yych <= 'Z') goto yy801;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'n') {
				if (yych <= '`') goto yy18;
				goto yy804;
			} else {
				if (yych <= 'o') goto yy845;
				if (yych <= 'z') goto yy804;
				goto yy18;
			}
		}
	}
yy689:
	YYDEBUG(689, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'D') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'C') goto yy801;
			goto yy846;
		}
	} else {
		if (yych <= 'c') {
			if (yych <= 'Z') goto yy801;
			if (yych <= '`') goto yy18;
			goto yy801;
		} else {
			if (yych <= 'd') goto yy846;
			if (yych <= 'z') goto yy801;
			goto yy18;
		}
	}
yy690:
	YYDEBUG(690, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'D') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'C') goto yy801;
			goto yy811;
		}
	} else {
		if (yych <= 'c') {
			if (yych <= 'Z') goto yy801;
			if (yych <= '`') goto yy18;
			goto yy801;
		} else {
			if (yych <= 'd') goto yy811;
			if (yych <= 'z') goto yy801;
			goto yy18;
		}
	}
yy691:
	YYDEBUG(691, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'M') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'L') goto yy801;
			goto yy847;
		}
	} else {
		if (yych <= 'l') {
			if (yych <= 'Z') goto yy801;
			if (yych <= '`') goto yy18;
			goto yy801;
		} else {
			if (yych <= 'm') goto yy847;
			if (yych <= 'z') goto yy801;
			goto yy18;
		}
	}
yy692:
	YYDEBUG(692, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'T') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'S') goto yy801;
			goto yy848;
		}
	} else {
		if (yych <= 's') {
			if (yych <= 'Z') goto yy801;
			if (yych <= '`') goto yy18;
			goto yy801;
		} else {
			if (yych <= 't') goto yy848;
			if (yych <= 'z') goto yy801;
			goto yy18;
		}
	}
yy693:
	YYDEBUG(693, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'C') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy801;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'D') goto yy846;
			if (yych <= 'Z') goto yy801;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'c') {
				if (yych <= '`') goto yy18;
				goto yy804;
			} else {
				if (yych <= 'd') goto yy849;
				if (yych <= 'z') goto yy804;
				goto yy18;
			}
		}
	}
yy694:
	YYDEBUG(694, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'C') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy801;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'D') goto yy811;
			if (yych <= 'Z') goto yy801;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'c') {
				if (yych <= '`') goto yy18;
				goto yy804;
			} else {
				if (yych <= 'd') goto yy813;
				if (yych <= 'z') goto yy804;
				goto yy18;
			}
		}
	}
yy695:
	YYDEBUG(695, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'L') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy801;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'M') goto yy847;
			if (yych <= 'Z') goto yy801;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'l') {
				if (yych <= '`') goto yy18;
				goto yy804;
			} else {
				if (yych <= 'm') goto yy850;
				if (yych <= 'z') goto yy804;
				goto yy18;
			}
		}
	}
yy696:
	YYDEBUG(696, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'S') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy801;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'T') goto yy848;
			if (yych <= 'Z') goto yy801;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 's') {
				if (yych <= '`') goto yy18;
				goto yy804;
			} else {
				if (yych <= 't') goto yy851;
				if (yych <= 'z') goto yy804;
				goto yy18;
			}
		}
	}
yy697:
	YYDEBUG(697, *YYCURSOR);
	yyaccept = 12;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') goto yy404;
	if (yych <= '5') goto yy852;
	if (yych <= '6') goto yy853;
	goto yy404;
yy698:
	YYDEBUG(698, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '@') {
		if (yych == ')') goto yy108;
	} else {
		if (yych <= 'Z') goto yy801;
		if (yych <= '`') goto yy699;
		if (yych <= 'z') goto yy801;
	}
yy699:
	YYDEBUG(699, *YYCURSOR);
#line 1153 "parse_date.re"
	{
		DEBUG_OUTPUT("midnight | today");
		TIMELIB_INIT;
		TIMELIB_UNHAVE_TIME();

		TIMELIB_DEINIT;
		return TIMELIB_RELATIVE;
	}
#line 15636 "<stdout>"
yy700:
	YYDEBUG(700, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'R') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'Q') goto yy801;
			goto yy854;
		}
	} else {
		if (yych <= 'q') {
			if (yych <= 'Z') goto yy801;
			if (yych <= '`') goto yy18;
			goto yy801;
		} else {
			if (yych <= 'r') goto yy854;
			if (yych <= 'z') goto yy801;
			goto yy18;
		}
	}
yy701:
	YYDEBUG(701, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'A') {
		if (yych == ')') goto yy108;
		if (yych <= '@') goto yy18;
		goto yy855;
	} else {
		if (yych <= '`') {
			if (yych <= 'Z') goto yy801;
			goto yy18;
		} else {
			if (yych <= 'a') goto yy855;
			if (yych <= 'z') goto yy801;
			goto yy18;
		}
	}
yy702:
	YYDEBUG(702, *YYCURSOR);
	yyaccept = 16;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych <= ',') {
			if (yych == ')') goto yy108;
			goto yy699;
		} else {
			if (yych == '.') goto yy699;
			goto yy283;
		}
	} else {
		if (yych <= '^') {
			if (yych <= '@') goto yy699;
			if (yych <= 'Z') goto yy801;
			goto yy699;
		} else {
			if (yych <= '_') goto yy283;
			if (yych <= '`') goto yy699;
			if (yych <= 'z') goto yy804;
			goto yy699;
		}
	}
yy703:
	YYDEBUG(703, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'Q') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy801;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'R') goto yy854;
			if (yych <= 'Z') goto yy801;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'q') {
				if (yych <= '`') goto yy18;
				goto yy804;
			} else {
				if (yych <= 'r') goto yy856;
				if (yych <= 'z') goto yy804;
				goto yy18;
			}
		}
	}
yy704:
	YYDEBUG(704, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '@') {
		if (yych <= ',') {
			if (yych == ')') goto yy108;
			goto yy18;
		} else {
			if (yych == '.') goto yy18;
			if (yych <= '/') goto yy283;
			goto yy18;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'A') goto yy855;
			if (yych <= 'Z') goto yy801;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= '`') goto yy18;
			if (yych <= 'a') goto yy857;
			if (yych <= 'z') goto yy804;
			goto yy18;
		}
	}
yy705:
	YYDEBUG(705, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'S') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'R') goto yy801;
			goto yy858;
		}
	} else {
		if (yych <= 'r') {
			if (yych <= 'Z') goto yy801;
			if (yych <= '`') goto yy18;
			goto yy801;
		} else {
			if (yych <= 's') goto yy858;
			if (yych <= 'z') goto yy801;
			goto yy18;
		}
	}
yy706:
	YYDEBUG(706, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'R') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy801;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'S') goto yy858;
			if (yych <= 'Z') goto yy801;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'r') {
				if (yych <= '`') goto yy18;
				goto yy804;
			} else {
				if (yych <= 's') goto yy859;
				if (yych <= 'z') goto yy804;
				goto yy18;
			}
		}
	}
yy707:
	YYDEBUG(707, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'R') {
		if (yych <= ')') {
			if (yych <= '(') goto yy18;
			goto yy108;
		} else {
			if (yych <= '@') goto yy18;
			if (yych <= 'Q') goto yy801;
			goto yy860;
		}
	} else {
		if (yych <= 'q') {
			if (yych <= 'Z') goto yy801;
			if (yych <= '`') goto yy18;
			goto yy801;
		} else {
			if (yych <= 'r') goto yy860;
			if (yych <= 'z') goto yy801;
			goto yy18;
		}
	}
yy708:
	YYDEBUG(708, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'Q') {
		if (yych <= '-') {
			if (yych == ')') goto yy108;
			if (yych <= ',') goto yy18;
			goto yy283;
		} else {
			if (yych == '/') goto yy283;
			if (yych <= '@') goto yy18;
			goto yy801;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'R') goto yy860;
			if (yych <= 'Z') goto yy801;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= 'q') {
				if (yych <= '`') goto yy18;
				goto yy804;
			} else {
				if (yych <= 'r') goto yy861;
				if (yych <= 'z') goto yy804;
				goto yy18;
			}
		}
	}
yy709:
	YYDEBUG(709, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '0') goto yy862;
	if (yych <= '1') goto yy863;
	goto yy56;
yy710:
	YYDEBUG(710, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '-') goto yy864;
	if (yych <= '/') goto yy187;
	if (yych <= '9') goto yy865;
	goto yy187;
yy711:
	YYDEBUG(711, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') {
		if (yych == '-') goto yy864;
		goto yy187;
	} else {
		if (yych <= '0') goto yy865;
		if (yych <= '9') goto yy866;
		goto yy187;
	}
yy712:
	YYDEBUG(712, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '-') goto yy864;
	if (yych <= '/') goto yy187;
	if (yych <= '9') goto yy866;
	goto yy187;
yy713:
	YYDEBUG(713, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == ':') goto yy867;
	goto yy18;
yy714:
	YYDEBUG(714, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy868;
	goto yy56;
yy715:
	YYDEBUG(715, *YYCURSOR);
	yyaccept = 17;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') goto yy716;
	if (yych <= '9') goto yy868;
yy716:
	YYDEBUG(716, *YYCURSOR);
#line 1544 "parse_date.re"
	{
		int length = 0;
		DEBUG_OUTPUT("pointed date YY");
		TIMELIB_INIT;
		TIMELIB_HAVE_DATE();
		s->time->d = timelib_get_nr(&ptr, 2);
		s->time->m = timelib_get_nr(&ptr, 2);
		s->time->y = timelib_get_nr_ex(&ptr, 2, &length);
		TIMELIB_PROCESS_YEAR(s->time->y, length);
		TIMELIB_DEINIT;
		return TIMELIB_DATE_FULL_POINTED;
	}
#line 15931 "<stdout>"
yy717:
	YYDEBUG(717, *YYCURSOR);
	yyaccept = 15;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'n') {
		if (yych <= '/') goto yy548;
		if (yych <= '9') goto yy868;
		if (yych <= 'm') goto yy548;
	} else {
		if (yych <= 'r') {
			if (yych <= 'q') goto yy548;
		} else {
			if (yych <= 's') goto yy719;
			if (yych <= 't') goto yy720;
			goto yy548;
		}
	}
yy718:
	YYDEBUG(718, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'd') goto yy869;
	goto yy56;
yy719:
	YYDEBUG(719, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 't') goto yy869;
	goto yy56;
yy720:
	YYDEBUG(720, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'h') goto yy869;
	goto yy56;
yy721:
	YYDEBUG(721, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy870;
	goto yy56;
yy722:
	YYDEBUG(722, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == '.') goto yy721;
	if (yych <= '/') goto yy170;
	if (yych <= '9') goto yy868;
	goto yy170;
yy723:
	YYDEBUG(723, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy214;
	if (yych <= '9') goto yy872;
	goto yy214;
yy724:
	YYDEBUG(724, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy873;
	goto yy56;
yy725:
	YYDEBUG(725, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '2') goto yy874;
	if (yych <= '3') goto yy875;
	if (yych <= '9') goto yy550;
	goto yy56;
yy726:
	YYDEBUG(726, *YYCURSOR);
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 9) YYFILL(9);
	yych = *YYCURSOR;
yy727:
	YYDEBUG(727, *YYCURSOR);
	switch (yych) {
	case '\t':
	case ' ':
	case '-':
	case '.':	goto yy726;
	case 'A':
	case 'a':	goto yy577;
	case 'D':
	case 'd':	goto yy746;
	case 'F':
	case 'f':	goto yy747;
	case 'I':	goto yy580;
	case 'J':
	case 'j':	goto yy582;
	case 'M':
	case 'm':	goto yy748;
	case 'N':
	case 'n':	goto yy584;
	case 'O':
	case 'o':	goto yy585;
	case 'S':
	case 's':	goto yy749;
	case 'V':	goto yy587;
	case 'X':	goto yy589;
	default:	goto yy56;
	}
yy728:
	YYDEBUG(728, *YYCURSOR);
	yyaccept = 18;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych == '-') goto yy876;
	} else {
		if (yych <= '0') goto yy877;
		if (yych <= '9') goto yy878;
	}
yy729:
	YYDEBUG(729, *YYCURSOR);
#line 1489 "parse_date.re"
	{
		int length = 0;
		DEBUG_OUTPUT("gnudateshorter");
		TIMELIB_INIT;
		TIMELIB_HAVE_DATE();
		s->time->y = timelib_get_nr_ex(&ptr, 4, &length);
		s->time->m = timelib_get_nr(&ptr, 2);
		s->time->d = 1;
		TIMELIB_PROCESS_YEAR(s->time->y, length);
		TIMELIB_DEINIT;
		return TIMELIB_ISO_DATE;
	}
#line 16056 "<stdout>"
yy730:
	YYDEBUG(730, *YYCURSOR);
	yyaccept = 18;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych == '-') goto yy876;
		goto yy729;
	} else {
		if (yych <= '2') goto yy878;
		if (yych <= '9') goto yy879;
		goto yy729;
	}
yy731:
	YYDEBUG(731, *YYCURSOR);
	yyaccept = 18;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == '-') goto yy876;
	if (yych <= '/') goto yy729;
	if (yych <= '9') goto yy879;
	goto yy729;
yy732:
	YYDEBUG(732, *YYCURSOR);
	yyaccept = 18;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych == '-') goto yy876;
		goto yy729;
	} else {
		if (yych <= '5') goto yy879;
		if (yych <= '6') goto yy880;
		goto yy729;
	}
yy733:
	YYDEBUG(733, *YYCURSOR);
	yyaccept = 18;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == '-') goto yy876;
	goto yy729;
yy734:
	YYDEBUG(734, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'U') {
		if (yych == 'P') goto yy881;
		if (yych <= 'T') goto yy56;
		goto yy882;
	} else {
		if (yych <= 'p') {
			if (yych <= 'o') goto yy56;
			goto yy881;
		} else {
			if (yych == 'u') goto yy882;
			goto yy56;
		}
	}
yy735:
	YYDEBUG(735, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'E') goto yy883;
	if (yych == 'e') goto yy883;
	goto yy56;
yy736:
	YYDEBUG(736, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'E') goto yy884;
	if (yych == 'e') goto yy884;
	goto yy56;
yy737:
	YYDEBUG(737, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'U') {
		if (yych == 'A') goto yy885;
		if (yych <= 'T') goto yy56;
		goto yy886;
	} else {
		if (yych <= 'a') {
			if (yych <= '`') goto yy56;
			goto yy885;
		} else {
			if (yych == 'u') goto yy886;
			goto yy56;
		}
	}
yy738:
	YYDEBUG(738, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'A') goto yy887;
	if (yych == 'a') goto yy887;
	goto yy56;
yy739:
	YYDEBUG(739, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'O') goto yy888;
	if (yych == 'o') goto yy888;
	goto yy56;
yy740:
	YYDEBUG(740, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'C') goto yy889;
	if (yych == 'c') goto yy889;
	goto yy56;
yy741:
	YYDEBUG(741, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'E') goto yy890;
	if (yych == 'e') goto yy890;
	goto yy56;
yy742:
	YYDEBUG(742, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '0') goto yy774;
	if (yych <= '4') goto yy775;
	if (yych <= '5') goto yy776;
	goto yy56;
yy743:
	YYDEBUG(743, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '0') goto yy891;
	if (yych <= '9') goto yy879;
	goto yy56;
yy744:
	YYDEBUG(744, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy879;
	goto yy56;
yy745:
	YYDEBUG(745, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '5') goto yy879;
	if (yych <= '6') goto yy880;
	goto yy56;
yy746:
	YYDEBUG(746, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'E') goto yy764;
	if (yych == 'e') goto yy764;
	goto yy56;
yy747:
	YYDEBUG(747, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'E') goto yy765;
	if (yych == 'e') goto yy765;
	goto yy56;
yy748:
	YYDEBUG(748, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'A') goto yy770;
	if (yych == 'a') goto yy770;
	goto yy56;
yy749:
	YYDEBUG(749, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'E') goto yy892;
	if (yych == 'e') goto yy892;
	goto yy56;
yy750:
	YYDEBUG(750, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '.') goto yy56;
	if (yych <= '/') goto yy893;
	if (yych <= '9') goto yy894;
	goto yy56;
yy751:
	YYDEBUG(751, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '.') goto yy56;
	if (yych <= '/') goto yy893;
	if (yych <= '2') goto yy894;
	goto yy56;
yy752:
	YYDEBUG(752, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '/') goto yy893;
	goto yy56;
yy753:
	YYDEBUG(753, *YYCURSOR);
	yyaccept = 19;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'V') {
		if (yych <= 'C') {
			if (yych <= '/') {
				if (yych <= '\t') {
					if (yych >= '\t') goto yy187;
				} else {
					if (yych == ' ') goto yy187;
				}
			} else {
				if (yych <= '2') {
					if (yych <= '0') goto yy895;
					goto yy896;
				} else {
					if (yych <= '3') goto yy898;
					if (yych <= '9') goto yy899;
				}
			}
		} else {
			if (yych <= 'H') {
				if (yych <= 'E') {
					if (yych <= 'D') goto yy187;
				} else {
					if (yych != 'G') goto yy187;
				}
			} else {
				if (yych <= 'M') {
					if (yych >= 'M') goto yy187;
				} else {
					if (yych <= 'R') goto yy754;
					if (yych <= 'U') goto yy187;
				}
			}
		}
	} else {
		if (yych <= 'l') {
			if (yych <= 'd') {
				if (yych <= 'X') {
					if (yych <= 'W') goto yy187;
				} else {
					if (yych <= 'Y') goto yy187;
					if (yych >= 'd') goto yy187;
				}
			} else {
				if (yych <= 'f') {
					if (yych >= 'f') goto yy187;
				} else {
					if (yych == 'h') goto yy187;
				}
			}
		} else {
			if (yych <= 'w') {
				if (yych <= 'r') {
					if (yych <= 'm') goto yy187;
				} else {
					if (yych != 'v') goto yy187;
				}
			} else {
				if (yych <= 'y') {
					if (yych >= 'y') goto yy187;
				} else {
					if (yych == 0xC2) goto yy187;
				}
			}
		}
	}
yy754:
	YYDEBUG(754, *YYCURSOR);
#line 1415 "parse_date.re"
	{
		int tz_not_found;
		DEBUG_OUTPUT("iso8601nocolon");
		TIMELIB_INIT;
		TIMELIB_HAVE_TIME();
		s->time->h = timelib_get_nr(&ptr, 2);
		s->time->i = timelib_get_nr(&ptr, 2);
		s->time->s = timelib_get_nr(&ptr, 2);

		if (*ptr != '\0') {
			s->time->z = timelib_parse_zone(&ptr, &s->time->dst, s->time, &tz_not_found, s->tzdb, tz_get_wrapper);
			if (tz_not_found) {
				add_error(s, TIMELIB_ERR_TZID_NOT_FOUND, "The timezone could not be found in the database");
			}
		}
		TIMELIB_DEINIT;
		return TIMELIB_ISO_NOCOLON;
	}
#line 16324 "<stdout>"
yy755:
	YYDEBUG(755, *YYCURSOR);
	yyaccept = 19;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'V') {
		if (yych <= 'C') {
			if (yych <= ' ') {
				if (yych == '\t') goto yy187;
				if (yych <= 0x1F) goto yy754;
				goto yy187;
			} else {
				if (yych <= '2') {
					if (yych <= '/') goto yy754;
					goto yy896;
				} else {
					if (yych <= '3') goto yy898;
					if (yych <= '9') goto yy899;
					goto yy754;
				}
			}
		} else {
			if (yych <= 'H') {
				if (yych <= 'E') {
					if (yych <= 'D') goto yy187;
					goto yy754;
				} else {
					if (yych == 'G') goto yy754;
					goto yy187;
				}
			} else {
				if (yych <= 'M') {
					if (yych <= 'L') goto yy754;
					goto yy187;
				} else {
					if (yych <= 'R') goto yy754;
					if (yych <= 'U') goto yy187;
					goto yy754;
				}
			}
		}
	} else {
		if (yych <= 'l') {
			if (yych <= 'd') {
				if (yych <= 'X') {
					if (yych <= 'W') goto yy187;
					goto yy754;
				} else {
					if (yych <= 'Y') goto yy187;
					if (yych <= 'c') goto yy754;
					goto yy187;
				}
			} else {
				if (yych <= 'f') {
					if (yych <= 'e') goto yy754;
					goto yy187;
				} else {
					if (yych == 'h') goto yy187;
					goto yy754;
				}
			}
		} else {
			if (yych <= 'w') {
				if (yych <= 'r') {
					if (yych <= 'm') goto yy187;
					goto yy754;
				} else {
					if (yych == 'v') goto yy754;
					goto yy187;
				}
			} else {
				if (yych <= 'y') {
					if (yych <= 'x') goto yy754;
					goto yy187;
				} else {
					if (yych == 0xC2) goto yy187;
					goto yy754;
				}
			}
		}
	}
yy756:
	YYDEBUG(756, *YYCURSOR);
	yyaccept = 19;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'W') {
		if (yych <= 'E') {
			if (yych <= ' ') {
				if (yych == '\t') goto yy187;
				if (yych <= 0x1F) goto yy754;
				goto yy187;
			} else {
				if (yych <= '9') {
					if (yych <= '/') goto yy754;
					goto yy899;
				} else {
					if (yych == 'D') goto yy187;
					goto yy754;
				}
			}
		} else {
			if (yych <= 'L') {
				if (yych == 'G') goto yy754;
				if (yych <= 'H') goto yy187;
				goto yy754;
			} else {
				if (yych <= 'R') {
					if (yych <= 'M') goto yy187;
					goto yy754;
				} else {
					if (yych == 'V') goto yy754;
					goto yy187;
				}
			}
		}
	} else {
		if (yych <= 'l') {
			if (yych <= 'd') {
				if (yych == 'Y') goto yy187;
				if (yych <= 'c') goto yy754;
				goto yy187;
			} else {
				if (yych <= 'f') {
					if (yych <= 'e') goto yy754;
					goto yy187;
				} else {
					if (yych == 'h') goto yy187;
					goto yy754;
				}
			}
		} else {
			if (yych <= 'w') {
				if (yych <= 'r') {
					if (yych <= 'm') goto yy187;
					goto yy754;
				} else {
					if (yych == 'v') goto yy754;
					goto yy187;
				}
			} else {
				if (yych <= 'y') {
					if (yych <= 'x') goto yy754;
					goto yy187;
				} else {
					if (yych == 0xC2) goto yy187;
					goto yy754;
				}
			}
		}
	}
yy757:
	YYDEBUG(757, *YYCURSOR);
	yyaccept = 19;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'W') {
		if (yych <= 'D') {
			if (yych <= ' ') {
				if (yych == '\t') goto yy187;
				if (yych <= 0x1F) goto yy754;
				goto yy187;
			} else {
				if (yych <= '6') {
					if (yych <= '/') goto yy754;
					goto yy899;
				} else {
					if (yych <= '9') goto yy900;
					if (yych <= 'C') goto yy754;
					goto yy187;
				}
			}
		} else {
			if (yych <= 'L') {
				if (yych <= 'F') {
					if (yych <= 'E') goto yy754;
					goto yy187;
				} else {
					if (yych == 'H') goto yy187;
					goto yy754;
				}
			} else {
				if (yych <= 'R') {
					if (yych <= 'M') goto yy187;
					goto yy754;
				} else {
					if (yych == 'V') goto yy754;
					goto yy187;
				}
			}
		}
	} else {
		if (yych <= 'l') {
			if (yych <= 'd') {
				if (yych == 'Y') goto yy187;
				if (yych <= 'c') goto yy754;
				goto yy187;
			} else {
				if (yych <= 'f') {
					if (yych <= 'e') goto yy754;
					goto yy187;
				} else {
					if (yych == 'h') goto yy187;
					goto yy754;
				}
			}
		} else {
			if (yych <= 'w') {
				if (yych <= 'r') {
					if (yych <= 'm') goto yy187;
					goto yy754;
				} else {
					if (yych == 'v') goto yy754;
					goto yy187;
				}
			} else {
				if (yych <= 'y') {
					if (yych <= 'x') goto yy754;
					goto yy187;
				} else {
					if (yych == 0xC2) goto yy187;
					goto yy754;
				}
			}
		}
	}
yy758:
	YYDEBUG(758, *YYCURSOR);
	yyaccept = 19;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'W') {
		if (yych <= 'E') {
			if (yych <= ' ') {
				if (yych == '\t') goto yy187;
				if (yych <= 0x1F) goto yy754;
				goto yy187;
			} else {
				if (yych <= '9') {
					if (yych <= '/') goto yy754;
					goto yy900;
				} else {
					if (yych == 'D') goto yy187;
					goto yy754;
				}
			}
		} else {
			if (yych <= 'L') {
				if (yych == 'G') goto yy754;
				if (yych <= 'H') goto yy187;
				goto yy754;
			} else {
				if (yych <= 'R') {
					if (yych <= 'M') goto yy187;
					goto yy754;
				} else {
					if (yych == 'V') goto yy754;
					goto yy187;
				}
			}
		}
	} else {
		if (yych <= 'l') {
			if (yych <= 'd') {
				if (yych == 'Y') goto yy187;
				if (yych <= 'c') goto yy754;
				goto yy187;
			} else {
				if (yych <= 'f') {
					if (yych <= 'e') goto yy754;
					goto yy187;
				} else {
					if (yych == 'h') goto yy187;
					goto yy754;
				}
			}
		} else {
			if (yych <= 'w') {
				if (yych <= 'r') {
					if (yych <= 'm') goto yy187;
					goto yy754;
				} else {
					if (yych == 'v') goto yy754;
					goto yy187;
				}
			} else {
				if (yych <= 'y') {
					if (yych <= 'x') goto yy754;
					goto yy187;
				} else {
					if (yych == 0xC2) goto yy187;
					goto yy754;
				}
			}
		}
	}
yy759:
	YYDEBUG(759, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy187;
	if (yych <= '9') goto yy900;
	goto yy187;
yy760:
	YYDEBUG(760, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy901;
	goto yy56;
yy761:
	YYDEBUG(761, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '2') goto yy901;
	goto yy56;
yy762:
	YYDEBUG(762, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'R') goto yy902;
	if (yych == 'r') goto yy902;
	goto yy56;
yy763:
	YYDEBUG(763, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'G') goto yy903;
	if (yych == 'g') goto yy903;
	goto yy56;
yy764:
	YYDEBUG(764, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'C') goto yy904;
	if (yych == 'c') goto yy904;
	goto yy56;
yy765:
	YYDEBUG(765, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'B') goto yy905;
	if (yych == 'b') goto yy905;
	goto yy56;
yy766:
	YYDEBUG(766, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych != 'I') goto yy581;
yy767:
	YYDEBUG(767, *YYCURSOR);
	++YYCURSOR;
	goto yy581;
yy768:
	YYDEBUG(768, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'N') goto yy906;
	if (yych == 'n') goto yy906;
	goto yy56;
yy769:
	YYDEBUG(769, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'N') {
		if (yych == 'L') goto yy907;
		if (yych <= 'M') goto yy56;
		goto yy908;
	} else {
		if (yych <= 'l') {
			if (yych <= 'k') goto yy56;
			goto yy907;
		} else {
			if (yych == 'n') goto yy908;
			goto yy56;
		}
	}
yy770:
	YYDEBUG(770, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'Y') {
		if (yych == 'R') goto yy909;
		if (yych <= 'X') goto yy56;
		goto yy767;
	} else {
		if (yych <= 'r') {
			if (yych <= 'q') goto yy56;
			goto yy909;
		} else {
			if (yych == 'y') goto yy767;
			goto yy56;
		}
	}
yy771:
	YYDEBUG(771, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'V') goto yy904;
	if (yych == 'v') goto yy904;
	goto yy56;
yy772:
	YYDEBUG(772, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'T') goto yy910;
	if (yych == 't') goto yy910;
	goto yy56;
yy773:
	YYDEBUG(773, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'P') {
		if (yych == 'C') goto yy427;
		if (yych <= 'O') goto yy56;
		goto yy911;
	} else {
		if (yych <= 'c') {
			if (yych <= 'b') goto yy56;
			goto yy427;
		} else {
			if (yych == 'p') goto yy911;
			goto yy56;
		}
	}
yy774:
	YYDEBUG(774, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '0') goto yy56;
	if (yych <= '9') goto yy912;
	goto yy56;
yy775:
	YYDEBUG(775, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy912;
	goto yy56;
yy776:
	YYDEBUG(776, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '3') goto yy912;
	goto yy56;
yy777:
	YYDEBUG(777, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '2') {
		if (yych <= '/') goto yy187;
		if (yych <= '0') goto yy895;
		goto yy896;
	} else {
		if (yych <= '3') goto yy898;
		if (yych <= '9') goto yy899;
		goto yy187;
	}
yy778:
	YYDEBUG(778, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy187;
	if (yych <= '2') goto yy896;
	if (yych <= '3') goto yy898;
	if (yych <= '9') goto yy899;
	goto yy187;
yy779:
	YYDEBUG(779, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy187;
	if (yych <= '9') goto yy899;
	goto yy187;
yy780:
	YYDEBUG(780, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy187;
	if (yych <= '6') goto yy899;
	if (yych <= '9') goto yy900;
	goto yy187;
yy781:
	YYDEBUG(781, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'T') goto yy243;
	if (yych == 't') goto yy243;
	goto yy56;
yy782:
	YYDEBUG(782, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'N') goto yy783;
	if (yych != 'n') goto yy56;
yy783:
	YYDEBUG(783, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'I') goto yy914;
	if (yych == 'i') goto yy914;
	goto yy56;
yy784:
	YYDEBUG(784, *YYCURSOR);
	++YYCURSOR;
	goto yy241;
yy785:
	YYDEBUG(785, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'R') goto yy915;
	if (yych == 'r') goto yy915;
	goto yy56;
yy786:
	YYDEBUG(786, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'S') goto yy916;
	if (yych == 's') goto yy916;
	goto yy56;
yy787:
	YYDEBUG(787, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'E') goto yy409;
	if (yych == 'e') goto yy409;
	goto yy56;
yy788:
	YYDEBUG(788, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'E') goto yy917;
	if (yych == 'e') goto yy917;
	goto yy56;
yy789:
	YYDEBUG(789, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'D') goto yy409;
	if (yych == 'd') goto yy409;
	goto yy56;
yy790:
	YYDEBUG(790, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '9') {
		if (yych <= ' ') {
			if (yych == '\t') goto yy619;
			if (yych <= 0x1F) goto yy170;
			goto yy619;
		} else {
			if (yych == '.') goto yy721;
			if (yych <= '/') goto yy170;
			goto yy868;
		}
	} else {
		if (yych <= 'P') {
			if (yych == 'A') goto yy101;
			if (yych <= 'O') goto yy170;
			goto yy101;
		} else {
			if (yych <= 'a') {
				if (yych <= '`') goto yy170;
				goto yy101;
			} else {
				if (yych == 'p') goto yy101;
				goto yy170;
			}
		}
	}
yy791:
	YYDEBUG(791, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '@') {
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy619;
			goto yy170;
		} else {
			if (yych <= ' ') goto yy619;
			if (yych == '.') goto yy721;
			goto yy170;
		}
	} else {
		if (yych <= '`') {
			if (yych <= 'A') goto yy101;
			if (yych == 'P') goto yy101;
			goto yy170;
		} else {
			if (yych <= 'a') goto yy101;
			if (yych == 'p') goto yy101;
			goto yy170;
		}
	}
yy792:
	YYDEBUG(792, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == '.') goto yy721;
	if (yych <= '/') goto yy170;
	if (yych <= '9') goto yy918;
	goto yy170;
yy793:
	YYDEBUG(793, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == '.') goto yy721;
	if (yych == '0') goto yy918;
	goto yy170;
yy794:
	YYDEBUG(794, *YYCURSOR);
	yyaccept = 15;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'n') {
		if (yych <= '/') goto yy548;
		if (yych <= '9') goto yy796;
		if (yych <= 'm') goto yy548;
		goto yy718;
	} else {
		if (yych <= 'r') {
			if (yych <= 'q') goto yy548;
			goto yy718;
		} else {
			if (yych <= 's') goto yy719;
			if (yych <= 't') goto yy720;
			goto yy548;
		}
	}
yy795:
	YYDEBUG(795, *YYCURSOR);
	yyaccept = 15;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'n') {
		if (yych <= '/') goto yy548;
		if (yych <= '1') goto yy796;
		if (yych <= 'm') goto yy548;
		goto yy718;
	} else {
		if (yych <= 'r') {
			if (yych <= 'q') goto yy548;
			goto yy718;
		} else {
			if (yych <= 's') goto yy719;
			if (yych <= 't') goto yy720;
			goto yy548;
		}
	}
yy796:
	YYDEBUG(796, *YYCURSOR);
	yyaccept = 15;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'q') {
		if (yych == 'n') goto yy718;
		goto yy548;
	} else {
		if (yych <= 'r') goto yy718;
		if (yych <= 's') goto yy719;
		if (yych <= 't') goto yy720;
		goto yy548;
	}
yy797:
	YYDEBUG(797, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '2') goto yy919;
	if (yych <= '3') goto yy920;
	if (yych <= '9') goto yy796;
	goto yy56;
yy798:
	YYDEBUG(798, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '-') goto yy921;
	goto yy56;
yy799:
	YYDEBUG(799, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'S') {
		if (yych == '-') goto yy921;
		goto yy56;
	} else {
		if (yych <= 'T') goto yy798;
		if (yych == 't') goto yy798;
		goto yy56;
	}
yy800:
	YYDEBUG(800, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy276;
	if (yych <= '9') goto yy922;
	goto yy276;
yy801:
	YYDEBUG(801, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == ')') goto yy108;
	goto yy18;
yy802:
	YYDEBUG(802, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '9') {
		if (yych <= ' ') {
			if (yych <= 0x08) {
				if (yych <= 0x00) goto yy310;
				goto yy56;
			} else {
				if (yych <= '\t') goto yy312;
				if (yych <= 0x1F) goto yy56;
				goto yy312;
			}
		} else {
			if (yych <= '-') {
				if (yych <= '+') goto yy56;
				if (yych <= ',') goto yy312;
				goto yy923;
			} else {
				if (yych <= '.') goto yy312;
				if (yych <= '/') goto yy56;
				goto yy494;
			}
		}
	} else {
		if (yych <= 'm') {
			if (yych <= 'd') {
				if (yych <= 'c') goto yy56;
				goto yy312;
			} else {
				if (yych == 'h') goto yy312;
				goto yy56;
			}
		} else {
			if (yych <= 'r') {
				if (yych <= 'n') goto yy315;
				if (yych <= 'q') goto yy56;
				goto yy315;
			} else {
				if (yych <= 's') goto yy316;
				if (yych <= 't') goto yy317;
				goto yy56;
			}
		}
	}
yy803:
	YYDEBUG(803, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '(') {
		if (yych <= '\t') {
			if (yych <= 0x08) goto yy281;
			goto yy135;
		} else {
			if (yych == ' ') goto yy135;
			goto yy281;
		}
	} else {
		if (yych <= '.') {
			if (yych <= ')') goto yy108;
			if (yych <= ',') goto yy281;
			goto yy135;
		} else {
			if (yych <= '/') goto yy281;
			if (yych <= '9') goto yy135;
			goto yy281;
		}
	}
yy804:
	YYDEBUG(804, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yybm[0+yych] & 128) {
		goto yy924;
	}
	if (yych <= '-') {
		if (yych == ')') goto yy108;
		if (yych <= ',') goto yy18;
		goto yy283;
	} else {
		if (yych <= '/') {
			if (yych <= '.') goto yy18;
			goto yy283;
		} else {
			if (yych == '_') goto yy283;
			goto yy18;
		}
	}
yy805:
	YYDEBUG(805, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yybm[0+yych] & 128) {
		goto yy924;
	}
	if (yych <= ',') {
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy135;
			goto yy281;
		} else {
			if (yych <= ' ') goto yy135;
			if (yych == ')') goto yy108;
			goto yy281;
		}
	} else {
		if (yych <= '/') {
			if (yych <= '-') goto yy679;
			if (yych <= '.') goto yy135;
			goto yy283;
		} else {
			if (yych <= '9') goto yy135;
			if (yych == '_') goto yy283;
			goto yy281;
		}
	}
yy806:
	YYDEBUG(806, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'F') goto yy926;
	if (yych == 'f') goto yy926;
	goto yy56;
yy807:
	YYDEBUG(807, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'D') {
		if (yych == ')') goto yy108;
		goto yy18;
	} else {
		if (yych <= 'E') goto yy927;
		if (yych == 'e') goto yy927;
		goto yy18;
	}
yy808:
	YYDEBUG(808, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'D') {
		if (yych <= ',') {
			if (yych == ')') goto yy108;
			goto yy18;
		} else {
			if (yych == '.') goto yy18;
			if (yych <= '/') goto yy283;
			goto yy18;
		}
	} else {
		if (yych <= '`') {
			if (yych <= 'E') goto yy927;
			if (yych == '_') goto yy283;
			goto yy18;
		} else {
			if (yych == 'e') goto yy928;
			if (yych <= 'z') goto yy924;
			goto yy18;
		}
	}
yy809:
	YYDEBUG(809, *YYCURSOR);
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 12) YYFILL(12);
	yych = *YYCURSOR;
yy810:
	YYDEBUG(810, *YYCURSOR);
	if (yych <= 'X') {
		if (yych <= 'G') {
			if (yych <= ' ') {
				if (yych == '\t') goto yy809;
				if (yych <= 0x1F) goto yy56;
				goto yy809;
			} else {
				if (yych <= 'D') {
					if (yych <= 'C') goto yy56;
					goto yy829;
				} else {
					if (yych == 'F') goto yy830;
					goto yy56;
				}
			}
		} else {
			if (yych <= 'S') {
				if (yych <= 'L') {
					if (yych <= 'H') goto yy831;
					goto yy56;
				} else {
					if (yych <= 'M') goto yy832;
					if (yych <= 'R') goto yy56;
					goto yy833;
				}
			} else {
				if (yych <= 'U') {
					if (yych <= 'T') goto yy834;
					goto yy835;
				} else {
					if (yych == 'W') goto yy929;
					goto yy56;
				}
			}
		}
	} else {
		if (yych <= 'r') {
			if (yych <= 'f') {
				if (yych <= 'c') {
					if (yych <= 'Y') goto yy837;
					goto yy56;
				} else {
					if (yych <= 'd') goto yy829;
					if (yych <= 'e') goto yy56;
					goto yy830;
				}
			} else {
				if (yych <= 'h') {
					if (yych <= 'g') goto yy56;
					goto yy831;
				} else {
					if (yych == 'm') goto yy832;
					goto yy56;
				}
			}
		} else {
			if (yych <= 'w') {
				if (yych <= 't') {
					if (yych <= 's') goto yy833;
					goto yy834;
				} else {
					if (yych <= 'u') goto yy835;
					if (yych <= 'v') goto yy56;
					goto yy929;
				}
			} else {
				if (yych <= 'y') {
					if (yych <= 'x') goto yy56;
					goto yy837;
				} else {
					if (yych == 0xC2) goto yy838;
					goto yy56;
				}
			}
		}
	}
yy811:
	YYDEBUG(811, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 0x1F) {
		if (yych == '\t') goto yy809;
		goto yy18;
	} else {
		if (yych <= ' ') goto yy809;
		if (yych == ')') goto yy108;
		goto yy18;
	}
yy812:
	YYDEBUG(812, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'S') {
		if (yych == ')') goto yy108;
		goto yy18;
	} else {
		if (yych <= 'T') goto yy930;
		if (yych == 't') goto yy930;
		goto yy18;
	}
yy813:
	YYDEBUG(813, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yybm[0+yych] & 128) {
		goto yy924;
	}
	if (yych <= ')') {
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy809;
			goto yy18;
		} else {
			if (yych <= ' ') goto yy809;
			if (yych <= '(') goto yy18;
			goto yy108;
		}
	} else {
		if (yych <= '.') {
			if (yych == '-') goto yy283;
			goto yy18;
		} else {
			if (yych <= '/') goto yy283;
			if (yych == '_') goto yy283;
			goto yy18;
		}
	}
yy814:
	YYDEBUG(814, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'S') {
		if (yych <= ',') {
			if (yych == ')') goto yy108;
			goto yy18;
		} else {
			if (yych == '.') goto yy18;
			if (yych <= '/') goto yy283;
			goto yy18;
		}
	} else {
		if (yych <= '`') {
			if (yych <= 'T') goto yy930;
			if (yych == '_') goto yy283;
			goto yy18;
		} else {
			if (yych == 't') goto yy931;
			if (yych <= 'z') goto yy924;
			goto yy18;
		}
	}
yy815:
	YYDEBUG(815, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'Q') {
		if (yych == ')') goto yy108;
		goto yy18;
	} else {
		if (yych <= 'R') goto yy932;
		if (yych == 'r') goto yy932;
		goto yy18;
	}
yy816:
	YYDEBUG(816, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'D') goto yy839;
	if (yych == 'd') goto yy839;
	goto yy810;
yy817:
	YYDEBUG(817, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'R') {
		if (yych == ')') goto yy108;
		goto yy301;
	} else {
		if (yych <= 'S') goto yy933;
		if (yych == 's') goto yy933;
		goto yy301;
	}
yy818:
	YYDEBUG(818, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'Q') {
		if (yych <= ',') {
			if (yych == ')') goto yy108;
			goto yy18;
		} else {
			if (yych == '.') goto yy18;
			if (yych <= '/') goto yy283;
			goto yy18;
		}
	} else {
		if (yych <= '`') {
			if (yych <= 'R') goto yy932;
			if (yych == '_') goto yy283;
			goto yy18;
		} else {
			if (yych == 'r') goto yy934;
			if (yych <= 'z') goto yy924;
			goto yy18;
		}
	}
yy819:
	YYDEBUG(819, *YYCURSOR);
	yyaccept = 9;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'R') {
		if (yych <= ',') {
			if (yych == ')') goto yy108;
			goto yy301;
		} else {
			if (yych == '.') goto yy301;
			if (yych <= '/') goto yy283;
			goto yy301;
		}
	} else {
		if (yych <= '`') {
			if (yych <= 'S') goto yy933;
			if (yych == '_') goto yy283;
			goto yy301;
		} else {
			if (yych == 's') goto yy935;
			if (yych <= 'z') goto yy924;
			goto yy301;
		}
	}
yy820:
	YYDEBUG(820, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') goto yy18;
	if (yych <= '5') goto yy936;
	if (yych <= '9') goto yy108;
	if (yych <= ':') goto yy377;
	goto yy18;
yy821:
	YYDEBUG(821, *YYCURSOR);
	yyaccept = 20;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych == '.') goto yy937;
	} else {
		if (yych <= '9') goto yy823;
		if (yych <= ':') goto yy937;
	}
yy822:
	YYDEBUG(822, *YYCURSOR);
#line 1888 "parse_date.re"
	{
		int tz_not_found;
		DEBUG_OUTPUT("dateshortwithtimeshort | dateshortwithtimelong | dateshortwithtimelongtz");
		TIMELIB_INIT;
		TIMELIB_HAVE_DATE();
		s->time->m = timelib_get_month(&ptr);
		s->time->d = timelib_get_nr(&ptr, 2);

		TIMELIB_HAVE_TIME();
		s->time->h = timelib_get_nr(&ptr, 2);
		s->time->i = timelib_get_nr(&ptr, 2);
		if (*ptr == ':') {
			s->time->s = timelib_get_nr(&ptr, 2);

			if (*ptr == '.') {
				s->time->us = timelib_get_frac_nr(&ptr);
			}
		}

		if (*ptr != '\0') {
			s->time->z = timelib_parse_zone(&ptr, &s->time->dst, s->time, &tz_not_found, s->tzdb, tz_get_wrapper);
			if (tz_not_found) {
				add_error(s, TIMELIB_ERR_TZID_NOT_FOUND, "The timezone could not be found in the database");
			}
		}
		TIMELIB_DEINIT;
		return TIMELIB_SHORTDATE_WITH_TIME;
	}
#line 17430 "<stdout>"
yy823:
	YYDEBUG(823, *YYCURSOR);
	yyaccept = 20;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == '.') goto yy937;
	if (yych == ':') goto yy937;
	goto yy822;
yy824:
	YYDEBUG(824, *YYCURSOR);
	yyaccept = 20;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych == '.') goto yy938;
		goto yy822;
	} else {
		if (yych <= '9') goto yy939;
		if (yych <= ':') goto yy938;
		goto yy822;
	}
yy825:
	YYDEBUG(825, *YYCURSOR);
	yyaccept = 20;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == '.') goto yy938;
	if (yych == ':') goto yy938;
	goto yy822;
yy826:
	YYDEBUG(826, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy311;
	if (yych <= '9') goto yy940;
	goto yy311;
yy827:
	YYDEBUG(827, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'X') {
		if (yych == ')') goto yy108;
		goto yy18;
	} else {
		if (yych <= 'Y') goto yy941;
		if (yych == 'y') goto yy941;
		goto yy18;
	}
yy828:
	YYDEBUG(828, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'X') {
		if (yych <= ',') {
			if (yych == ')') goto yy108;
			goto yy18;
		} else {
			if (yych == '.') goto yy18;
			if (yych <= '/') goto yy283;
			goto yy18;
		}
	} else {
		if (yych <= '`') {
			if (yych <= 'Y') goto yy941;
			if (yych == '_') goto yy283;
			goto yy18;
		} else {
			if (yych == 'y') goto yy942;
			if (yych <= 'z') goto yy924;
			goto yy18;
		}
	}
yy829:
	YYDEBUG(829, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'A') goto yy943;
	if (yych == 'a') goto yy943;
	goto yy56;
yy830:
	YYDEBUG(830, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'R') {
		if (yych == 'O') goto yy944;
		if (yych <= 'Q') goto yy56;
		goto yy945;
	} else {
		if (yych <= 'o') {
			if (yych <= 'n') goto yy56;
			goto yy944;
		} else {
			if (yych == 'r') goto yy945;
			goto yy56;
		}
	}
yy831:
	YYDEBUG(831, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'O') goto yy946;
	if (yych == 'o') goto yy946;
	goto yy56;
yy832:
	YYDEBUG(832, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'S') {
		if (yych <= 'N') {
			if (yych == 'I') goto yy947;
			goto yy56;
		} else {
			if (yych <= 'O') goto yy948;
			if (yych <= 'R') goto yy56;
			goto yy949;
		}
	} else {
		if (yych <= 'n') {
			if (yych == 'i') goto yy947;
			goto yy56;
		} else {
			if (yych <= 'o') goto yy948;
			if (yych == 's') goto yy949;
			goto yy56;
		}
	}
yy833:
	YYDEBUG(833, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'U') {
		if (yych <= 'D') {
			if (yych == 'A') goto yy951;
			goto yy56;
		} else {
			if (yych <= 'E') goto yy952;
			if (yych <= 'T') goto yy56;
			goto yy953;
		}
	} else {
		if (yych <= 'd') {
			if (yych == 'a') goto yy951;
			goto yy56;
		} else {
			if (yych <= 'e') goto yy952;
			if (yych == 'u') goto yy953;
			goto yy56;
		}
	}
yy834:
	YYDEBUG(834, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'U') {
		if (yych == 'H') goto yy954;
		if (yych <= 'T') goto yy56;
		goto yy955;
	} else {
		if (yych <= 'h') {
			if (yych <= 'g') goto yy56;
			goto yy954;
		} else {
			if (yych == 'u') goto yy955;
			goto yy56;
		}
	}
yy835:
	YYDEBUG(835, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'S') goto yy956;
	if (yych == 's') goto yy956;
	goto yy56;
yy836:
	YYDEBUG(836, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'E') goto yy957;
	if (yych == 'e') goto yy957;
	goto yy56;
yy837:
	YYDEBUG(837, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'E') goto yy958;
	if (yych == 'e') goto yy958;
	goto yy56;
yy838:
	YYDEBUG(838, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 0xB5) goto yy959;
	goto yy56;
yy839:
	YYDEBUG(839, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'A') goto yy960;
	if (yych == 'a') goto yy960;
	goto yy56;
yy840:
	YYDEBUG(840, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'G') {
		if (yych == ')') goto yy108;
		goto yy18;
	} else {
		if (yych <= 'H') goto yy961;
		if (yych == 'h') goto yy961;
		goto yy18;
	}
yy841:
	YYDEBUG(841, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'G') {
		if (yych <= ',') {
			if (yych == ')') goto yy108;
			goto yy18;
		} else {
			if (yych == '.') goto yy18;
			if (yych <= '/') goto yy283;
			goto yy18;
		}
	} else {
		if (yych <= '`') {
			if (yych <= 'H') goto yy961;
			if (yych == '_') goto yy283;
			goto yy18;
		} else {
			if (yych == 'h') goto yy962;
			if (yych <= 'z') goto yy924;
			goto yy18;
		}
	}
yy842:
	YYDEBUG(842, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'Q') {
		if (yych == ')') goto yy108;
		goto yy18;
	} else {
		if (yych <= 'R') goto yy941;
		if (yych == 'r') goto yy941;
		goto yy18;
	}
yy843:
	YYDEBUG(843, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'Q') {
		if (yych <= ',') {
			if (yych == ')') goto yy108;
			goto yy18;
		} else {
			if (yych == '.') goto yy18;
			if (yych <= '/') goto yy283;
			goto yy18;
		}
	} else {
		if (yych <= '`') {
			if (yych <= 'R') goto yy941;
			if (yych == '_') goto yy283;
			goto yy18;
		} else {
			if (yych == 'r') goto yy942;
			if (yych <= 'z') goto yy924;
			goto yy18;
		}
	}
yy844:
	YYDEBUG(844, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'T') {
		if (yych == ')') goto yy108;
		goto yy18;
	} else {
		if (yych <= 'U') goto yy963;
		if (yych == 'u') goto yy963;
		goto yy18;
	}
yy845:
	YYDEBUG(845, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'T') {
		if (yych <= ',') {
			if (yych == ')') goto yy108;
			goto yy18;
		} else {
			if (yych == '.') goto yy18;
			if (yych <= '/') goto yy283;
			goto yy18;
		}
	} else {
		if (yych <= '`') {
			if (yych <= 'U') goto yy963;
			if (yych == '_') goto yy283;
			goto yy18;
		} else {
			if (yych == 'u') goto yy964;
			if (yych <= 'z') goto yy924;
			goto yy18;
		}
	}
yy846:
	YYDEBUG(846, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '@') {
		if (yych == ')') goto yy108;
		goto yy18;
	} else {
		if (yych <= 'A') goto yy965;
		if (yych == 'a') goto yy965;
		goto yy18;
	}
yy847:
	YYDEBUG(847, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'A') {
		if (yych == ')') goto yy108;
		goto yy18;
	} else {
		if (yych <= 'B') goto yy966;
		if (yych == 'b') goto yy966;
		goto yy18;
	}
yy848:
	YYDEBUG(848, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'G') {
		if (yych == ')') goto yy108;
		goto yy18;
	} else {
		if (yych <= 'H') goto yy967;
		if (yych == 'h') goto yy967;
		goto yy18;
	}
yy849:
	YYDEBUG(849, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '@') {
		if (yych <= ',') {
			if (yych == ')') goto yy108;
			goto yy18;
		} else {
			if (yych == '.') goto yy18;
			if (yych <= '/') goto yy283;
			goto yy18;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'A') goto yy965;
			if (yych <= '^') goto yy18;
			goto yy283;
		} else {
			if (yych <= '`') goto yy18;
			if (yych <= 'a') goto yy968;
			if (yych <= 'z') goto yy924;
			goto yy18;
		}
	}
yy850:
	YYDEBUG(850, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'A') {
		if (yych <= ',') {
			if (yych == ')') goto yy108;
			goto yy18;
		} else {
			if (yych == '.') goto yy18;
			if (yych <= '/') goto yy283;
			goto yy18;
		}
	} else {
		if (yych <= '`') {
			if (yych <= 'B') goto yy966;
			if (yych == '_') goto yy283;
			goto yy18;
		} else {
			if (yych == 'b') goto yy969;
			if (yych <= 'z') goto yy924;
			goto yy18;
		}
	}
yy851:
	YYDEBUG(851, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'G') {
		if (yych <= ',') {
			if (yych == ')') goto yy108;
			goto yy18;
		} else {
			if (yych == '.') goto yy18;
			if (yych <= '/') goto yy283;
			goto yy18;
		}
	} else {
		if (yych <= '`') {
			if (yych <= 'H') goto yy967;
			if (yych == '_') goto yy283;
			goto yy18;
		} else {
			if (yych == 'h') goto yy970;
			if (yych <= 'z') goto yy924;
			goto yy18;
		}
	}
yy852:
	YYDEBUG(852, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy971;
	goto yy56;
yy853:
	YYDEBUG(853, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '0') goto yy971;
	goto yy56;
yy854:
	YYDEBUG(854, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'N') {
		if (yych == ')') goto yy108;
		goto yy18;
	} else {
		if (yych <= 'O') goto yy972;
		if (yych == 'o') goto yy972;
		goto yy18;
	}
yy855:
	YYDEBUG(855, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'X') {
		if (yych == ')') goto yy108;
		goto yy18;
	} else {
		if (yych <= 'Y') goto yy973;
		if (yych == 'y') goto yy973;
		goto yy18;
	}
yy856:
	YYDEBUG(856, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'N') {
		if (yych <= ',') {
			if (yych == ')') goto yy108;
			goto yy18;
		} else {
			if (yych == '.') goto yy18;
			if (yych <= '/') goto yy283;
			goto yy18;
		}
	} else {
		if (yych <= '`') {
			if (yych <= 'O') goto yy972;
			if (yych == '_') goto yy283;
			goto yy18;
		} else {
			if (yych == 'o') goto yy974;
			if (yych <= 'z') goto yy924;
			goto yy18;
		}
	}
yy857:
	YYDEBUG(857, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'X') {
		if (yych <= ',') {
			if (yych == ')') goto yy108;
			goto yy18;
		} else {
			if (yych == '.') goto yy18;
			if (yych <= '/') goto yy283;
			goto yy18;
		}
	} else {
		if (yych <= '`') {
			if (yych <= 'Y') goto yy973;
			if (yych == '_') goto yy283;
			goto yy18;
		} else {
			if (yych == 'y') goto yy975;
			if (yych <= 'z') goto yy924;
			goto yy18;
		}
	}
yy858:
	YYDEBUG(858, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'C') {
		if (yych == ')') goto yy108;
		goto yy18;
	} else {
		if (yych <= 'D') goto yy976;
		if (yych == 'd') goto yy976;
		goto yy18;
	}
yy859:
	YYDEBUG(859, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'C') {
		if (yych <= ',') {
			if (yych == ')') goto yy108;
			goto yy18;
		} else {
			if (yych == '.') goto yy18;
			if (yych <= '/') goto yy283;
			goto yy18;
		}
	} else {
		if (yych <= '`') {
			if (yych <= 'D') goto yy976;
			if (yych == '_') goto yy283;
			goto yy18;
		} else {
			if (yych == 'd') goto yy977;
			if (yych <= 'z') goto yy924;
			goto yy18;
		}
	}
yy860:
	YYDEBUG(860, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'C') {
		if (yych == ')') goto yy108;
		goto yy18;
	} else {
		if (yych <= 'D') goto yy978;
		if (yych == 'd') goto yy978;
		goto yy18;
	}
yy861:
	YYDEBUG(861, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'C') {
		if (yych <= ',') {
			if (yych == ')') goto yy108;
			goto yy18;
		} else {
			if (yych == '.') goto yy18;
			if (yych <= '/') goto yy283;
			goto yy18;
		}
	} else {
		if (yych <= '`') {
			if (yych <= 'D') goto yy978;
			if (yych == '_') goto yy283;
			goto yy18;
		} else {
			if (yych == 'd') goto yy979;
			if (yych <= 'z') goto yy924;
			goto yy18;
		}
	}
yy862:
	YYDEBUG(862, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy980;
	goto yy56;
yy863:
	YYDEBUG(863, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '2') goto yy980;
	goto yy56;
yy864:
	YYDEBUG(864, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '0') goto yy981;
	if (yych <= '1') goto yy982;
	goto yy56;
yy865:
	YYDEBUG(865, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'V') {
		if (yych <= 'C') {
			if (yych <= ' ') {
				if (yych == '\t') goto yy187;
				if (yych <= 0x1F) goto yy18;
				goto yy187;
			} else {
				if (yych <= '-') {
					if (yych <= ',') goto yy18;
					goto yy864;
				} else {
					if (yych <= '/') goto yy18;
					if (yych <= '9') goto yy983;
					goto yy18;
				}
			}
		} else {
			if (yych <= 'H') {
				if (yych <= 'E') {
					if (yych <= 'D') goto yy187;
					goto yy18;
				} else {
					if (yych == 'G') goto yy18;
					goto yy187;
				}
			} else {
				if (yych <= 'M') {
					if (yych <= 'L') goto yy18;
					goto yy187;
				} else {
					if (yych <= 'R') goto yy18;
					if (yych <= 'U') goto yy187;
					goto yy18;
				}
			}
		}
	} else {
		if (yych <= 'l') {
			if (yych <= 'd') {
				if (yych <= 'X') {
					if (yych <= 'W') goto yy187;
					goto yy18;
				} else {
					if (yych <= 'Y') goto yy187;
					if (yych <= 'c') goto yy18;
					goto yy187;
				}
			} else {
				if (yych <= 'f') {
					if (yych <= 'e') goto yy18;
					goto yy187;
				} else {
					if (yych == 'h') goto yy187;
					goto yy18;
				}
			}
		} else {
			if (yych <= 'w') {
				if (yych <= 'r') {
					if (yych <= 'm') goto yy187;
					goto yy18;
				} else {
					if (yych == 'v') goto yy18;
					goto yy187;
				}
			} else {
				if (yych <= 'y') {
					if (yych <= 'x') goto yy18;
					goto yy187;
				} else {
					if (yych == 0xC2) goto yy187;
					goto yy18;
				}
			}
		}
	}
yy866:
	YYDEBUG(866, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '-') goto yy864;
	if (yych <= '/') goto yy187;
	if (yych <= '9') goto yy983;
	goto yy187;
yy867:
	YYDEBUG(867, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '5') goto yy984;
	if (yych <= '6') goto yy985;
	goto yy56;
yy868:
	YYDEBUG(868, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy986;
	goto yy56;
yy869:
	YYDEBUG(869, *YYCURSOR);
	++YYCURSOR;
	goto yy548;
yy870:
	YYDEBUG(870, *YYCURSOR);
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	YYDEBUG(871, *YYCURSOR);
	if (yych <= '/') goto yy170;
	if (yych <= '9') goto yy870;
	goto yy170;
yy872:
	YYDEBUG(872, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy214;
	if (yych <= '9') goto yy988;
	goto yy214;
yy873:
	YYDEBUG(873, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy989;
	goto yy56;
yy874:
	YYDEBUG(874, *YYCURSOR);
	yyaccept = 15;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'n') {
		if (yych <= '/') goto yy548;
		if (yych <= '9') goto yy990;
		if (yych <= 'm') goto yy548;
		goto yy718;
	} else {
		if (yych <= 'r') {
			if (yych <= 'q') goto yy548;
			goto yy718;
		} else {
			if (yych <= 's') goto yy719;
			if (yych <= 't') goto yy720;
			goto yy548;
		}
	}
yy875:
	YYDEBUG(875, *YYCURSOR);
	yyaccept = 15;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'n') {
		if (yych <= '1') {
			if (yych <= '/') goto yy548;
			goto yy990;
		} else {
			if (yych <= '9') goto yy714;
			if (yych <= 'm') goto yy548;
			goto yy718;
		}
	} else {
		if (yych <= 'r') {
			if (yych <= 'q') goto yy548;
			goto yy718;
		} else {
			if (yych <= 's') goto yy719;
			if (yych <= 't') goto yy720;
			goto yy548;
		}
	}
yy876:
	YYDEBUG(876, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '2') goto yy992;
	if (yych <= '3') goto yy993;
	if (yych <= '9') goto yy994;
	goto yy56;
yy877:
	YYDEBUG(877, *YYCURSOR);
	yyaccept = 18;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == '-') goto yy995;
	if (yych <= '0') goto yy729;
	if (yych <= '9') goto yy996;
	goto yy729;
yy878:
	YYDEBUG(878, *YYCURSOR);
	yyaccept = 18;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == '-') goto yy995;
	if (yych <= '/') goto yy729;
	if (yych <= '9') goto yy996;
	goto yy729;
yy879:
	YYDEBUG(879, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy996;
	goto yy56;
yy880:
	YYDEBUG(880, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '6') goto yy996;
	goto yy56;
yy881:
	YYDEBUG(881, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'R') goto yy997;
	if (yych == 'r') goto yy997;
	goto yy56;
yy882:
	YYDEBUG(882, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'G') goto yy998;
	if (yych == 'g') goto yy998;
	goto yy56;
yy883:
	YYDEBUG(883, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'C') goto yy999;
	if (yych == 'c') goto yy999;
	goto yy56;
yy884:
	YYDEBUG(884, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'B') goto yy1000;
	if (yych == 'b') goto yy1000;
	goto yy56;
yy885:
	YYDEBUG(885, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'N') goto yy1001;
	if (yych == 'n') goto yy1001;
	goto yy56;
yy886:
	YYDEBUG(886, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'N') {
		if (yych == 'L') goto yy1002;
		if (yych <= 'M') goto yy56;
		goto yy1003;
	} else {
		if (yych <= 'l') {
			if (yych <= 'k') goto yy56;
			goto yy1002;
		} else {
			if (yych == 'n') goto yy1003;
			goto yy56;
		}
	}
yy887:
	YYDEBUG(887, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'Y') {
		if (yych == 'R') goto yy1004;
		if (yych <= 'X') goto yy56;
		goto yy1005;
	} else {
		if (yych <= 'r') {
			if (yych <= 'q') goto yy56;
			goto yy1004;
		} else {
			if (yych == 'y') goto yy1005;
			goto yy56;
		}
	}
yy888:
	YYDEBUG(888, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'V') goto yy999;
	if (yych == 'v') goto yy999;
	goto yy56;
yy889:
	YYDEBUG(889, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'T') goto yy1006;
	if (yych == 't') goto yy1006;
	goto yy56;
yy890:
	YYDEBUG(890, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'P') goto yy1007;
	if (yych == 'p') goto yy1007;
	goto yy56;
yy891:
	YYDEBUG(891, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '0') goto yy56;
	if (yych <= '9') goto yy996;
	goto yy56;
yy892:
	YYDEBUG(892, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'P') goto yy911;
	if (yych == 'p') goto yy911;
	goto yy56;
yy893:
	YYDEBUG(893, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '2') goto yy1008;
	if (yych <= '3') goto yy1010;
	if (yych <= '9') goto yy1011;
	goto yy56;
yy894:
	YYDEBUG(894, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '/') goto yy1012;
	goto yy56;
yy895:
	YYDEBUG(895, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy187;
	if (yych <= '9') goto yy1013;
	goto yy187;
yy896:
	YYDEBUG(896, *YYCURSOR);
	yyaccept = 21;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'W') {
		if (yych <= 'E') {
			if (yych <= ' ') {
				if (yych == '\t') goto yy187;
				if (yych >= ' ') goto yy187;
			} else {
				if (yych <= '9') {
					if (yych >= '0') goto yy1013;
				} else {
					if (yych == 'D') goto yy187;
				}
			}
		} else {
			if (yych <= 'L') {
				if (yych == 'G') goto yy897;
				if (yych <= 'H') goto yy187;
			} else {
				if (yych <= 'R') {
					if (yych <= 'M') goto yy187;
				} else {
					if (yych != 'V') goto yy187;
				}
			}
		}
	} else {
		if (yych <= 'l') {
			if (yych <= 'd') {
				if (yych == 'Y') goto yy187;
				if (yych >= 'd') goto yy187;
			} else {
				if (yych <= 'f') {
					if (yych >= 'f') goto yy187;
				} else {
					if (yych == 'h') goto yy187;
				}
			}
		} else {
			if (yych <= 'w') {
				if (yych <= 'r') {
					if (yych <= 'm') goto yy187;
				} else {
					if (yych != 'v') goto yy187;
				}
			} else {
				if (yych <= 'y') {
					if (yych >= 'y') goto yy187;
				} else {
					if (yych == 0xC2) goto yy187;
				}
			}
		}
	}
yy897:
	YYDEBUG(897, *YYCURSOR);
#line 1650 "parse_date.re"
	{
		int length = 0;
		DEBUG_OUTPUT("pgydotd");
		TIMELIB_INIT;
		TIMELIB_HAVE_DATE();
		s->time->y = timelib_get_nr_ex(&ptr, 4, &length);
		s->time->d = timelib_get_nr(&ptr, 3);
		s->time->m = 1;
		TIMELIB_PROCESS_YEAR(s->time->y, length);
		TIMELIB_DEINIT;
		return TIMELIB_PG_YEARDAY;
	}
#line 18389 "<stdout>"
yy898:
	YYDEBUG(898, *YYCURSOR);
	yyaccept = 21;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'W') {
		if (yych <= 'D') {
			if (yych <= ' ') {
				if (yych == '\t') goto yy187;
				if (yych <= 0x1F) goto yy897;
				goto yy187;
			} else {
				if (yych <= '1') {
					if (yych <= '/') goto yy897;
					goto yy1013;
				} else {
					if (yych <= '9') goto yy1015;
					if (yych <= 'C') goto yy897;
					goto yy187;
				}
			}
		} else {
			if (yych <= 'L') {
				if (yych <= 'F') {
					if (yych <= 'E') goto yy897;
					goto yy187;
				} else {
					if (yych == 'H') goto yy187;
					goto yy897;
				}
			} else {
				if (yych <= 'R') {
					if (yych <= 'M') goto yy187;
					goto yy897;
				} else {
					if (yych == 'V') goto yy897;
					goto yy187;
				}
			}
		}
	} else {
		if (yych <= 'l') {
			if (yych <= 'd') {
				if (yych == 'Y') goto yy187;
				if (yych <= 'c') goto yy897;
				goto yy187;
			} else {
				if (yych <= 'f') {
					if (yych <= 'e') goto yy897;
					goto yy187;
				} else {
					if (yych == 'h') goto yy187;
					goto yy897;
				}
			}
		} else {
			if (yych <= 'w') {
				if (yych <= 'r') {
					if (yych <= 'm') goto yy187;
					goto yy897;
				} else {
					if (yych == 'v') goto yy897;
					goto yy187;
				}
			} else {
				if (yych <= 'y') {
					if (yych <= 'x') goto yy897;
					goto yy187;
				} else {
					if (yych == 0xC2) goto yy187;
					goto yy897;
				}
			}
		}
	}
yy899:
	YYDEBUG(899, *YYCURSOR);
	yyaccept = 21;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'W') {
		if (yych <= 'E') {
			if (yych <= ' ') {
				if (yych == '\t') goto yy187;
				if (yych <= 0x1F) goto yy897;
				goto yy187;
			} else {
				if (yych <= '9') {
					if (yych <= '/') goto yy897;
					goto yy1015;
				} else {
					if (yych == 'D') goto yy187;
					goto yy897;
				}
			}
		} else {
			if (yych <= 'L') {
				if (yych == 'G') goto yy897;
				if (yych <= 'H') goto yy187;
				goto yy897;
			} else {
				if (yych <= 'R') {
					if (yych <= 'M') goto yy187;
					goto yy897;
				} else {
					if (yych == 'V') goto yy897;
					goto yy187;
				}
			}
		}
	} else {
		if (yych <= 'l') {
			if (yych <= 'd') {
				if (yych == 'Y') goto yy187;
				if (yych <= 'c') goto yy897;
				goto yy187;
			} else {
				if (yych <= 'f') {
					if (yych <= 'e') goto yy897;
					goto yy187;
				} else {
					if (yych == 'h') goto yy187;
					goto yy897;
				}
			}
		} else {
			if (yych <= 'w') {
				if (yych <= 'r') {
					if (yych <= 'm') goto yy187;
					goto yy897;
				} else {
					if (yych == 'v') goto yy897;
					goto yy187;
				}
			} else {
				if (yych <= 'y') {
					if (yych <= 'x') goto yy897;
					goto yy187;
				} else {
					if (yych == 0xC2) goto yy187;
					goto yy897;
				}
			}
		}
	}
yy900:
	YYDEBUG(900, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy187;
	if (yych <= '9') goto yy1015;
	goto yy187;
yy901:
	YYDEBUG(901, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == ':') goto yy1016;
	goto yy56;
yy902:
	YYDEBUG(902, *YYCURSOR);
	yyaccept = 22;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == 'I') goto yy1017;
	if (yych == 'i') goto yy1017;
	goto yy581;
yy903:
	YYDEBUG(903, *YYCURSOR);
	yyaccept = 22;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == 'U') goto yy1018;
	if (yych == 'u') goto yy1018;
	goto yy581;
yy904:
	YYDEBUG(904, *YYCURSOR);
	yyaccept = 22;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == 'E') goto yy1019;
	if (yych == 'e') goto yy1019;
	goto yy581;
yy905:
	YYDEBUG(905, *YYCURSOR);
	yyaccept = 22;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == 'R') goto yy1020;
	if (yych == 'r') goto yy1020;
	goto yy581;
yy906:
	YYDEBUG(906, *YYCURSOR);
	yyaccept = 22;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == 'U') goto yy1021;
	if (yych == 'u') goto yy1021;
	goto yy581;
yy907:
	YYDEBUG(907, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'Y') goto yy767;
	if (yych == 'y') goto yy767;
	goto yy581;
yy908:
	YYDEBUG(908, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'E') goto yy767;
	if (yych == 'e') goto yy767;
	goto yy581;
yy909:
	YYDEBUG(909, *YYCURSOR);
	yyaccept = 22;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == 'C') goto yy1022;
	if (yych == 'c') goto yy1022;
	goto yy581;
yy910:
	YYDEBUG(910, *YYCURSOR);
	yyaccept = 22;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == 'O') goto yy1023;
	if (yych == 'o') goto yy1023;
	goto yy581;
yy911:
	YYDEBUG(911, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'T') goto yy904;
	if (yych == 't') goto yy904;
	goto yy581;
yy912:
	YYDEBUG(912, *YYCURSOR);
	yyaccept = 23;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == '-') goto yy1024;
	if (yych <= '/') goto yy913;
	if (yych <= '7') goto yy1025;
yy913:
	YYDEBUG(913, *YYCURSOR);
#line 1683 "parse_date.re"
	{
		timelib_sll w, d;
		DEBUG_OUTPUT("isoweek");
		TIMELIB_INIT;
		TIMELIB_HAVE_DATE();
		TIMELIB_HAVE_RELATIVE();

		s->time->y = timelib_get_nr(&ptr, 4);
		w = timelib_get_nr(&ptr, 2);
		d = 1;
		s->time->m = 1;
		s->time->d = 1;
		s->time->relative.d = timelib_daynr_from_weeknr(s->time->y, w, d);

		TIMELIB_DEINIT;
		return TIMELIB_ISO_WEEK;
	}
#line 18638 "<stdout>"
yy914:
	YYDEBUG(914, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'G') goto yy1027;
	if (yych == 'g') goto yy1027;
	goto yy56;
yy915:
	YYDEBUG(915, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'Y') goto yy243;
	if (yych == 'y') goto yy243;
	goto yy56;
yy916:
	YYDEBUG(916, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'E') goto yy1028;
	if (yych == 'e') goto yy1028;
	goto yy56;
yy917:
	YYDEBUG(917, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'R') goto yy243;
	if (yych == 'r') goto yy243;
	goto yy56;
yy918:
	YYDEBUG(918, *YYCURSOR);
	yyaccept = 4;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= ':') {
		if (yych <= ' ') {
			if (yych == '\t') goto yy619;
			if (yych <= 0x1F) goto yy170;
			goto yy619;
		} else {
			if (yych == '.') goto yy1029;
			if (yych <= '9') goto yy170;
			goto yy1030;
		}
	} else {
		if (yych <= 'P') {
			if (yych == 'A') goto yy101;
			if (yych <= 'O') goto yy170;
			goto yy101;
		} else {
			if (yych <= 'a') {
				if (yych <= '`') goto yy170;
				goto yy101;
			} else {
				if (yych == 'p') goto yy101;
				goto yy170;
			}
		}
	}
yy919:
	YYDEBUG(919, *YYCURSOR);
	yyaccept = 15;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'n') {
		if (yych <= '/') goto yy548;
		if (yych <= '9') goto yy1031;
		if (yych <= 'm') goto yy548;
		goto yy718;
	} else {
		if (yych <= 'r') {
			if (yych <= 'q') goto yy548;
			goto yy718;
		} else {
			if (yych <= 's') goto yy719;
			if (yych <= 't') goto yy720;
			goto yy548;
		}
	}
yy920:
	YYDEBUG(920, *YYCURSOR);
	yyaccept = 15;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'n') {
		if (yych <= '/') goto yy548;
		if (yych <= '1') goto yy1031;
		if (yych <= 'm') goto yy548;
		goto yy718;
	} else {
		if (yych <= 'r') {
			if (yych <= 'q') goto yy548;
			goto yy718;
		} else {
			if (yych <= 's') goto yy719;
			if (yych <= 't') goto yy720;
			goto yy548;
		}
	}
yy921:
	YYDEBUG(921, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '2') goto yy1032;
	if (yych <= '3') goto yy1033;
	goto yy56;
yy922:
	YYDEBUG(922, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy276;
	if (yych <= '9') goto yy1034;
	goto yy276;
yy923:
	YYDEBUG(923, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy1035;
	goto yy56;
yy924:
	YYDEBUG(924, *YYCURSOR);
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
yy925:
	YYDEBUG(925, *YYCURSOR);
	if (yybm[0+yych] & 128) {
		goto yy924;
	}
	if (yych <= '.') {
		if (yych == '-') goto yy283;
		goto yy56;
	} else {
		if (yych <= '/') goto yy283;
		if (yych == '_') goto yy283;
		goto yy56;
	}
yy926:
	YYDEBUG(926, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == ' ') goto yy1037;
	goto yy56;
yy927:
	YYDEBUG(927, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'R') goto yy941;
	if (yych == 'r') goto yy941;
	goto yy56;
yy928:
	YYDEBUG(928, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'R') goto yy941;
	if (yych == 'r') goto yy942;
	goto yy925;
yy929:
	YYDEBUG(929, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'E') goto yy1038;
	if (yych == 'e') goto yy1038;
	goto yy56;
yy930:
	YYDEBUG(930, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'H') goto yy967;
	if (yych == 'h') goto yy967;
	goto yy56;
yy931:
	YYDEBUG(931, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'H') goto yy967;
	if (yych == 'h') goto yy970;
	goto yy925;
yy932:
	YYDEBUG(932, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'Y') goto yy941;
	if (yych == 'y') goto yy941;
	goto yy56;
yy933:
	YYDEBUG(933, *YYCURSOR);
	++YYCURSOR;
	goto yy301;
yy934:
	YYDEBUG(934, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'Y') goto yy941;
	if (yych == 'y') goto yy942;
	goto yy925;
yy935:
	YYDEBUG(935, *YYCURSOR);
	yyaccept = 9;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yybm[0+yych] & 128) {
		goto yy924;
	}
	if (yych <= '.') {
		if (yych == '-') goto yy283;
		goto yy301;
	} else {
		if (yych <= '/') goto yy283;
		if (yych == '_') goto yy283;
		goto yy301;
	}
yy936:
	YYDEBUG(936, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy18;
	if (yych <= '9') goto yy1039;
	goto yy18;
yy937:
	YYDEBUG(937, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '5') goto yy1040;
	if (yych <= '6') goto yy1041;
	if (yych <= '9') goto yy1042;
	goto yy56;
yy938:
	YYDEBUG(938, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '5') goto yy1043;
	if (yych <= '6') goto yy1044;
	if (yych <= '9') goto yy1042;
	goto yy56;
yy939:
	YYDEBUG(939, *YYCURSOR);
	yyaccept = 20;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= ':') {
		if (yych <= ' ') {
			if (yych == '\t') goto yy1045;
			if (yych <= 0x1F) goto yy822;
			goto yy1045;
		} else {
			if (yych == '.') goto yy938;
			if (yych <= '9') goto yy822;
			goto yy938;
		}
	} else {
		if (yych <= 'P') {
			if (yych == 'A') goto yy1047;
			if (yych <= 'O') goto yy822;
			goto yy1047;
		} else {
			if (yych <= 'a') {
				if (yych <= '`') goto yy822;
				goto yy1047;
			} else {
				if (yych == 'p') goto yy1047;
				goto yy822;
			}
		}
	}
yy940:
	YYDEBUG(940, *YYCURSOR);
	++YYCURSOR;
	goto yy311;
yy941:
	YYDEBUG(941, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= ' ') {
		if (yych == '\t') goto yy135;
		if (yych <= 0x1F) goto yy281;
		goto yy135;
	} else {
		if (yych <= '.') {
			if (yych <= ',') goto yy281;
			goto yy135;
		} else {
			if (yych <= '/') goto yy281;
			if (yych <= '9') goto yy135;
			goto yy281;
		}
	}
yy942:
	YYDEBUG(942, *YYCURSOR);
	yyaccept = 7;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yybm[0+yych] & 128) {
		goto yy924;
	}
	if (yych <= '-') {
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy135;
			goto yy281;
		} else {
			if (yych <= ' ') goto yy135;
			if (yych <= ',') goto yy281;
			goto yy679;
		}
	} else {
		if (yych <= '9') {
			if (yych == '/') goto yy283;
			goto yy135;
		} else {
			if (yych == '_') goto yy283;
			goto yy281;
		}
	}
yy943:
	YYDEBUG(943, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'Y') goto yy1048;
	if (yych == 'y') goto yy1048;
	goto yy56;
yy944:
	YYDEBUG(944, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'R') goto yy1049;
	if (yych == 'r') goto yy1049;
	goto yy56;
yy945:
	YYDEBUG(945, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'I') goto yy1050;
	if (yych == 'i') goto yy1050;
	goto yy56;
yy946:
	YYDEBUG(946, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'U') goto yy1051;
	if (yych == 'u') goto yy1051;
	goto yy56;
yy947:
	YYDEBUG(947, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'N') {
		if (yych <= 'K') {
			if (yych == 'C') goto yy1052;
			goto yy56;
		} else {
			if (yych <= 'L') goto yy1053;
			if (yych <= 'M') goto yy56;
			goto yy1054;
		}
	} else {
		if (yych <= 'k') {
			if (yych == 'c') goto yy1052;
			goto yy56;
		} else {
			if (yych <= 'l') goto yy1053;
			if (yych == 'n') goto yy1054;
			goto yy56;
		}
	}
yy948:
	YYDEBUG(948, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'N') goto yy1055;
	if (yych == 'n') goto yy1055;
	goto yy56;
yy949:
	YYDEBUG(949, *YYCURSOR);
	yyaccept = 24;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == 'E') goto yy1056;
	if (yych == 'e') goto yy1056;
yy950:
	YYDEBUG(950, *YYCURSOR);
#line 1823 "parse_date.re"
	{
		timelib_sll i;
		int         behavior = 0;
		DEBUG_OUTPUT("relativetext");
		TIMELIB_INIT;
		TIMELIB_HAVE_RELATIVE();

		while(*ptr) {
			i = timelib_get_relative_text(&ptr, &behavior);
			timelib_eat_spaces(&ptr);
			timelib_set_relative(&ptr, i, behavior, s, TIMELIB_TIME_PART_DONT_KEEP);
		}
		TIMELIB_DEINIT;
		return TIMELIB_RELATIVE;
	}
#line 19007 "<stdout>"
yy951:
	YYDEBUG(951, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'T') goto yy1057;
	if (yych == 't') goto yy1057;
	goto yy56;
yy952:
	YYDEBUG(952, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'C') goto yy1058;
	if (yych == 'c') goto yy1058;
	goto yy56;
yy953:
	YYDEBUG(953, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'N') goto yy1050;
	if (yych == 'n') goto yy1050;
	goto yy56;
yy954:
	YYDEBUG(954, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'U') goto yy1059;
	if (yych == 'u') goto yy1059;
	goto yy56;
yy955:
	YYDEBUG(955, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'E') goto yy1060;
	if (yych == 'e') goto yy1060;
	goto yy56;
yy956:
	YYDEBUG(956, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'E') goto yy1056;
	if (yych == 'e') goto yy1056;
	goto yy56;
yy957:
	YYDEBUG(957, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'E') {
		if (yych <= 'C') goto yy56;
		if (yych <= 'D') goto yy1061;
		goto yy1062;
	} else {
		if (yych <= 'c') goto yy56;
		if (yych <= 'd') goto yy1061;
		if (yych <= 'e') goto yy1062;
		goto yy56;
	}
yy958:
	YYDEBUG(958, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'A') goto yy1051;
	if (yych == 'a') goto yy1051;
	goto yy56;
yy959:
	YYDEBUG(959, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'S') goto yy949;
	if (yych == 's') goto yy949;
	goto yy56;
yy960:
	YYDEBUG(960, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'Y') goto yy1063;
	if (yych == 'y') goto yy1063;
	goto yy56;
yy961:
	YYDEBUG(961, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'T') goto yy1064;
	if (yych == 't') goto yy1064;
	goto yy56;
yy962:
	YYDEBUG(962, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'T') goto yy1064;
	if (yych == 't') goto yy1065;
	goto yy925;
yy963:
	YYDEBUG(963, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'S') goto yy1066;
	if (yych == 's') goto yy1066;
	goto yy56;
yy964:
	YYDEBUG(964, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'S') goto yy1066;
	if (yych == 's') goto yy1067;
	goto yy925;
yy965:
	YYDEBUG(965, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'Y') goto yy973;
	if (yych == 'y') goto yy973;
	goto yy56;
yy966:
	YYDEBUG(966, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'E') goto yy927;
	if (yych == 'e') goto yy927;
	goto yy56;
yy967:
	YYDEBUG(967, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '\t') goto yy809;
	if (yych == ' ') goto yy809;
	goto yy56;
yy968:
	YYDEBUG(968, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'Y') goto yy973;
	if (yych == 'y') goto yy975;
	goto yy925;
yy969:
	YYDEBUG(969, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'E') goto yy927;
	if (yych == 'e') goto yy928;
	goto yy925;
yy970:
	YYDEBUG(970, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '\t') goto yy809;
	if (yych == ' ') goto yy809;
	goto yy925;
yy971:
	YYDEBUG(971, *YYCURSOR);
	++YYCURSOR;
	goto yy754;
yy972:
	YYDEBUG(972, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'W') goto yy1068;
	if (yych == 'w') goto yy1068;
	goto yy56;
yy973:
	YYDEBUG(973, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'S') goto yy933;
	if (yych == 's') goto yy933;
	goto yy301;
yy974:
	YYDEBUG(974, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'W') goto yy1068;
	if (yych == 'w') goto yy1070;
	goto yy925;
yy975:
	YYDEBUG(975, *YYCURSOR);
	yyaccept = 9;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'S') {
		if (yych <= '.') {
			if (yych == '-') goto yy283;
			goto yy301;
		} else {
			if (yych <= '/') goto yy283;
			if (yych <= 'R') goto yy301;
			goto yy933;
		}
	} else {
		if (yych <= '`') {
			if (yych == '_') goto yy283;
			goto yy301;
		} else {
			if (yych == 's') goto yy935;
			if (yych <= 'z') goto yy924;
			goto yy301;
		}
	}
yy976:
	YYDEBUG(976, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'A') goto yy965;
	if (yych == 'a') goto yy965;
	goto yy56;
yy977:
	YYDEBUG(977, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'A') goto yy965;
	if (yych == 'a') goto yy968;
	goto yy925;
yy978:
	YYDEBUG(978, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'A') goto yy1071;
	if (yych == 'a') goto yy1071;
	goto yy56;
yy979:
	YYDEBUG(979, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'A') goto yy1071;
	if (yych == 'a') goto yy1072;
	goto yy925;
yy980:
	YYDEBUG(980, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '-') goto yy1073;
	goto yy56;
yy981:
	YYDEBUG(981, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy1074;
	goto yy56;
yy982:
	YYDEBUG(982, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '2') goto yy1074;
	goto yy56;
yy983:
	YYDEBUG(983, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '-') goto yy864;
	if (yych <= '/') goto yy187;
	if (yych <= '9') goto yy1075;
	goto yy187;
yy984:
	YYDEBUG(984, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy108;
	goto yy56;
yy985:
	YYDEBUG(985, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '0') goto yy108;
	goto yy56;
yy986:
	YYDEBUG(986, *YYCURSOR);
	++YYCURSOR;
	YYDEBUG(987, *YYCURSOR);
#line 1532 "parse_date.re"
	{
		DEBUG_OUTPUT("pointed date YYYY");
		TIMELIB_INIT;
		TIMELIB_HAVE_DATE();
		s->time->d = timelib_get_nr(&ptr, 2);
		s->time->m = timelib_get_nr(&ptr, 2);
		s->time->y = timelib_get_nr(&ptr, 4);
		TIMELIB_DEINIT;
		return TIMELIB_DATE_FULL_POINTED;
	}
#line 19254 "<stdout>"
yy988:
	YYDEBUG(988, *YYCURSOR);
	++YYCURSOR;
	goto yy214;
yy989:
	YYDEBUG(989, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy1076;
	goto yy56;
yy990:
	YYDEBUG(990, *YYCURSOR);
	yyaccept = 25;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'n') {
		if (yych <= '/') goto yy991;
		if (yych <= '9') goto yy868;
		if (yych >= 'n') goto yy718;
	} else {
		if (yych <= 'r') {
			if (yych >= 'r') goto yy718;
		} else {
			if (yych <= 's') goto yy719;
			if (yych <= 't') goto yy720;
		}
	}
yy991:
	YYDEBUG(991, *YYCURSOR);
#line 1463 "parse_date.re"
	{
		int length = 0;
		DEBUG_OUTPUT("iso8601date2");
		TIMELIB_INIT;
		TIMELIB_HAVE_DATE();
		s->time->y = timelib_get_nr_ex(&ptr, 4, &length);
		s->time->m = timelib_get_nr(&ptr, 2);
		s->time->d = timelib_get_nr(&ptr, 2);
		TIMELIB_PROCESS_YEAR(s->time->y, length);
		TIMELIB_DEINIT;
		return TIMELIB_ISO_DATE;
	}
#line 19296 "<stdout>"
yy992:
	YYDEBUG(992, *YYCURSOR);
	yyaccept = 15;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'm') {
		if (yych <= '9') {
			if (yych <= '/') goto yy548;
			goto yy994;
		} else {
			if (yych == 'T') goto yy1077;
			goto yy548;
		}
	} else {
		if (yych <= 'r') {
			if (yych <= 'n') goto yy1078;
			if (yych <= 'q') goto yy548;
			goto yy1078;
		} else {
			if (yych <= 's') goto yy1079;
			if (yych <= 't') goto yy1080;
			goto yy548;
		}
	}
yy993:
	YYDEBUG(993, *YYCURSOR);
	yyaccept = 15;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'm') {
		if (yych <= '1') {
			if (yych <= '/') goto yy548;
		} else {
			if (yych == 'T') goto yy1077;
			goto yy548;
		}
	} else {
		if (yych <= 'r') {
			if (yych <= 'n') goto yy1078;
			if (yych <= 'q') goto yy548;
			goto yy1078;
		} else {
			if (yych <= 's') goto yy1079;
			if (yych <= 't') goto yy1080;
			goto yy548;
		}
	}
yy994:
	YYDEBUG(994, *YYCURSOR);
	yyaccept = 15;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'n') {
		if (yych == 'T') goto yy1077;
		if (yych <= 'm') goto yy548;
		goto yy1078;
	} else {
		if (yych <= 'r') {
			if (yych <= 'q') goto yy548;
			goto yy1078;
		} else {
			if (yych <= 's') goto yy1079;
			if (yych <= 't') goto yy1080;
			goto yy548;
		}
	}
yy995:
	YYDEBUG(995, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '2') goto yy1081;
	if (yych <= '3') goto yy1082;
	if (yych <= '9') goto yy994;
	goto yy56;
yy996:
	YYDEBUG(996, *YYCURSOR);
	++YYCURSOR;
	goto yy897;
yy997:
	YYDEBUG(997, *YYCURSOR);
	yyaccept = 22;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'H') {
		if (yych == '-') goto yy921;
		goto yy581;
	} else {
		if (yych <= 'I') goto yy1017;
		if (yych == 'i') goto yy1017;
		goto yy581;
	}
yy998:
	YYDEBUG(998, *YYCURSOR);
	yyaccept = 22;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'T') {
		if (yych == '-') goto yy921;
		goto yy581;
	} else {
		if (yych <= 'U') goto yy1018;
		if (yych == 'u') goto yy1018;
		goto yy581;
	}
yy999:
	YYDEBUG(999, *YYCURSOR);
	yyaccept = 22;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'D') {
		if (yych == '-') goto yy921;
		goto yy581;
	} else {
		if (yych <= 'E') goto yy1019;
		if (yych == 'e') goto yy1019;
		goto yy581;
	}
yy1000:
	YYDEBUG(1000, *YYCURSOR);
	yyaccept = 22;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'Q') {
		if (yych == '-') goto yy921;
		goto yy581;
	} else {
		if (yych <= 'R') goto yy1020;
		if (yych == 'r') goto yy1020;
		goto yy581;
	}
yy1001:
	YYDEBUG(1001, *YYCURSOR);
	yyaccept = 22;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'T') {
		if (yych == '-') goto yy921;
		goto yy581;
	} else {
		if (yych <= 'U') goto yy1021;
		if (yych == 'u') goto yy1021;
		goto yy581;
	}
yy1002:
	YYDEBUG(1002, *YYCURSOR);
	yyaccept = 22;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'X') {
		if (yych == '-') goto yy921;
		goto yy581;
	} else {
		if (yych <= 'Y') goto yy767;
		if (yych == 'y') goto yy767;
		goto yy581;
	}
yy1003:
	YYDEBUG(1003, *YYCURSOR);
	yyaccept = 22;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'D') {
		if (yych == '-') goto yy921;
		goto yy581;
	} else {
		if (yych <= 'E') goto yy767;
		if (yych == 'e') goto yy767;
		goto yy581;
	}
yy1004:
	YYDEBUG(1004, *YYCURSOR);
	yyaccept = 22;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'B') {
		if (yych == '-') goto yy921;
		goto yy581;
	} else {
		if (yych <= 'C') goto yy1022;
		if (yych == 'c') goto yy1022;
		goto yy581;
	}
yy1005:
	YYDEBUG(1005, *YYCURSOR);
	yyaccept = 22;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == '-') goto yy921;
	goto yy581;
yy1006:
	YYDEBUG(1006, *YYCURSOR);
	yyaccept = 22;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'N') {
		if (yych == '-') goto yy921;
		goto yy581;
	} else {
		if (yych <= 'O') goto yy1023;
		if (yych == 'o') goto yy1023;
		goto yy581;
	}
yy1007:
	YYDEBUG(1007, *YYCURSOR);
	yyaccept = 22;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'S') {
		if (yych == '-') goto yy921;
		goto yy581;
	} else {
		if (yych <= 'T') goto yy999;
		if (yych == 't') goto yy999;
		goto yy581;
	}
yy1008:
	YYDEBUG(1008, *YYCURSOR);
	yyaccept = 26;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'n') {
		if (yych <= '/') goto yy1009;
		if (yych <= '9') goto yy1011;
		if (yych >= 'n') goto yy1083;
	} else {
		if (yych <= 'r') {
			if (yych >= 'r') goto yy1083;
		} else {
			if (yych <= 's') goto yy1084;
			if (yych <= 't') goto yy1085;
		}
	}
yy1009:
	YYDEBUG(1009, *YYCURSOR);
#line 1451 "parse_date.re"
	{
		DEBUG_OUTPUT("iso8601date4 | iso8601date2 | iso8601dateslash | dateslash");
		TIMELIB_INIT;
		TIMELIB_HAVE_DATE();
		s->time->y = timelib_get_signed_nr(s, &ptr, 4);
		s->time->m = timelib_get_nr(&ptr, 2);
		s->time->d = timelib_get_nr(&ptr, 2);
		TIMELIB_DEINIT;
		return TIMELIB_ISO_DATE;
	}
#line 19527 "<stdout>"
yy1010:
	YYDEBUG(1010, *YYCURSOR);
	yyaccept = 26;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'n') {
		if (yych <= '/') goto yy1009;
		if (yych <= '1') goto yy1011;
		if (yych <= 'm') goto yy1009;
		goto yy1083;
	} else {
		if (yych <= 'r') {
			if (yych <= 'q') goto yy1009;
			goto yy1083;
		} else {
			if (yych <= 's') goto yy1084;
			if (yych <= 't') goto yy1085;
			goto yy1009;
		}
	}
yy1011:
	YYDEBUG(1011, *YYCURSOR);
	yyaccept = 26;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'q') {
		if (yych == 'n') goto yy1083;
		goto yy1009;
	} else {
		if (yych <= 'r') goto yy1083;
		if (yych <= 's') goto yy1084;
		if (yych <= 't') goto yy1085;
		goto yy1009;
	}
yy1012:
	YYDEBUG(1012, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '2') goto yy1086;
	if (yych <= '3') goto yy1087;
	if (yych <= '9') goto yy1011;
	goto yy56;
yy1013:
	YYDEBUG(1013, *YYCURSOR);
	yyaccept = 27;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'W') {
		if (yych <= 'F') {
			if (yych <= '/') {
				if (yych <= '\t') {
					if (yych >= '\t') goto yy186;
				} else {
					if (yych == ' ') goto yy186;
				}
			} else {
				if (yych <= 'C') {
					if (yych <= '9') goto yy1088;
				} else {
					if (yych <= 'D') goto yy189;
					if (yych >= 'F') goto yy190;
				}
			}
		} else {
			if (yych <= 'R') {
				if (yych <= 'H') {
					if (yych >= 'H') goto yy75;
				} else {
					if (yych == 'M') goto yy191;
				}
			} else {
				if (yych <= 'T') {
					if (yych <= 'S') goto yy192;
					goto yy1089;
				} else {
					if (yych <= 'U') goto yy84;
					if (yych >= 'W') goto yy86;
				}
			}
		}
	} else {
		if (yych <= 'm') {
			if (yych <= 'e') {
				if (yych <= 'Y') {
					if (yych >= 'Y') goto yy88;
				} else {
					if (yych == 'd') goto yy189;
				}
			} else {
				if (yych <= 'g') {
					if (yych <= 'f') goto yy190;
				} else {
					if (yych <= 'h') goto yy75;
					if (yych >= 'm') goto yy191;
				}
			}
		} else {
			if (yych <= 'v') {
				if (yych <= 's') {
					if (yych >= 's') goto yy192;
				} else {
					if (yych <= 't') goto yy1090;
					if (yych <= 'u') goto yy84;
				}
			} else {
				if (yych <= 'y') {
					if (yych <= 'w') goto yy86;
					if (yych >= 'y') goto yy88;
				} else {
					if (yych == 0xC2) goto yy93;
				}
			}
		}
	}
yy1014:
	YYDEBUG(1014, *YYCURSOR);
#line 1612 "parse_date.re"
	{
		DEBUG_OUTPUT("datenocolon");
		TIMELIB_INIT;
		TIMELIB_HAVE_DATE();
		s->time->y = timelib_get_nr(&ptr, 4);
		s->time->m = timelib_get_nr(&ptr, 2);
		s->time->d = timelib_get_nr(&ptr, 2);
		TIMELIB_DEINIT;
		return TIMELIB_DATE_NOCOLON;
	}
#line 19652 "<stdout>"
yy1015:
	YYDEBUG(1015, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy187;
	if (yych <= '9') goto yy1088;
	goto yy187;
yy1016:
	YYDEBUG(1016, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '2') goto yy1091;
	if (yych <= '3') goto yy1092;
	goto yy56;
yy1017:
	YYDEBUG(1017, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'L') goto yy767;
	if (yych == 'l') goto yy767;
	goto yy56;
yy1018:
	YYDEBUG(1018, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'S') goto yy1093;
	if (yych == 's') goto yy1093;
	goto yy56;
yy1019:
	YYDEBUG(1019, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'M') goto yy1023;
	if (yych == 'm') goto yy1023;
	goto yy56;
yy1020:
	YYDEBUG(1020, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'U') goto yy1021;
	if (yych != 'u') goto yy56;
yy1021:
	YYDEBUG(1021, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'A') goto yy1094;
	if (yych == 'a') goto yy1094;
	goto yy56;
yy1022:
	YYDEBUG(1022, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'H') goto yy767;
	if (yych == 'h') goto yy767;
	goto yy56;
yy1023:
	YYDEBUG(1023, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'B') goto yy1095;
	if (yych == 'b') goto yy1095;
	goto yy56;
yy1024:
	YYDEBUG(1024, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych >= '8') goto yy56;
yy1025:
	YYDEBUG(1025, *YYCURSOR);
	++YYCURSOR;
	YYDEBUG(1026, *YYCURSOR);
#line 1664 "parse_date.re"
	{
		timelib_sll w, d;
		DEBUG_OUTPUT("isoweekday");
		TIMELIB_INIT;
		TIMELIB_HAVE_DATE();
		TIMELIB_HAVE_RELATIVE();

		s->time->y = timelib_get_nr(&ptr, 4);
		w = timelib_get_nr(&ptr, 2);
		d = timelib_get_nr(&ptr, 1);
		s->time->m = 1;
		s->time->d = 1;
		s->time->relative.d = timelib_daynr_from_weeknr(s->time->y, w, d);

		TIMELIB_DEINIT;
		return TIMELIB_ISO_WEEK;
	}
#line 19734 "<stdout>"
yy1027:
	YYDEBUG(1027, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'H') goto yy1096;
	if (yych == 'h') goto yy1096;
	goto yy56;
yy1028:
	YYDEBUG(1028, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'C') goto yy1097;
	if (yych == 'c') goto yy1097;
	goto yy56;
yy1029:
	YYDEBUG(1029, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy1098;
	goto yy56;
yy1030:
	YYDEBUG(1030, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy1100;
	goto yy56;
yy1031:
	YYDEBUG(1031, *YYCURSOR);
	yyaccept = 25;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'q') {
		if (yych == 'n') goto yy718;
		goto yy991;
	} else {
		if (yych <= 'r') goto yy718;
		if (yych <= 's') goto yy719;
		if (yych <= 't') goto yy720;
		goto yy991;
	}
yy1032:
	YYDEBUG(1032, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy1102;
	goto yy56;
yy1033:
	YYDEBUG(1033, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '1') goto yy1102;
	goto yy56;
yy1034:
	YYDEBUG(1034, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy276;
	if (yych <= '9') goto yy1104;
	goto yy276;
yy1035:
	YYDEBUG(1035, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy1036;
	if (yych <= '9') goto yy1105;
yy1036:
	YYDEBUG(1036, *YYCURSOR);
#line 1702 "parse_date.re"
	{
		int length = 0;
		DEBUG_OUTPUT("pgtextshort");
		TIMELIB_INIT;
		TIMELIB_HAVE_DATE();
		s->time->m = timelib_get_month(&ptr);
		s->time->d = timelib_get_nr(&ptr, 2);
		s->time->y = timelib_get_nr_ex(&ptr, 4, &length);
		TIMELIB_PROCESS_YEAR(s->time->y, length);
		TIMELIB_DEINIT;
		return TIMELIB_PG_TEXT;
	}
#line 19810 "<stdout>"
yy1037:
	YYDEBUG(1037, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '1') goto yy1106;
	if (yych <= '2') goto yy1108;
	if (yych <= '9') goto yy1109;
	goto yy56;
yy1038:
	YYDEBUG(1038, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'E') {
		if (yych <= 'C') goto yy56;
		if (yych <= 'D') goto yy1061;
		goto yy1110;
	} else {
		if (yych <= 'c') goto yy56;
		if (yych <= 'd') goto yy1061;
		if (yych <= 'e') goto yy1110;
		goto yy56;
	}
yy1039:
	YYDEBUG(1039, *YYCURSOR);
	yyaccept = 2;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') goto yy18;
	if (yych <= '5') goto yy984;
	if (yych <= '6') goto yy985;
	goto yy18;
yy1040:
	YYDEBUG(1040, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy822;
	if (yych <= '9') goto yy1111;
	goto yy822;
yy1041:
	YYDEBUG(1041, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '0') goto yy1111;
	goto yy822;
yy1042:
	YYDEBUG(1042, *YYCURSOR);
	++YYCURSOR;
	goto yy822;
yy1043:
	YYDEBUG(1043, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy822;
	if (yych <= '9') goto yy1112;
	goto yy822;
yy1044:
	YYDEBUG(1044, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '0') goto yy1112;
	goto yy822;
yy1045:
	YYDEBUG(1045, *YYCURSOR);
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 5) YYFILL(5);
	yych = *YYCURSOR;
	YYDEBUG(1046, *YYCURSOR);
	if (yych <= 'A') {
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy1045;
			goto yy56;
		} else {
			if (yych <= ' ') goto yy1045;
			if (yych <= '@') goto yy56;
		}
	} else {
		if (yych <= '`') {
			if (yych != 'P') goto yy56;
		} else {
			if (yych <= 'a') goto yy1047;
			if (yych != 'p') goto yy56;
		}
	}
yy1047:
	YYDEBUG(1047, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'L') {
		if (yych == '.') goto yy1113;
		goto yy56;
	} else {
		if (yych <= 'M') goto yy1114;
		if (yych == 'm') goto yy1114;
		goto yy56;
	}
yy1048:
	YYDEBUG(1048, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'S') goto yy1115;
	if (yych == 's') goto yy1115;
	goto yy950;
yy1049:
	YYDEBUG(1049, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'T') goto yy1116;
	if (yych == 't') goto yy1116;
	goto yy56;
yy1050:
	YYDEBUG(1050, *YYCURSOR);
	yyaccept = 24;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= ' ') {
		if (yych == '\t') goto yy1117;
		if (yych <= 0x1F) goto yy950;
		goto yy1117;
	} else {
		if (yych <= 'D') {
			if (yych <= 'C') goto yy950;
			goto yy1119;
		} else {
			if (yych == 'd') goto yy1119;
			goto yy950;
		}
	}
yy1051:
	YYDEBUG(1051, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'R') goto yy1048;
	if (yych == 'r') goto yy1048;
	goto yy56;
yy1052:
	YYDEBUG(1052, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'R') goto yy1120;
	if (yych == 'r') goto yy1120;
	goto yy56;
yy1053:
	YYDEBUG(1053, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'L') goto yy1121;
	if (yych == 'l') goto yy1121;
	goto yy56;
yy1054:
	YYDEBUG(1054, *YYCURSOR);
	yyaccept = 24;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'U') {
		if (yych == 'S') goto yy1115;
		if (yych <= 'T') goto yy950;
		goto yy1122;
	} else {
		if (yych <= 's') {
			if (yych <= 'r') goto yy950;
			goto yy1115;
		} else {
			if (yych == 'u') goto yy1122;
			goto yy950;
		}
	}
yy1055:
	YYDEBUG(1055, *YYCURSOR);
	yyaccept = 24;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'D') {
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy1117;
			goto yy950;
		} else {
			if (yych <= ' ') goto yy1117;
			if (yych <= 'C') goto yy950;
			goto yy1119;
		}
	} else {
		if (yych <= 'c') {
			if (yych == 'T') goto yy1123;
			goto yy950;
		} else {
			if (yych <= 'd') goto yy1119;
			if (yych == 't') goto yy1123;
			goto yy950;
		}
	}
yy1056:
	YYDEBUG(1056, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'C') goto yy1048;
	if (yych == 'c') goto yy1048;
	goto yy56;
yy1057:
	YYDEBUG(1057, *YYCURSOR);
	yyaccept = 24;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= ' ') {
		if (yych == '\t') goto yy1117;
		if (yych <= 0x1F) goto yy950;
		goto yy1117;
	} else {
		if (yych <= 'U') {
			if (yych <= 'T') goto yy950;
			goto yy1124;
		} else {
			if (yych == 'u') goto yy1124;
			goto yy950;
		}
	}
yy1058:
	YYDEBUG(1058, *YYCURSOR);
	yyaccept = 24;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'S') {
		if (yych == 'O') goto yy1125;
		if (yych <= 'R') goto yy950;
		goto yy1115;
	} else {
		if (yych <= 'o') {
			if (yych <= 'n') goto yy950;
			goto yy1125;
		} else {
			if (yych == 's') goto yy1115;
			goto yy950;
		}
	}
yy1059:
	YYDEBUG(1059, *YYCURSOR);
	yyaccept = 24;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= ' ') {
		if (yych == '\t') goto yy1117;
		if (yych <= 0x1F) goto yy950;
		goto yy1117;
	} else {
		if (yych <= 'R') {
			if (yych <= 'Q') goto yy950;
			goto yy1126;
		} else {
			if (yych == 'r') goto yy1126;
			goto yy950;
		}
	}
yy1060:
	YYDEBUG(1060, *YYCURSOR);
	yyaccept = 24;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= ' ') {
		if (yych == '\t') goto yy1117;
		if (yych <= 0x1F) goto yy950;
		goto yy1117;
	} else {
		if (yych <= 'S') {
			if (yych <= 'R') goto yy950;
			goto yy1127;
		} else {
			if (yych == 's') goto yy1127;
			goto yy950;
		}
	}
yy1061:
	YYDEBUG(1061, *YYCURSOR);
	yyaccept = 24;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= ' ') {
		if (yych == '\t') goto yy1117;
		if (yych <= 0x1F) goto yy950;
		goto yy1117;
	} else {
		if (yych <= 'N') {
			if (yych <= 'M') goto yy950;
			goto yy1128;
		} else {
			if (yych == 'n') goto yy1128;
			goto yy950;
		}
	}
yy1062:
	YYDEBUG(1062, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'K') goto yy1129;
	if (yych == 'k') goto yy1129;
	goto yy56;
yy1063:
	YYDEBUG(1063, *YYCURSOR);
	yyaccept = 24;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'R') {
		if (yych == ' ') goto yy1131;
		goto yy950;
	} else {
		if (yych <= 'S') goto yy1115;
		if (yych == 's') goto yy1115;
		goto yy950;
	}
yy1064:
	YYDEBUG(1064, *YYCURSOR);
	++YYCURSOR;
	goto yy699;
yy1065:
	YYDEBUG(1065, *YYCURSOR);
	yyaccept = 16;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yybm[0+yych] & 128) {
		goto yy924;
	}
	if (yych <= '.') {
		if (yych == '-') goto yy283;
		goto yy699;
	} else {
		if (yych <= '/') goto yy283;
		if (yych == '_') goto yy283;
		goto yy699;
	}
yy1066:
	YYDEBUG(1066, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '\t') goto yy680;
	if (yych == ' ') goto yy680;
	goto yy56;
yy1067:
	YYDEBUG(1067, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '\t') goto yy680;
	if (yych == ' ') goto yy680;
	goto yy925;
yy1068:
	YYDEBUG(1068, *YYCURSOR);
	++YYCURSOR;
yy1069:
	YYDEBUG(1069, *YYCURSOR);
#line 1163 "parse_date.re"
	{
		DEBUG_OUTPUT("tomorrow");
		TIMELIB_INIT;
		TIMELIB_HAVE_RELATIVE();
		TIMELIB_UNHAVE_TIME();

		s->time->relative.d = 1;
		TIMELIB_DEINIT;
		return TIMELIB_RELATIVE;
	}
#line 20142 "<stdout>"
yy1070:
	YYDEBUG(1070, *YYCURSOR);
	yyaccept = 28;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yybm[0+yych] & 128) {
		goto yy924;
	}
	if (yych <= '.') {
		if (yych == '-') goto yy283;
		goto yy1069;
	} else {
		if (yych <= '/') goto yy283;
		if (yych == '_') goto yy283;
		goto yy1069;
	}
yy1071:
	YYDEBUG(1071, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'Y') goto yy1132;
	if (yych == 'y') goto yy1132;
	goto yy56;
yy1072:
	YYDEBUG(1072, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'Y') goto yy1132;
	if (yych == 'y') goto yy1134;
	goto yy925;
yy1073:
	YYDEBUG(1073, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '2') goto yy1135;
	if (yych <= '3') goto yy1136;
	goto yy56;
yy1074:
	YYDEBUG(1074, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '-') goto yy1137;
	goto yy56;
yy1075:
	YYDEBUG(1075, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '-') goto yy864;
	if (yych <= '/') goto yy187;
	if (yych <= '9') goto yy1138;
	goto yy187;
yy1076:
	YYDEBUG(1076, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy1139;
	goto yy56;
yy1077:
	YYDEBUG(1077, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '1') goto yy1140;
	if (yych <= '2') goto yy1141;
	if (yych <= '9') goto yy1142;
	goto yy56;
yy1078:
	YYDEBUG(1078, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'd') goto yy1143;
	goto yy56;
yy1079:
	YYDEBUG(1079, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 't') goto yy1143;
	goto yy56;
yy1080:
	YYDEBUG(1080, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'h') goto yy1143;
	goto yy56;
yy1081:
	YYDEBUG(1081, *YYCURSOR);
	yyaccept = 15;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'm') {
		if (yych <= '9') {
			if (yych <= '/') goto yy548;
			goto yy1144;
		} else {
			if (yych == 'T') goto yy1077;
			goto yy548;
		}
	} else {
		if (yych <= 'r') {
			if (yych <= 'n') goto yy1078;
			if (yych <= 'q') goto yy548;
			goto yy1078;
		} else {
			if (yych <= 's') goto yy1079;
			if (yych <= 't') goto yy1080;
			goto yy548;
		}
	}
yy1082:
	YYDEBUG(1082, *YYCURSOR);
	yyaccept = 15;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'm') {
		if (yych <= '1') {
			if (yych <= '/') goto yy548;
			goto yy1144;
		} else {
			if (yych == 'T') goto yy1077;
			goto yy548;
		}
	} else {
		if (yych <= 'r') {
			if (yych <= 'n') goto yy1078;
			if (yych <= 'q') goto yy548;
			goto yy1078;
		} else {
			if (yych <= 's') goto yy1079;
			if (yych <= 't') goto yy1080;
			goto yy548;
		}
	}
yy1083:
	YYDEBUG(1083, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'd') goto yy1145;
	goto yy56;
yy1084:
	YYDEBUG(1084, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 't') goto yy1145;
	goto yy56;
yy1085:
	YYDEBUG(1085, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'h') goto yy1145;
	goto yy56;
yy1086:
	YYDEBUG(1086, *YYCURSOR);
	yyaccept = 26;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'n') {
		if (yych <= '/') goto yy1009;
		if (yych <= '9') goto yy1146;
		if (yych <= 'm') goto yy1009;
		goto yy1083;
	} else {
		if (yych <= 'r') {
			if (yych <= 'q') goto yy1009;
			goto yy1083;
		} else {
			if (yych <= 's') goto yy1084;
			if (yych <= 't') goto yy1085;
			goto yy1009;
		}
	}
yy1087:
	YYDEBUG(1087, *YYCURSOR);
	yyaccept = 26;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'n') {
		if (yych <= '/') goto yy1009;
		if (yych <= '1') goto yy1146;
		if (yych <= 'm') goto yy1009;
		goto yy1083;
	} else {
		if (yych <= 'r') {
			if (yych <= 'q') goto yy1009;
			goto yy1083;
		} else {
			if (yych <= 's') goto yy1084;
			if (yych <= 't') goto yy1085;
			goto yy1009;
		}
	}
yy1088:
	YYDEBUG(1088, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy187;
	if (yych <= '9') goto yy1147;
	goto yy187;
yy1089:
	YYDEBUG(1089, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'H') {
		if (yych <= '2') {
			if (yych <= '/') goto yy56;
			if (yych <= '1') goto yy1148;
			goto yy1149;
		} else {
			if (yych <= '9') goto yy1150;
			if (yych <= 'G') goto yy56;
			goto yy256;
		}
	} else {
		if (yych <= 'g') {
			if (yych == 'U') goto yy257;
			goto yy56;
		} else {
			if (yych <= 'h') goto yy256;
			if (yych == 'u') goto yy257;
			goto yy56;
		}
	}
yy1090:
	YYDEBUG(1090, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'H') {
		if (yych <= '2') {
			if (yych <= '/') goto yy56;
			if (yych <= '1') goto yy1151;
			goto yy1152;
		} else {
			if (yych <= '9') goto yy1153;
			if (yych <= 'G') goto yy56;
			goto yy256;
		}
	} else {
		if (yych <= 'g') {
			if (yych == 'U') goto yy257;
			goto yy56;
		} else {
			if (yych <= 'h') goto yy256;
			if (yych == 'u') goto yy257;
			goto yy56;
		}
	}
yy1091:
	YYDEBUG(1091, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy1154;
	goto yy56;
yy1092:
	YYDEBUG(1092, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '1') goto yy1154;
	goto yy56;
yy1093:
	YYDEBUG(1093, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'T') goto yy767;
	if (yych == 't') goto yy767;
	goto yy56;
yy1094:
	YYDEBUG(1094, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'R') goto yy1155;
	if (yych == 'r') goto yy1155;
	goto yy56;
yy1095:
	YYDEBUG(1095, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'E') goto yy1156;
	if (yych == 'e') goto yy1156;
	goto yy56;
yy1096:
	YYDEBUG(1096, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'T') goto yy409;
	if (yych == 't') goto yy409;
	goto yy56;
yy1097:
	YYDEBUG(1097, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'O') goto yy609;
	if (yych == 'o') goto yy609;
	goto yy56;
yy1098:
	YYDEBUG(1098, *YYCURSOR);
	yyaccept = 4;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 5) YYFILL(5);
	yych = *YYCURSOR;
	YYDEBUG(1099, *YYCURSOR);
	if (yych <= 'O') {
		if (yych <= '9') {
			if (yych <= '/') goto yy170;
			goto yy1098;
		} else {
			if (yych == 'A') goto yy1157;
			goto yy170;
		}
	} else {
		if (yych <= 'a') {
			if (yych <= 'P') goto yy1157;
			if (yych <= '`') goto yy170;
			goto yy1157;
		} else {
			if (yych == 'p') goto yy1157;
			goto yy170;
		}
	}
yy1100:
	YYDEBUG(1100, *YYCURSOR);
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 5) YYFILL(5);
	yych = *YYCURSOR;
	YYDEBUG(1101, *YYCURSOR);
	if (yych <= 'O') {
		if (yych <= '9') {
			if (yych <= '/') goto yy56;
			goto yy1100;
		} else {
			if (yych == 'A') goto yy1157;
			goto yy56;
		}
	} else {
		if (yych <= 'a') {
			if (yych <= 'P') goto yy1157;
			if (yych <= '`') goto yy56;
			goto yy1157;
		} else {
			if (yych == 'p') goto yy1157;
			goto yy56;
		}
	}
yy1102:
	YYDEBUG(1102, *YYCURSOR);
	++YYCURSOR;
	YYDEBUG(1103, *YYCURSOR);
#line 1716 "parse_date.re"
	{
		int length = 0;
		DEBUG_OUTPUT("pgtextreverse");
		TIMELIB_INIT;
		TIMELIB_HAVE_DATE();
		s->time->y = timelib_get_nr_ex(&ptr, 4, &length);
		s->time->m = timelib_get_month(&ptr);
		s->time->d = timelib_get_nr(&ptr, 2);
		TIMELIB_PROCESS_YEAR(s->time->y, length);
		TIMELIB_DEINIT;
		return TIMELIB_PG_TEXT;
	}
#line 20477 "<stdout>"
yy1104:
	YYDEBUG(1104, *YYCURSOR);
	++YYCURSOR;
	goto yy276;
yy1105:
	YYDEBUG(1105, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy1036;
	if (yych <= '9') goto yy1158;
	goto yy1036;
yy1106:
	YYDEBUG(1106, *YYCURSOR);
	yyaccept = 29;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '@') {
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy1159;
		} else {
			if (yych <= ' ') goto yy1159;
			if (yych <= '/') goto yy1107;
			if (yych <= '9') goto yy1109;
		}
	} else {
		if (yych <= '`') {
			if (yych <= 'A') goto yy1161;
			if (yych == 'P') goto yy1161;
		} else {
			if (yych <= 'a') goto yy1161;
			if (yych == 'p') goto yy1161;
		}
	}
yy1107:
	YYDEBUG(1107, *YYCURSOR);
#line 1259 "parse_date.re"
	{
		DEBUG_OUTPUT("backof | frontof");
		TIMELIB_INIT;
		TIMELIB_UNHAVE_TIME();
		TIMELIB_HAVE_TIME();

		if (*ptr == 'b') {
			s->time->h = timelib_get_nr(&ptr, 2);
			s->time->i = 15;
		} else {
			s->time->h = timelib_get_nr(&ptr, 2) - 1;
			s->time->i = 45;
		}
		if (*ptr != '\0' ) {
			timelib_eat_spaces(&ptr);
			s->time->h += timelib_meridian(&ptr, s->time->h);
		}

		TIMELIB_DEINIT;
		return TIMELIB_LF_DAY_OF_MONTH;
	}
#line 20533 "<stdout>"
yy1108:
	YYDEBUG(1108, *YYCURSOR);
	yyaccept = 29;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '@') {
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy1159;
			goto yy1107;
		} else {
			if (yych <= ' ') goto yy1159;
			if (yych <= '/') goto yy1107;
			if (yych >= '5') goto yy1107;
		}
	} else {
		if (yych <= '`') {
			if (yych <= 'A') goto yy1161;
			if (yych == 'P') goto yy1161;
			goto yy1107;
		} else {
			if (yych <= 'a') goto yy1161;
			if (yych == 'p') goto yy1161;
			goto yy1107;
		}
	}
yy1109:
	YYDEBUG(1109, *YYCURSOR);
	yyaccept = 29;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'A') {
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy1159;
			goto yy1107;
		} else {
			if (yych <= ' ') goto yy1159;
			if (yych <= '@') goto yy1107;
			goto yy1161;
		}
	} else {
		if (yych <= '`') {
			if (yych == 'P') goto yy1161;
			goto yy1107;
		} else {
			if (yych <= 'a') goto yy1161;
			if (yych == 'p') goto yy1161;
			goto yy1107;
		}
	}
yy1110:
	YYDEBUG(1110, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'K') goto yy1162;
	if (yych == 'k') goto yy1162;
	goto yy56;
yy1111:
	YYDEBUG(1111, *YYCURSOR);
	yyaccept = 20;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '*') {
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy1164;
			goto yy822;
		} else {
			if (yych <= ' ') goto yy1164;
			if (yych == '(') goto yy1164;
			goto yy822;
		}
	} else {
		if (yych <= '@') {
			if (yych == ',') goto yy822;
			if (yych <= '-') goto yy1164;
			goto yy822;
		} else {
			if (yych <= 'Z') goto yy1164;
			if (yych <= '`') goto yy822;
			if (yych <= 'z') goto yy1164;
			goto yy822;
		}
	}
yy1112:
	YYDEBUG(1112, *YYCURSOR);
	yyaccept = 20;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '*') {
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy1171;
			goto yy822;
		} else {
			if (yych <= ' ') goto yy1171;
			if (yych == '(') goto yy1171;
			goto yy822;
		}
	} else {
		if (yych <= '@') {
			if (yych == ',') goto yy822;
			if (yych <= '-') goto yy1171;
			goto yy822;
		} else {
			if (yych <= 'Z') goto yy1171;
			if (yych <= '`') goto yy822;
			if (yych <= 'z') goto yy1171;
			goto yy822;
		}
	}
yy1113:
	YYDEBUG(1113, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'M') goto yy1114;
	if (yych != 'm') goto yy56;
yy1114:
	YYDEBUG(1114, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 0x1F) {
		if (yych <= 0x00) goto yy1174;
		if (yych == '\t') goto yy1174;
		goto yy56;
	} else {
		if (yych <= ' ') goto yy1174;
		if (yych == '.') goto yy1176;
		goto yy56;
	}
yy1115:
	YYDEBUG(1115, *YYCURSOR);
	++YYCURSOR;
	goto yy950;
yy1116:
	YYDEBUG(1116, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'N') {
		if (yych == 'H') goto yy1177;
		if (yych <= 'M') goto yy56;
		goto yy1178;
	} else {
		if (yych <= 'h') {
			if (yych <= 'g') goto yy56;
			goto yy1177;
		} else {
			if (yych == 'n') goto yy1178;
			goto yy56;
		}
	}
yy1117:
	YYDEBUG(1117, *YYCURSOR);
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 2) YYFILL(2);
	yych = *YYCURSOR;
	YYDEBUG(1118, *YYCURSOR);
	if (yych <= ' ') {
		if (yych == '\t') goto yy1117;
		if (yych <= 0x1F) goto yy56;
		goto yy1117;
	} else {
		if (yych <= 'O') {
			if (yych <= 'N') goto yy56;
			goto yy1179;
		} else {
			if (yych == 'o') goto yy1179;
			goto yy56;
		}
	}
yy1119:
	YYDEBUG(1119, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'A') goto yy1180;
	if (yych == 'a') goto yy1180;
	goto yy56;
yy1120:
	YYDEBUG(1120, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'O') goto yy1181;
	if (yych == 'o') goto yy1181;
	goto yy56;
yy1121:
	YYDEBUG(1121, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'I') goto yy1181;
	if (yych == 'i') goto yy1181;
	goto yy56;
yy1122:
	YYDEBUG(1122, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'T') goto yy1182;
	if (yych == 't') goto yy1182;
	goto yy56;
yy1123:
	YYDEBUG(1123, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'H') goto yy1048;
	if (yych == 'h') goto yy1048;
	goto yy56;
yy1124:
	YYDEBUG(1124, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'R') goto yy1127;
	if (yych == 'r') goto yy1127;
	goto yy56;
yy1125:
	YYDEBUG(1125, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'N') goto yy1183;
	if (yych == 'n') goto yy1183;
	goto yy56;
yy1126:
	YYDEBUG(1126, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'S') goto yy1127;
	if (yych != 's') goto yy56;
yy1127:
	YYDEBUG(1127, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'D') goto yy1119;
	if (yych == 'd') goto yy1119;
	goto yy56;
yy1128:
	YYDEBUG(1128, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'E') goto yy1126;
	if (yych == 'e') goto yy1126;
	goto yy56;
yy1129:
	YYDEBUG(1129, *YYCURSOR);
	yyaccept = 30;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'S') {
		if (yych == 'D') goto yy829;
		if (yych >= 'S') goto yy1115;
	} else {
		if (yych <= 'd') {
			if (yych >= 'd') goto yy829;
		} else {
			if (yych == 's') goto yy1115;
		}
	}
yy1130:
	YYDEBUG(1130, *YYCURSOR);
#line 1799 "parse_date.re"
	{
		timelib_sll i;
		int         behavior = 0;
		DEBUG_OUTPUT("relativetextweek");
		TIMELIB_INIT;
		TIMELIB_HAVE_RELATIVE();

		while(*ptr) {
			i = timelib_get_relative_text(&ptr, &behavior);
			timelib_eat_spaces(&ptr);
			timelib_set_relative(&ptr, i, behavior, s, TIMELIB_TIME_PART_DONT_KEEP);
			s->time->relative.weekday_behavior = 2;

			/* to handle the format weekday + last/this/next week */
			if (s->time->relative.have_weekday_relative == 0) {
				TIMELIB_HAVE_WEEKDAY_RELATIVE();
				s->time->relative.weekday = 1;
			}
		}
		TIMELIB_DEINIT;
		return TIMELIB_RELATIVE;
	}
#line 20791 "<stdout>"
yy1131:
	YYDEBUG(1131, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'O') goto yy1184;
	if (yych == 'o') goto yy1184;
	goto yy56;
yy1132:
	YYDEBUG(1132, *YYCURSOR);
	++YYCURSOR;
yy1133:
	YYDEBUG(1133, *YYCURSOR);
#line 1120 "parse_date.re"
	{
		DEBUG_OUTPUT("yesterday");
		TIMELIB_INIT;
		TIMELIB_HAVE_RELATIVE();
		TIMELIB_UNHAVE_TIME();

		s->time->relative.d = -1;
		TIMELIB_DEINIT;
		return TIMELIB_RELATIVE;
	}
#line 20814 "<stdout>"
yy1134:
	YYDEBUG(1134, *YYCURSOR);
	yyaccept = 31;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yybm[0+yych] & 128) {
		goto yy924;
	}
	if (yych <= '.') {
		if (yych == '-') goto yy283;
		goto yy1133;
	} else {
		if (yych <= '/') goto yy283;
		if (yych == '_') goto yy283;
		goto yy1133;
	}
yy1135:
	YYDEBUG(1135, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy1145;
	goto yy56;
yy1136:
	YYDEBUG(1136, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '1') goto yy1145;
	goto yy56;
yy1137:
	YYDEBUG(1137, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '2') goto yy1185;
	if (yych <= '3') goto yy1186;
	goto yy56;
yy1138:
	YYDEBUG(1138, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '-') goto yy864;
	if (yych <= '/') goto yy187;
	if (yych <= '9') goto yy1187;
	goto yy187;
yy1139:
	YYDEBUG(1139, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == ':') goto yy1188;
	goto yy56;
yy1140:
	YYDEBUG(1140, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy1142;
	if (yych <= ':') goto yy1189;
	goto yy56;
yy1141:
	YYDEBUG(1141, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '4') goto yy1142;
	if (yych == ':') goto yy1189;
	goto yy56;
yy1142:
	YYDEBUG(1142, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == ':') goto yy1189;
	goto yy56;
yy1143:
	YYDEBUG(1143, *YYCURSOR);
	yyaccept = 15;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == 'T') goto yy1077;
	goto yy548;
yy1144:
	YYDEBUG(1144, *YYCURSOR);
	yyaccept = 26;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'n') {
		if (yych == 'T') goto yy1190;
		if (yych <= 'm') goto yy1009;
		goto yy1078;
	} else {
		if (yych <= 'r') {
			if (yych <= 'q') goto yy1009;
			goto yy1078;
		} else {
			if (yych <= 's') goto yy1079;
			if (yych <= 't') goto yy1080;
			goto yy1009;
		}
	}
yy1145:
	YYDEBUG(1145, *YYCURSOR);
	++YYCURSOR;
	goto yy1009;
yy1146:
	YYDEBUG(1146, *YYCURSOR);
	yyaccept = 26;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'n') {
		if (yych == '/') goto yy1145;
		if (yych <= 'm') goto yy1009;
		goto yy1083;
	} else {
		if (yych <= 'r') {
			if (yych <= 'q') goto yy1009;
			goto yy1083;
		} else {
			if (yych <= 's') goto yy1084;
			if (yych <= 't') goto yy1085;
			goto yy1009;
		}
	}
yy1147:
	YYDEBUG(1147, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy187;
	if (yych <= '9') goto yy1191;
	goto yy187;
yy1148:
	YYDEBUG(1148, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '5') goto yy1192;
	if (yych <= '9') goto yy1150;
	if (yych <= ':') goto yy1193;
	goto yy56;
yy1149:
	YYDEBUG(1149, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '5') {
		if (yych <= '/') goto yy56;
		if (yych <= '4') goto yy1192;
		goto yy1194;
	} else {
		if (yych == ':') goto yy1193;
		goto yy56;
	}
yy1150:
	YYDEBUG(1150, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '5') goto yy1194;
	if (yych == ':') goto yy1193;
	goto yy56;
yy1151:
	YYDEBUG(1151, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '5') goto yy1195;
	if (yych <= '9') goto yy1153;
	goto yy56;
yy1152:
	YYDEBUG(1152, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '4') goto yy1195;
	if (yych <= '5') goto yy1194;
	goto yy56;
yy1153:
	YYDEBUG(1153, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '5') goto yy1194;
	goto yy56;
yy1154:
	YYDEBUG(1154, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == ' ') goto yy1196;
	goto yy56;
yy1155:
	YYDEBUG(1155, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'Y') goto yy767;
	if (yych == 'y') goto yy767;
	goto yy56;
yy1156:
	YYDEBUG(1156, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'R') goto yy767;
	if (yych == 'r') goto yy767;
	goto yy56;
yy1157:
	YYDEBUG(1157, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'L') {
		if (yych == '.') goto yy1197;
		goto yy56;
	} else {
		if (yych <= 'M') goto yy1198;
		if (yych == 'm') goto yy1198;
		goto yy56;
	}
yy1158:
	YYDEBUG(1158, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy1036;
	if (yych <= '9') goto yy1199;
	goto yy1036;
yy1159:
	YYDEBUG(1159, *YYCURSOR);
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 5) YYFILL(5);
	yych = *YYCURSOR;
	YYDEBUG(1160, *YYCURSOR);
	if (yych <= 'A') {
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy1159;
			goto yy56;
		} else {
			if (yych <= ' ') goto yy1159;
			if (yych <= '@') goto yy56;
		}
	} else {
		if (yych <= '`') {
			if (yych != 'P') goto yy56;
		} else {
			if (yych <= 'a') goto yy1161;
			if (yych != 'p') goto yy56;
		}
	}
yy1161:
	YYDEBUG(1161, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'L') {
		if (yych == '.') goto yy1200;
		goto yy56;
	} else {
		if (yych <= 'M') goto yy1201;
		if (yych == 'm') goto yy1201;
		goto yy56;
	}
yy1162:
	YYDEBUG(1162, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'S') {
		if (yych == 'D') goto yy829;
		if (yych <= 'R') goto yy56;
		goto yy1115;
	} else {
		if (yych <= 'd') {
			if (yych <= 'c') goto yy56;
			goto yy829;
		} else {
			if (yych == 's') goto yy1115;
			goto yy56;
		}
	}
yy1163:
	YYDEBUG(1163, *YYCURSOR);
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 12) YYFILL(12);
	yych = *YYCURSOR;
yy1164:
	YYDEBUG(1164, *YYCURSOR);
	if (yych <= '+') {
		if (yych <= ' ') {
			if (yych == '\t') goto yy1163;
			if (yych <= 0x1F) goto yy56;
			goto yy1163;
		} else {
			if (yych == '(') goto yy1165;
			if (yych <= '*') goto yy56;
			goto yy1166;
		}
	} else {
		if (yych <= 'F') {
			if (yych == '-') goto yy1166;
			if (yych <= '@') goto yy56;
			goto yy1167;
		} else {
			if (yych <= 'Z') {
				if (yych <= 'G') goto yy1168;
				goto yy1167;
			} else {
				if (yych <= '`') goto yy56;
				if (yych <= 'z') goto yy1169;
				goto yy56;
			}
		}
	}
yy1165:
	YYDEBUG(1165, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '@') goto yy56;
	if (yych <= 'Z') goto yy1169;
	if (yych <= '`') goto yy56;
	if (yych <= 'z') goto yy1169;
	goto yy56;
yy1166:
	YYDEBUG(1166, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '1') goto yy1202;
	if (yych <= '2') goto yy1203;
	if (yych <= '9') goto yy1204;
	goto yy56;
yy1167:
	YYDEBUG(1167, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '@') {
		if (yych == ')') goto yy1042;
		goto yy822;
	} else {
		if (yych <= 'Z') goto yy1205;
		if (yych <= '`') goto yy822;
		if (yych <= 'z') goto yy1206;
		goto yy822;
	}
yy1168:
	YYDEBUG(1168, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'L') {
		if (yych == ')') goto yy1042;
		if (yych <= '@') goto yy822;
		goto yy1205;
	} else {
		if (yych <= 'Z') {
			if (yych <= 'M') goto yy1207;
			goto yy1205;
		} else {
			if (yych <= '`') goto yy822;
			if (yych <= 'z') goto yy1206;
			goto yy822;
		}
	}
yy1169:
	YYDEBUG(1169, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '@') {
		if (yych == ')') goto yy1042;
		goto yy822;
	} else {
		if (yych <= 'Z') goto yy1205;
		if (yych <= '`') goto yy822;
		if (yych <= 'z') goto yy1205;
		goto yy822;
	}
yy1170:
	YYDEBUG(1170, *YYCURSOR);
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 12) YYFILL(12);
	yych = *YYCURSOR;
yy1171:
	YYDEBUG(1171, *YYCURSOR);
	if (yych <= '@') {
		if (yych <= '\'') {
			if (yych <= '\t') {
				if (yych <= 0x08) goto yy56;
				goto yy1170;
			} else {
				if (yych == ' ') goto yy1170;
				goto yy56;
			}
		} else {
			if (yych <= '+') {
				if (yych <= '(') goto yy1165;
				if (yych <= '*') goto yy56;
				goto yy1166;
			} else {
				if (yych == '-') goto yy1166;
				goto yy56;
			}
		}
	} else {
		if (yych <= 'Z') {
			if (yych <= 'G') {
				if (yych <= 'A') goto yy1172;
				if (yych <= 'F') goto yy1167;
				goto yy1168;
			} else {
				if (yych != 'P') goto yy1167;
			}
		} else {
			if (yych <= 'o') {
				if (yych <= '`') goto yy56;
				if (yych <= 'a') goto yy1173;
				goto yy1169;
			} else {
				if (yych <= 'p') goto yy1173;
				if (yych <= 'z') goto yy1169;
				goto yy56;
			}
		}
	}
yy1172:
	YYDEBUG(1172, *YYCURSOR);
	yyaccept = 20;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'L') {
		if (yych <= '-') {
			if (yych == ')') goto yy1042;
			goto yy822;
		} else {
			if (yych <= '.') goto yy1113;
			if (yych <= '@') goto yy822;
			goto yy1205;
		}
	} else {
		if (yych <= '`') {
			if (yych <= 'M') goto yy1208;
			if (yych <= 'Z') goto yy1205;
			goto yy822;
		} else {
			if (yych == 'm') goto yy1209;
			if (yych <= 'z') goto yy1206;
			goto yy822;
		}
	}
yy1173:
	YYDEBUG(1173, *YYCURSOR);
	yyaccept = 20;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= 'L') {
		if (yych <= '-') {
			if (yych == ')') goto yy1042;
			goto yy822;
		} else {
			if (yych <= '.') goto yy1113;
			if (yych <= '@') goto yy822;
			goto yy1205;
		}
	} else {
		if (yych <= '`') {
			if (yych <= 'M') goto yy1208;
			if (yych <= 'Z') goto yy1205;
			goto yy822;
		} else {
			if (yych == 'm') goto yy1208;
			if (yych <= 'z') goto yy1205;
			goto yy822;
		}
	}
yy1174:
	YYDEBUG(1174, *YYCURSOR);
	++YYCURSOR;
	YYDEBUG(1175, *YYCURSOR);
#line 1864 "parse_date.re"
	{
		DEBUG_OUTPUT("dateshortwithtimeshort12 | dateshortwithtimelong12");
		TIMELIB_INIT;
		TIMELIB_HAVE_DATE();
		s->time->m = timelib_get_month(&ptr);
		s->time->d = timelib_get_nr(&ptr, 2);

		TIMELIB_HAVE_TIME();
		s->time->h = timelib_get_nr(&ptr, 2);
		s->time->i = timelib_get_nr(&ptr, 2);
		if (*ptr == ':' || *ptr == '.') {
			s->time->s = timelib_get_nr(&ptr, 2);

			if (*ptr == '.') {
				s->time->us = timelib_get_frac_nr(&ptr);
			}
		}

		s->time->h += timelib_meridian(&ptr, s->time->h);
		TIMELIB_DEINIT;
		return TIMELIB_SHORTDATE_WITH_TIME;
	}
#line 21273 "<stdout>"
yy1176:
	YYDEBUG(1176, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '\t') {
		if (yych <= 0x00) goto yy1174;
		if (yych <= 0x08) goto yy56;
		goto yy1174;
	} else {
		if (yych == ' ') goto yy1174;
		goto yy56;
	}
yy1177:
	YYDEBUG(1177, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'N') goto yy1178;
	if (yych != 'n') goto yy56;
yy1178:
	YYDEBUG(1178, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'I') goto yy1210;
	if (yych == 'i') goto yy1210;
	goto yy56;
yy1179:
	YYDEBUG(1179, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'F') goto yy1211;
	if (yych == 'f') goto yy1211;
	goto yy56;
yy1180:
	YYDEBUG(1180, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'Y') goto yy1213;
	if (yych == 'y') goto yy1213;
	goto yy56;
yy1181:
	YYDEBUG(1181, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'S') goto yy1214;
	if (yych == 's') goto yy1214;
	goto yy56;
yy1182:
	YYDEBUG(1182, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'E') goto yy1048;
	if (yych == 'e') goto yy1048;
	goto yy56;
yy1183:
	YYDEBUG(1183, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'D') goto yy1048;
	if (yych == 'd') goto yy1048;
	goto yy56;
yy1184:
	YYDEBUG(1184, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'F') goto yy1215;
	if (yych == 'f') goto yy1215;
	goto yy56;
yy1185:
	YYDEBUG(1185, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy1217;
	goto yy56;
yy1186:
	YYDEBUG(1186, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '1') goto yy1217;
	goto yy56;
yy1187:
	YYDEBUG(1187, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '-') goto yy864;
	if (yych <= '/') goto yy187;
	if (yych <= '9') goto yy1219;
	goto yy187;
yy1188:
	YYDEBUG(1188, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '1') goto yy1220;
	if (yych <= '2') goto yy1221;
	goto yy56;
yy1189:
	YYDEBUG(1189, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '5') goto yy1222;
	if (yych <= '9') goto yy1223;
	goto yy56;
yy1190:
	YYDEBUG(1190, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '1') goto yy1224;
	if (yych <= '2') goto yy1225;
	if (yych <= '9') goto yy1142;
	goto yy56;
yy1191:
	YYDEBUG(1191, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy187;
	if (yych <= '9') goto yy1226;
	goto yy187;
yy1192:
	YYDEBUG(1192, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '5') goto yy1227;
	if (yych <= '9') goto yy1228;
	if (yych >= ';') goto yy56;
yy1193:
	YYDEBUG(1193, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '5') goto yy1229;
	goto yy56;
yy1194:
	YYDEBUG(1194, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy1228;
	goto yy56;
yy1195:
	YYDEBUG(1195, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '5') goto yy1227;
	if (yych <= '9') goto yy1228;
	goto yy56;
yy1196:
	YYDEBUG(1196, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '1') goto yy1230;
	if (yych <= '2') goto yy1231;
	goto yy56;
yy1197:
	YYDEBUG(1197, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'M') goto yy1198;
	if (yych != 'm') goto yy56;
yy1198:
	YYDEBUG(1198, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 0x1F) {
		if (yych <= 0x00) goto yy1232;
		if (yych == '\t') goto yy1232;
		goto yy56;
	} else {
		if (yych <= ' ') goto yy1232;
		if (yych == '.') goto yy1234;
		goto yy56;
	}
yy1199:
	YYDEBUG(1199, *YYCURSOR);
	++YYCURSOR;
	goto yy1036;
yy1200:
	YYDEBUG(1200, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'M') goto yy1201;
	if (yych != 'm') goto yy56;
yy1201:
	YYDEBUG(1201, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 0x1F) {
		if (yych <= 0x00) goto yy1235;
		if (yych == '\t') goto yy1235;
		goto yy56;
	} else {
		if (yych <= ' ') goto yy1235;
		if (yych == '.') goto yy1236;
		goto yy56;
	}
yy1202:
	YYDEBUG(1202, *YYCURSOR);
	yyaccept = 20;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') goto yy822;
	if (yych <= '9') goto yy1237;
	if (yych <= ':') goto yy1238;
	goto yy822;
yy1203:
	YYDEBUG(1203, *YYCURSOR);
	yyaccept = 20;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '5') {
		if (yych <= '/') goto yy822;
		if (yych <= '4') goto yy1237;
		goto yy1239;
	} else {
		if (yych <= '9') goto yy1042;
		if (yych <= ':') goto yy1238;
		goto yy822;
	}
yy1204:
	YYDEBUG(1204, *YYCURSOR);
	yyaccept = 20;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') goto yy822;
	if (yych <= '5') goto yy1239;
	if (yych <= '9') goto yy1042;
	if (yych <= ':') goto yy1238;
	goto yy822;
yy1205:
	YYDEBUG(1205, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '@') {
		if (yych == ')') goto yy1042;
		goto yy822;
	} else {
		if (yych <= 'Z') goto yy1240;
		if (yych <= '`') goto yy822;
		if (yych <= 'z') goto yy1240;
		goto yy822;
	}
yy1206:
	YYDEBUG(1206, *YYCURSOR);
	yyaccept = 20;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych <= ',') {
			if (yych == ')') goto yy1042;
			goto yy822;
		} else {
			if (yych == '.') goto yy822;
			goto yy1241;
		}
	} else {
		if (yych <= '^') {
			if (yych <= '@') goto yy822;
			if (yych <= 'Z') goto yy1240;
			goto yy822;
		} else {
			if (yych <= '_') goto yy1241;
			if (yych <= '`') goto yy822;
			if (yych <= 'z') goto yy1242;
			goto yy822;
		}
	}
yy1207:
	YYDEBUG(1207, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= 'S') {
		if (yych == ')') goto yy1042;
		if (yych <= '@') goto yy822;
		goto yy1240;
	} else {
		if (yych <= 'Z') {
			if (yych <= 'T') goto yy1243;
			goto yy1240;
		} else {
			if (yych <= '`') goto yy822;
			if (yych <= 'z') goto yy1240;
			goto yy822;
		}
	}
yy1208:
	YYDEBUG(1208, *YYCURSOR);
	yyaccept = 20;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= ')') {
		if (yych <= '\t') {
			if (yych <= 0x00) goto yy1174;
			if (yych <= 0x08) goto yy822;
			goto yy1174;
		} else {
			if (yych == ' ') goto yy1174;
			if (yych <= '(') goto yy822;
			goto yy1042;
		}
	} else {
		if (yych <= '@') {
			if (yych == '.') goto yy1176;
			goto yy822;
		} else {
			if (yych <= 'Z') goto yy1240;
			if (yych <= '`') goto yy822;
			if (yych <= 'z') goto yy1240;
			goto yy822;
		}
	}
yy1209:
	YYDEBUG(1209, *YYCURSOR);
	yyaccept = 20;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '-') {
		if (yych <= 0x1F) {
			if (yych <= 0x00) goto yy1174;
			if (yych == '\t') goto yy1174;
			goto yy822;
		} else {
			if (yych <= '(') {
				if (yych <= ' ') goto yy1174;
				goto yy822;
			} else {
				if (yych <= ')') goto yy1042;
				if (yych <= ',') goto yy822;
				goto yy1241;
			}
		}
	} else {
		if (yych <= 'Z') {
			if (yych <= '.') goto yy1176;
			if (yych <= '/') goto yy1241;
			if (yych <= '@') goto yy822;
			goto yy1240;
		} else {
			if (yych <= '_') {
				if (yych <= '^') goto yy822;
				goto yy1241;
			} else {
				if (yych <= '`') goto yy822;
				if (yych <= 'z') goto yy1242;
				goto yy822;
			}
		}
	}
yy1210:
	YYDEBUG(1210, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'G') goto yy1244;
	if (yych == 'g') goto yy1244;
	goto yy56;
yy1211:
	YYDEBUG(1211, *YYCURSOR);
	++YYCURSOR;
	YYDEBUG(1212, *YYCURSOR);
#line 1282 "parse_date.re"
	{
		timelib_sll i;
		int         behavior = 0;
		DEBUG_OUTPUT("weekdayof");
		TIMELIB_INIT;
		TIMELIB_HAVE_RELATIVE();
		TIMELIB_HAVE_SPECIAL_RELATIVE();

		i = timelib_get_relative_text(&ptr, &behavior);
		timelib_eat_spaces(&ptr);
		if (i > 0) { /* first, second... etc */
			s->time->relative.special.type = TIMELIB_SPECIAL_DAY_OF_WEEK_IN_MONTH;
			timelib_set_relative(&ptr, i, 1, s, TIMELIB_TIME_PART_DONT_KEEP);
		} else { /* last */
			s->time->relative.special.type = TIMELIB_SPECIAL_LAST_DAY_OF_WEEK_IN_MONTH;
			timelib_set_relative(&ptr, i, behavior, s, TIMELIB_TIME_PART_DONT_KEEP);
		}
		TIMELIB_DEINIT;
		return TIMELIB_WEEK_DAY_OF_MONTH;
	}
#line 21625 "<stdout>"
yy1213:
	YYDEBUG(1213, *YYCURSOR);
	yyaccept = 24;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= ' ') {
		if (yych == '\t') goto yy1117;
		if (yych <= 0x1F) goto yy950;
		goto yy1117;
	} else {
		if (yych <= 'S') {
			if (yych <= 'R') goto yy950;
			goto yy1245;
		} else {
			if (yych == 's') goto yy1245;
			goto yy950;
		}
	}
yy1214:
	YYDEBUG(1214, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'E') goto yy1246;
	if (yych == 'e') goto yy1246;
	goto yy56;
yy1215:
	YYDEBUG(1215, *YYCURSOR);
	++YYCURSOR;
	YYDEBUG(1216, *YYCURSOR);
#line 1241 "parse_date.re"
	{
		DEBUG_OUTPUT("firstdayof | lastdayof");
		TIMELIB_INIT;
		TIMELIB_HAVE_RELATIVE();
		TIMELIB_UNHAVE_TIME(); // Don't merge into PHP

		/* skip "last day of" or "first day of" */
		if (*ptr == 'l' || *ptr == 'L') {
			s->time->relative.first_last_day_of = TIMELIB_SPECIAL_LAST_DAY_OF_MONTH;
		} else {
			s->time->relative.first_last_day_of = TIMELIB_SPECIAL_FIRST_DAY_OF_MONTH;
		}

		TIMELIB_DEINIT;
		return TIMELIB_LF_DAY_OF_MONTH;
	}
#line 21670 "<stdout>"
yy1217:
	YYDEBUG(1217, *YYCURSOR);
	++YYCURSOR;
	YYDEBUG(1218, *YYCURSOR);
#line 1477 "parse_date.re"
	{
		DEBUG_OUTPUT("iso8601datex");
		TIMELIB_INIT;
		TIMELIB_HAVE_DATE();
		s->time->y = timelib_get_signed_nr(s, &ptr, 19);
		s->time->m = timelib_get_nr(&ptr, 2);
		s->time->d = timelib_get_nr(&ptr, 2);
		TIMELIB_DEINIT;
		return TIMELIB_ISO_DATE;
	}
#line 21686 "<stdout>"
yy1219:
	YYDEBUG(1219, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '-') goto yy864;
	if (yych <= '/') goto yy187;
	if (yych <= '9') goto yy1247;
	goto yy187;
yy1220:
	YYDEBUG(1220, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy1248;
	goto yy56;
yy1221:
	YYDEBUG(1221, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '4') goto yy1248;
	goto yy56;
yy1222:
	YYDEBUG(1222, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy1223;
	if (yych <= ':') goto yy1249;
	goto yy56;
yy1223:
	YYDEBUG(1223, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == ':') goto yy1249;
	goto yy56;
yy1224:
	YYDEBUG(1224, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy1250;
	if (yych <= ':') goto yy1189;
	goto yy56;
yy1225:
	YYDEBUG(1225, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '4') goto yy1250;
	if (yych == ':') goto yy1189;
	goto yy56;
yy1226:
	YYDEBUG(1226, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy187;
	if (yych <= '9') goto yy186;
	goto yy187;
yy1227:
	YYDEBUG(1227, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '5') goto yy1249;
	if (yych <= '6') goto yy1251;
	if (yych >= ':') goto yy56;
yy1228:
	YYDEBUG(1228, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '5') goto yy1252;
	if (yych <= '6') goto yy1253;
	goto yy56;
yy1229:
	YYDEBUG(1229, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy1254;
	goto yy56;
yy1230:
	YYDEBUG(1230, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy1255;
	goto yy56;
yy1231:
	YYDEBUG(1231, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '4') goto yy1255;
	goto yy56;
yy1232:
	YYDEBUG(1232, *YYCURSOR);
	++YYCURSOR;
	YYDEBUG(1233, *YYCURSOR);
#line 1321 "parse_date.re"
	{
		DEBUG_OUTPUT("mssqltime");
		TIMELIB_INIT;
		TIMELIB_HAVE_TIME();
		s->time->h = timelib_get_nr(&ptr, 2);
		s->time->i = timelib_get_nr(&ptr, 2);
		if (*ptr == ':' || *ptr == '.') {
			s->time->s = timelib_get_nr(&ptr, 2);

			if (*ptr == ':' || *ptr == '.') {
				s->time->us = timelib_get_frac_nr(&ptr);
			}
		}
		timelib_eat_spaces(&ptr);
		s->time->h += timelib_meridian(&ptr, s->time->h);
		TIMELIB_DEINIT;
		return TIMELIB_TIME24_WITH_ZONE;
	}
#line 21793 "<stdout>"
yy1234:
	YYDEBUG(1234, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '\t') {
		if (yych <= 0x00) goto yy1232;
		if (yych <= 0x08) goto yy56;
		goto yy1232;
	} else {
		if (yych == ' ') goto yy1232;
		goto yy56;
	}
yy1235:
	YYDEBUG(1235, *YYCURSOR);
	++YYCURSOR;
	goto yy1107;
yy1236:
	YYDEBUG(1236, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '\t') {
		if (yych <= 0x00) goto yy1235;
		if (yych <= 0x08) goto yy56;
		goto yy1235;
	} else {
		if (yych == ' ') goto yy1235;
		goto yy56;
	}
yy1237:
	YYDEBUG(1237, *YYCURSOR);
	yyaccept = 20;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') goto yy822;
	if (yych <= '5') goto yy1256;
	if (yych <= '9') goto yy1042;
	if (yych <= ':') goto yy1257;
	goto yy822;
yy1238:
	YYDEBUG(1238, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '5') goto yy1239;
	if (yych <= '9') goto yy1042;
	goto yy56;
yy1239:
	YYDEBUG(1239, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy822;
	if (yych <= '9') goto yy1042;
	goto yy822;
yy1240:
	YYDEBUG(1240, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '@') {
		if (yych == ')') goto yy1042;
		goto yy822;
	} else {
		if (yych <= 'Z') goto yy1258;
		if (yych <= '`') goto yy822;
		if (yych <= 'z') goto yy1258;
		goto yy822;
	}
yy1241:
	YYDEBUG(1241, *YYCURSOR);
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	if (yych <= '@') goto yy56;
	if (yych <= 'Z') goto yy1259;
	if (yych <= '`') goto yy56;
	if (yych <= 'z') goto yy1259;
	goto yy56;
yy1242:
	YYDEBUG(1242, *YYCURSOR);
	yyaccept = 20;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych <= ',') {
			if (yych == ')') goto yy1042;
			goto yy822;
		} else {
			if (yych == '.') goto yy822;
			goto yy1241;
		}
	} else {
		if (yych <= '^') {
			if (yych <= '@') goto yy822;
			if (yych <= 'Z') goto yy1258;
			goto yy822;
		} else {
			if (yych <= '_') goto yy1241;
			if (yych <= '`') goto yy822;
			if (yych <= 'z') goto yy1261;
			goto yy822;
		}
	}
yy1243:
	YYDEBUG(1243, *YYCURSOR);
	yyaccept = 20;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= ',') {
		if (yych <= ')') {
			if (yych <= '(') goto yy822;
			goto yy1042;
		} else {
			if (yych == '+') goto yy1166;
			goto yy822;
		}
	} else {
		if (yych <= 'Z') {
			if (yych <= '-') goto yy1166;
			if (yych <= '@') goto yy822;
			goto yy1258;
		} else {
			if (yych <= '`') goto yy822;
			if (yych <= 'z') goto yy1258;
			goto yy822;
		}
	}
yy1244:
	YYDEBUG(1244, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'H') goto yy1262;
	if (yych == 'h') goto yy1262;
	goto yy56;
yy1245:
	YYDEBUG(1245, *YYCURSOR);
	yyaccept = 24;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == '\t') goto yy1117;
	if (yych == ' ') goto yy1117;
	goto yy950;
yy1246:
	YYDEBUG(1246, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'C') goto yy1263;
	if (yych == 'c') goto yy1263;
	goto yy56;
yy1247:
	YYDEBUG(1247, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '-') goto yy864;
	if (yych <= '/') goto yy187;
	if (yych <= '9') goto yy1264;
	goto yy187;
yy1248:
	YYDEBUG(1248, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == ':') goto yy1265;
	goto yy56;
yy1249:
	YYDEBUG(1249, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '5') goto yy1266;
	if (yych <= '6') goto yy1268;
	if (yych <= '9') goto yy1269;
	goto yy56;
yy1250:
	YYDEBUG(1250, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == ':') goto yy1270;
	goto yy56;
yy1251:
	YYDEBUG(1251, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '0') goto yy1266;
	if (yych <= '5') goto yy1252;
	if (yych <= '6') goto yy1253;
	goto yy56;
yy1252:
	YYDEBUG(1252, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy1269;
	goto yy56;
yy1253:
	YYDEBUG(1253, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '0') goto yy1269;
	goto yy56;
yy1254:
	YYDEBUG(1254, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == ':') goto yy1228;
	goto yy56;
yy1255:
	YYDEBUG(1255, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == ':') goto yy1193;
	goto yy56;
yy1256:
	YYDEBUG(1256, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy822;
	if (yych <= '9') goto yy1271;
	goto yy822;
yy1257:
	YYDEBUG(1257, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '5') goto yy1272;
	if (yych <= '9') goto yy1042;
	goto yy56;
yy1258:
	YYDEBUG(1258, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '@') {
		if (yych == ')') goto yy1042;
		goto yy822;
	} else {
		if (yych <= 'Z') goto yy1273;
		if (yych <= '`') goto yy822;
		if (yych <= 'z') goto yy1273;
		goto yy822;
	}
yy1259:
	YYDEBUG(1259, *YYCURSOR);
	yyaccept = 20;
	YYMARKER = ++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	YYDEBUG(1260, *YYCURSOR);
	if (yych <= '@') {
		if (yych <= '-') {
			if (yych <= ',') goto yy822;
			goto yy1241;
		} else {
			if (yych == '/') goto yy1241;
			goto yy822;
		}
	} else {
		if (yych <= '_') {
			if (yych <= 'Z') goto yy1259;
			if (yych <= '^') goto yy822;
			goto yy1241;
		} else {
			if (yych <= '`') goto yy822;
			if (yych <= 'z') goto yy1259;
			goto yy822;
		}
	}
yy1261:
	YYDEBUG(1261, *YYCURSOR);
	yyaccept = 20;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych <= ',') {
			if (yych == ')') goto yy1042;
			goto yy822;
		} else {
			if (yych == '.') goto yy822;
			goto yy1241;
		}
	} else {
		if (yych <= '^') {
			if (yych <= '@') goto yy822;
			if (yych <= 'Z') goto yy1273;
			goto yy822;
		} else {
			if (yych <= '_') goto yy1241;
			if (yych <= '`') goto yy822;
			if (yych <= 'z') goto yy1274;
			goto yy822;
		}
	}
yy1262:
	YYDEBUG(1262, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'T') goto yy1048;
	if (yych == 't') goto yy1048;
	goto yy56;
yy1263:
	YYDEBUG(1263, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'O') goto yy1125;
	if (yych == 'o') goto yy1125;
	goto yy56;
yy1264:
	YYDEBUG(1264, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '-') goto yy864;
	if (yych <= '/') goto yy187;
	if (yych <= '9') goto yy1275;
	goto yy187;
yy1265:
	YYDEBUG(1265, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '5') goto yy1276;
	goto yy56;
yy1266:
	YYDEBUG(1266, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy1267;
	if (yych <= '9') goto yy1269;
yy1267:
	YYDEBUG(1267, *YYCURSOR);
#line 1624 "parse_date.re"
	{
		int tz_not_found;
		DEBUG_OUTPUT("xmlrpc | xmlrpcnocolon | soap | wddx | exif");
		TIMELIB_INIT;
		TIMELIB_HAVE_TIME();
		TIMELIB_HAVE_DATE();
		s->time->y = timelib_get_nr(&ptr, 4);
		s->time->m = timelib_get_nr(&ptr, 2);
		s->time->d = timelib_get_nr(&ptr, 2);
		s->time->h = timelib_get_nr(&ptr, 2);
		s->time->i = timelib_get_nr(&ptr, 2);
		s->time->s = timelib_get_nr(&ptr, 2);
		if (*ptr == '.') {
			s->time->us = timelib_get_frac_nr(&ptr);
			if (*ptr) { /* timezone is optional */
				s->time->z = timelib_parse_zone(&ptr, &s->time->dst, s->time, &tz_not_found, s->tzdb, tz_get_wrapper);
				if (tz_not_found) {
					add_error(s, TIMELIB_ERR_TZID_NOT_FOUND, "The timezone could not be found in the database");
				}
			}
		}
		TIMELIB_DEINIT;
		return TIMELIB_XMLRPC_SOAP;
	}
#line 22116 "<stdout>"
yy1268:
	YYDEBUG(1268, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych != '0') goto yy1267;
yy1269:
	YYDEBUG(1269, *YYCURSOR);
	++YYCURSOR;
	goto yy1267;
yy1270:
	YYDEBUG(1270, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '5') goto yy1277;
	if (yych <= '9') goto yy1223;
	goto yy56;
yy1271:
	YYDEBUG(1271, *YYCURSOR);
	yyaccept = 20;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') goto yy822;
	if (yych <= '5') goto yy1278;
	if (yych <= '6') goto yy1279;
	goto yy822;
yy1272:
	YYDEBUG(1272, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy822;
	if (yych <= '9') goto yy1280;
	goto yy822;
yy1273:
	YYDEBUG(1273, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '@') {
		if (yych == ')') goto yy1042;
		goto yy822;
	} else {
		if (yych <= 'Z') goto yy1281;
		if (yych <= '`') goto yy822;
		if (yych <= 'z') goto yy1281;
		goto yy822;
	}
yy1274:
	YYDEBUG(1274, *YYCURSOR);
	yyaccept = 20;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') {
		if (yych <= ',') {
			if (yych == ')') goto yy1042;
			goto yy822;
		} else {
			if (yych == '.') goto yy822;
			goto yy1241;
		}
	} else {
		if (yych <= '^') {
			if (yych <= '@') goto yy822;
			if (yych <= 'Z') goto yy1281;
			goto yy822;
		} else {
			if (yych <= '_') goto yy1241;
			if (yych <= '`') goto yy822;
			if (yych <= 'z') goto yy1282;
			goto yy822;
		}
	}
yy1275:
	YYDEBUG(1275, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '-') goto yy864;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy1283;
	goto yy56;
yy1276:
	YYDEBUG(1276, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy1284;
	goto yy56;
yy1277:
	YYDEBUG(1277, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy1285;
	if (yych <= ':') goto yy1249;
	goto yy56;
yy1278:
	YYDEBUG(1278, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy1042;
	goto yy56;
yy1279:
	YYDEBUG(1279, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '0') goto yy1042;
	goto yy56;
yy1280:
	YYDEBUG(1280, *YYCURSOR);
	yyaccept = 20;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == ':') goto yy1286;
	goto yy822;
yy1281:
	YYDEBUG(1281, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == ')') goto yy1042;
	goto yy822;
yy1282:
	YYDEBUG(1282, *YYCURSOR);
	yyaccept = 20;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '.') {
		if (yych <= ')') {
			if (yych <= '(') goto yy822;
			goto yy1042;
		} else {
			if (yych == '-') goto yy1241;
			goto yy822;
		}
	} else {
		if (yych <= '_') {
			if (yych <= '/') goto yy1241;
			if (yych <= '^') goto yy822;
			goto yy1241;
		} else {
			if (yych <= '`') goto yy822;
			if (yych <= 'z') goto yy1287;
			goto yy822;
		}
	}
yy1283:
	YYDEBUG(1283, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '-') goto yy864;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy1289;
	goto yy56;
yy1284:
	YYDEBUG(1284, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == ':') goto yy1290;
	goto yy56;
yy1285:
	YYDEBUG(1285, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == ':') goto yy1291;
	goto yy56;
yy1286:
	YYDEBUG(1286, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '5') goto yy1278;
	if (yych <= '6') goto yy1279;
	goto yy56;
yy1287:
	YYDEBUG(1287, *YYCURSOR);
	++YYCURSOR;
	if (YYLIMIT <= YYCURSOR) YYFILL(1);
	yych = *YYCURSOR;
	YYDEBUG(1288, *YYCURSOR);
	if (yych <= '/') {
		if (yych == '-') goto yy1241;
		if (yych <= '.') goto yy56;
		goto yy1241;
	} else {
		if (yych <= '_') {
			if (yych <= '^') goto yy56;
			goto yy1241;
		} else {
			if (yych <= '`') goto yy56;
			if (yych <= 'z') goto yy1287;
			goto yy56;
		}
	}
yy1289:
	YYDEBUG(1289, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '-') goto yy864;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy1292;
	goto yy56;
yy1290:
	YYDEBUG(1290, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '5') goto yy1293;
	if (yych <= '6') goto yy1294;
	goto yy56;
yy1291:
	YYDEBUG(1291, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '5') goto yy1295;
	if (yych <= '6') goto yy1296;
	if (yych <= '9') goto yy1269;
	goto yy56;
yy1292:
	YYDEBUG(1292, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '-') goto yy864;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy1297;
	goto yy56;
yy1293:
	YYDEBUG(1293, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy1298;
	goto yy56;
yy1294:
	YYDEBUG(1294, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '0') goto yy1298;
	goto yy56;
yy1295:
	YYDEBUG(1295, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy1267;
	if (yych <= '9') goto yy1299;
	goto yy1267;
yy1296:
	YYDEBUG(1296, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '0') goto yy1299;
	goto yy1267;
yy1297:
	YYDEBUG(1297, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '-') goto yy864;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy1300;
	goto yy56;
yy1298:
	YYDEBUG(1298, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '\t') goto yy1301;
	if (yych == ' ') goto yy1301;
	goto yy56;
yy1299:
	YYDEBUG(1299, *YYCURSOR);
	yyaccept = 32;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == '.') goto yy1303;
	goto yy1267;
yy1300:
	YYDEBUG(1300, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '-') goto yy864;
	goto yy56;
yy1301:
	YYDEBUG(1301, *YYCURSOR);
	++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 12) YYFILL(12);
	yych = *YYCURSOR;
	YYDEBUG(1302, *YYCURSOR);
	if (yych <= '*') {
		if (yych <= '\t') {
			if (yych <= 0x08) goto yy56;
			goto yy1301;
		} else {
			if (yych == ' ') goto yy1301;
			goto yy56;
		}
	} else {
		if (yych <= '-') {
			if (yych == ',') goto yy56;
			goto yy1304;
		} else {
			if (yych == 'G') goto yy1305;
			goto yy56;
		}
	}
yy1303:
	YYDEBUG(1303, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy1306;
	goto yy56;
yy1304:
	YYDEBUG(1304, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '1') goto yy1308;
	if (yych <= '2') goto yy1310;
	if (yych <= '9') goto yy1311;
	goto yy56;
yy1305:
	YYDEBUG(1305, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'M') goto yy1312;
	goto yy56;
yy1306:
	YYDEBUG(1306, *YYCURSOR);
	yyaccept = 32;
	YYMARKER = ++YYCURSOR;
	if ((YYLIMIT - YYCURSOR) < 12) YYFILL(12);
	yych = *YYCURSOR;
	YYDEBUG(1307, *YYCURSOR);
	if (yych <= '-') {
		if (yych == '+') goto yy1313;
		if (yych <= ',') goto yy1267;
		goto yy1313;
	} else {
		if (yych <= '9') {
			if (yych <= '/') goto yy1267;
			goto yy1306;
		} else {
			if (yych == 'G') goto yy1314;
			goto yy1267;
		}
	}
yy1308:
	YYDEBUG(1308, *YYCURSOR);
	yyaccept = 33;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') goto yy1309;
	if (yych <= '9') goto yy1315;
	if (yych <= ':') goto yy1316;
yy1309:
	YYDEBUG(1309, *YYCURSOR);
#line 1730 "parse_date.re"
	{
		int tz_not_found;
		DEBUG_OUTPUT("clf");
		TIMELIB_INIT;
		TIMELIB_HAVE_TIME();
		TIMELIB_HAVE_DATE();
		s->time->d = timelib_get_nr(&ptr, 2);
		s->time->m = timelib_get_month(&ptr);
		s->time->y = timelib_get_nr(&ptr, 4);
		s->time->h = timelib_get_nr(&ptr, 2);
		s->time->i = timelib_get_nr(&ptr, 2);
		s->time->s = timelib_get_nr(&ptr, 2);
		s->time->z = timelib_parse_zone(&ptr, &s->time->dst, s->time, &tz_not_found, s->tzdb, tz_get_wrapper);
		if (tz_not_found) {
			add_error(s, TIMELIB_ERR_TZID_NOT_FOUND, "The timezone could not be found in the database");
		}
		TIMELIB_DEINIT;
		return TIMELIB_CLF;
	}
#line 22457 "<stdout>"
yy1310:
	YYDEBUG(1310, *YYCURSOR);
	yyaccept = 33;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '5') {
		if (yych <= '/') goto yy1309;
		if (yych <= '4') goto yy1315;
		goto yy1317;
	} else {
		if (yych <= '9') goto yy1318;
		if (yych <= ':') goto yy1316;
		goto yy1309;
	}
yy1311:
	YYDEBUG(1311, *YYCURSOR);
	yyaccept = 33;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') goto yy1309;
	if (yych <= '5') goto yy1317;
	if (yych <= '9') goto yy1318;
	if (yych <= ':') goto yy1316;
	goto yy1309;
yy1312:
	YYDEBUG(1312, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'T') goto yy1319;
	goto yy56;
yy1313:
	YYDEBUG(1313, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '1') goto yy1320;
	if (yych <= '2') goto yy1321;
	if (yych <= '9') goto yy1322;
	goto yy56;
yy1314:
	YYDEBUG(1314, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'M') goto yy1323;
	goto yy56;
yy1315:
	YYDEBUG(1315, *YYCURSOR);
	yyaccept = 33;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') goto yy1309;
	if (yych <= '5') goto yy1324;
	if (yych <= '9') goto yy1318;
	if (yych <= ':') goto yy1325;
	goto yy1309;
yy1316:
	YYDEBUG(1316, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '5') goto yy1317;
	if (yych <= '9') goto yy1318;
	goto yy56;
yy1317:
	YYDEBUG(1317, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy1309;
	if (yych >= ':') goto yy1309;
yy1318:
	YYDEBUG(1318, *YYCURSOR);
	++YYCURSOR;
	goto yy1309;
yy1319:
	YYDEBUG(1319, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '+') goto yy1304;
	if (yych == '-') goto yy1304;
	goto yy56;
yy1320:
	YYDEBUG(1320, *YYCURSOR);
	yyaccept = 32;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') goto yy1267;
	if (yych <= '9') goto yy1326;
	if (yych <= ':') goto yy1327;
	goto yy1267;
yy1321:
	YYDEBUG(1321, *YYCURSOR);
	yyaccept = 32;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '5') {
		if (yych <= '/') goto yy1267;
		if (yych <= '4') goto yy1326;
		goto yy1266;
	} else {
		if (yych <= '9') goto yy1269;
		if (yych <= ':') goto yy1327;
		goto yy1267;
	}
yy1322:
	YYDEBUG(1322, *YYCURSOR);
	yyaccept = 32;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') goto yy1267;
	if (yych <= '5') goto yy1266;
	if (yych <= '9') goto yy1269;
	if (yych <= ':') goto yy1327;
	goto yy1267;
yy1323:
	YYDEBUG(1323, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == 'T') goto yy1328;
	goto yy56;
yy1324:
	YYDEBUG(1324, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy1309;
	if (yych <= '9') goto yy1329;
	goto yy1309;
yy1325:
	YYDEBUG(1325, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '5') goto yy1330;
	if (yych <= '9') goto yy1318;
	goto yy56;
yy1326:
	YYDEBUG(1326, *YYCURSOR);
	yyaccept = 32;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') goto yy1267;
	if (yych <= '5') goto yy1331;
	if (yych <= '9') goto yy1269;
	if (yych <= ':') goto yy1332;
	goto yy1267;
yy1327:
	YYDEBUG(1327, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '5') goto yy1266;
	if (yych <= '9') goto yy1269;
	goto yy56;
yy1328:
	YYDEBUG(1328, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '+') goto yy1313;
	if (yych == '-') goto yy1313;
	goto yy56;
yy1329:
	YYDEBUG(1329, *YYCURSOR);
	yyaccept = 33;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') goto yy1309;
	if (yych <= '5') goto yy1333;
	if (yych <= '6') goto yy1334;
	goto yy1309;
yy1330:
	YYDEBUG(1330, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy1309;
	if (yych <= '9') goto yy1335;
	goto yy1309;
yy1331:
	YYDEBUG(1331, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy1267;
	if (yych <= '9') goto yy1336;
	goto yy1267;
yy1332:
	YYDEBUG(1332, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '5') goto yy1337;
	if (yych <= '9') goto yy1269;
	goto yy56;
yy1333:
	YYDEBUG(1333, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '9') goto yy1318;
	goto yy56;
yy1334:
	YYDEBUG(1334, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych == '0') goto yy1318;
	goto yy56;
yy1335:
	YYDEBUG(1335, *YYCURSOR);
	yyaccept = 33;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == ':') goto yy1338;
	goto yy1309;
yy1336:
	YYDEBUG(1336, *YYCURSOR);
	yyaccept = 32;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych <= '/') goto yy1267;
	if (yych <= '5') goto yy1252;
	if (yych <= '6') goto yy1253;
	goto yy1267;
yy1337:
	YYDEBUG(1337, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy1267;
	if (yych <= '9') goto yy1339;
	goto yy1267;
yy1338:
	YYDEBUG(1338, *YYCURSOR);
	yych = *++YYCURSOR;
	if (yych <= '/') goto yy56;
	if (yych <= '5') goto yy1333;
	if (yych <= '6') goto yy1334;
	goto yy56;
yy1339:
	YYDEBUG(1339, *YYCURSOR);
	yyaccept = 32;
	yych = *(YYMARKER = ++YYCURSOR);
	if (yych == ':') goto yy1228;
	goto yy1267;
}
#line 1949 "parse_date.re"

}

#define YYMAXFILL 36


timelib_time *timelib_strtotime(const char *s, size_t len, timelib_error_container **errors, const timelib_tzdb *tzdb, timelib_tz_get_wrapper tz_get_wrapper)
{
	Scanner in;
	int t;
	const char *e = s + len - 1;

	memset(&in, 0, sizeof(in));
	in.errors = timelib_malloc(sizeof(timelib_error_container));
	in.errors->warning_count = 0;
	in.errors->warning_messages = NULL;
	in.errors->error_count = 0;
	in.errors->error_messages = NULL;

	if (len > 0) {
		while (isspace(*s) && s < e) {
			s++;
		}
		while (isspace(*e) && e > s) {
			e--;
		}
	}
	if (e - s < 0) {
		in.time = timelib_time_ctor();
		add_error(&in, TIMELIB_ERR_EMPTY_STRING, "Empty string");
		if (errors) {
			*errors = in.errors;
		} else {
			timelib_error_container_dtor(in.errors);
		}
		in.time->y = in.time->d = in.time->m = in.time->h = in.time->i = in.time->s = in.time->us = in.time->dst = in.time->z = TIMELIB_UNSET;
		in.time->is_localtime = in.time->zone_type = 0;
		return in.time;
	}
	e++;

	in.str = timelib_malloc((e - s) + YYMAXFILL);
	memset(in.str, 0, (e - s) + YYMAXFILL);
	memcpy(in.str, s, (e - s));
	in.lim = in.str + (e - s) + YYMAXFILL;
	in.cur = in.str;
	in.time = timelib_time_ctor();
	in.time->y = TIMELIB_UNSET;
	in.time->d = TIMELIB_UNSET;
	in.time->m = TIMELIB_UNSET;
	in.time->h = TIMELIB_UNSET;
	in.time->i = TIMELIB_UNSET;
	in.time->s = TIMELIB_UNSET;
	in.time->us = TIMELIB_UNSET;
	in.time->z = TIMELIB_UNSET;
	in.time->dst = TIMELIB_UNSET;
	in.tzdb = tzdb;
	in.time->is_localtime = 0;
	in.time->zone_type = 0;
	in.time->relative.days = TIMELIB_UNSET;

	do {
		t = scan(&in, tz_get_wrapper);
#ifdef DEBUG_PARSER
		printf("%d\n", t);
#endif
	} while(t != EOI);

	/* do funky checking whether the parsed time was valid time */
	if (in.time->have_time && !timelib_valid_time( in.time->h, in.time->i, in.time->s)) {
		add_warning(&in, TIMELIB_WARN_INVALID_TIME, "The parsed time was invalid");
	}
	/* do funky checking whether the parsed date was valid date */
	if (in.time->have_date && !timelib_valid_date( in.time->y, in.time->m, in.time->d)) {
		add_warning(&in, TIMELIB_WARN_INVALID_DATE, "The parsed date was invalid");
	}

	timelib_free(in.str);
	if (errors) {
		*errors = in.errors;
	} else {
		timelib_error_container_dtor(in.errors);
	}
	return in.time;
}

#define TIMELIB_CHECK_NUMBER                                           \
		if (strchr("0123456789", *ptr) == NULL)                        \
		{                                                              \
			add_pbf_error(s, TIMELIB_ERR_UNEXPECTED_DATA, "Unexpected data found.", string, begin); \
		}
#define TIMELIB_CHECK_SIGNED_NUMBER                                    \
		if (strchr("+-0123456789", *ptr) == NULL)                      \
		{                                                              \
			add_pbf_error(s, TIMELIB_ERR_UNEXPECTED_DATA, "Unexpected data found.", string, begin); \
		}

static void timelib_time_reset_fields(timelib_time *time)
{
	assert(time != NULL);

	time->y = 1970;
	time->m = 1;
	time->d = 1;
	time->h = time->i = time->s = 0;
	time->us = 0;
	time->tz_info = NULL;
}

static void timelib_time_reset_unset_fields(timelib_time *time)
{
	assert(time != NULL);

	if (time->y == TIMELIB_UNSET ) time->y = 1970;
	if (time->m == TIMELIB_UNSET ) time->m = 1;
	if (time->d == TIMELIB_UNSET ) time->d = 1;
	if (time->h == TIMELIB_UNSET ) time->h = 0;
	if (time->i == TIMELIB_UNSET ) time->i = 0;
	if (time->s == TIMELIB_UNSET ) time->s = 0;
	if (time->us == TIMELIB_UNSET ) time->us = 0;
}

static const timelib_format_specifier default_format_map[] = {
	{'+', TIMELIB_FORMAT_ALLOW_EXTRA_CHARACTERS},
	{'#', TIMELIB_FORMAT_ANY_SEPARATOR},
	{'j', TIMELIB_FORMAT_DAY_TWO_DIGIT},
	{'d', TIMELIB_FORMAT_DAY_TWO_DIGIT_PADDED},
	{'z', TIMELIB_FORMAT_DAY_OF_YEAR},
	{'S', TIMELIB_FORMAT_DAY_SUFFIX},
	{'U', TIMELIB_FORMAT_EPOCH_SECONDS},
	{'\\', TIMELIB_FORMAT_ESCAPE},
	{'h', TIMELIB_FORMAT_HOUR_TWO_DIGIT_12_MAX},
	{'g', TIMELIB_FORMAT_HOUR_TWO_DIGIT_12_MAX_PADDED},
	{'H', TIMELIB_FORMAT_HOUR_TWO_DIGIT_24_MAX},
	{'G', TIMELIB_FORMAT_HOUR_TWO_DIGIT_24_MAX_PADDED},
	{'a', TIMELIB_FORMAT_MERIDIAN},
	{'A', TIMELIB_FORMAT_MERIDIAN},
	{'u', TIMELIB_FORMAT_MICROSECOND_SIX_DIGIT},
	{'v', TIMELIB_FORMAT_MILLISECOND_THREE_DIGIT},
	{'i', TIMELIB_FORMAT_MINUTE_TWO_DIGIT},
	{'n', TIMELIB_FORMAT_MONTH_TWO_DIGIT},
	{'m', TIMELIB_FORMAT_MONTH_TWO_DIGIT_PADDED},
	{'?', TIMELIB_FORMAT_RANDOM_CHAR},
	{'!', TIMELIB_FORMAT_RESET_ALL},
	{'|', TIMELIB_FORMAT_RESET_ALL_WHEN_NOT_SET},
	{'s', TIMELIB_FORMAT_SECOND_TWO_DIGIT},
	{';', TIMELIB_FORMAT_SEPARATOR},
	{':', TIMELIB_FORMAT_SEPARATOR},
	{'/', TIMELIB_FORMAT_SEPARATOR},
	{'.', TIMELIB_FORMAT_SEPARATOR},
	{',', TIMELIB_FORMAT_SEPARATOR},
	{'-', TIMELIB_FORMAT_SEPARATOR},
	{'(', TIMELIB_FORMAT_SEPARATOR},
	{')', TIMELIB_FORMAT_SEPARATOR},
	{'*', TIMELIB_FORMAT_SKIP_TO_SEPARATOR},
	{'D', TIMELIB_FORMAT_TEXTUAL_DAY_3_LETTER},
	{'l', TIMELIB_FORMAT_TEXTUAL_DAY_FULL},
	{'M', TIMELIB_FORMAT_TEXTUAL_MONTH_3_LETTER},
	{'F', TIMELIB_FORMAT_TEXTUAL_MONTH_FULL},
	{'e', TIMELIB_FORMAT_TIMEZONE_OFFSET},
	{'P', TIMELIB_FORMAT_TIMEZONE_OFFSET},
	{'p', TIMELIB_FORMAT_TIMEZONE_OFFSET},
	{'T', TIMELIB_FORMAT_TIMEZONE_OFFSET},
	{'O', TIMELIB_FORMAT_TIMEZONE_OFFSET},
	{' ', TIMELIB_FORMAT_WHITESPACE},
	{'y', TIMELIB_FORMAT_YEAR_TWO_DIGIT},
	{'Y', TIMELIB_FORMAT_YEAR_FOUR_DIGIT},
	{'x', TIMELIB_FORMAT_YEAR_EXPANDED},
	{'X', TIMELIB_FORMAT_YEAR_EXPANDED},
	{'\0', TIMELIB_FORMAT_END}
};

static const timelib_format_config default_format_config = {
	default_format_map,
	// No prefix required by default.
	'\0'
};

static timelib_format_specifier_code timelib_lookup_format(char input, const timelib_format_specifier* format_map)
{
	while (format_map && format_map->specifier != '\0') {
		if (format_map->specifier == input) {
			return format_map->code;
		}
		format_map++;
	}
	return TIMELIB_FORMAT_LITERAL;
}

timelib_time *timelib_parse_from_format(const char *format, const char *string, size_t len, timelib_error_container **errors, const timelib_tzdb *tzdb, timelib_tz_get_wrapper tz_get_wrapper)
{
	return timelib_parse_from_format_with_map(format, string, len, errors, tzdb, tz_get_wrapper, &default_format_config);
}

timelib_time *timelib_parse_from_format_with_map(const char *format, const char *string, size_t len, timelib_error_container **errors, const timelib_tzdb *tzdb, timelib_tz_get_wrapper tz_get_wrapper, const timelib_format_config* format_config)
{
	const char  *fptr = format;
	const char  *ptr = string;
	const char  *begin;
	timelib_sll  tmp;
	Scanner      in;
	Scanner     *s = &in;
	bool         allow_extra = false;
	bool         prefix_found = false;
	int          iso_year = TIMELIB_UNSET;
	int          iso_week_of_year = TIMELIB_UNSET;
	int          iso_day_of_week = TIMELIB_UNSET;
	char         prefix_char = format_config->prefix_char;
	const timelib_format_specifier *format_map = format_config->format_map;

	memset(&in, 0, sizeof(in));
	in.errors = timelib_malloc(sizeof(timelib_error_container));
	in.errors->warning_count = 0;
	in.errors->warning_messages = NULL;
	in.errors->error_count = 0;
	in.errors->error_messages = NULL;

	in.time = timelib_time_ctor();
	in.time->y = TIMELIB_UNSET;
	in.time->d = TIMELIB_UNSET;
	in.time->m = TIMELIB_UNSET;
	in.time->h = TIMELIB_UNSET;
	in.time->i = TIMELIB_UNSET;
	in.time->s = TIMELIB_UNSET;
	in.time->us = TIMELIB_UNSET;
	in.time->z = TIMELIB_UNSET;
	in.time->dst = TIMELIB_UNSET;
	in.tzdb = tzdb;
	in.time->is_localtime = 0;
	in.time->zone_type = 0;

	/* Loop over the format string */
	while (*fptr && *ptr) {
		begin = ptr;

		if (prefix_char) {
			/* There are 2 cases where the input string and format string
			 * should match the next literal:
			 *
			 * 1. No prefix has been specified yet in the format, so expect 1:1
			 *    match.
			 * 2. Sequential prefix characters indicating that the second
			 *    prefix is escaped. (e.g. "%%" is expecting literal "%")
			 */
			if ((!prefix_found && *fptr != prefix_char) ||
				(prefix_found && *fptr == prefix_char)) {
				if (*fptr != *ptr) {
					add_pbf_error(s, TIMELIB_ERR_FORMAT_LITERAL_MISMATCH, "Format literal not found", string, begin);
				}
				ptr++;
				fptr++;
				prefix_found = false;
				continue;
			}

			if (*fptr == prefix_char) {
				fptr++;
				prefix_found = true;
				continue;
			}

			/* Fall through case is that the prefix has been found and the next
			 * character is the format specifier. */
			prefix_found = false;
		}

		switch (timelib_lookup_format(*fptr, format_map)) {
			case TIMELIB_FORMAT_TEXTUAL_DAY_3_LETTER: /* three letter day */
			case TIMELIB_FORMAT_TEXTUAL_DAY_FULL: /* full day */
				{
					const timelib_relunit* tmprel = 0;

					tmprel = timelib_lookup_relunit(&ptr);
					if (!tmprel) {
						add_pbf_error(s, TIMELIB_ERR_NO_TEXTUAL_DAY, "A textual day could not be found", string, begin);
						break;
					} else {
						in.time->have_relative = 1;
						in.time->relative.have_weekday_relative = 1;
						in.time->relative.weekday = tmprel->multiplier;
						in.time->relative.weekday_behavior = 1;
					}
				}
				break;
			case TIMELIB_FORMAT_DAY_TWO_DIGIT: /* two digit day, without leading zero */
			case TIMELIB_FORMAT_DAY_TWO_DIGIT_PADDED: /* two digit day, with leading zero */
				TIMELIB_CHECK_NUMBER;
				if ((s->time->d = timelib_get_nr(&ptr, 2)) == TIMELIB_UNSET) {
					add_pbf_error(s, TIMELIB_ERR_NO_TWO_DIGIT_DAY, "A two digit day could not be found", string, begin);
					break;
				}

				s->time->have_date = 1;
				break;
			case TIMELIB_FORMAT_DAY_SUFFIX: /* day suffix, ignored, nor checked */
				timelib_skip_day_suffix(&ptr);
				break;
			case TIMELIB_FORMAT_DAY_OF_YEAR: /* day of year - resets month (0 based) - also initializes everything else to !TIMELIB_UNSET */
				TIMELIB_CHECK_NUMBER;
				if (s->time->y == TIMELIB_UNSET) {
					add_pbf_error(s, TIMELIB_ERR_MERIDIAN_BEFORE_HOUR, "A 'day of year' can only come after a year has been found", string, begin);
				}
				if ((tmp = timelib_get_nr(&ptr, 3)) == TIMELIB_UNSET) {
					add_pbf_error(s, TIMELIB_ERR_NO_THREE_DIGIT_DAY_OF_YEAR, "A three digit day-of-year could not be found", string, begin);
					break;
				}

				if (s->time->y != TIMELIB_UNSET) {
					s->time->have_date = 1;
					s->time->m = 1;
					s->time->d = tmp + 1;
					timelib_do_normalize(s->time);
				}
				break;

			case TIMELIB_FORMAT_MONTH_TWO_DIGIT: /* two digit month, without leading zero */
			case TIMELIB_FORMAT_MONTH_TWO_DIGIT_PADDED: /* two digit month, with leading zero */
				TIMELIB_CHECK_NUMBER;
				if ((s->time->m = timelib_get_nr(&ptr, 2)) == TIMELIB_UNSET) {
					add_pbf_error(s, TIMELIB_ERR_NO_TWO_DIGIT_MONTH, "A two digit month could not be found", string, begin);
					break;
				}
				s->time->have_date = 1;
				break;
			case TIMELIB_FORMAT_TEXTUAL_MONTH_3_LETTER: /* three letter month */
			case TIMELIB_FORMAT_TEXTUAL_MONTH_FULL: /* full month */
				tmp = timelib_lookup_month(&ptr);
				if (!tmp) {
					add_pbf_error(s, TIMELIB_ERR_NO_TEXTUAL_MONTH, "A textual month could not be found", string, begin);
					break;
				}

				s->time->have_date = 1;
				s->time->m = tmp;
				break;
			case TIMELIB_FORMAT_YEAR_TWO_DIGIT: /* two digit year */
				{
					int length = 0;
					TIMELIB_CHECK_NUMBER;
					if ((s->time->y = timelib_get_nr_ex(&ptr, 2, &length)) == TIMELIB_UNSET) {
						add_pbf_error(s, TIMELIB_ERR_NO_TWO_DIGIT_YEAR, "A two digit year could not be found", string, begin);
						break;
					}
					
					s->time->have_date = 1;
					TIMELIB_PROCESS_YEAR(s->time->y, length);
				}
				break;
			case TIMELIB_FORMAT_YEAR_FOUR_DIGIT: /* four digit year */
				TIMELIB_CHECK_NUMBER;
				if ((s->time->y = timelib_get_nr(&ptr, 4)) == TIMELIB_UNSET) {
					add_pbf_error(s, TIMELIB_ERR_NO_FOUR_DIGIT_YEAR, "A four digit year could not be found", string, begin);
					break;
				}

				s->time->have_date = 1;
				break;
			case TIMELIB_FORMAT_YEAR_EXPANDED: /* optional symbol, followed by up to 19 digits */
				TIMELIB_CHECK_SIGNED_NUMBER;
				if ((s->time->y = timelib_get_signed_nr(s, &ptr, 19)) == TIMELIB_UNSET) {
					add_pbf_error(s, TIMELIB_ERR_NO_FOUR_DIGIT_YEAR, "An expanded digit year could not be found", string, begin);
					break;
				}

				s->time->have_date = 1;
				break;
			case TIMELIB_FORMAT_HOUR_TWO_DIGIT_12_MAX: /* two digit hour, without leading zero */
			case TIMELIB_FORMAT_HOUR_TWO_DIGIT_12_MAX_PADDED: /* two digit hour, with leading zero */
				TIMELIB_CHECK_NUMBER;
				if ((s->time->h = timelib_get_nr(&ptr, 2)) == TIMELIB_UNSET) {
					add_pbf_error(s, TIMELIB_ERR_NO_TWO_DIGIT_HOUR, "A two digit hour could not be found", string, begin);
					break;
				}
				if (s->time->h > 12) {
					add_pbf_error(s, TIMELIB_ERR_HOUR_LARGER_THAN_12, "Hour cannot be higher than 12", string, begin);
					break;
				}

				s->time->have_time = 1;
				break;
			case TIMELIB_FORMAT_HOUR_TWO_DIGIT_24_MAX_PADDED: /* two digit hour, with leading zero */
			case TIMELIB_FORMAT_HOUR_TWO_DIGIT_24_MAX: /* two digit hour, without leading zero */
				TIMELIB_CHECK_NUMBER;
				if ((s->time->h = timelib_get_nr(&ptr, 2)) == TIMELIB_UNSET) {
					add_pbf_error(s, TIMELIB_ERR_NO_TWO_DIGIT_HOUR, "A two digit hour could not be found", string, begin);
					break;
				}

				s->time->have_time = 1;
				break;
			case TIMELIB_FORMAT_MERIDIAN: /* am/pm/a.m./p.m. AM/PM/A.M./P.M. */
				if (s->time->h == TIMELIB_UNSET) {
					add_pbf_error(s, TIMELIB_ERR_MERIDIAN_BEFORE_HOUR, "Meridian can only come after an hour has been found", string, begin);
				}
				if ((tmp = timelib_meridian_with_check(&ptr, s->time->h)) == TIMELIB_UNSET) {
					add_pbf_error(s, TIMELIB_ERR_NO_MERIDIAN, "A meridian could not be found", string, begin);
					break;
				}

				s->time->have_time = 1;
				if (s->time->h != TIMELIB_UNSET) {
					s->time->h += tmp;
				}
				break;
			case TIMELIB_FORMAT_MINUTE_TWO_DIGIT: /* two digit minute, with leading zero */
				{
					int length;
					timelib_sll min;

					TIMELIB_CHECK_NUMBER;
					min = timelib_get_nr_ex(&ptr, 2, &length);
					if (min == TIMELIB_UNSET || length != 2) {
						add_pbf_error(s, TIMELIB_ERR_NO_TWO_DIGIT_MINUTE, "A two digit minute could not be found", string, begin);
						break;
					}

					s->time->have_time = 1;
					s->time->i = min;
				}
				break;
			case TIMELIB_FORMAT_SECOND_TWO_DIGIT: /* two digit second, with leading zero */
				{
					int length;
					timelib_sll sec;

					TIMELIB_CHECK_NUMBER;
					sec = timelib_get_nr_ex(&ptr, 2, &length);
					if (sec == TIMELIB_UNSET || length != 2) {
						add_pbf_error(s, TIMELIB_ERR_NO_TWO_DIGIT_SECOND, "A two digit second could not be found", string, begin);
						break;
					}

					s->time->have_time = 1;
					s->time->s = sec;
				}
				break;
			case TIMELIB_FORMAT_MICROSECOND_SIX_DIGIT: /* up to six digit microsecond */
				{
					double f;
					const char *tptr;

					TIMELIB_CHECK_NUMBER;
					tptr = ptr;
					if ((f = timelib_get_nr(&ptr, 6)) == TIMELIB_UNSET || (ptr - tptr < 1)) {
						add_pbf_error(s, TIMELIB_ERR_NO_SIX_DIGIT_MICROSECOND, "A six digit microsecond could not be found", string, begin);
						break;
					}

					s->time->us = (f * pow(10, 6 - (ptr - tptr)));
				}
				break;
			case TIMELIB_FORMAT_MILLISECOND_THREE_DIGIT: /* up to three digit millisecond */
				{
					double f;
					const char *tptr;

					TIMELIB_CHECK_NUMBER;
					tptr = ptr;
					if ((f = timelib_get_nr(&ptr, 3)) == TIMELIB_UNSET || (ptr - tptr < 1)) {
						add_pbf_error(s, TIMELIB_ERR_NO_THREE_DIGIT_MILLISECOND, "A three digit millisecond could not be found", string, begin);
						break;
					}
					
					s->time->us = (f * pow(10, 3 - (ptr - tptr)) * 1000);
				}
				break;
			case TIMELIB_FORMAT_WHITESPACE: /* any sort of whitespace (' ' and \t) */
				timelib_eat_spaces(&ptr);
				break;
			case TIMELIB_FORMAT_EPOCH_SECONDS: /* epoch seconds */
				TIMELIB_CHECK_SIGNED_NUMBER;
				tmp = timelib_get_signed_nr(s, &ptr, 24);
				s->time->have_zone = 1;
				s->time->sse = tmp;
				s->time->is_localtime = 1;
				s->time->zone_type = TIMELIB_ZONETYPE_OFFSET;
				s->time->z = 0;
				s->time->dst = 0;
				timelib_update_from_sse(s->time);
				break;

			case TIMELIB_FORMAT_ANY_SEPARATOR: /* separation symbol */
				if (timelib_lookup_format(*ptr, format_map) != TIMELIB_FORMAT_SEPARATOR) {
					add_pbf_error(s, TIMELIB_ERR_NO_SEP_SYMBOL, "The separation symbol ([;:/.,-]) could not be found", string, begin);
					break;
				}
				
				++ptr;
				break;

			case TIMELIB_FORMAT_SEPARATOR:
				if (*ptr != *fptr) {
					add_pbf_error(s, TIMELIB_ERR_NO_SEP_SYMBOL, "The separation symbol could not be found", string, begin);
					break;
				}

				++ptr;
				break;

			case TIMELIB_FORMAT_RESET_ALL: /* reset all fields to default */
				timelib_time_reset_fields(s->time);
				break; /* break intentionally not missing */

			case TIMELIB_FORMAT_RESET_ALL_WHEN_NOT_SET: /* reset all fields to default when not set */
				timelib_time_reset_unset_fields(s->time);
				break; /* break intentionally not missing */

			case TIMELIB_FORMAT_RANDOM_CHAR: /* random char */
				++ptr;
				break;

			case TIMELIB_FORMAT_ESCAPE: /* escaped char */
				if (!fptr[1]) {
					add_pbf_error(s, TIMELIB_ERR_EXPECTED_ESCAPE_CHAR, "Escaped character expected", string, begin);
					break;
				}
				fptr++;
				if (*ptr != *fptr) {
					add_pbf_error(s, TIMELIB_ERR_NO_ESCAPED_CHAR, "The escaped character could not be found", string, begin);
					break;
				}

				++ptr;
				break;

			case TIMELIB_FORMAT_SKIP_TO_SEPARATOR: /* random chars until a separator or number ([ \t.,:;/-0123456789]) */
				timelib_eat_until_separator(&ptr);
				break;

			case TIMELIB_FORMAT_ALLOW_EXTRA_CHARACTERS: /* allow extra chars in the format */
				allow_extra = true;
				break;
			case TIMELIB_FORMAT_YEAR_ISO:
				if ((iso_year = timelib_get_nr(&ptr, 4)) == TIMELIB_UNSET) {
					add_pbf_error(s, TIMELIB_ERR_NO_FOUR_DIGIT_YEAR_ISO, "A four digit ISO year could not be found", string, begin);
					break;
				}

				s->time->have_date = 1;
				break;
			case TIMELIB_FORMAT_WEEK_OF_YEAR_ISO:
				if ((iso_week_of_year = timelib_get_nr(&ptr, 2)) == TIMELIB_UNSET) {
					add_pbf_error(s, TIMELIB_ERR_NO_TWO_DIGIT_WEEK, "A two digit ISO week could not be found", string, begin);
					break;
				}
				/* Range is 1 - 53  for ISO week of year */
				if (iso_week_of_year < 1 || iso_week_of_year > 53) {
					add_pbf_error(s, TIMELIB_ERR_INVALID_WEEK, "ISO Week must be between 1 and 53", string, begin);
					break;
				}

				s->time->have_date = 1;
				break;
			case TIMELIB_FORMAT_DAY_OF_WEEK_ISO:
				if ((iso_day_of_week = timelib_get_nr(&ptr, 1)) == TIMELIB_UNSET) {
					add_pbf_error(s, TIMELIB_ERR_NO_DAY_OF_WEEK, "A single digit day of week could not be found", string, begin);
					break;
				}
				if (iso_day_of_week < 1 || iso_day_of_week > 7) {
					add_pbf_error(s, TIMELIB_ERR_INVALID_DAY_OF_WEEK, "Day of week must be between 1 and 7", string, begin);
					break;
				}

				s->time->have_date = 1;
				break;
			case TIMELIB_FORMAT_TIMEZONE_OFFSET: /* timezone */
				{
					int tz_not_found;

					s->time->z = timelib_parse_zone(&ptr, &s->time->dst, s->time, &tz_not_found, s->tzdb, tz_get_wrapper);
					if (tz_not_found) {
						add_pbf_error(s, TIMELIB_ERR_TZID_NOT_FOUND, "The timezone could not be found in the database", string, begin);
						break;
					}

					s->time->have_zone = 1;
				}
				break;
			case TIMELIB_FORMAT_TIMEZONE_OFFSET_MINUTES: /* timezone format +/-mmm */
				s->time->z = timelib_parse_tz_minutes(&ptr, s->time);
				if (s->time->z == TIMELIB_UNSET) {
					add_pbf_error(s, TIMELIB_ERR_INVALID_TZ_OFFSET, "Invalid timezone offset in minutes", string, begin);
					break;
				}

				s->time->have_zone = 1;
				break;
			case TIMELIB_FORMAT_LITERAL:
			default:
				if (*fptr != *ptr) {
					add_pbf_error(s, TIMELIB_ERR_WRONG_FORMAT_SEP, "The format separator does not match", string, begin);
				}
				ptr++;
		}
		fptr++;
	}
	if (*ptr) {
		if (allow_extra) {
			add_pbf_warning(s, TIMELIB_WARN_TRAILING_DATA, "Trailing data", string, ptr);
		} else {
			add_pbf_error(s, TIMELIB_ERR_TRAILING_DATA, "Trailing data", string, ptr);
		}
	}

	if (*fptr) {
		/* Trailing reset specifiers are valid. */
		int done = 0;
		while (*fptr && !done) {
			switch (timelib_lookup_format(*fptr, format_map)) {
				case TIMELIB_FORMAT_RESET_ALL: /* reset all fields to default */
					timelib_time_reset_fields(s->time);
					break;

				case TIMELIB_FORMAT_RESET_ALL_WHEN_NOT_SET: /* reset all fields to default when not set */
					timelib_time_reset_unset_fields(s->time);
					break;
				case TIMELIB_FORMAT_ALLOW_EXTRA_CHARACTERS:
					break;

				default:
					add_pbf_error(s, TIMELIB_ERR_DATA_MISSING, "Not enough data available to satisfy format", string, ptr);
					done = 1;
			}
			fptr++;
		}
	}

	/* clean up a bit */
	if (s->time->h != TIMELIB_UNSET || s->time->i != TIMELIB_UNSET || s->time->s != TIMELIB_UNSET || s->time->us != TIMELIB_UNSET) {
		if (s->time->h == TIMELIB_UNSET ) {
			s->time->h = 0;
		}
		if (s->time->i == TIMELIB_UNSET ) {
			s->time->i = 0;
		}
		if (s->time->s == TIMELIB_UNSET ) {
			s->time->s = 0;
		}
		if (s->time->us == TIMELIB_UNSET ) {
			s->time->us = 0;
		}
	}

	/* Check for mixing of ISO dates with natural dates. */
	if (s->time->y != TIMELIB_UNSET && (iso_week_of_year != TIMELIB_UNSET || iso_year != TIMELIB_UNSET || iso_day_of_week != TIMELIB_UNSET)) {
		add_pbf_error(s, TIMELIB_ERR_MIX_ISO_WITH_NATURAL, "Mixing of ISO dates with natural dates is not allowed", string, ptr);
	}
	if (iso_year != TIMELIB_UNSET && (s->time->y != TIMELIB_UNSET || s->time->m != TIMELIB_UNSET || s->time->d != TIMELIB_UNSET)) {
		add_pbf_error(s, TIMELIB_ERR_MIX_ISO_WITH_NATURAL, "Mixing of ISO dates with natural dates is not allowed", string, ptr);
	}

	/* Convert ISO values */
	if (iso_year != TIMELIB_UNSET) {
		/* Default week of year and day of week to 1. */
		if (iso_week_of_year == TIMELIB_UNSET) {
			iso_week_of_year = 1;
		}
		if (iso_day_of_week == TIMELIB_UNSET) {
			iso_day_of_week = 1;
		}
		timelib_date_from_isodate(iso_year, iso_week_of_year, iso_day_of_week, &s->time->y, &s->time->m, &s->time->d);
	} else if (iso_week_of_year != TIMELIB_UNSET || iso_day_of_week != TIMELIB_UNSET) {
		add_pbf_warning(s, TIMELIB_WARN_INVALID_DATE, "The parsed date was invalid", string, ptr);
	}

	/* do funky checking whether the parsed time was valid time */
	if (s->time->h != TIMELIB_UNSET && s->time->i != TIMELIB_UNSET &&
		s->time->s != TIMELIB_UNSET &&
		!timelib_valid_time( s->time->h, s->time->i, s->time->s)) {
		add_pbf_warning(s, TIMELIB_WARN_INVALID_TIME, "The parsed time was invalid", string, ptr);
	}
	/* do funky checking whether the parsed date was valid date */
	if (s->time->y != TIMELIB_UNSET && s->time->m != TIMELIB_UNSET &&
		s->time->d != TIMELIB_UNSET &&
		!timelib_valid_date( s->time->y, s->time->m, s->time->d)) {
		add_pbf_warning(s, TIMELIB_WARN_INVALID_DATE, "The parsed date was invalid", string, ptr);
	}

	if (errors) {
		*errors = in.errors;
	} else {
		timelib_error_container_dtor(in.errors);
	}
	return in.time;
}

void timelib_fill_holes(timelib_time *parsed, timelib_time *now, int options)
{
	if (!(options & TIMELIB_OVERRIDE_TIME) && parsed->have_date && !parsed->have_time) {
		parsed->h = 0;
		parsed->i = 0;
		parsed->s = 0;
		parsed->us = 0;
	}
	if (
		parsed->y != TIMELIB_UNSET || parsed->m != TIMELIB_UNSET || parsed->d != TIMELIB_UNSET ||
		parsed->h != TIMELIB_UNSET || parsed->i != TIMELIB_UNSET || parsed->s != TIMELIB_UNSET
	) {
		if (parsed->us == TIMELIB_UNSET) parsed->us = 0;
	} else {
		if (parsed->us == TIMELIB_UNSET) parsed->us = now->us != TIMELIB_UNSET ? now->us : 0;
	}
	if (parsed->y == TIMELIB_UNSET) parsed->y = now->y != TIMELIB_UNSET ? now->y : 0;
	if (parsed->m == TIMELIB_UNSET) parsed->m = now->m != TIMELIB_UNSET ? now->m : 0;
	if (parsed->d == TIMELIB_UNSET) parsed->d = now->d != TIMELIB_UNSET ? now->d : 0;
	if (parsed->h == TIMELIB_UNSET) parsed->h = now->h != TIMELIB_UNSET ? now->h : 0;
	if (parsed->i == TIMELIB_UNSET) parsed->i = now->i != TIMELIB_UNSET ? now->i : 0;
	if (parsed->s == TIMELIB_UNSET) parsed->s = now->s != TIMELIB_UNSET ? now->s : 0;

	if (!parsed->tz_info) {
		parsed->tz_info = now->tz_info ? (!(options & TIMELIB_NO_CLONE) ? timelib_tzinfo_clone(now->tz_info) : now->tz_info) : NULL;

		if (parsed->z == TIMELIB_UNSET) parsed->z = now->z != TIMELIB_UNSET ? now->z : 0;
		if (parsed->dst == TIMELIB_UNSET) parsed->dst = now->dst != TIMELIB_UNSET ? now->dst : 0;

		if (!parsed->tz_abbr) {
			parsed->tz_abbr = now->tz_abbr ? timelib_strdup(now->tz_abbr) : NULL;
		}
	}

	if (parsed->zone_type == 0 && now->zone_type != 0) {
		parsed->zone_type = now->zone_type;
/*		parsed->tz_abbr = now->tz_abbr ? timelib_strdup(now->tz_abbr) : NULL;
		parsed->tz_info = now->tz_info ? timelib_tzinfo_clone(now->tz_info) : NULL;
*/		parsed->is_localtime = 1;
	}
/*	timelib_dump_date(parsed, 2);
	timelib_dump_date(now, 2);
*/
}

const char *timelib_timezone_id_from_abbr(const char *abbr, timelib_long gmtoffset, int isdst)
{
	const timelib_tz_lookup_table *tp;

	tp = abbr_search(abbr, gmtoffset, isdst);
	if (tp) {
		return (tp->full_tz_name);
	} else {
		return NULL;
	}
}

const timelib_tz_lookup_table *timelib_timezone_abbreviations_list(void)
{
	return timelib_timezone_lookup;
}

#ifdef DEBUG_PARSER_STUB
int main(void)
{
	timelib_time time = timelib_strtotime("May 12");

	printf ("%04d-%02d-%02d %02d:%02d:%02d.%-5d %+04d %1d",
		time.y, time.m, time.d, time.h, time.i, time.s, time.f, time.z, time.dst);
	if (time.have_relative) {
		printf ("%3dY %3dM %3dD / %3dH %3dM %3dS",
			time.relative.y, time.relative.m, time.relative.d, time.relative.h, time.relative.i, time.relative.s);
	}
	if (time.have_weekday_relative) {
		printf (" / %d", time.relative.weekday);
	}
	if (time.have_weeknr_day) {
		printf(" / %dW%d", time.relative.weeknr_day.weeknr, time.relative.weeknr_day.dayofweek);
	}
	return 0;
}
#endif

/*
 * vim: syntax=c
 */
